/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs
#define yylval          cf_lval
#define yychar          cf_char

/* First part of user prologue.  */
#line 50 "conf/gen_parser.m4"

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/bfd.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#define cf_assert(cond, ...) do { if (!(cond)) cf_error(__VA_ARGS__); } while (0)
static inline void cf_assert_symbol(const struct symbol *sym, uint class) {
  switch (class) {
    case SYM_PROTO: cf_assert(sym->class == SYM_PROTO, "Protocol name required"); break;
    case SYM_TEMPLATE: cf_assert(sym->class == SYM_TEMPLATE, "Protocol template name required"); break;
    case SYM_FUNCTION: cf_assert(sym->class == SYM_FUNCTION, "Function name required"); break;
    case SYM_FILTER: cf_assert(sym->class == SYM_FILTER, "Filter name required"); break;
    case SYM_TABLE: cf_assert(sym->class == SYM_TABLE, "Table name required"); break;
    case SYM_ATTRIBUTE: cf_assert(sym->class == SYM_ATTRIBUTE, "Custom attribute name required"); break;
    case SYM_VARIABLE: cf_assert((sym->class & ~0xff) == SYM_VARIABLE, "Variable name required"); break;
    case SYM_CONSTANT: cf_assert((sym->class & ~0xff) == SYM_CONSTANT, "Constant name required"); break;
    default: bug("This shall not happen");
  }
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

#include "filter/f-inst.h"
#include "filter/data.h"

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }

#define f_generate_complex(fi_code, da, arg) \
  f_new_inst(FI_EA_SET, f_new_inst(fi_code, f_new_inst(FI_EA_GET, da), arg), da)

/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}

static inline struct f_inst *
f_generate_empty(struct f_dynamic_attr dyn)
{
  struct f_val empty;

  switch (dyn.type & EAF_TYPE_MASK) {
    case EAF_TYPE_AS_PATH:
      empty = f_const_empty_path;
      break;
    case EAF_TYPE_INT_SET:
      empty = f_const_empty_clist;
      break;
    case EAF_TYPE_EC_SET:
      empty = f_const_empty_eclist;
      break;
    case EAF_TYPE_LC_SET:
      empty = f_const_empty_lclist;
      break;
    default:
      cf_error("Can't empty that attribute");
  }

  return f_new_inst(FI_EA_SET, f_new_inst(FI_CONSTANT, empty), dyn);
}

/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  return f_new_inst(FI_ASSERT, expr,
    (end >= start) ?
      assert_copy_expr(start, end - start + 1)
    : "???");
}

static struct f_inst *
assert_assign(struct f_lval *lval, struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *setter, *getter, *checker;
  switch (lval->type) {
    case F_LVAL_VARIABLE:
      setter = f_new_inst(FI_VAR_SET, expr, lval->sym);
      getter = f_new_inst(FI_VAR_GET, lval->sym);
      break;
    case F_LVAL_PREFERENCE:
      setter = f_new_inst(FI_PREF_SET, expr);
      getter = f_new_inst(FI_PREF_GET);
      break;
    case F_LVAL_SA:
      setter = f_new_inst(FI_RTA_SET, expr, lval->sa);
      getter = f_new_inst(FI_RTA_GET, lval->sa);
      break;
    case F_LVAL_EA:
      setter = f_new_inst(FI_EA_SET, expr, lval->da);
      getter = f_new_inst(FI_EA_GET, lval->da);
      break;
    default:
      bug("Unknown lval type");
  }

  checker = f_new_inst(FI_EQ, expr, getter);
  setter->next = checker;
  
  return assert_done(setter, start, end);
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct rtable_config *this_table;
static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;
static struct bfd_options *this_bfd_opts;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}

static inline void
init_password_list(void)
{
   if (!this_p_list) {
      this_p_list = cfg_allocz(sizeof(list));
      init_list(this_p_list);
      password_id = 1;
   }
}

static inline void
init_password(const void *key, uint length, uint id)
{
   this_p_item = cfg_allocz(sizeof (struct password_item));
   this_p_item->password = key;
   this_p_item->length = length;
   this_p_item->genfrom = 0;
   this_p_item->gento = TIME_INFINITY;
   this_p_item->accfrom = 0;
   this_p_item->accto = TIME_INFINITY;
   this_p_item->id = id;
   this_p_item->alg = ALG_UNDEFINED;
   add_tail(this_p_list, &this_p_item->n);
}

static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static inline void
init_bfd_opts(struct bfd_options **opts)
{
  cf_check_bfd(1);

  if (! *opts)
    *opts = bfd_new_options();
}

static inline void
open_bfd_opts(struct bfd_options **opts)
{
  init_bfd_opts(opts);
  this_bfd_opts = *opts;
}

static inline void
close_bfd_opts(void)
{
  this_bfd_opts = NULL;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}


#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    log(L_WARN "Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    log(L_WARN "Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (! proto_cf_main_channel(this_proto))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    log(L_WARN "Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/perf/config.Y"
/* Headers from proto/perf/config.Y */

#include "filter/filter.h"
#include "proto/perf/perf.h"

/* Defines from proto/perf/config.Y */

#define PERF_CFG ((struct perf_config *) this_proto)

#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 10 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */


#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/rpki/config.Y"
/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst *this_srt_cmds, *this_srt_last_cmd;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");

  this_srt->cmds = f_linearize(this_srt_cmds);
}

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 50 "conf/gen_parser.m4"

#line 893 "obj/conf/cf-parse.tab.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "cf-parse.tab.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_QUIT = 3,                       /* QUIT  */
  YYSYMBOL_EXIT = 4,                       /* EXIT  */
  YYSYMBOL_HELP = 5,                       /* HELP  */
  YYSYMBOL_END = 6,                        /* END  */
  YYSYMBOL_CLI_MARKER = 7,                 /* CLI_MARKER  */
  YYSYMBOL_INVALID_TOKEN = 8,              /* INVALID_TOKEN  */
  YYSYMBOL_ELSECOL = 9,                    /* ELSECOL  */
  YYSYMBOL_DDOT = 10,                      /* DDOT  */
  YYSYMBOL_GEQ = 11,                       /* GEQ  */
  YYSYMBOL_LEQ = 12,                       /* LEQ  */
  YYSYMBOL_NEQ = 13,                       /* NEQ  */
  YYSYMBOL_AND = 14,                       /* AND  */
  YYSYMBOL_OR = 15,                        /* OR  */
  YYSYMBOL_PO = 16,                        /* PO  */
  YYSYMBOL_PC = 17,                        /* PC  */
  YYSYMBOL_NUM = 18,                       /* NUM  */
  YYSYMBOL_ENUM = 19,                      /* ENUM  */
  YYSYMBOL_IP4 = 20,                       /* IP4  */
  YYSYMBOL_IP6 = 21,                       /* IP6  */
  YYSYMBOL_VPN_RD = 22,                    /* VPN_RD  */
  YYSYMBOL_CF_SYM_KNOWN = 23,              /* CF_SYM_KNOWN  */
  YYSYMBOL_CF_SYM_UNDEFINED = 24,          /* CF_SYM_UNDEFINED  */
  YYSYMBOL_TEXT = 25,                      /* TEXT  */
  YYSYMBOL_BYTESTRING = 26,                /* BYTESTRING  */
  YYSYMBOL_PREFIX_DUMMY = 27,              /* PREFIX_DUMMY  */
  YYSYMBOL_28_ = 28,                       /* '='  */
  YYSYMBOL_29_ = 29,                       /* '<'  */
  YYSYMBOL_30_ = 30,                       /* '>'  */
  YYSYMBOL_31_ = 31,                       /* '~'  */
  YYSYMBOL_NMA = 32,                       /* NMA  */
  YYSYMBOL_33_ = 33,                       /* '+'  */
  YYSYMBOL_34_ = 34,                       /* '-'  */
  YYSYMBOL_35_ = 35,                       /* '*'  */
  YYSYMBOL_36_ = 36,                       /* '/'  */
  YYSYMBOL_37_ = 37,                       /* '%'  */
  YYSYMBOL_38_ = 38,                       /* '!'  */
  YYSYMBOL_39_ = 39,                       /* '.'  */
  YYSYMBOL_DEFINE = 40,                    /* DEFINE  */
  YYSYMBOL_ON = 41,                        /* ON  */
  YYSYMBOL_OFF = 42,                       /* OFF  */
  YYSYMBOL_YES = 43,                       /* YES  */
  YYSYMBOL_NO = 44,                        /* NO  */
  YYSYMBOL_S = 45,                         /* S  */
  YYSYMBOL_MS = 46,                        /* MS  */
  YYSYMBOL_US = 47,                        /* US  */
  YYSYMBOL_PORT = 48,                      /* PORT  */
  YYSYMBOL_VPN = 49,                       /* VPN  */
  YYSYMBOL_MPLS = 50,                      /* MPLS  */
  YYSYMBOL_FROM = 51,                      /* FROM  */
  YYSYMBOL_52_ = 52,                       /* ';'  */
  YYSYMBOL_53_ = 53,                       /* '('  */
  YYSYMBOL_54_ = 54,                       /* ')'  */
  YYSYMBOL_FLOW4 = 55,                     /* FLOW4  */
  YYSYMBOL_FLOW6 = 56,                     /* FLOW6  */
  YYSYMBOL_DST = 57,                       /* DST  */
  YYSYMBOL_SRC = 58,                       /* SRC  */
  YYSYMBOL_PROTO = 59,                     /* PROTO  */
  YYSYMBOL_NEXT = 60,                      /* NEXT  */
  YYSYMBOL_HEADER = 61,                    /* HEADER  */
  YYSYMBOL_DPORT = 62,                     /* DPORT  */
  YYSYMBOL_SPORT = 63,                     /* SPORT  */
  YYSYMBOL_ICMP = 64,                      /* ICMP  */
  YYSYMBOL_TYPE = 65,                      /* TYPE  */
  YYSYMBOL_CODE = 66,                      /* CODE  */
  YYSYMBOL_TCP = 67,                       /* TCP  */
  YYSYMBOL_FLAGS = 68,                     /* FLAGS  */
  YYSYMBOL_LENGTH = 69,                    /* LENGTH  */
  YYSYMBOL_DSCP = 70,                      /* DSCP  */
  YYSYMBOL_DONT_FRAGMENT = 71,             /* DONT_FRAGMENT  */
  YYSYMBOL_IS_FRAGMENT = 72,               /* IS_FRAGMENT  */
  YYSYMBOL_FIRST_FRAGMENT = 73,            /* FIRST_FRAGMENT  */
  YYSYMBOL_LAST_FRAGMENT = 74,             /* LAST_FRAGMENT  */
  YYSYMBOL_FRAGMENT = 75,                  /* FRAGMENT  */
  YYSYMBOL_LABEL = 76,                     /* LABEL  */
  YYSYMBOL_OFFSET = 77,                    /* OFFSET  */
  YYSYMBOL_78_ = 78,                       /* ','  */
  YYSYMBOL_79_ = 79,                       /* '{'  */
  YYSYMBOL_80_ = 80,                       /* '}'  */
  YYSYMBOL_FUNCTION = 81,                  /* FUNCTION  */
  YYSYMBOL_PRINT = 82,                     /* PRINT  */
  YYSYMBOL_PRINTN = 83,                    /* PRINTN  */
  YYSYMBOL_UNSET = 84,                     /* UNSET  */
  YYSYMBOL_RETURN = 85,                    /* RETURN  */
  YYSYMBOL_ACCEPT = 86,                    /* ACCEPT  */
  YYSYMBOL_REJECT = 87,                    /* REJECT  */
  YYSYMBOL_ERROR = 88,                     /* ERROR  */
  YYSYMBOL_INT = 89,                       /* INT  */
  YYSYMBOL_BOOL = 90,                      /* BOOL  */
  YYSYMBOL_IP = 91,                        /* IP  */
  YYSYMBOL_PREFIX = 92,                    /* PREFIX  */
  YYSYMBOL_RD = 93,                        /* RD  */
  YYSYMBOL_PAIR = 94,                      /* PAIR  */
  YYSYMBOL_QUAD = 95,                      /* QUAD  */
  YYSYMBOL_EC = 96,                        /* EC  */
  YYSYMBOL_LC = 97,                        /* LC  */
  YYSYMBOL_SET = 98,                       /* SET  */
  YYSYMBOL_STRING = 99,                    /* STRING  */
  YYSYMBOL_BGPMASK = 100,                  /* BGPMASK  */
  YYSYMBOL_BGPPATH = 101,                  /* BGPPATH  */
  YYSYMBOL_CLIST = 102,                    /* CLIST  */
  YYSYMBOL_ECLIST = 103,                   /* ECLIST  */
  YYSYMBOL_LCLIST = 104,                   /* LCLIST  */
  YYSYMBOL_IF = 105,                       /* IF  */
  YYSYMBOL_THEN = 106,                     /* THEN  */
  YYSYMBOL_ELSE = 107,                     /* ELSE  */
  YYSYMBOL_CASE = 108,                     /* CASE  */
  YYSYMBOL_TRUE = 109,                     /* TRUE  */
  YYSYMBOL_FALSE = 110,                    /* FALSE  */
  YYSYMBOL_RT = 111,                       /* RT  */
  YYSYMBOL_RO = 112,                       /* RO  */
  YYSYMBOL_UNKNOWN = 113,                  /* UNKNOWN  */
  YYSYMBOL_GENERIC = 114,                  /* GENERIC  */
  YYSYMBOL_GW = 115,                       /* GW  */
  YYSYMBOL_NET = 116,                      /* NET  */
  YYSYMBOL_MASK = 117,                     /* MASK  */
  YYSYMBOL_SOURCE = 118,                   /* SOURCE  */
  YYSYMBOL_SCOPE = 119,                    /* SCOPE  */
  YYSYMBOL_DEST = 120,                     /* DEST  */
  YYSYMBOL_IFNAME = 121,                   /* IFNAME  */
  YYSYMBOL_IFINDEX = 122,                  /* IFINDEX  */
  YYSYMBOL_WEIGHT = 123,                   /* WEIGHT  */
  YYSYMBOL_GW_MPLS = 124,                  /* GW_MPLS  */
  YYSYMBOL_PREFERENCE = 125,               /* PREFERENCE  */
  YYSYMBOL_ROA_CHECK = 126,                /* ROA_CHECK  */
  YYSYMBOL_ASN = 127,                      /* ASN  */
  YYSYMBOL_IS_V4 = 128,                    /* IS_V4  */
  YYSYMBOL_IS_V6 = 129,                    /* IS_V6  */
  YYSYMBOL_LEN = 130,                      /* LEN  */
  YYSYMBOL_MAXLEN = 131,                   /* MAXLEN  */
  YYSYMBOL_DATA = 132,                     /* DATA  */
  YYSYMBOL_DATA1 = 133,                    /* DATA1  */
  YYSYMBOL_DATA2 = 134,                    /* DATA2  */
  YYSYMBOL_DEFINED = 135,                  /* DEFINED  */
  YYSYMBOL_ADD = 136,                      /* ADD  */
  YYSYMBOL_DELETE = 137,                   /* DELETE  */
  YYSYMBOL_CONTAINS = 138,                 /* CONTAINS  */
  YYSYMBOL_RESET = 139,                    /* RESET  */
  YYSYMBOL_PREPEND = 140,                  /* PREPEND  */
  YYSYMBOL_FIRST = 141,                    /* FIRST  */
  YYSYMBOL_LAST = 142,                     /* LAST  */
  YYSYMBOL_LAST_NONAGGREGATED = 143,       /* LAST_NONAGGREGATED  */
  YYSYMBOL_MATCH = 144,                    /* MATCH  */
  YYSYMBOL_MIN = 145,                      /* MIN  */
  YYSYMBOL_MAX = 146,                      /* MAX  */
  YYSYMBOL_EMPTY = 147,                    /* EMPTY  */
  YYSYMBOL_FILTER = 148,                   /* FILTER  */
  YYSYMBOL_WHERE = 149,                    /* WHERE  */
  YYSYMBOL_EVAL = 150,                     /* EVAL  */
  YYSYMBOL_ATTRIBUTE = 151,                /* ATTRIBUTE  */
  YYSYMBOL_BT_ASSERT = 152,                /* BT_ASSERT  */
  YYSYMBOL_BT_TEST_SUITE = 153,            /* BT_TEST_SUITE  */
  YYSYMBOL_BT_CHECK_ASSIGN = 154,          /* BT_CHECK_ASSIGN  */
  YYSYMBOL_BT_TEST_SAME = 155,             /* BT_TEST_SAME  */
  YYSYMBOL_FORMAT = 156,                   /* FORMAT  */
  YYSYMBOL_157_ = 157,                     /* ':'  */
  YYSYMBOL_158_ = 158,                     /* '['  */
  YYSYMBOL_159_ = 159,                     /* ']'  */
  YYSYMBOL_160_ = 160,                     /* '?'  */
  YYSYMBOL_ROUTER = 161,                   /* ROUTER  */
  YYSYMBOL_ID = 162,                       /* ID  */
  YYSYMBOL_HOSTNAME = 163,                 /* HOSTNAME  */
  YYSYMBOL_PROTOCOL = 164,                 /* PROTOCOL  */
  YYSYMBOL_TEMPLATE = 165,                 /* TEMPLATE  */
  YYSYMBOL_DISABLED = 166,                 /* DISABLED  */
  YYSYMBOL_DEBUG = 167,                    /* DEBUG  */
  YYSYMBOL_ALL = 168,                      /* ALL  */
  YYSYMBOL_DIRECT = 169,                   /* DIRECT  */
  YYSYMBOL_INTERFACE = 170,                /* INTERFACE  */
  YYSYMBOL_IMPORT = 171,                   /* IMPORT  */
  YYSYMBOL_EXPORT = 172,                   /* EXPORT  */
  YYSYMBOL_NONE = 173,                     /* NONE  */
  YYSYMBOL_VRF = 174,                      /* VRF  */
  YYSYMBOL_DEFAULT = 175,                  /* DEFAULT  */
  YYSYMBOL_TABLE = 176,                    /* TABLE  */
  YYSYMBOL_STATES = 177,                   /* STATES  */
  YYSYMBOL_ROUTES = 178,                   /* ROUTES  */
  YYSYMBOL_FILTERS = 179,                  /* FILTERS  */
  YYSYMBOL_IPV4 = 180,                     /* IPV4  */
  YYSYMBOL_IPV6 = 181,                     /* IPV6  */
  YYSYMBOL_VPN4 = 182,                     /* VPN4  */
  YYSYMBOL_VPN6 = 183,                     /* VPN6  */
  YYSYMBOL_ROA4 = 184,                     /* ROA4  */
  YYSYMBOL_ROA6 = 185,                     /* ROA6  */
  YYSYMBOL_SADR = 186,                     /* SADR  */
  YYSYMBOL_RECEIVE = 187,                  /* RECEIVE  */
  YYSYMBOL_LIMIT = 188,                    /* LIMIT  */
  YYSYMBOL_ACTION = 189,                   /* ACTION  */
  YYSYMBOL_WARN = 190,                     /* WARN  */
  YYSYMBOL_BLOCK = 191,                    /* BLOCK  */
  YYSYMBOL_RESTART = 192,                  /* RESTART  */
  YYSYMBOL_DISABLE = 193,                  /* DISABLE  */
  YYSYMBOL_KEEP = 194,                     /* KEEP  */
  YYSYMBOL_FILTERED = 195,                 /* FILTERED  */
  YYSYMBOL_RPKI = 196,                     /* RPKI  */
  YYSYMBOL_PASSWORD = 197,                 /* PASSWORD  */
  YYSYMBOL_KEY = 198,                      /* KEY  */
  YYSYMBOL_PASSIVE = 199,                  /* PASSIVE  */
  YYSYMBOL_TO = 200,                       /* TO  */
  YYSYMBOL_EVENTS = 201,                   /* EVENTS  */
  YYSYMBOL_PACKETS = 202,                  /* PACKETS  */
  YYSYMBOL_PROTOCOLS = 203,                /* PROTOCOLS  */
  YYSYMBOL_CHANNELS = 204,                 /* CHANNELS  */
  YYSYMBOL_INTERFACES = 205,               /* INTERFACES  */
  YYSYMBOL_ALGORITHM = 206,                /* ALGORITHM  */
  YYSYMBOL_KEYED = 207,                    /* KEYED  */
  YYSYMBOL_HMAC = 208,                     /* HMAC  */
  YYSYMBOL_MD5 = 209,                      /* MD5  */
  YYSYMBOL_SHA1 = 210,                     /* SHA1  */
  YYSYMBOL_SHA256 = 211,                   /* SHA256  */
  YYSYMBOL_SHA384 = 212,                   /* SHA384  */
  YYSYMBOL_SHA512 = 213,                   /* SHA512  */
  YYSYMBOL_BLAKE2S128 = 214,               /* BLAKE2S128  */
  YYSYMBOL_BLAKE2S256 = 215,               /* BLAKE2S256  */
  YYSYMBOL_BLAKE2B256 = 216,               /* BLAKE2B256  */
  YYSYMBOL_BLAKE2B512 = 217,               /* BLAKE2B512  */
  YYSYMBOL_PRIMARY = 218,                  /* PRIMARY  */
  YYSYMBOL_STATS = 219,                    /* STATS  */
  YYSYMBOL_COUNT = 220,                    /* COUNT  */
  YYSYMBOL_BY = 221,                       /* BY  */
  YYSYMBOL_FOR = 222,                      /* FOR  */
  YYSYMBOL_IN = 223,                       /* IN  */
  YYSYMBOL_COMMANDS = 224,                 /* COMMANDS  */
  YYSYMBOL_PREEXPORT = 225,                /* PREEXPORT  */
  YYSYMBOL_NOEXPORT = 226,                 /* NOEXPORT  */
  YYSYMBOL_EXPORTED = 227,                 /* EXPORTED  */
  YYSYMBOL_GENERATE = 228,                 /* GENERATE  */
  YYSYMBOL_BGP = 229,                      /* BGP  */
  YYSYMBOL_PASSWORDS = 230,                /* PASSWORDS  */
  YYSYMBOL_DESCRIPTION = 231,              /* DESCRIPTION  */
  YYSYMBOL_RELOAD = 232,                   /* RELOAD  */
  YYSYMBOL_OUT = 233,                      /* OUT  */
  YYSYMBOL_MRTDUMP = 234,                  /* MRTDUMP  */
  YYSYMBOL_MESSAGES = 235,                 /* MESSAGES  */
  YYSYMBOL_RESTRICT = 236,                 /* RESTRICT  */
  YYSYMBOL_MEMORY = 237,                   /* MEMORY  */
  YYSYMBOL_IGP_METRIC = 238,               /* IGP_METRIC  */
  YYSYMBOL_CLASS = 239,                    /* CLASS  */
  YYSYMBOL_TIMEFORMAT = 240,               /* TIMEFORMAT  */
  YYSYMBOL_ISO = 241,                      /* ISO  */
  YYSYMBOL_SHORT = 242,                    /* SHORT  */
  YYSYMBOL_LONG = 243,                     /* LONG  */
  YYSYMBOL_ROUTE = 244,                    /* ROUTE  */
  YYSYMBOL_BASE = 245,                     /* BASE  */
  YYSYMBOL_LOG = 246,                      /* LOG  */
  YYSYMBOL_GRACEFUL = 247,                 /* GRACEFUL  */
  YYSYMBOL_WAIT = 248,                     /* WAIT  */
  YYSYMBOL_FLUSH = 249,                    /* FLUSH  */
  YYSYMBOL_AS = 250,                       /* AS  */
  YYSYMBOL_IDLE = 251,                     /* IDLE  */
  YYSYMBOL_RX = 252,                       /* RX  */
  YYSYMBOL_TX = 253,                       /* TX  */
  YYSYMBOL_INTERVAL = 254,                 /* INTERVAL  */
  YYSYMBOL_MULTIPLIER = 255,               /* MULTIPLIER  */
  YYSYMBOL_CHECK = 256,                    /* CHECK  */
  YYSYMBOL_LINK = 257,                     /* LINK  */
  YYSYMBOL_SORTED = 258,                   /* SORTED  */
  YYSYMBOL_TRIE = 259,                     /* TRIE  */
  YYSYMBOL_SETTLE = 260,                   /* SETTLE  */
  YYSYMBOL_TIME = 261,                     /* TIME  */
  YYSYMBOL_GC = 262,                       /* GC  */
  YYSYMBOL_THRESHOLD = 263,                /* THRESHOLD  */
  YYSYMBOL_PERIOD = 264,                   /* PERIOD  */
  YYSYMBOL_IPV4_MC = 265,                  /* IPV4_MC  */
  YYSYMBOL_IPV4_MPLS = 266,                /* IPV4_MPLS  */
  YYSYMBOL_IPV6_MC = 267,                  /* IPV6_MC  */
  YYSYMBOL_IPV6_MPLS = 268,                /* IPV6_MPLS  */
  YYSYMBOL_IPV6_SADR = 269,                /* IPV6_SADR  */
  YYSYMBOL_VPN4_MC = 270,                  /* VPN4_MC  */
  YYSYMBOL_VPN4_MPLS = 271,                /* VPN4_MPLS  */
  YYSYMBOL_VPN6_MC = 272,                  /* VPN6_MC  */
  YYSYMBOL_VPN6_MPLS = 273,                /* VPN6_MPLS  */
  YYSYMBOL_PRI = 274,                      /* PRI  */
  YYSYMBOL_SEC = 275,                      /* SEC  */
  YYSYMBOL_SHOW = 276,                     /* SHOW  */
  YYSYMBOL_STATUS = 277,                   /* STATUS  */
  YYSYMBOL_SUMMARY = 278,                  /* SUMMARY  */
  YYSYMBOL_SYMBOLS = 279,                  /* SYMBOLS  */
  YYSYMBOL_DUMP = 280,                     /* DUMP  */
  YYSYMBOL_RESOURCES = 281,                /* RESOURCES  */
  YYSYMBOL_SOCKETS = 282,                  /* SOCKETS  */
  YYSYMBOL_NEIGHBORS = 283,                /* NEIGHBORS  */
  YYSYMBOL_ATTRIBUTES = 284,               /* ATTRIBUTES  */
  YYSYMBOL_ECHO = 285,                     /* ECHO  */
  YYSYMBOL_ENABLE = 286,                   /* ENABLE  */
  YYSYMBOL_BABEL = 287,                    /* BABEL  */
  YYSYMBOL_METRIC = 288,                   /* METRIC  */
  YYSYMBOL_RXCOST = 289,                   /* RXCOST  */
  YYSYMBOL_HELLO = 290,                    /* HELLO  */
  YYSYMBOL_UPDATE = 291,                   /* UPDATE  */
  YYSYMBOL_WIRED = 292,                    /* WIRED  */
  YYSYMBOL_WIRELESS = 293,                 /* WIRELESS  */
  YYSYMBOL_BUFFER = 294,                   /* BUFFER  */
  YYSYMBOL_PRIORITY = 295,                 /* PRIORITY  */
  YYSYMBOL_HOP = 296,                      /* HOP  */
  YYSYMBOL_BABEL_METRIC = 297,             /* BABEL_METRIC  */
  YYSYMBOL_ENTRIES = 298,                  /* ENTRIES  */
  YYSYMBOL_RANDOMIZE = 299,                /* RANDOMIZE  */
  YYSYMBOL_MAC = 300,                      /* MAC  */
  YYSYMBOL_PERMISSIVE = 301,               /* PERMISSIVE  */
  YYSYMBOL_BFD = 302,                      /* BFD  */
  YYSYMBOL_MULTIHOP = 303,                 /* MULTIHOP  */
  YYSYMBOL_NEIGHBOR = 304,                 /* NEIGHBOR  */
  YYSYMBOL_DEV = 305,                      /* DEV  */
  YYSYMBOL_LOCAL = 306,                    /* LOCAL  */
  YYSYMBOL_AUTHENTICATION = 307,           /* AUTHENTICATION  */
  YYSYMBOL_SIMPLE = 308,                   /* SIMPLE  */
  YYSYMBOL_METICULOUS = 309,               /* METICULOUS  */
  YYSYMBOL_STRICT = 310,                   /* STRICT  */
  YYSYMBOL_BIND = 311,                     /* BIND  */
  YYSYMBOL_SESSIONS = 312,                 /* SESSIONS  */
  YYSYMBOL_HOLD = 313,                     /* HOLD  */
  YYSYMBOL_CONNECT = 314,                  /* CONNECT  */
  YYSYMBOL_RETRY = 315,                    /* RETRY  */
  YYSYMBOL_KEEPALIVE = 316,                /* KEEPALIVE  */
  YYSYMBOL_STARTUP = 317,                  /* STARTUP  */
  YYSYMBOL_VIA = 318,                      /* VIA  */
  YYSYMBOL_SELF = 319,                     /* SELF  */
  YYSYMBOL_PATH = 320,                     /* PATH  */
  YYSYMBOL_START = 321,                    /* START  */
  YYSYMBOL_DELAY = 322,                    /* DELAY  */
  YYSYMBOL_FORGET = 323,                   /* FORGET  */
  YYSYMBOL_AFTER = 324,                    /* AFTER  */
  YYSYMBOL_BGP_PATH = 325,                 /* BGP_PATH  */
  YYSYMBOL_BGP_LOCAL_PREF = 326,           /* BGP_LOCAL_PREF  */
  YYSYMBOL_BGP_MED = 327,                  /* BGP_MED  */
  YYSYMBOL_BGP_ORIGIN = 328,               /* BGP_ORIGIN  */
  YYSYMBOL_BGP_NEXT_HOP = 329,             /* BGP_NEXT_HOP  */
  YYSYMBOL_BGP_ATOMIC_AGGR = 330,          /* BGP_ATOMIC_AGGR  */
  YYSYMBOL_BGP_AGGREGATOR = 331,           /* BGP_AGGREGATOR  */
  YYSYMBOL_BGP_COMMUNITY = 332,            /* BGP_COMMUNITY  */
  YYSYMBOL_BGP_EXT_COMMUNITY = 333,        /* BGP_EXT_COMMUNITY  */
  YYSYMBOL_BGP_LARGE_COMMUNITY = 334,      /* BGP_LARGE_COMMUNITY  */
  YYSYMBOL_ADDRESS = 335,                  /* ADDRESS  */
  YYSYMBOL_RR = 336,                       /* RR  */
  YYSYMBOL_RS = 337,                       /* RS  */
  YYSYMBOL_CLIENT = 338,                   /* CLIENT  */
  YYSYMBOL_CLUSTER = 339,                  /* CLUSTER  */
  YYSYMBOL_AS4 = 340,                      /* AS4  */
  YYSYMBOL_ADVERTISE = 341,                /* ADVERTISE  */
  YYSYMBOL_CAPABILITIES = 342,             /* CAPABILITIES  */
  YYSYMBOL_PREFER = 343,                   /* PREFER  */
  YYSYMBOL_OLDER = 344,                    /* OLDER  */
  YYSYMBOL_MISSING = 345,                  /* MISSING  */
  YYSYMBOL_LLADDR = 346,                   /* LLADDR  */
  YYSYMBOL_DROP = 347,                     /* DROP  */
  YYSYMBOL_IGNORE = 348,                   /* IGNORE  */
  YYSYMBOL_REFRESH = 349,                  /* REFRESH  */
  YYSYMBOL_INTERPRET = 350,                /* INTERPRET  */
  YYSYMBOL_COMMUNITIES = 351,              /* COMMUNITIES  */
  YYSYMBOL_BGP_ORIGINATOR_ID = 352,        /* BGP_ORIGINATOR_ID  */
  YYSYMBOL_BGP_CLUSTER_LIST = 353,         /* BGP_CLUSTER_LIST  */
  YYSYMBOL_IGP = 354,                      /* IGP  */
  YYSYMBOL_GATEWAY = 355,                  /* GATEWAY  */
  YYSYMBOL_RECURSIVE = 356,                /* RECURSIVE  */
  YYSYMBOL_MED = 357,                      /* MED  */
  YYSYMBOL_TTL = 358,                      /* TTL  */
  YYSYMBOL_SECURITY = 359,                 /* SECURITY  */
  YYSYMBOL_DETERMINISTIC = 360,            /* DETERMINISTIC  */
  YYSYMBOL_SECONDARY = 361,                /* SECONDARY  */
  YYSYMBOL_ALLOW = 362,                    /* ALLOW  */
  YYSYMBOL_PATHS = 363,                    /* PATHS  */
  YYSYMBOL_AWARE = 364,                    /* AWARE  */
  YYSYMBOL_EXTENDED = 365,                 /* EXTENDED  */
  YYSYMBOL_SETKEY = 366,                   /* SETKEY  */
  YYSYMBOL_CONFEDERATION = 367,            /* CONFEDERATION  */
  YYSYMBOL_MEMBER = 368,                   /* MEMBER  */
  YYSYMBOL_MULTICAST = 369,                /* MULTICAST  */
  YYSYMBOL_LIVED = 370,                    /* LIVED  */
  YYSYMBOL_STALE = 371,                    /* STALE  */
  YYSYMBOL_IBGP = 372,                     /* IBGP  */
  YYSYMBOL_EBGP = 373,                     /* EBGP  */
  YYSYMBOL_MANDATORY = 374,                /* MANDATORY  */
  YYSYMBOL_INTERNAL = 375,                 /* INTERNAL  */
  YYSYMBOL_EXTERNAL = 376,                 /* EXTERNAL  */
  YYSYMBOL_SETS = 377,                     /* SETS  */
  YYSYMBOL_DYNAMIC = 378,                  /* DYNAMIC  */
  YYSYMBOL_RANGE = 379,                    /* RANGE  */
  YYSYMBOL_NAME = 380,                     /* NAME  */
  YYSYMBOL_DIGITS = 381,                   /* DIGITS  */
  YYSYMBOL_BGP_AIGP = 382,                 /* BGP_AIGP  */
  YYSYMBOL_AIGP = 383,                     /* AIGP  */
  YYSYMBOL_ORIGINATE = 384,                /* ORIGINATE  */
  YYSYMBOL_COST = 385,                     /* COST  */
  YYSYMBOL_ENFORCE = 386,                  /* ENFORCE  */
  YYSYMBOL_FREE = 387,                     /* FREE  */
  YYSYMBOL_VALIDATE = 388,                 /* VALIDATE  */
  YYSYMBOL_CEASE = 389,                    /* CEASE  */
  YYSYMBOL_HIT = 390,                      /* HIT  */
  YYSYMBOL_ADMINISTRATIVE = 391,           /* ADMINISTRATIVE  */
  YYSYMBOL_SHUTDOWN = 392,                 /* SHUTDOWN  */
  YYSYMBOL_PEER = 393,                     /* PEER  */
  YYSYMBOL_CONFIGURATION = 394,            /* CONFIGURATION  */
  YYSYMBOL_CHANGE = 395,                   /* CHANGE  */
  YYSYMBOL_DECONFIGURED = 396,             /* DECONFIGURED  */
  YYSYMBOL_CONNECTION = 397,               /* CONNECTION  */
  YYSYMBOL_REJECTED = 398,                 /* REJECTED  */
  YYSYMBOL_COLLISION = 399,                /* COLLISION  */
  YYSYMBOL_OF = 400,                       /* OF  */
  YYSYMBOL_MRT = 401,                      /* MRT  */
  YYSYMBOL_FILENAME = 402,                 /* FILENAME  */
  YYSYMBOL_ALWAYS = 403,                   /* ALWAYS  */
  YYSYMBOL_OSPF = 404,                     /* OSPF  */
  YYSYMBOL_V2 = 405,                       /* V2  */
  YYSYMBOL_V3 = 406,                       /* V3  */
  YYSYMBOL_OSPF_METRIC1 = 407,             /* OSPF_METRIC1  */
  YYSYMBOL_OSPF_METRIC2 = 408,             /* OSPF_METRIC2  */
  YYSYMBOL_OSPF_TAG = 409,                 /* OSPF_TAG  */
  YYSYMBOL_OSPF_ROUTER_ID = 410,           /* OSPF_ROUTER_ID  */
  YYSYMBOL_AREA = 411,                     /* AREA  */
  YYSYMBOL_RFC1583COMPAT = 412,            /* RFC1583COMPAT  */
  YYSYMBOL_STUB = 413,                     /* STUB  */
  YYSYMBOL_TICK = 414,                     /* TICK  */
  YYSYMBOL_COST2 = 415,                    /* COST2  */
  YYSYMBOL_RETRANSMIT = 416,               /* RETRANSMIT  */
  YYSYMBOL_TRANSMIT = 417,                 /* TRANSMIT  */
  YYSYMBOL_DEAD = 418,                     /* DEAD  */
  YYSYMBOL_BROADCAST = 419,                /* BROADCAST  */
  YYSYMBOL_BCAST = 420,                    /* BCAST  */
  YYSYMBOL_NONBROADCAST = 421,             /* NONBROADCAST  */
  YYSYMBOL_NBMA = 422,                     /* NBMA  */
  YYSYMBOL_POINTOPOINT = 423,              /* POINTOPOINT  */
  YYSYMBOL_PTP = 424,                      /* PTP  */
  YYSYMBOL_POINTOMULTIPOINT = 425,         /* POINTOMULTIPOINT  */
  YYSYMBOL_PTMP = 426,                     /* PTMP  */
  YYSYMBOL_CRYPTOGRAPHIC = 427,            /* CRYPTOGRAPHIC  */
  YYSYMBOL_ELIGIBLE = 428,                 /* ELIGIBLE  */
  YYSYMBOL_POLL = 429,                     /* POLL  */
  YYSYMBOL_NETWORKS = 430,                 /* NETWORKS  */
  YYSYMBOL_HIDDEN = 431,                   /* HIDDEN  */
  YYSYMBOL_VIRTUAL = 432,                  /* VIRTUAL  */
  YYSYMBOL_ONLY = 433,                     /* ONLY  */
  YYSYMBOL_LARGE = 434,                    /* LARGE  */
  YYSYMBOL_NORMAL = 435,                   /* NORMAL  */
  YYSYMBOL_STUBNET = 436,                  /* STUBNET  */
  YYSYMBOL_TAG = 437,                      /* TAG  */
  YYSYMBOL_LSADB = 438,                    /* LSADB  */
  YYSYMBOL_ECMP = 439,                     /* ECMP  */
  YYSYMBOL_NSSA = 440,                     /* NSSA  */
  YYSYMBOL_TRANSLATOR = 441,               /* TRANSLATOR  */
  YYSYMBOL_STABILITY = 442,                /* STABILITY  */
  YYSYMBOL_GLOBAL = 443,                   /* GLOBAL  */
  YYSYMBOL_LSID = 444,                     /* LSID  */
  YYSYMBOL_INSTANCE = 445,                 /* INSTANCE  */
  YYSYMBOL_REAL = 446,                     /* REAL  */
  YYSYMBOL_NETMASK = 447,                  /* NETMASK  */
  YYSYMBOL_MERGE = 448,                    /* MERGE  */
  YYSYMBOL_LSA = 449,                      /* LSA  */
  YYSYMBOL_SUPPRESSION = 450,              /* SUPPRESSION  */
  YYSYMBOL_RFC5838 = 451,                  /* RFC5838  */
  YYSYMBOL_PE = 452,                       /* PE  */
  YYSYMBOL_TOPOLOGY = 453,                 /* TOPOLOGY  */
  YYSYMBOL_STATE = 454,                    /* STATE  */
  YYSYMBOL_PERF = 455,                     /* PERF  */
  YYSYMBOL_EXP = 456,                      /* EXP  */
  YYSYMBOL_REPEAT = 457,                   /* REPEAT  */
  YYSYMBOL_MODE = 458,                     /* MODE  */
  YYSYMBOL_PIPE = 459,                     /* PIPE  */
  YYSYMBOL_RADV = 460,                     /* RADV  */
  YYSYMBOL_RA = 461,                       /* RA  */
  YYSYMBOL_SOLICITED = 462,                /* SOLICITED  */
  YYSYMBOL_UNICAST = 463,                  /* UNICAST  */
  YYSYMBOL_MANAGED = 464,                  /* MANAGED  */
  YYSYMBOL_OTHER = 465,                    /* OTHER  */
  YYSYMBOL_CONFIG = 466,                   /* CONFIG  */
  YYSYMBOL_LINGER = 467,                   /* LINGER  */
  YYSYMBOL_MTU = 468,                      /* MTU  */
  YYSYMBOL_REACHABLE = 469,                /* REACHABLE  */
  YYSYMBOL_RETRANS = 470,                  /* RETRANS  */
  YYSYMBOL_TIMER = 471,                    /* TIMER  */
  YYSYMBOL_CURRENT = 472,                  /* CURRENT  */
  YYSYMBOL_VALID = 473,                    /* VALID  */
  YYSYMBOL_PREFERRED = 474,                /* PREFERRED  */
  YYSYMBOL_MULT = 475,                     /* MULT  */
  YYSYMBOL_LIFETIME = 476,                 /* LIFETIME  */
  YYSYMBOL_SKIP = 477,                     /* SKIP  */
  YYSYMBOL_ONLINK = 478,                   /* ONLINK  */
  YYSYMBOL_AUTONOMOUS = 479,               /* AUTONOMOUS  */
  YYSYMBOL_RDNSS = 480,                    /* RDNSS  */
  YYSYMBOL_DNSSL = 481,                    /* DNSSL  */
  YYSYMBOL_NS = 482,                       /* NS  */
  YYSYMBOL_DOMAIN = 483,                   /* DOMAIN  */
  YYSYMBOL_TRIGGER = 484,                  /* TRIGGER  */
  YYSYMBOL_SENSITIVE = 485,                /* SENSITIVE  */
  YYSYMBOL_LOW = 486,                      /* LOW  */
  YYSYMBOL_MEDIUM = 487,                   /* MEDIUM  */
  YYSYMBOL_HIGH = 488,                     /* HIGH  */
  YYSYMBOL_PROPAGATE = 489,                /* PROPAGATE  */
  YYSYMBOL_RA_PREFERENCE = 490,            /* RA_PREFERENCE  */
  YYSYMBOL_RA_LIFETIME = 491,              /* RA_LIFETIME  */
  YYSYMBOL_RIP = 492,                      /* RIP  */
  YYSYMBOL_NG = 493,                       /* NG  */
  YYSYMBOL_INFINITY = 494,                 /* INFINITY  */
  YYSYMBOL_TIMEOUT = 495,                  /* TIMEOUT  */
  YYSYMBOL_GARBAGE = 496,                  /* GARBAGE  */
  YYSYMBOL_VERSION = 497,                  /* VERSION  */
  YYSYMBOL_SPLIT = 498,                    /* SPLIT  */
  YYSYMBOL_HORIZON = 499,                  /* HORIZON  */
  YYSYMBOL_POISON = 500,                   /* POISON  */
  YYSYMBOL_REVERSE = 501,                  /* REVERSE  */
  YYSYMBOL_ZERO = 502,                     /* ZERO  */
  YYSYMBOL_PLAINTEXT = 503,                /* PLAINTEXT  */
  YYSYMBOL_DEMAND = 504,                   /* DEMAND  */
  YYSYMBOL_CIRCUIT = 505,                  /* CIRCUIT  */
  YYSYMBOL_RIP_METRIC = 506,               /* RIP_METRIC  */
  YYSYMBOL_RIP_TAG = 507,                  /* RIP_TAG  */
  YYSYMBOL_REMOTE = 508,                   /* REMOTE  */
  YYSYMBOL_BIRD = 509,                     /* BIRD  */
  YYSYMBOL_PRIVATE = 510,                  /* PRIVATE  */
  YYSYMBOL_PUBLIC = 511,                   /* PUBLIC  */
  YYSYMBOL_SSH = 512,                      /* SSH  */
  YYSYMBOL_TRANSPORT = 513,                /* TRANSPORT  */
  YYSYMBOL_USER = 514,                     /* USER  */
  YYSYMBOL_EXPIRE = 515,                   /* EXPIRE  */
  YYSYMBOL_STATIC = 516,                   /* STATIC  */
  YYSYMBOL_PROHIBIT = 517,                 /* PROHIBIT  */
  YYSYMBOL_BLACKHOLE = 518,                /* BLACKHOLE  */
  YYSYMBOL_UNREACHABLE = 519,              /* UNREACHABLE  */
  YYSYMBOL_KERNEL = 520,                   /* KERNEL  */
  YYSYMBOL_NETLINK = 521,                  /* NETLINK  */
  YYSYMBOL_KRT_PREFSRC = 522,              /* KRT_PREFSRC  */
  YYSYMBOL_KRT_REALM = 523,                /* KRT_REALM  */
  YYSYMBOL_KRT_SCOPE = 524,                /* KRT_SCOPE  */
  YYSYMBOL_KRT_MTU = 525,                  /* KRT_MTU  */
  YYSYMBOL_KRT_WINDOW = 526,               /* KRT_WINDOW  */
  YYSYMBOL_KRT_RTT = 527,                  /* KRT_RTT  */
  YYSYMBOL_KRT_RTTVAR = 528,               /* KRT_RTTVAR  */
  YYSYMBOL_KRT_SSTRESH = 529,              /* KRT_SSTRESH  */
  YYSYMBOL_KRT_CWND = 530,                 /* KRT_CWND  */
  YYSYMBOL_KRT_ADVMSS = 531,               /* KRT_ADVMSS  */
  YYSYMBOL_KRT_REORDERING = 532,           /* KRT_REORDERING  */
  YYSYMBOL_KRT_HOPLIMIT = 533,             /* KRT_HOPLIMIT  */
  YYSYMBOL_KRT_INITCWND = 534,             /* KRT_INITCWND  */
  YYSYMBOL_KRT_RTO_MIN = 535,              /* KRT_RTO_MIN  */
  YYSYMBOL_KRT_INITRWND = 536,             /* KRT_INITRWND  */
  YYSYMBOL_KRT_QUICKACK = 537,             /* KRT_QUICKACK  */
  YYSYMBOL_KRT_LOCK_MTU = 538,             /* KRT_LOCK_MTU  */
  YYSYMBOL_KRT_LOCK_WINDOW = 539,          /* KRT_LOCK_WINDOW  */
  YYSYMBOL_KRT_LOCK_RTT = 540,             /* KRT_LOCK_RTT  */
  YYSYMBOL_KRT_LOCK_RTTVAR = 541,          /* KRT_LOCK_RTTVAR  */
  YYSYMBOL_KRT_LOCK_SSTRESH = 542,         /* KRT_LOCK_SSTRESH  */
  YYSYMBOL_KRT_LOCK_CWND = 543,            /* KRT_LOCK_CWND  */
  YYSYMBOL_KRT_LOCK_ADVMSS = 544,          /* KRT_LOCK_ADVMSS  */
  YYSYMBOL_KRT_LOCK_REORDERING = 545,      /* KRT_LOCK_REORDERING  */
  YYSYMBOL_KRT_LOCK_HOPLIMIT = 546,        /* KRT_LOCK_HOPLIMIT  */
  YYSYMBOL_KRT_LOCK_RTO_MIN = 547,         /* KRT_LOCK_RTO_MIN  */
  YYSYMBOL_KRT_FEATURE_ECN = 548,          /* KRT_FEATURE_ECN  */
  YYSYMBOL_KRT_FEATURE_ALLFRAG = 549,      /* KRT_FEATURE_ALLFRAG  */
  YYSYMBOL_SYSLOG = 550,                   /* SYSLOG  */
  YYSYMBOL_TRACE = 551,                    /* TRACE  */
  YYSYMBOL_INFO = 552,                     /* INFO  */
  YYSYMBOL_WARNING = 553,                  /* WARNING  */
  YYSYMBOL_AUTH = 554,                     /* AUTH  */
  YYSYMBOL_FATAL = 555,                    /* FATAL  */
  YYSYMBOL_BUG = 556,                      /* BUG  */
  YYSYMBOL_STDERR = 557,                   /* STDERR  */
  YYSYMBOL_SOFT = 558,                     /* SOFT  */
  YYSYMBOL_CONFIRM = 559,                  /* CONFIRM  */
  YYSYMBOL_UNDO = 560,                     /* UNDO  */
  YYSYMBOL_LATENCY = 561,                  /* LATENCY  */
  YYSYMBOL_WATCHDOG = 562,                 /* WATCHDOG  */
  YYSYMBOL_CONFIGURE = 563,                /* CONFIGURE  */
  YYSYMBOL_DOWN = 564,                     /* DOWN  */
  YYSYMBOL_PERSIST = 565,                  /* PERSIST  */
  YYSYMBOL_SCAN = 566,                     /* SCAN  */
  YYSYMBOL_LEARN = 567,                    /* LEARN  */
  YYSYMBOL_DEVICE = 568,                   /* DEVICE  */
  YYSYMBOL_KRT_SOURCE = 569,               /* KRT_SOURCE  */
  YYSYMBOL_KRT_METRIC = 570,               /* KRT_METRIC  */
  YYSYMBOL_YYACCEPT = 571,                 /* $accept  */
  YYSYMBOL_cli_cmd = 572,                  /* cli_cmd  */
  YYSYMBOL_cmd_QUIT = 573,                 /* cmd_QUIT  */
  YYSYMBOL_cmd_EXIT = 574,                 /* cmd_EXIT  */
  YYSYMBOL_cmd_HELP = 575,                 /* cmd_HELP  */
  YYSYMBOL_config = 576,                   /* config  */
  YYSYMBOL_conf_entries = 577,             /* conf_entries  */
  YYSYMBOL_conf = 578,                     /* conf  */
  YYSYMBOL_definition = 579,               /* definition  */
  YYSYMBOL_expr = 580,                     /* expr  */
  YYSYMBOL_expr_us = 581,                  /* expr_us  */
  YYSYMBOL_symbol = 582,                   /* symbol  */
  YYSYMBOL_bool = 583,                     /* bool  */
  YYSYMBOL_ipa = 584,                      /* ipa  */
  YYSYMBOL_ipa_scope = 585,                /* ipa_scope  */
  YYSYMBOL_pxlen4 = 586,                   /* pxlen4  */
  YYSYMBOL_net_ip4_ = 587,                 /* net_ip4_  */
  YYSYMBOL_net_ip6_ = 588,                 /* net_ip6_  */
  YYSYMBOL_net_ip6_sadr_ = 589,            /* net_ip6_sadr_  */
  YYSYMBOL_net_vpn4_ = 590,                /* net_vpn4_  */
  YYSYMBOL_net_vpn6_ = 591,                /* net_vpn6_  */
  YYSYMBOL_net_roa4_ = 592,                /* net_roa4_  */
  YYSYMBOL_net_roa6_ = 593,                /* net_roa6_  */
  YYSYMBOL_net_mpls_ = 594,                /* net_mpls_  */
  YYSYMBOL_net_ip_ = 595,                  /* net_ip_  */
  YYSYMBOL_net_vpn_ = 596,                 /* net_vpn_  */
  YYSYMBOL_net_roa_ = 597,                 /* net_roa_  */
  YYSYMBOL_net_ = 598,                     /* net_  */
  YYSYMBOL_net_ip4 = 599,                  /* net_ip4  */
  YYSYMBOL_net_ip6 = 600,                  /* net_ip6  */
  YYSYMBOL_net_ip = 601,                   /* net_ip  */
  YYSYMBOL_net_any = 602,                  /* net_any  */
  YYSYMBOL_net_or_ipa = 603,               /* net_or_ipa  */
  YYSYMBOL_label_stack_start = 604,        /* label_stack_start  */
  YYSYMBOL_label_stack = 605,              /* label_stack  */
  YYSYMBOL_time = 606,                     /* time  */
  YYSYMBOL_text = 607,                     /* text  */
  YYSYMBOL_opttext = 608,                  /* opttext  */
  YYSYMBOL_flow_num_op = 609,              /* flow_num_op  */
  YYSYMBOL_flow_logic_op = 610,            /* flow_logic_op  */
  YYSYMBOL_flow_num_type_ = 611,           /* flow_num_type_  */
  YYSYMBOL_flow_num_type = 612,            /* flow_num_type  */
  YYSYMBOL_flow_flag_type = 613,           /* flow_flag_type  */
  YYSYMBOL_flow_frag_type = 614,           /* flow_frag_type  */
  YYSYMBOL_flow_srcdst = 615,              /* flow_srcdst  */
  YYSYMBOL_flow_num_opts = 616,            /* flow_num_opts  */
  YYSYMBOL_flow_num_opt_ext_expr = 617,    /* flow_num_opt_ext_expr  */
  YYSYMBOL_flow_num_opt_ext = 618,         /* flow_num_opt_ext  */
  YYSYMBOL_flow_bmk_opts = 619,            /* flow_bmk_opts  */
  YYSYMBOL_flow_neg = 620,                 /* flow_neg  */
  YYSYMBOL_flow_frag_val = 621,            /* flow_frag_val  */
  YYSYMBOL_flow_frag_opts = 622,           /* flow_frag_opts  */
  YYSYMBOL_flow4_item = 623,               /* flow4_item  */
  YYSYMBOL_flow6_item = 624,               /* flow6_item  */
  YYSYMBOL_flow4_opts = 625,               /* flow4_opts  */
  YYSYMBOL_flow6_opts = 626,               /* flow6_opts  */
  YYSYMBOL_flow_builder_init = 627,        /* flow_builder_init  */
  YYSYMBOL_flow_builder_set_ipv4 = 628,    /* flow_builder_set_ipv4  */
  YYSYMBOL_flow_builder_set_ipv6 = 629,    /* flow_builder_set_ipv6  */
  YYSYMBOL_net_flow4_ = 630,               /* net_flow4_  */
  YYSYMBOL_net_flow6_ = 631,               /* net_flow6_  */
  YYSYMBOL_net_flow_ = 632,                /* net_flow_  */
  YYSYMBOL_filter_def = 633,               /* filter_def  */
  YYSYMBOL_634_1 = 634,                    /* $@1  */
  YYSYMBOL_filter_eval = 635,              /* filter_eval  */
  YYSYMBOL_custom_attr = 636,              /* custom_attr  */
  YYSYMBOL_bt_test_suite = 637,            /* bt_test_suite  */
  YYSYMBOL_bt_test_same = 638,             /* bt_test_same  */
  YYSYMBOL_type = 639,                     /* type  */
  YYSYMBOL_function_argsn = 640,           /* function_argsn  */
  YYSYMBOL_function_args = 641,            /* function_args  */
  YYSYMBOL_function_vars = 642,            /* function_vars  */
  YYSYMBOL_filter_body = 643,              /* filter_body  */
  YYSYMBOL_filter = 644,                   /* filter  */
  YYSYMBOL_where_filter = 645,             /* where_filter  */
  YYSYMBOL_function_body = 646,            /* function_body  */
  YYSYMBOL_function_def = 647,             /* function_def  */
  YYSYMBOL_648_2 = 648,                    /* $@2  */
  YYSYMBOL_cmds = 649,                     /* cmds  */
  YYSYMBOL_cmd_prep = 650,                 /* cmd_prep  */
  YYSYMBOL_cmds_int = 651,                 /* cmds_int  */
  YYSYMBOL_block = 652,                    /* block  */
  YYSYMBOL_fipa = 653,                     /* fipa  */
  YYSYMBOL_set_atom = 654,                 /* set_atom  */
  YYSYMBOL_switch_atom = 655,              /* switch_atom  */
  YYSYMBOL_cnum = 656,                     /* cnum  */
  YYSYMBOL_pair_item = 657,                /* pair_item  */
  YYSYMBOL_ec_kind = 658,                  /* ec_kind  */
  YYSYMBOL_ec_item = 659,                  /* ec_item  */
  YYSYMBOL_lc_item = 660,                  /* lc_item  */
  YYSYMBOL_set_item = 661,                 /* set_item  */
  YYSYMBOL_switch_item = 662,              /* switch_item  */
  YYSYMBOL_set_items = 663,                /* set_items  */
  YYSYMBOL_switch_items = 664,             /* switch_items  */
  YYSYMBOL_fprefix = 665,                  /* fprefix  */
  YYSYMBOL_fprefix_set = 666,              /* fprefix_set  */
  YYSYMBOL_switch_body = 667,              /* switch_body  */
  YYSYMBOL_bgp_path_expr = 668,            /* bgp_path_expr  */
  YYSYMBOL_bgp_path = 669,                 /* bgp_path  */
  YYSYMBOL_bgp_path_tail = 670,            /* bgp_path_tail  */
  YYSYMBOL_constant = 671,                 /* constant  */
  YYSYMBOL_constructor = 672,              /* constructor  */
  YYSYMBOL_var_list = 673,                 /* var_list  */
  YYSYMBOL_function_call = 674,            /* function_call  */
  YYSYMBOL_symbol_value = 675,             /* symbol_value  */
  YYSYMBOL_static_attr = 676,              /* static_attr  */
  YYSYMBOL_term = 677,                     /* term  */
  YYSYMBOL_break_command = 678,            /* break_command  */
  YYSYMBOL_print_list = 679,               /* print_list  */
  YYSYMBOL_cmd = 680,                      /* cmd  */
  YYSYMBOL_get_cf_position = 681,          /* get_cf_position  */
  YYSYMBOL_lvalue = 682,                   /* lvalue  */
  YYSYMBOL_rtrid = 683,                    /* rtrid  */
  YYSYMBOL_idval = 684,                    /* idval  */
  YYSYMBOL_hostname_override = 685,        /* hostname_override  */
  YYSYMBOL_gr_opts = 686,                  /* gr_opts  */
  YYSYMBOL_net_type = 687,                 /* net_type  */
  YYSYMBOL_table = 688,                    /* table  */
  YYSYMBOL_table_start = 689,              /* table_start  */
  YYSYMBOL_table_sorted = 690,             /* table_sorted  */
  YYSYMBOL_table_opt = 691,                /* table_opt  */
  YYSYMBOL_table_opts = 692,               /* table_opts  */
  YYSYMBOL_table_opt_list = 693,           /* table_opt_list  */
  YYSYMBOL_proto_start = 694,              /* proto_start  */
  YYSYMBOL_proto_name = 695,               /* proto_name  */
  YYSYMBOL_proto_item = 696,               /* proto_item  */
  YYSYMBOL_channel_start = 697,            /* channel_start  */
  YYSYMBOL_channel_item_ = 698,            /* channel_item_  */
  YYSYMBOL_channel_item = 699,             /* channel_item  */
  YYSYMBOL_channel_opts = 700,             /* channel_opts  */
  YYSYMBOL_channel_opt_list = 701,         /* channel_opt_list  */
  YYSYMBOL_channel_end = 702,              /* channel_end  */
  YYSYMBOL_proto_channel = 703,            /* proto_channel  */
  YYSYMBOL_rtable = 704,                   /* rtable  */
  YYSYMBOL_imexport = 705,                 /* imexport  */
  YYSYMBOL_limit_action = 706,             /* limit_action  */
  YYSYMBOL_limit_spec = 707,               /* limit_spec  */
  YYSYMBOL_debug_default = 708,            /* debug_default  */
  YYSYMBOL_timeformat_which = 709,         /* timeformat_which  */
  YYSYMBOL_timeformat_spec = 710,          /* timeformat_spec  */
  YYSYMBOL_timeformat_base = 711,          /* timeformat_base  */
  YYSYMBOL_iface_patt_node_init = 712,     /* iface_patt_node_init  */
  YYSYMBOL_iface_patt_node_body = 713,     /* iface_patt_node_body  */
  YYSYMBOL_iface_negate = 714,             /* iface_negate  */
  YYSYMBOL_iface_patt_node = 715,          /* iface_patt_node  */
  YYSYMBOL_iface_patt_list = 716,          /* iface_patt_list  */
  YYSYMBOL_iface_patt_list_nopx = 717,     /* iface_patt_list_nopx  */
  YYSYMBOL_iface_patt_init = 718,          /* iface_patt_init  */
  YYSYMBOL_iface_patt = 719,               /* iface_patt  */
  YYSYMBOL_tos = 720,                      /* tos  */
  YYSYMBOL_proto = 721,                    /* proto  */
  YYSYMBOL_dev_proto_start = 722,          /* dev_proto_start  */
  YYSYMBOL_dev_proto = 723,                /* dev_proto  */
  YYSYMBOL_dev_iface_init = 724,           /* dev_iface_init  */
  YYSYMBOL_dev_iface_patt = 725,           /* dev_iface_patt  */
  YYSYMBOL_debug_mask = 726,               /* debug_mask  */
  YYSYMBOL_debug_list = 727,               /* debug_list  */
  YYSYMBOL_debug_flag = 728,               /* debug_flag  */
  YYSYMBOL_mrtdump_mask = 729,             /* mrtdump_mask  */
  YYSYMBOL_mrtdump_list = 730,             /* mrtdump_list  */
  YYSYMBOL_mrtdump_flag = 731,             /* mrtdump_flag  */
  YYSYMBOL_password_list = 732,            /* password_list  */
  YYSYMBOL_password_list_body = 733,       /* password_list_body  */
  YYSYMBOL_password_items = 734,           /* password_items  */
  YYSYMBOL_password_item = 735,            /* password_item  */
  YYSYMBOL_pass_key = 736,                 /* pass_key  */
  YYSYMBOL_password_item_begin = 737,      /* password_item_begin  */
  YYSYMBOL_password_item_params = 738,     /* password_item_params  */
  YYSYMBOL_password_algorithm = 739,       /* password_algorithm  */
  YYSYMBOL_password_item_end = 740,        /* password_item_end  */
  YYSYMBOL_bfd_item = 741,                 /* bfd_item  */
  YYSYMBOL_bfd_items = 742,                /* bfd_items  */
  YYSYMBOL_bfd_opts = 743,                 /* bfd_opts  */
  YYSYMBOL_cmd_SHOW_STATUS = 744,          /* cmd_SHOW_STATUS  */
  YYSYMBOL_cmd_SHOW_MEMORY = 745,          /* cmd_SHOW_MEMORY  */
  YYSYMBOL_cmd_SHOW_PROTOCOLS = 746,       /* cmd_SHOW_PROTOCOLS  */
  YYSYMBOL_cmd_SHOW_PROTOCOLS_ALL = 747,   /* cmd_SHOW_PROTOCOLS_ALL  */
  YYSYMBOL_optproto = 748,                 /* optproto  */
  YYSYMBOL_cmd_SHOW_INTERFACES = 749,      /* cmd_SHOW_INTERFACES  */
  YYSYMBOL_cmd_SHOW_INTERFACES_SUMMARY = 750, /* cmd_SHOW_INTERFACES_SUMMARY  */
  YYSYMBOL_cmd_SHOW_ROUTE = 751,           /* cmd_SHOW_ROUTE  */
  YYSYMBOL_r_args = 752,                   /* r_args  */
  YYSYMBOL_r_args_for = 753,               /* r_args_for  */
  YYSYMBOL_r_args_for_val = 754,           /* r_args_for_val  */
  YYSYMBOL_export_mode = 755,              /* export_mode  */
  YYSYMBOL_channel_sym = 756,              /* channel_sym  */
  YYSYMBOL_channel_arg = 757,              /* channel_arg  */
  YYSYMBOL_cmd_SHOW_SYMBOLS = 758,         /* cmd_SHOW_SYMBOLS  */
  YYSYMBOL_sym_args = 759,                 /* sym_args  */
  YYSYMBOL_cmd_DUMP_RESOURCES = 760,       /* cmd_DUMP_RESOURCES  */
  YYSYMBOL_cmd_DUMP_SOCKETS = 761,         /* cmd_DUMP_SOCKETS  */
  YYSYMBOL_cmd_DUMP_EVENTS = 762,          /* cmd_DUMP_EVENTS  */
  YYSYMBOL_cmd_DUMP_INTERFACES = 763,      /* cmd_DUMP_INTERFACES  */
  YYSYMBOL_cmd_DUMP_NEIGHBORS = 764,       /* cmd_DUMP_NEIGHBORS  */
  YYSYMBOL_cmd_DUMP_ATTRIBUTES = 765,      /* cmd_DUMP_ATTRIBUTES  */
  YYSYMBOL_cmd_DUMP_ROUTES = 766,          /* cmd_DUMP_ROUTES  */
  YYSYMBOL_cmd_DUMP_PROTOCOLS = 767,       /* cmd_DUMP_PROTOCOLS  */
  YYSYMBOL_cmd_DUMP_FILTER_ALL = 768,      /* cmd_DUMP_FILTER_ALL  */
  YYSYMBOL_cmd_EVAL = 769,                 /* cmd_EVAL  */
  YYSYMBOL_cmd_ECHO = 770,                 /* cmd_ECHO  */
  YYSYMBOL_echo_mask = 771,                /* echo_mask  */
  YYSYMBOL_echo_size = 772,                /* echo_size  */
  YYSYMBOL_cmd_DISABLE = 773,              /* cmd_DISABLE  */
  YYSYMBOL_cmd_ENABLE = 774,               /* cmd_ENABLE  */
  YYSYMBOL_cmd_RESTART = 775,              /* cmd_RESTART  */
  YYSYMBOL_cmd_RELOAD = 776,               /* cmd_RELOAD  */
  YYSYMBOL_cmd_RELOAD_IN = 777,            /* cmd_RELOAD_IN  */
  YYSYMBOL_cmd_RELOAD_OUT = 778,           /* cmd_RELOAD_OUT  */
  YYSYMBOL_cmd_DEBUG = 779,                /* cmd_DEBUG  */
  YYSYMBOL_debug_args = 780,               /* debug_args  */
  YYSYMBOL_cmd_MRTDUMP = 781,              /* cmd_MRTDUMP  */
  YYSYMBOL_cmd_RESTRICT = 782,             /* cmd_RESTRICT  */
  YYSYMBOL_proto_patt = 783,               /* proto_patt  */
  YYSYMBOL_proto_patt2 = 784,              /* proto_patt2  */
  YYSYMBOL_dynamic_attr = 785,             /* dynamic_attr  */
  YYSYMBOL_babel_proto_start = 786,        /* babel_proto_start  */
  YYSYMBOL_babel_proto_item = 787,         /* babel_proto_item  */
  YYSYMBOL_babel_proto_opts = 788,         /* babel_proto_opts  */
  YYSYMBOL_babel_proto = 789,              /* babel_proto  */
  YYSYMBOL_babel_iface_start = 790,        /* babel_iface_start  */
  YYSYMBOL_babel_iface_finish = 791,       /* babel_iface_finish  */
  YYSYMBOL_babel_iface_item = 792,         /* babel_iface_item  */
  YYSYMBOL_babel_iface_opts = 793,         /* babel_iface_opts  */
  YYSYMBOL_babel_iface_opt_list = 794,     /* babel_iface_opt_list  */
  YYSYMBOL_babel_iface = 795,              /* babel_iface  */
  YYSYMBOL_cmd_SHOW_BABEL_INTERFACES = 796, /* cmd_SHOW_BABEL_INTERFACES  */
  YYSYMBOL_cmd_SHOW_BABEL_NEIGHBORS = 797, /* cmd_SHOW_BABEL_NEIGHBORS  */
  YYSYMBOL_cmd_SHOW_BABEL_ENTRIES = 798,   /* cmd_SHOW_BABEL_ENTRIES  */
  YYSYMBOL_cmd_SHOW_BABEL_ROUTES = 799,    /* cmd_SHOW_BABEL_ROUTES  */
  YYSYMBOL_bfd_proto_start = 800,          /* bfd_proto_start  */
  YYSYMBOL_bfd_proto_item = 801,           /* bfd_proto_item  */
  YYSYMBOL_bfd_proto_opts = 802,           /* bfd_proto_opts  */
  YYSYMBOL_bfd_proto = 803,                /* bfd_proto  */
  YYSYMBOL_bfd_accept_item = 804,          /* bfd_accept_item  */
  YYSYMBOL_bfd_accept = 805,               /* bfd_accept  */
  YYSYMBOL_bfd_iface_start = 806,          /* bfd_iface_start  */
  YYSYMBOL_bfd_iface_finish = 807,         /* bfd_iface_finish  */
  YYSYMBOL_bfd_iface_item = 808,           /* bfd_iface_item  */
  YYSYMBOL_bfd_auth_type = 809,            /* bfd_auth_type  */
  YYSYMBOL_bfd_iface_opts = 810,           /* bfd_iface_opts  */
  YYSYMBOL_bfd_iface_opt_list = 811,       /* bfd_iface_opt_list  */
  YYSYMBOL_bfd_iface = 812,                /* bfd_iface  */
  YYSYMBOL_bfd_multihop = 813,             /* bfd_multihop  */
  YYSYMBOL_bfd_neigh_iface = 814,          /* bfd_neigh_iface  */
  YYSYMBOL_bfd_neigh_local = 815,          /* bfd_neigh_local  */
  YYSYMBOL_bfd_neigh_multihop = 816,       /* bfd_neigh_multihop  */
  YYSYMBOL_bfd_neighbor = 817,             /* bfd_neighbor  */
  YYSYMBOL_cmd_SHOW_BFD_SESSIONS = 818,    /* cmd_SHOW_BFD_SESSIONS  */
  YYSYMBOL_bgp_proto_start = 819,          /* bgp_proto_start  */
  YYSYMBOL_bgp_loc_opts = 820,             /* bgp_loc_opts  */
  YYSYMBOL_bgp_nbr_opts = 821,             /* bgp_nbr_opts  */
  YYSYMBOL_bgp_cease_mask = 822,           /* bgp_cease_mask  */
  YYSYMBOL_bgp_cease_list = 823,           /* bgp_cease_list  */
  YYSYMBOL_bgp_cease_flag = 824,           /* bgp_cease_flag  */
  YYSYMBOL_bgp_proto = 825,                /* bgp_proto  */
  YYSYMBOL_826_3 = 826,                    /* $@3  */
  YYSYMBOL_827_4 = 827,                    /* $@4  */
  YYSYMBOL_bgp_afi = 828,                  /* bgp_afi  */
  YYSYMBOL_bgp_channel_start = 829,        /* bgp_channel_start  */
  YYSYMBOL_bgp_nh = 830,                   /* bgp_nh  */
  YYSYMBOL_bgp_lladdr = 831,               /* bgp_lladdr  */
  YYSYMBOL_bgp_channel_item = 832,         /* bgp_channel_item  */
  YYSYMBOL_bgp_channel_opts = 833,         /* bgp_channel_opts  */
  YYSYMBOL_bgp_channel_opt_list = 834,     /* bgp_channel_opt_list  */
  YYSYMBOL_bgp_channel_end = 835,          /* bgp_channel_end  */
  YYSYMBOL_bgp_proto_channel = 836,        /* bgp_proto_channel  */
  YYSYMBOL_mrt_proto_start = 837,          /* mrt_proto_start  */
  YYSYMBOL_mrt_proto_item = 838,           /* mrt_proto_item  */
  YYSYMBOL_mrt_proto_opts = 839,           /* mrt_proto_opts  */
  YYSYMBOL_mrt_proto = 840,                /* mrt_proto  */
  YYSYMBOL_cmd_MRT_DUMP = 841,             /* cmd_MRT_DUMP  */
  YYSYMBOL_mrt_dump_args = 842,            /* mrt_dump_args  */
  YYSYMBOL_ospf_variant = 843,             /* ospf_variant  */
  YYSYMBOL_ospf_proto_start = 844,         /* ospf_proto_start  */
  YYSYMBOL_ospf_proto = 845,               /* ospf_proto  */
  YYSYMBOL_ospf_af_mc = 846,               /* ospf_af_mc  */
  YYSYMBOL_ospf_channel_start = 847,       /* ospf_channel_start  */
  YYSYMBOL_ospf_channel = 848,             /* ospf_channel  */
  YYSYMBOL_ospf_proto_item = 849,          /* ospf_proto_item  */
  YYSYMBOL_ospf_area_start = 850,          /* ospf_area_start  */
  YYSYMBOL_ospf_area = 851,                /* ospf_area  */
  YYSYMBOL_ospf_area_opts = 852,           /* ospf_area_opts  */
  YYSYMBOL_ospf_area_item = 853,           /* ospf_area_item  */
  YYSYMBOL_854_5 = 854,                    /* $@5  */
  YYSYMBOL_855_6 = 855,                    /* $@6  */
  YYSYMBOL_ospf_stubnet = 856,             /* ospf_stubnet  */
  YYSYMBOL_ospf_stubnet_start = 857,       /* ospf_stubnet_start  */
  YYSYMBOL_ospf_stubnet_opts = 858,        /* ospf_stubnet_opts  */
  YYSYMBOL_ospf_stubnet_item = 859,        /* ospf_stubnet_item  */
  YYSYMBOL_ospf_vlink = 860,               /* ospf_vlink  */
  YYSYMBOL_ospf_vlink_opts = 861,          /* ospf_vlink_opts  */
  YYSYMBOL_ospf_vlink_item = 862,          /* ospf_vlink_item  */
  YYSYMBOL_ospf_vlink_start = 863,         /* ospf_vlink_start  */
  YYSYMBOL_ospf_iface_item = 864,          /* ospf_iface_item  */
  YYSYMBOL_pref_list = 865,                /* pref_list  */
  YYSYMBOL_pref_item = 866,                /* pref_item  */
  YYSYMBOL_pref_base = 867,                /* pref_base  */
  YYSYMBOL_pref_opt = 868,                 /* pref_opt  */
  YYSYMBOL_nbma_list = 869,                /* nbma_list  */
  YYSYMBOL_nbma_eligible = 870,            /* nbma_eligible  */
  YYSYMBOL_nbma_item = 871,                /* nbma_item  */
  YYSYMBOL_ospf_iface_start = 872,         /* ospf_iface_start  */
  YYSYMBOL_ospf_instance_id = 873,         /* ospf_instance_id  */
  YYSYMBOL_ospf_iface_patt_list = 874,     /* ospf_iface_patt_list  */
  YYSYMBOL_875_7 = 875,                    /* $@7  */
  YYSYMBOL_ospf_iface_opts = 876,          /* ospf_iface_opts  */
  YYSYMBOL_ospf_iface_opt_list = 877,      /* ospf_iface_opt_list  */
  YYSYMBOL_ospf_iface = 878,               /* ospf_iface  */
  YYSYMBOL_cmd_SHOW_OSPF = 879,            /* cmd_SHOW_OSPF  */
  YYSYMBOL_cmd_SHOW_OSPF_NEIGHBORS = 880,  /* cmd_SHOW_OSPF_NEIGHBORS  */
  YYSYMBOL_cmd_SHOW_OSPF_INTERFACE = 881,  /* cmd_SHOW_OSPF_INTERFACE  */
  YYSYMBOL_cmd_SHOW_OSPF_TOPOLOGY = 882,   /* cmd_SHOW_OSPF_TOPOLOGY  */
  YYSYMBOL_cmd_SHOW_OSPF_TOPOLOGY_ALL = 883, /* cmd_SHOW_OSPF_TOPOLOGY_ALL  */
  YYSYMBOL_cmd_SHOW_OSPF_STATE = 884,      /* cmd_SHOW_OSPF_STATE  */
  YYSYMBOL_cmd_SHOW_OSPF_STATE_ALL = 885,  /* cmd_SHOW_OSPF_STATE_ALL  */
  YYSYMBOL_cmd_SHOW_OSPF_LSADB = 886,      /* cmd_SHOW_OSPF_LSADB  */
  YYSYMBOL_lsadb_args = 887,               /* lsadb_args  */
  YYSYMBOL_perf_proto_start = 888,         /* perf_proto_start  */
  YYSYMBOL_perf_proto = 889,               /* perf_proto  */
  YYSYMBOL_perf_proto_item = 890,          /* perf_proto_item  */
  YYSYMBOL_pipe_proto_start = 891,         /* pipe_proto_start  */
  YYSYMBOL_892_8 = 892,                    /* $@8  */
  YYSYMBOL_pipe_proto = 893,               /* pipe_proto  */
  YYSYMBOL_radv_proto_start = 894,         /* radv_proto_start  */
  YYSYMBOL_radv_proto_item = 895,          /* radv_proto_item  */
  YYSYMBOL_896_9 = 896,                    /* $@9  */
  YYSYMBOL_897_10 = 897,                   /* $@10  */
  YYSYMBOL_radv_proto_opts = 898,          /* radv_proto_opts  */
  YYSYMBOL_radv_proto = 899,               /* radv_proto  */
  YYSYMBOL_radv_iface_start = 900,         /* radv_iface_start  */
  YYSYMBOL_radv_iface_item = 901,          /* radv_iface_item  */
  YYSYMBOL_902_11 = 902,                   /* $@11  */
  YYSYMBOL_903_12 = 903,                   /* $@12  */
  YYSYMBOL_radv_preference = 904,          /* radv_preference  */
  YYSYMBOL_radv_iface_finish = 905,        /* radv_iface_finish  */
  YYSYMBOL_radv_iface_opts = 906,          /* radv_iface_opts  */
  YYSYMBOL_radv_iface_opt_list = 907,      /* radv_iface_opt_list  */
  YYSYMBOL_radv_iface = 908,               /* radv_iface  */
  YYSYMBOL_radv_prefix_start = 909,        /* radv_prefix_start  */
  YYSYMBOL_radv_prefix_item = 910,         /* radv_prefix_item  */
  YYSYMBOL_radv_prefix_finish = 911,       /* radv_prefix_finish  */
  YYSYMBOL_radv_prefix_opts = 912,         /* radv_prefix_opts  */
  YYSYMBOL_radv_prefix_opt_list = 913,     /* radv_prefix_opt_list  */
  YYSYMBOL_radv_prefix = 914,              /* radv_prefix  */
  YYSYMBOL_radv_rdnss_node = 915,          /* radv_rdnss_node  */
  YYSYMBOL_radv_rdnss_start = 916,         /* radv_rdnss_start  */
  YYSYMBOL_radv_rdnss_item = 917,          /* radv_rdnss_item  */
  YYSYMBOL_radv_rdnss_finish = 918,        /* radv_rdnss_finish  */
  YYSYMBOL_radv_rdnss_opts = 919,          /* radv_rdnss_opts  */
  YYSYMBOL_radv_rdnss = 920,               /* radv_rdnss  */
  YYSYMBOL_radv_dnssl_node = 921,          /* radv_dnssl_node  */
  YYSYMBOL_radv_dnssl_start = 922,         /* radv_dnssl_start  */
  YYSYMBOL_radv_dnssl_item = 923,          /* radv_dnssl_item  */
  YYSYMBOL_radv_dnssl_finish = 924,        /* radv_dnssl_finish  */
  YYSYMBOL_radv_dnssl_opts = 925,          /* radv_dnssl_opts  */
  YYSYMBOL_radv_dnssl = 926,               /* radv_dnssl  */
  YYSYMBOL_radv_mult = 927,                /* radv_mult  */
  YYSYMBOL_radv_sensitive = 928,           /* radv_sensitive  */
  YYSYMBOL_rip_variant = 929,              /* rip_variant  */
  YYSYMBOL_rip_proto_start = 930,          /* rip_proto_start  */
  YYSYMBOL_rip_proto_item = 931,           /* rip_proto_item  */
  YYSYMBOL_rip_proto_opts = 932,           /* rip_proto_opts  */
  YYSYMBOL_rip_proto = 933,                /* rip_proto  */
  YYSYMBOL_rip_iface_start = 934,          /* rip_iface_start  */
  YYSYMBOL_rip_iface_finish = 935,         /* rip_iface_finish  */
  YYSYMBOL_rip_iface_item = 936,           /* rip_iface_item  */
  YYSYMBOL_rip_auth = 937,                 /* rip_auth  */
  YYSYMBOL_rip_iface_opts = 938,           /* rip_iface_opts  */
  YYSYMBOL_rip_iface_opt_list = 939,       /* rip_iface_opt_list  */
  YYSYMBOL_rip_iface = 940,                /* rip_iface  */
  YYSYMBOL_cmd_SHOW_RIP_INTERFACES = 941,  /* cmd_SHOW_RIP_INTERFACES  */
  YYSYMBOL_cmd_SHOW_RIP_NEIGHBORS = 942,   /* cmd_SHOW_RIP_NEIGHBORS  */
  YYSYMBOL_rpki_proto_start = 943,         /* rpki_proto_start  */
  YYSYMBOL_rpki_proto = 944,               /* rpki_proto  */
  YYSYMBOL_rpki_proto_opts = 945,          /* rpki_proto_opts  */
  YYSYMBOL_rpki_proto_item = 946,          /* rpki_proto_item  */
  YYSYMBOL_rpki_keep_interval = 947,       /* rpki_keep_interval  */
  YYSYMBOL_rpki_proto_item_port = 948,     /* rpki_proto_item_port  */
  YYSYMBOL_rpki_cache_addr = 949,          /* rpki_cache_addr  */
  YYSYMBOL_rpki_transport = 950,           /* rpki_transport  */
  YYSYMBOL_rpki_transport_tcp_init = 951,  /* rpki_transport_tcp_init  */
  YYSYMBOL_rpki_transport_ssh_init = 952,  /* rpki_transport_ssh_init  */
  YYSYMBOL_rpki_transport_ssh_opts = 953,  /* rpki_transport_ssh_opts  */
  YYSYMBOL_rpki_transport_ssh_item = 954,  /* rpki_transport_ssh_item  */
  YYSYMBOL_rpki_transport_ssh_check = 955, /* rpki_transport_ssh_check  */
  YYSYMBOL_static_proto_start = 956,       /* static_proto_start  */
  YYSYMBOL_static_proto = 957,             /* static_proto  */
  YYSYMBOL_stat_nexthop = 958,             /* stat_nexthop  */
  YYSYMBOL_stat_nexthops = 959,            /* stat_nexthops  */
  YYSYMBOL_stat_route0 = 960,              /* stat_route0  */
  YYSYMBOL_stat_route = 961,               /* stat_route  */
  YYSYMBOL_stat_route_item = 962,          /* stat_route_item  */
  YYSYMBOL_stat_route_opts = 963,          /* stat_route_opts  */
  YYSYMBOL_stat_route_opt_list = 964,      /* stat_route_opt_list  */
  YYSYMBOL_cmd_SHOW_STATIC = 965,          /* cmd_SHOW_STATIC  */
  YYSYMBOL_kern_proto = 966,               /* kern_proto  */
  YYSYMBOL_kern_sys_item = 967,            /* kern_sys_item  */
  YYSYMBOL_log_begin = 968,                /* log_begin  */
  YYSYMBOL_log_config = 969,               /* log_config  */
  YYSYMBOL_syslog_name = 970,              /* syslog_name  */
  YYSYMBOL_log_limit = 971,                /* log_limit  */
  YYSYMBOL_log_file = 972,                 /* log_file  */
  YYSYMBOL_log_mask = 973,                 /* log_mask  */
  YYSYMBOL_log_mask_list = 974,            /* log_mask_list  */
  YYSYMBOL_log_cat = 975,                  /* log_cat  */
  YYSYMBOL_mrtdump_base = 976,             /* mrtdump_base  */
  YYSYMBOL_debug_unix = 977,               /* debug_unix  */
  YYSYMBOL_cmd_CONFIGURE = 978,            /* cmd_CONFIGURE  */
  YYSYMBOL_cmd_CONFIGURE_SOFT = 979,       /* cmd_CONFIGURE_SOFT  */
  YYSYMBOL_cmd_CONFIGURE_CONFIRM = 980,    /* cmd_CONFIGURE_CONFIRM  */
  YYSYMBOL_cmd_CONFIGURE_UNDO = 981,       /* cmd_CONFIGURE_UNDO  */
  YYSYMBOL_cmd_CONFIGURE_STATUS = 982,     /* cmd_CONFIGURE_STATUS  */
  YYSYMBOL_cmd_CONFIGURE_CHECK = 983,      /* cmd_CONFIGURE_CHECK  */
  YYSYMBOL_cmd_DOWN = 984,                 /* cmd_DOWN  */
  YYSYMBOL_cmd_GRACEFUL_RESTART = 985,     /* cmd_GRACEFUL_RESTART  */
  YYSYMBOL_cfg_name = 986,                 /* cfg_name  */
  YYSYMBOL_cfg_timeout = 987,              /* cfg_timeout  */
  YYSYMBOL_kern_proto_start = 988,         /* kern_proto_start  */
  YYSYMBOL_kern_mp_limit = 989,            /* kern_mp_limit  */
  YYSYMBOL_kern_item = 990,                /* kern_item  */
  YYSYMBOL_kif_proto_start = 991,          /* kif_proto_start  */
  YYSYMBOL_kif_proto = 992,                /* kif_proto  */
  YYSYMBOL_kif_item = 993,                 /* kif_item  */
  YYSYMBOL_kif_iface_start = 994,          /* kif_iface_start  */
  YYSYMBOL_kif_iface_item = 995,           /* kif_iface_item  */
  YYSYMBOL_kif_iface_opts = 996,           /* kif_iface_opts  */
  YYSYMBOL_kif_iface_opt_list = 997,       /* kif_iface_opt_list  */
  YYSYMBOL_kif_iface = 998                 /* kif_iface  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  79
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   6060

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  571
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  428
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1458
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  2679

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   804


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    38,     2,     2,     2,    37,     2,     2,
      53,    54,    35,    33,    78,    34,    39,    36,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   157,    52,
      29,    28,    30,   160,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   158,     2,   159,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    79,     2,    80,    31,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    32,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   136,   136,   137,   140,   142,   145,   150,   153,   161,
     162,   163,   169,   170,   171,   174,   174,   179,   180,   181,
     182,   183,   184,   191,   192,   193,   200,   201,   208,   214,
     224,   237,   256,   262,   268,   276,   284,   290,   290,   291,
     291,   292,   292,   295,   296,   297,   298,   299,   300,   307,
     308,   316,   317,   325,   326,   334,   335,   343,   344,   345,
     346,   347,   357,   365,   366,   375,   383,   384,   391,   392,
      37,    38,    39,    40,    41,    42,    43,    44,    48,    49,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      65,    66,    67,    70,    71,    75,    79,    83,    84,    88,
      92,   101,   102,   106,   110,   114,   121,   122,   126,   127,
     128,   129,   133,   136,   139,   145,   149,   150,   151,   155,
     159,   165,   166,   167,   170,   172,   175,   177,   181,   188,
     189,   191,   197,   203,   203,     9,     9,    10,    10,    11,
      11,   317,   319,   319,   329,   331,   334,   335,   339,   341,
     352,   354,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   405,   407,
     414,   415,   422,   423,   429,   432,   436,   444,   451,   457,
     459,   459,   472,   473,   476,   484,   485,   499,   502,   511,
     512,   525,   526,   527,   528,   529,   533,   541,   542,   543,
     544,   548,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   565,   566,   567,   568,   572,   573,   574,   578,
     579,   580,   581,   582,   583,   584,   585,   590,   591,   592,
     593,   594,   598,   599,   600,   601,   602,   606,   607,   611,
     612,   616,   617,   618,   619,   627,   628,   631,   632,   640,
     650,   651,   655,   659,   660,   661,   665,   666,   667,   668,
     669,   673,   674,   675,   676,   677,   678,   679,   680,   685,
     686,   690,   691,   692,   693,   698,   699,   700,   703,   727,
     746,   747,   748,   749,   750,   751,   752,   753,   754,   755,
     756,   760,   761,   762,   763,   764,   765,   766,   767,   768,
     769,   770,   771,   772,   773,   774,   775,   776,   778,   779,
     780,   782,   784,   786,   788,   789,   790,   791,   792,   793,
     794,   795,   796,   797,   798,   799,   800,   801,   802,   803,
     804,   805,   815,   816,   817,   818,   819,   820,   821,   822,
     824,   825,   827,   831,   835,   836,   837,   840,   841,   842,
     851,   854,   857,   869,   873,   876,   881,   884,   887,   898,
     902,   905,   906,   910,   911,   912,   913,   914,   915,   916,
     920,   925,   926,   927,   928,   159,   162,   163,   167,   168,
     169,   170,   180,   182,   184,   186,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   209,   211,   213,   218,
     220,   224,   225,   230,   231,   232,   233,   236,   238,   241,
     243,   249,   252,   253,   257,   263,   267,   277,   287,   289,
     290,   291,   292,   293,   294,   295,   299,   305,   310,   311,
     312,   313,   314,   315,   316,   317,   322,   323,   326,   328,
     331,   333,   337,   344,   347,   350,   351,   352,   353,   357,
     358,   359,   360,   361,   365,   366,   370,   373,   374,   375,
     380,   383,   384,   385,   386,   390,   391,   392,   393,   394,
     395,   396,   397,   401,   408,   416,   417,   421,   422,   426,
     431,   432,   436,   438,   446,   450,   451,   456,   458,   465,
     466,   467,   468,   469,   473,   481,   487,   488,   489,   493,
     494,   498,   499,   500,   501,   502,   503,   509,   510,   511,
     515,   516,   520,   521,   527,   531,   532,   535,   537,   541,
     542,   545,   545,   548,   549,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   582,   590,
     591,   592,   593,   594,   595,   596,   599,   601,   605,   611,
     611,   614,   614,   617,   617,   620,   620,   624,   625,   628,
     628,   631,   631,   635,   635,   639,   645,   651,   657,   664,
     670,   677,   682,   687,   692,   697,   701,   705,   709,   719,
     726,   735,   739,   746,   750,   751,   752,   753,   757,   761,
     765,   779,   780,   781,   782,   785,   786,   787,   788,   793,
     794,   795,   796,   797,   798,   799,   800,   801,   802,   803,
     804,   805,   806,   807,   808,   809,   810,   811,   812,   816,
     826,   826,   830,   833,   834,   835,   836,   837,   838,   843,
     843,   845,   845,   847,   847,   849,   849,   851,   851,   853,
     853,   855,   855,   857,   857,   859,   859,   862,   862,   866,
     866,   872,   873,   874,   878,   879,   885,   885,   887,   887,
     889,   889,   891,   891,   893,   893,   895,   895,   899,   899,
     903,   904,   908,   908,   911,   911,   915,   916,   917,   921,
     922,   923,   926,    35,    37,    47,    48,    49,    50,    51,
      52,    55,    57,    61,    65,    66,    67,    68,    72,    76,
      80,    94,   114,   115,   116,   117,   118,   119,   120,   121,
     125,   126,   127,   128,   129,   130,   133,   135,   138,   140,
     144,   147,   152,   153,   154,   158,   159,   163,   164,   167,
     186,   186,    32,    34,    42,    43,    44,    45,    48,    50,
      54,    58,    74,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   152,   154,   157,   159,   164,   166,   170,   170,
     173,   173,   176,   176,   179,   179,    47,    49,    80,    82,
      83,    86,    88,    89,    90,    91,    96,    97,   101,   102,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   118,
     119,   120,   121,   122,   126,   127,   133,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   198,   198,   199,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   217,   243,   244,
     245,   247,   247,   247,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   287,   299,   301,
     304,   306,   310,   317,   320,   322,   324,   326,   328,   330,
     332,   334,   336,   338,   340,   342,   344,    26,    28,    34,
      35,    36,    37,    38,    39,    40,    41,    44,    46,    50,
      53,    53,    57,    58,    59,    60,    61,    62,   211,   214,
     215,   216,   219,   235,   236,   240,   241,   245,   254,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   274,   289,   292,   294,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   307,   308,
     308,   309,   310,   311,   315,   316,   320,   328,   330,   334,
     335,   336,   340,   341,   344,   346,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   362,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   422,   424,   427,
     429,   437,   439,   440,   443,   445,   449,   450,   453,   463,
     485,   487,   491,   491,   494,   496,   499,   501,   505,   508,
     509,   510,   511,   514,   514,   517,   517,   520,   520,   525,
     525,   528,   528,   533,   533,   536,   536,   540,   540,   549,
     552,   553,   554,   555,   556,   557,   558,   559,    24,    26,
      40,    41,    42,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    23,    26,    25,    40,    41,    42,    43,
      44,    46,    58,    59,    60,    61,    62,    62,    63,    63,
      64,    65,    68,    70,    74,    78,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   116,   120,   121,
     122,   123,   124,   125,   125,   126,   126,   127,   128,   132,
     133,   134,   137,   175,   177,   180,   182,   186,   189,   201,
     202,   203,   204,   208,   215,   223,   225,   228,   230,   234,
     238,   248,   253,   254,   255,   259,   271,   273,   277,   278,
     282,   295,   300,   301,   302,   306,   318,   320,   324,   325,
     330,   331,   335,   336,   339,   340,    46,    49,    50,    53,
      67,    68,    69,    70,    71,    72,    75,    77,    81,    85,
     110,   140,   141,   142,   143,   144,   145,   146,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   173,   174,
     175,   176,   179,   181,   184,   186,   190,   193,   194,   198,
     198,   201,   201,    41,    43,    50,    52,    54,    58,    59,
      60,    61,    62,    63,    64,    70,    76,    82,    86,    87,
      90,    93,    97,   108,   109,   113,   120,   130,   132,   136,
     137,   138,   142,    54,    56,    63,    64,    65,    66,    67,
      75,    79,    84,    89,    92,    95,    99,   105,   106,   109,
     121,   122,   126,   131,   132,   133,   134,   135,   136,   140,
     149,   151,   154,   156,   160,   160,    23,    26,    27,    28,
      31,    32,    33,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    62,    63,    31,    33,
      35,    42,    43,    46,    48,    52,    62,    63,    67,    68,
      72,    73,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    89,    92,    93,   104,   107,   108,   109,   110,   118,
     118,   121,   121,   128,   128,   131,   131,   134,   134,   137,
     137,   140,   140,   145,   145,   150,   151,   155,   156,   157,
      41,    43,    48,    49,    52,    53,    57,    58,    59,    60,
      64,    71,    72,    83,    85,    88,    89,    92,    93,    94,
     101,   108,   111,   113,   116,   118,   122,   125,   126
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "QUIT", "EXIT", "HELP",
  "END", "CLI_MARKER", "INVALID_TOKEN", "ELSECOL", "DDOT", "GEQ", "LEQ",
  "NEQ", "AND", "OR", "PO", "PC", "NUM", "ENUM", "IP4", "IP6", "VPN_RD",
  "CF_SYM_KNOWN", "CF_SYM_UNDEFINED", "TEXT", "BYTESTRING", "PREFIX_DUMMY",
  "'='", "'<'", "'>'", "'~'", "NMA", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'!'", "'.'", "DEFINE", "ON", "OFF", "YES", "NO", "S", "MS", "US",
  "PORT", "VPN", "MPLS", "FROM", "';'", "'('", "')'", "FLOW4", "FLOW6",
  "DST", "SRC", "PROTO", "NEXT", "HEADER", "DPORT", "SPORT", "ICMP",
  "TYPE", "CODE", "TCP", "FLAGS", "LENGTH", "DSCP", "DONT_FRAGMENT",
  "IS_FRAGMENT", "FIRST_FRAGMENT", "LAST_FRAGMENT", "FRAGMENT", "LABEL",
  "OFFSET", "','", "'{'", "'}'", "FUNCTION", "PRINT", "PRINTN", "UNSET",
  "RETURN", "ACCEPT", "REJECT", "ERROR", "INT", "BOOL", "IP", "PREFIX",
  "RD", "PAIR", "QUAD", "EC", "LC", "SET", "STRING", "BGPMASK", "BGPPATH",
  "CLIST", "ECLIST", "LCLIST", "IF", "THEN", "ELSE", "CASE", "TRUE",
  "FALSE", "RT", "RO", "UNKNOWN", "GENERIC", "GW", "NET", "MASK", "SOURCE",
  "SCOPE", "DEST", "IFNAME", "IFINDEX", "WEIGHT", "GW_MPLS", "PREFERENCE",
  "ROA_CHECK", "ASN", "IS_V4", "IS_V6", "LEN", "MAXLEN", "DATA", "DATA1",
  "DATA2", "DEFINED", "ADD", "DELETE", "CONTAINS", "RESET", "PREPEND",
  "FIRST", "LAST", "LAST_NONAGGREGATED", "MATCH", "MIN", "MAX", "EMPTY",
  "FILTER", "WHERE", "EVAL", "ATTRIBUTE", "BT_ASSERT", "BT_TEST_SUITE",
  "BT_CHECK_ASSIGN", "BT_TEST_SAME", "FORMAT", "':'", "'['", "']'", "'?'",
  "ROUTER", "ID", "HOSTNAME", "PROTOCOL", "TEMPLATE", "DISABLED", "DEBUG",
  "ALL", "DIRECT", "INTERFACE", "IMPORT", "EXPORT", "NONE", "VRF",
  "DEFAULT", "TABLE", "STATES", "ROUTES", "FILTERS", "IPV4", "IPV6",
  "VPN4", "VPN6", "ROA4", "ROA6", "SADR", "RECEIVE", "LIMIT", "ACTION",
  "WARN", "BLOCK", "RESTART", "DISABLE", "KEEP", "FILTERED", "RPKI",
  "PASSWORD", "KEY", "PASSIVE", "TO", "EVENTS", "PACKETS", "PROTOCOLS",
  "CHANNELS", "INTERFACES", "ALGORITHM", "KEYED", "HMAC", "MD5", "SHA1",
  "SHA256", "SHA384", "SHA512", "BLAKE2S128", "BLAKE2S256", "BLAKE2B256",
  "BLAKE2B512", "PRIMARY", "STATS", "COUNT", "BY", "FOR", "IN", "COMMANDS",
  "PREEXPORT", "NOEXPORT", "EXPORTED", "GENERATE", "BGP", "PASSWORDS",
  "DESCRIPTION", "RELOAD", "OUT", "MRTDUMP", "MESSAGES", "RESTRICT",
  "MEMORY", "IGP_METRIC", "CLASS", "TIMEFORMAT", "ISO", "SHORT", "LONG",
  "ROUTE", "BASE", "LOG", "GRACEFUL", "WAIT", "FLUSH", "AS", "IDLE", "RX",
  "TX", "INTERVAL", "MULTIPLIER", "CHECK", "LINK", "SORTED", "TRIE",
  "SETTLE", "TIME", "GC", "THRESHOLD", "PERIOD", "IPV4_MC", "IPV4_MPLS",
  "IPV6_MC", "IPV6_MPLS", "IPV6_SADR", "VPN4_MC", "VPN4_MPLS", "VPN6_MC",
  "VPN6_MPLS", "PRI", "SEC", "SHOW", "STATUS", "SUMMARY", "SYMBOLS",
  "DUMP", "RESOURCES", "SOCKETS", "NEIGHBORS", "ATTRIBUTES", "ECHO",
  "ENABLE", "BABEL", "METRIC", "RXCOST", "HELLO", "UPDATE", "WIRED",
  "WIRELESS", "BUFFER", "PRIORITY", "HOP", "BABEL_METRIC", "ENTRIES",
  "RANDOMIZE", "MAC", "PERMISSIVE", "BFD", "MULTIHOP", "NEIGHBOR", "DEV",
  "LOCAL", "AUTHENTICATION", "SIMPLE", "METICULOUS", "STRICT", "BIND",
  "SESSIONS", "HOLD", "CONNECT", "RETRY", "KEEPALIVE", "STARTUP", "VIA",
  "SELF", "PATH", "START", "DELAY", "FORGET", "AFTER", "BGP_PATH",
  "BGP_LOCAL_PREF", "BGP_MED", "BGP_ORIGIN", "BGP_NEXT_HOP",
  "BGP_ATOMIC_AGGR", "BGP_AGGREGATOR", "BGP_COMMUNITY",
  "BGP_EXT_COMMUNITY", "BGP_LARGE_COMMUNITY", "ADDRESS", "RR", "RS",
  "CLIENT", "CLUSTER", "AS4", "ADVERTISE", "CAPABILITIES", "PREFER",
  "OLDER", "MISSING", "LLADDR", "DROP", "IGNORE", "REFRESH", "INTERPRET",
  "COMMUNITIES", "BGP_ORIGINATOR_ID", "BGP_CLUSTER_LIST", "IGP", "GATEWAY",
  "RECURSIVE", "MED", "TTL", "SECURITY", "DETERMINISTIC", "SECONDARY",
  "ALLOW", "PATHS", "AWARE", "EXTENDED", "SETKEY", "CONFEDERATION",
  "MEMBER", "MULTICAST", "LIVED", "STALE", "IBGP", "EBGP", "MANDATORY",
  "INTERNAL", "EXTERNAL", "SETS", "DYNAMIC", "RANGE", "NAME", "DIGITS",
  "BGP_AIGP", "AIGP", "ORIGINATE", "COST", "ENFORCE", "FREE", "VALIDATE",
  "CEASE", "HIT", "ADMINISTRATIVE", "SHUTDOWN", "PEER", "CONFIGURATION",
  "CHANGE", "DECONFIGURED", "CONNECTION", "REJECTED", "COLLISION", "OF",
  "MRT", "FILENAME", "ALWAYS", "OSPF", "V2", "V3", "OSPF_METRIC1",
  "OSPF_METRIC2", "OSPF_TAG", "OSPF_ROUTER_ID", "AREA", "RFC1583COMPAT",
  "STUB", "TICK", "COST2", "RETRANSMIT", "TRANSMIT", "DEAD", "BROADCAST",
  "BCAST", "NONBROADCAST", "NBMA", "POINTOPOINT", "PTP",
  "POINTOMULTIPOINT", "PTMP", "CRYPTOGRAPHIC", "ELIGIBLE", "POLL",
  "NETWORKS", "HIDDEN", "VIRTUAL", "ONLY", "LARGE", "NORMAL", "STUBNET",
  "TAG", "LSADB", "ECMP", "NSSA", "TRANSLATOR", "STABILITY", "GLOBAL",
  "LSID", "INSTANCE", "REAL", "NETMASK", "MERGE", "LSA", "SUPPRESSION",
  "RFC5838", "PE", "TOPOLOGY", "STATE", "PERF", "EXP", "REPEAT", "MODE",
  "PIPE", "RADV", "RA", "SOLICITED", "UNICAST", "MANAGED", "OTHER",
  "CONFIG", "LINGER", "MTU", "REACHABLE", "RETRANS", "TIMER", "CURRENT",
  "VALID", "PREFERRED", "MULT", "LIFETIME", "SKIP", "ONLINK", "AUTONOMOUS",
  "RDNSS", "DNSSL", "NS", "DOMAIN", "TRIGGER", "SENSITIVE", "LOW",
  "MEDIUM", "HIGH", "PROPAGATE", "RA_PREFERENCE", "RA_LIFETIME", "RIP",
  "NG", "INFINITY", "TIMEOUT", "GARBAGE", "VERSION", "SPLIT", "HORIZON",
  "POISON", "REVERSE", "ZERO", "PLAINTEXT", "DEMAND", "CIRCUIT",
  "RIP_METRIC", "RIP_TAG", "REMOTE", "BIRD", "PRIVATE", "PUBLIC", "SSH",
  "TRANSPORT", "USER", "EXPIRE", "STATIC", "PROHIBIT", "BLACKHOLE",
  "UNREACHABLE", "KERNEL", "NETLINK", "KRT_PREFSRC", "KRT_REALM",
  "KRT_SCOPE", "KRT_MTU", "KRT_WINDOW", "KRT_RTT", "KRT_RTTVAR",
  "KRT_SSTRESH", "KRT_CWND", "KRT_ADVMSS", "KRT_REORDERING",
  "KRT_HOPLIMIT", "KRT_INITCWND", "KRT_RTO_MIN", "KRT_INITRWND",
  "KRT_QUICKACK", "KRT_LOCK_MTU", "KRT_LOCK_WINDOW", "KRT_LOCK_RTT",
  "KRT_LOCK_RTTVAR", "KRT_LOCK_SSTRESH", "KRT_LOCK_CWND",
  "KRT_LOCK_ADVMSS", "KRT_LOCK_REORDERING", "KRT_LOCK_HOPLIMIT",
  "KRT_LOCK_RTO_MIN", "KRT_FEATURE_ECN", "KRT_FEATURE_ALLFRAG", "SYSLOG",
  "TRACE", "INFO", "WARNING", "AUTH", "FATAL", "BUG", "STDERR", "SOFT",
  "CONFIRM", "UNDO", "LATENCY", "WATCHDOG", "CONFIGURE", "DOWN", "PERSIST",
  "SCAN", "LEARN", "DEVICE", "KRT_SOURCE", "KRT_METRIC", "$accept",
  "cli_cmd", "cmd_QUIT", "cmd_EXIT", "cmd_HELP", "config", "conf_entries",
  "conf", "definition", "expr", "expr_us", "symbol", "bool", "ipa",
  "ipa_scope", "pxlen4", "net_ip4_", "net_ip6_", "net_ip6_sadr_",
  "net_vpn4_", "net_vpn6_", "net_roa4_", "net_roa6_", "net_mpls_",
  "net_ip_", "net_vpn_", "net_roa_", "net_", "net_ip4", "net_ip6",
  "net_ip", "net_any", "net_or_ipa", "label_stack_start", "label_stack",
  "time", "text", "opttext", "flow_num_op", "flow_logic_op",
  "flow_num_type_", "flow_num_type", "flow_flag_type", "flow_frag_type",
  "flow_srcdst", "flow_num_opts", "flow_num_opt_ext_expr",
  "flow_num_opt_ext", "flow_bmk_opts", "flow_neg", "flow_frag_val",
  "flow_frag_opts", "flow4_item", "flow6_item", "flow4_opts", "flow6_opts",
  "flow_builder_init", "flow_builder_set_ipv4", "flow_builder_set_ipv6",
  "net_flow4_", "net_flow6_", "net_flow_", "filter_def", "$@1",
  "filter_eval", "custom_attr", "bt_test_suite", "bt_test_same", "type",
  "function_argsn", "function_args", "function_vars", "filter_body",
  "filter", "where_filter", "function_body", "function_def", "$@2", "cmds",
  "cmd_prep", "cmds_int", "block", "fipa", "set_atom", "switch_atom",
  "cnum", "pair_item", "ec_kind", "ec_item", "lc_item", "set_item",
  "switch_item", "set_items", "switch_items", "fprefix", "fprefix_set",
  "switch_body", "bgp_path_expr", "bgp_path", "bgp_path_tail", "constant",
  "constructor", "var_list", "function_call", "symbol_value",
  "static_attr", "term", "break_command", "print_list", "cmd",
  "get_cf_position", "lvalue", "rtrid", "idval", "hostname_override",
  "gr_opts", "net_type", "table", "table_start", "table_sorted",
  "table_opt", "table_opts", "table_opt_list", "proto_start", "proto_name",
  "proto_item", "channel_start", "channel_item_", "channel_item",
  "channel_opts", "channel_opt_list", "channel_end", "proto_channel",
  "rtable", "imexport", "limit_action", "limit_spec", "debug_default",
  "timeformat_which", "timeformat_spec", "timeformat_base",
  "iface_patt_node_init", "iface_patt_node_body", "iface_negate",
  "iface_patt_node", "iface_patt_list", "iface_patt_list_nopx",
  "iface_patt_init", "iface_patt", "tos", "proto", "dev_proto_start",
  "dev_proto", "dev_iface_init", "dev_iface_patt", "debug_mask",
  "debug_list", "debug_flag", "mrtdump_mask", "mrtdump_list",
  "mrtdump_flag", "password_list", "password_list_body", "password_items",
  "password_item", "pass_key", "password_item_begin",
  "password_item_params", "password_algorithm", "password_item_end",
  "bfd_item", "bfd_items", "bfd_opts", "cmd_SHOW_STATUS",
  "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS", "cmd_SHOW_PROTOCOLS_ALL",
  "optproto", "cmd_SHOW_INTERFACES", "cmd_SHOW_INTERFACES_SUMMARY",
  "cmd_SHOW_ROUTE", "r_args", "r_args_for", "r_args_for_val",
  "export_mode", "channel_sym", "channel_arg", "cmd_SHOW_SYMBOLS",
  "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS", "cmd_DUMP_EVENTS",
  "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS", "cmd_DUMP_ATTRIBUTES",
  "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS", "cmd_DUMP_FILTER_ALL",
  "cmd_EVAL", "cmd_ECHO", "echo_mask", "echo_size", "cmd_DISABLE",
  "cmd_ENABLE", "cmd_RESTART", "cmd_RELOAD", "cmd_RELOAD_IN",
  "cmd_RELOAD_OUT", "cmd_DEBUG", "debug_args", "cmd_MRTDUMP",
  "cmd_RESTRICT", "proto_patt", "proto_patt2", "dynamic_attr",
  "babel_proto_start", "babel_proto_item", "babel_proto_opts",
  "babel_proto", "babel_iface_start", "babel_iface_finish",
  "babel_iface_item", "babel_iface_opts", "babel_iface_opt_list",
  "babel_iface", "cmd_SHOW_BABEL_INTERFACES", "cmd_SHOW_BABEL_NEIGHBORS",
  "cmd_SHOW_BABEL_ENTRIES", "cmd_SHOW_BABEL_ROUTES", "bfd_proto_start",
  "bfd_proto_item", "bfd_proto_opts", "bfd_proto", "bfd_accept_item",
  "bfd_accept", "bfd_iface_start", "bfd_iface_finish", "bfd_iface_item",
  "bfd_auth_type", "bfd_iface_opts", "bfd_iface_opt_list", "bfd_iface",
  "bfd_multihop", "bfd_neigh_iface", "bfd_neigh_local",
  "bfd_neigh_multihop", "bfd_neighbor", "cmd_SHOW_BFD_SESSIONS",
  "bgp_proto_start", "bgp_loc_opts", "bgp_nbr_opts", "bgp_cease_mask",
  "bgp_cease_list", "bgp_cease_flag", "bgp_proto", "$@3", "$@4", "bgp_afi",
  "bgp_channel_start", "bgp_nh", "bgp_lladdr", "bgp_channel_item",
  "bgp_channel_opts", "bgp_channel_opt_list", "bgp_channel_end",
  "bgp_proto_channel", "mrt_proto_start", "mrt_proto_item",
  "mrt_proto_opts", "mrt_proto", "cmd_MRT_DUMP", "mrt_dump_args",
  "ospf_variant", "ospf_proto_start", "ospf_proto", "ospf_af_mc",
  "ospf_channel_start", "ospf_channel", "ospf_proto_item",
  "ospf_area_start", "ospf_area", "ospf_area_opts", "ospf_area_item",
  "$@5", "$@6", "ospf_stubnet", "ospf_stubnet_start", "ospf_stubnet_opts",
  "ospf_stubnet_item", "ospf_vlink", "ospf_vlink_opts", "ospf_vlink_item",
  "ospf_vlink_start", "ospf_iface_item", "pref_list", "pref_item",
  "pref_base", "pref_opt", "nbma_list", "nbma_eligible", "nbma_item",
  "ospf_iface_start", "ospf_instance_id", "ospf_iface_patt_list", "$@7",
  "ospf_iface_opts", "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "perf_proto_start", "perf_proto", "perf_proto_item",
  "pipe_proto_start", "$@8", "pipe_proto", "radv_proto_start",
  "radv_proto_item", "$@9", "$@10", "radv_proto_opts", "radv_proto",
  "radv_iface_start", "radv_iface_item", "$@11", "$@12", "radv_preference",
  "radv_iface_finish", "radv_iface_opts", "radv_iface_opt_list",
  "radv_iface", "radv_prefix_start", "radv_prefix_item",
  "radv_prefix_finish", "radv_prefix_opts", "radv_prefix_opt_list",
  "radv_prefix", "radv_rdnss_node", "radv_rdnss_start", "radv_rdnss_item",
  "radv_rdnss_finish", "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node",
  "radv_dnssl_start", "radv_dnssl_item", "radv_dnssl_finish",
  "radv_dnssl_opts", "radv_dnssl", "radv_mult", "radv_sensitive",
  "rip_variant", "rip_proto_start", "rip_proto_item", "rip_proto_opts",
  "rip_proto", "rip_iface_start", "rip_iface_finish", "rip_iface_item",
  "rip_auth", "rip_iface_opts", "rip_iface_opt_list", "rip_iface",
  "cmd_SHOW_RIP_INTERFACES", "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start",
  "rpki_proto", "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_route0", "stat_route",
  "stat_route_item", "stat_route_opts", "stat_route_opt_list",
  "cmd_SHOW_STATIC", "kern_proto", "kern_sys_item", "log_begin",
  "log_config", "syslog_name", "log_limit", "log_file", "log_mask",
  "log_mask_list", "log_cat", "mrtdump_base", "debug_unix",
  "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT", "cmd_CONFIGURE_CONFIRM",
  "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_STATUS", "cmd_CONFIGURE_CHECK",
  "cmd_DOWN", "cmd_GRACEFUL_RESTART", "cfg_name", "cfg_timeout",
  "kern_proto_start", "kern_mp_limit", "kern_item", "kif_proto_start",
  "kif_proto", "kif_item", "kif_iface_start", "kif_iface_item",
  "kif_iface_opts", "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-2190)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-872)

#define yytable_value_is_error(Yyn) \
  ((Yyn) == YYTABLE_NINF)

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     198,   245,   242,    90,   250,   466,   476,  4289,   174,   212,
     212,   584,   212,   496,    73,   557,  1334,   675,   212,   244,
      52,   543, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190,   716, -2190, -2190, -2190, -2190,   716,   716,  4289,  2068,
     516,   546,   465,   310, -2190, -2190,  -130, -2190,   454, -2190,
   -2190, -2190, -2190,   129,   585, -2190,   469,  -294, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,   502,
   -2190,   431,   540, -2190, -2190, -2190,  1038,  2217,  1038, -2190,
    1038, -2190,  1038,  5673,  1038, -2190,  1038,  1773,  1038,  1390,
     620,  1234,  1038, -2190,  1038, -2190,  1038, -2190,  1038,  1526,
     755, -2190, -2190, -2190,  1038,  1038,   -23, -2190, -2190, -2190,
    1374, -2190, -2190,   711,   734,   832,   736, -2190,   630,   115,
    4289,   814, -2190,  2561,   759,   768, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,   804,
     816,   847,   865,   872,   881,   890,  1576, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
     808,   819, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190,  4068, -2190,   923, -2190, -2190,   682,   981,   682,
   -2190,   955,   955,   212,   212,  1013,   688, -2190,  1025,   471,
     182,  1030, -2190,  1036, -2190,   772,   672,    30,   -16,   968,
     841,  1039,  1045,  1048,  1062,  1076,  1079,  1085,  1097, -2190,
     -46, -2190,  1077,   955, -2190, -2190,  1086,  1118,  1086,  1124,
    1139,   655, -2190, -2190, -2190,  1129, -2190, -2190,  4195, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190,   598,  1148,  1160,  1089, -2190, -2190,
    1144,   682,   682,   975,  1560, -2190,   688,  1158, -2190, -2190,
   -2190, -2190,   100,  1166,    99,  1022,   975,   975,   716, -2190,
    1143, -2190, -2190, -2190, -2190, -2190, -2190,   542, -2190, -2190,
   -2190,   781, -2190, -2190, -2190, -2190, -2190,  1254,  1237,  1216,
   -2190,  1136,  1676,   682, -2190,   150,   310,   688,  1053, -2190,
    1249,  1226,  1272,  1276,  1266,  1269,  1289, -2190, -2190, -2190,
     -55,  1002,  1299,  1351,   792,    42,    58,    61,    63,  1055,
     310,  1676,  1018,  1241,  1190,   -96,  1375,  1172,   186,  1258,
    1146,  1189,   404,  1194,  1154,  1181,  1152,   760,  1141,  1325,
    1676,  1150,  1176,  1204,  1211,  1142,  1179,   440,  1676,    97,
    1137,  1392,  1232,  1493, -2190,  1471,  1507,  1483,  1487,  1125,
   -2190,  1387,  1049,  1676,  1446,   975,  1676,  1438,  1238,  1676,
    1242, -2190,  1226, -2190,  1571,  1551, -2190,  1563, -2190,  1676,
    1031,  1625,   104,  1627,  1043,  1595, -2190,  1596, -2190, -2190,
     975,  1159,  1283,  1626,  1474,  1422,  1496,  1611,  1634,  1612,
    1616,  1617,  1618, -2190,  1003,  1441,  1525,  1651,  1652,    16,
    1645, -2190,  1513,   975,  1362,  1570,  1484,  1676,  1497,  1676,
   -2190, -2190,  1702,  1712,  1683,  1686, -2190, -2190,  1508, -2190,
    1715,  1236, -2190,  1374,  1374,  4289,  1778,  1374,  1374,  1751,
   -2190,  1755, -2190,  1756,   711,  1740, -2190, -2190,  4289,  1747,
     498,  1749,  1745, -2190, -2190, -2190,  1774, -2190,  1713,  3111,
   -2190, -2190,  1626,  4289,  4289,  4289,  4289,  4289,  4289, -2190,
   -2190,  1740, -2190, -2190,  2306, -2190, -2190,   853, -2190,  1783,
   -2190, -2190, -2190, -2190,   153, -2190,   413,  1776,  1784, -2190,
    4289,  4289,  4289,  4289,  4289,  4289,  4289,  4289,  4289,  4289,
    4289,  4289,  4289,  4289,  2930,  2009, -2190,  1164, -2190, -2190,
   -2190, -2190, -2190,  1798,  1799,  1800,  1803, -2190, -2190,    41,
   -2190,  1805, -2190, -2190, -2190,   978,  1807, -2190,  1808, -2190,
    5013, -2190,  1015,   968,   968,   968,   968,   968, -2190,   968,
     968, -2190,   111,   211,  1809,   968,   968,  1810,  1811, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190,  1075, -2190, -2190,  1812,
    1815,   766,  1818, -2190,   655, -2190, -2190,   975,  1819,  4289,
    1777, -2190, -2190,  1775,  1748,  1754, -2190, -2190, -2190, -2190,
    4289,  1781, -2190, -2190, -2190, -2190, -2190,  4289, -2190, -2190,
   -2190, -2190, -2190,   975, -2190, -2190,  1782, -2190,   975,   986,
   -2190,  1455, -2190,   975,   160,   975,  1140, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190,  1038, -2190, -2190,  1814, -2190,  1049,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190,  1676, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190,  1577,  1579,  1258, -2190,
    1789,   975,   975, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190,   -19,  1790,  1791,   -28,   363,  1676,  1495,  1676,  1610,
    1797,  1813,  1771, -2190,  1816, -2190, -2190, -2190,  1337,  1822,
     178,  1822,   235,  1676,   975,  1590,  1601,   975,  1602,  1676,
    1603,  1676,  1704,  1676,  1676,  1817,  1676,  1676,  1676,  1676,
    1676,  1676,  1518,  1620,  1676,  1820,  1676,  1821,    55,  1624,
    1676, -2190, -2190, -2190, -2190, -2190, -2190,  1676,   715, -2190,
   -2190,  1676, -2190,  1709,   975,  1676, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190,   975,   975, -2190,  1880,  1881, -2190,
   -2190, -2190, -2190, -2190, -2190,  1877,  4289, -2190, -2190,  1460,
    1707, -2190, -2190,  1460, -2190, -2190, -2190,  1460,  1676,  1626,
   -2190, -2190, -2190, -2190, -2190, -2190,   734,   832, -2190, -2190,
   -2190,  1676,  1626, -2190, -2190, -2190,  1540, -2190,  1258, -2190,
   -2190, -2190,     8,  1587, -2190,  1851,  1676, -2190,  1676,   975,
    1615, -2190,   975, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
     975, -2190,  1888, -2190, -2190, -2190,  2772, -2190, -2190,   421,
   -2190, -2190, -2190, -2190,  1859,  1893,   523,  4195, -2190,  1765,
    1884, -2190, -2190,  4289, -2190,  4289, -2190, -2190,   554,  3327,
    2916,  2946,  3268,  3298,  3687,  1836,   149,  1842,  3765, -2190,
   -2190,  1904,  1863,  1778, -2190,   832, -2190,  1673,  1674,  2613,
    2613,  2613,  5684,  5684,  2613,  2613,  2613,  2613,  2613,  1162,
    1162,  1745,  1745, -2190, -2190, -2190, -2190, -2190,  1873, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,  1084, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190,  1183, -2190, -2190,  1921,
   -2190, -2190, -2190,  1877,  1905, -2190,  1757,  1759,   345, -2190,
   -2190, -2190, -2190,  1235,  1003, -2190, -2190, -2190, -2190, -2190,
    1907, -2190, -2190, -2190, -2190, -2190, -2190, -2190,   955,   955,
     955,   955,  1925,   955,   955,   103,   968,   955,   968,   955,
   -2190,   955,   955, -2190, -2190,   -46, -2190, -2190, -2190, -2190,
    1877,  1261,   310, -2190, -2190,  1926, -2190, -2190,  3590,  1882,
   -2190,  5642, -2190, -2190, -2190,   310,  1920, -2190,  1892,  3844,
   -2190,  3873, -2190, -2190,  1924,  1368,  1377,   310, -2190,   310,
   -2190,   -46, -2190,  1894,  1898, -2190, -2190, -2190,   470, -2190,
   -2190, -2190,  1911, -2190,  1874,  1899,  1168, -2190,  1605,   927,
     975,   975,  1908, -2190,  1910,  1913,  1676,  1623, -2190, -2190,
    1767,  1705,   975,  1915,  1917,  1918,  1676,  1922,  1676, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190,   716, -2190,   975,
   -2190,   975, -2190, -2190, -2190,   975, -2190,   975,  1923,  1927,
     975,   975,  1928,   975,  1929,   975,  1930,  1049,  1931,  1932,
   -2190,  1933,  1934,  1935,  1937,  1938,  1939,  1676,  1188,  1943,
   -2190,  1944, -2190,   975,  1945,  1676,  1946,  2123, -2190,  1033,
   -2190,   975, -2190, -2190, -2190,   975, -2190, -2190, -2190,   707,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190,  4195, -2190,  1823,
   -2190,  1676, -2190, -2190, -2190,  1947,   724,   259,   985,  1948,
    1949, -2190,  1822,  1952,  1954,   975,  1676,  1676,     8,  4395,
   -2190, -2190,  1785, -2190,   975, -2190,  1874,  1942, -2190,  1374,
   -2190,  1374,  1982, -2190, -2190,  4289,  1971,  1972,  3492,  3189,
   -2190, -2190, -2190,  4289, -2190,  4289,  4289,  4289,  4289, -2190,
    2882,  4289,  3137,  4289, -2190,  1885,  4289, -2190, -2190, -2190,
    1990,  1991,  4289,  1164, -2190,    41, -2190, -2190, -2190, -2190,
    1995,  1995, -2190, -2190,   711,   745,  1271, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190,   923, -2190,  2007,  2008,
    2016,  2017, -2190,  2018,  2019, -2190, -2190,  2010,  1049, -2190,
   -2190,  1049, -2190,  1049,   955,  2020,   955,  2021,  2023,  2029,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,  2068, -2190,
    5026,   598,  1983,  1958,  1874, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190,  1245, -2190, -2190, -2190,  1780,
    1786,  1676,  1676,  1174,  1989, -2190,  2024, -2190, -2190, -2190,
     682, -2190,  1993, -2190, -2190,  1887, -2190, -2190,  1998, -2190,
   -2190, -2190, -2190,  1258,  1731, -2190,  1999,  1974,  2002, -2190,
   -2190, -2190,  2003,   409, -2190,  2011,   180,   975,  2014, -2190,
   -2190, -2190,  2022, -2190,  2025,   757,  2026,   301, -2190,   317,
   -2190, -2190,   238, -2190, -2190, -2190, -2190,  2027,  2028, -2190,
    2030, -2190,  2032, -2190,  2035, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190,  2037, -2190,  2038, -2190, -2190,  2040, -2190,
    2041, -2190,  1766, -2190,  1698,  1044,   898,  1700,  1895,  1883,
    1726,  1897,   -33,  1676,  2034,  1676,   172,   975,  1676, -2190,
    2043, -2190,  1877,  1313,   975,   310,  1940, -2190, -2190,  2044,
   -2190, -2190, -2190, -2190,   434,  1676, -2190,   143, -2190,  1824,
    1337, -2190,   139,  2047, -2190,  1655,  1491, -2190, -2190, -2190,
   -2190,  1333, -2190, -2190, -2190,  1333,  1941, -2190, -2190,  2049,
   -2190, -2190,  1676,   975, -2190, -2190,  2051,   975, -2190,  1914,
    1959,  1914,  1565,   -48,  1914, -2190, -2190,  2052, -2190, -2190,
   -2190, -2190,  1954, -2190, -2190,  2071, -2190, -2190, -2190,   483,
   -2190,  4289,  4289,  2058,  4289, -2190, -2190, -2190,  4289,  4289,
    2084,  2060,  2063,  2065,  2090,  4289, -2190,   629, -2190,   975,
   -2190, -2190, -2190, -2190, -2190, -2190,  2085,  4195,  2086, -2190,
    4289, -2190,  4289,  5585,  5618,  3521,  3902,  4097,  4262,  4341,
     719,   494,  4195,  2046,   849,   659,  2048,  2107,  3765, -2190,
   -2190,  4437, -2190, -2190,   923, -2190, -2190,  2106,   711,  1740,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
    2122, -2190,  2125, -2190, -2190, -2190,   598,  2053, -2190,  5026,
   -2190,  2080, -2190,  2119, -2190,  1878,  1879, -2190, -2190,   975,
     975, -2190,  1360,  1421, -2190, -2190, -2190, -2190, -2190, -2190,
    1980, -2190,   479, -2190, -2190,  2064, -2190,    82, -2190,  1676,
   -2190,   975, -2190, -2190,  1956,  1746, -2190,    65,  1760,  1750,
    1074,  1295, -2190, -2190,  2100,  2121,  2124, -2190, -2190, -2190,
   -2190,  1224,  1676, -2190,  1951,   975,   975,  2128, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190,   -24,   974,  1676,  1676,   229,  1626,  1676,   545,  1626,
   -2190, -2190, -2190,  1886, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190,  1854, -2190, -2190, -2190,   975,
     975,  1676, -2190,  2096,   975, -2190,  2098,  1049, -2190, -2190,
    2102,   975, -2190, -2190,   975,  2109, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190,  2116, -2190, -2190, -2190,   958,   187, -2190,
    1676, -2190, -2190, -2190,  2012, -2190, -2190, -2190, -2190,   975,
    2127,   975, -2190, -2190, -2190,  2149, -2190, -2190, -2190,   975,
   -2190,  2071,  2180,  4289,  3619,  2147,  2150,  2220,  4166,  2490,
    2527,  4289, -2190, -2190, -2190,  4289,  2153,  4289,  1594, -2190,
     -26,  2183,  2172,  4654,  4702, -2190, -2190, -2190, -2190,  2146,
   -2190, -2190,  1440,  2140, -2190, -2190, -2190, -2190, -2190, -2190,
    1710,  2171,  2171,   443,  2159, -2190,  1710,  2171,  2171,  1333,
    2161,  4289, -2190, -2190, -2190, -2190, -2190,  2179,  4289, -2190,
    3458, -2190,  2181,  4289,  2205,  3713,  4034,  2137, -2190, -2190,
   -2190, -2190,  1335, -2190, -2190, -2190,  2165,   975,   975, -2190,
   -2190,   711,  1740, -2190, -2190, -2190, -2190,  2141,  1676, -2190,
   -2190, -2190, -2190, -2190,  2064, -2190, -2190,   716,   310,  1916,
   -2190,  2173,  1833,  1953, -2190, -2190, -2190, -2190, -2190, -2190,
     409, -2190, -2190, -2190, -2190,  1973,  1975, -2190,  1976, -2190,
   -2190, -2190,   278,   278,  1258, -2190, -2190, -2190, -2190, -2190,
    2036,  1965, -2190, -2190, -2190, -2190, -2190, -2190, -2190,  1676,
    1676,  1874,  2154, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190,  2156, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190,  2158,   975, -2190,  1676,
   -2190, -2190, -2190,  2162, -2190, -2190,  4864,  4289, -2190, -2190,
    2178, -2190,  4922, -2190,  5182,  4289,  5282,  5495, -2190,  5589,
    2187,  2189,  2190,  2192,  2194, -2190,  1258,  2197, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190,  2240,   975,  1506, -2190,  2174, -2190,
     666,   975,  1585,   761, -2190, -2190, -2190, -2190,  1506,   666,
     761,  2184, -2190,  4833,  2202,  2203,   956,   643,  2204,   966,
    2198,  2206,   691,  2210,   694, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190,  1298, -2190, -2190, -2190,  1258,
    1962, -2190, -2190, -2190, -2190,   975,   975,   975, -2190, -2190,
   -2190, -2190, -2190, -2190,  1676,   975, -2190, -2190,  1655, -2190,
   -2190,   765,   903,   -18,   698,   140, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,  2216,  5026,
    2163, -2190,   892, -2190,  4195, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190,  4289,  4289,  4289, -2190,  4289, -2190, -2190,   975,
   -2190, -2190,   975,  1580,   975, -2190,  2171,  2171,  2233, -2190,
   -2190, -2190, -2190, -2190,  2171,  2171,  2253, -2190, -2190, -2190,
   -2190,  2250,  4289, -2190, -2190, -2190,  2251,  4289, -2190,  4289,
    2278, -2190,  4289, -2190,  1251, -2190, -2190, -2190,  1273, -2190,
   -2190,  1676,  2213,  2045,   975,   975,   456, -2190, -2190, -2190,
    1109,  2221,  2237, -2190,  1676, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190,  4354, -2190, -2190, -2190,  -185, -2190, -2190,  1676,
     975,  1676,  2244, -2190,   975,   975,   -17,   975,  1979,   522,
   -2190,  2252, -2190,  1826,  1827,  1676,  1676,  1676,  2254,   202,
   -2190,   -21,   -25,  1173, -2190,   -34, -2190,  2225,  4922,  5026,
   -2190, -2190,  2306, -2190, -2190,  2297, -2190, -2190, -2190, -2190,
     425,  2255,  2230,  4957,  5067,  5248,  5280, -2190,  2174,   975,
   -2190,   975,   975,   975,  1585,  1585, -2190,  2257,  2260,  2261,
    2238,  2263,  2265,  2266,   975,  2039,  1255, -2190,   975,  2042,
     228,  2088,   975,  2067,  2083,    74, -2190,  2290,  2089,  2092,
   -2190,  1357,  2093, -2190, -2190, -2190,  1359, -2190,  2142, -2190,
   -2190, -2190,   593, -2190, -2190, -2190,  1468, -2190,   975,  2054,
     288,  2094,  1901,  2273,   975,   975,  1676,    44,  1950,  1994,
     975,  1676,   975,  2033,   647,  -158,   975,  2231,  1955, -2190,
    2308, -2190,   975,  2311, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190,   975,   975, -2190, -2190,   975,   975,
   -2190, -2190, -2190, -2190, -2190,    28,  -181,  1903,   -53,   -59,
    1890,  1906,  1676,  1909,  2108,  1902,  2076,  2070,  2073,  2325,
   -2190,    47,  1258,  2328, -2190,    47,  2356,  2330,   975, -2190,
    1676,  2091,   468,  -156,   975,  2129,  1676,   -82,  1258,  2050,
    2131,  2270,   120,  2133,  2134,    45,  1889,  1912,  1900, -2190,
    2334, -2190,  1936,  1896,   310,  2337, -2190, -2190, -2190,  5333,
    1215,  1466,  5026,  2351,  4289,  2352,  2358,  2359,  2360, -2190,
    2372,  2378, -2190, -2190, -2190, -2190, -2190, -2190,  4289, -2190,
    4289, -2190, -2190,  1439, -2190, -2190, -2190,   975,   975,   975,
     975,   975, -2190,  1676, -2190,   975,   975, -2190,  2132, -2190,
     975,   975,  2354,  2383,   975, -2190, -2190,  1416,  2411,   107,
     975,  2411,  1536,   127,  2357, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190,    84,   975,   975, -2190,  1676,  1988,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190,  1676,  1034, -2190,
   -2190, -2190,   975,   975, -2190,  1676,  1676, -2190,   975,  1676,
   -2190, -2190, -2190, -2190, -2190,  1960,  1960,  2188, -2190,   975,
    2185,  2186,   756,   975,   756,  2191,   975,   975,  1981, -2190,
    1676,   975,   975,  2262,  1676,   958,  1676,   187, -2190, -2190,
     975, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190,   975,   975,   975, -2190,  1676,  1676, -2190,   975, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190,  1131,   975,   975, -2190,
   -2190,   975,   975,  1676, -2190,  1676,  1676,  1676, -2190, -2190,
    2258,  2259, -2190, -2190, -2190,  4289, -2190, -2190, -2190, -2190,
    5465, -2190, -2190, -2190, -2190,   975,   975,  2399,  2377,  1258,
    1258, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190,  1357, -2190, -2190, -2190, -2190,  2407,  2411,
    2411,  2408,  2409,  1426,  1503, -2190, -2190, -2190, -2190,  2413,
    2411,  2411, -2190, -2190, -2190, -2190, -2190, -2190, -2190,  1676,
     910, -2190,  2056, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
    1676, -2190, -2190,   975, -2190,   975,   975, -2190, -2190, -2190,
   -2190,  1960, -2190,   975,  1960, -2190,  1676, -2190, -2190, -2190,
     975, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190,  2057, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190,   310,   310,  5333,  2414, -2190, -2190, -2190,  4289,
   -2190, -2190, -2190,   593,  2415,  2417,   593,   593, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,   593,  2418,
    2419, -2190, -2190, -2190,  2055, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
    2385, -2190,   593,   593, -2190, -2190, -2190,   593,   593, -2190,
    2420,  4289, -2190, -2190, -2190, -2190, -2190,  2421, -2190
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       4,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1425,     0,     3,   135,   137,   139,   559,   561,   563,   565,
     569,   571,   573,   630,   639,   641,   643,   645,   647,   649,
     651,   653,   655,   657,   659,   666,   668,   670,   672,   674,
     676,   678,   682,   684,   778,   780,   782,   784,   740,   950,
    1093,  1095,  1097,  1099,  1101,  1103,  1105,  1107,  1279,  1281,
    1344,  1409,  1411,  1413,  1415,  1417,  1419,  1421,  1423,     1,
       2,     0,   395,     6,   393,   394,     0,     0,     0,     0,
       0,     0,     0,     0,   412,   413,     0,   386,   387,   389,
     390,   391,   392,     0,     0,  1379,     0,     0,     5,     7,
     141,   144,   146,   148,   150,   179,   375,   382,   384,     0,
     396,   399,     0,   456,   460,   411,   414,   418,   414,   742,
     414,   693,   414,   418,   414,   937,   414,   418,   414,   418,
       0,   418,   414,  1140,   414,  1226,   414,  1283,   414,   418,
     418,  1378,  1401,  1404,   414,   414,   418,   136,   138,   140,
     260,   261,   270,   189,   190,   266,   279,   264,     0,     0,
       0,     0,   280,     0,     0,     0,   283,   262,   263,   281,
     282,   284,   285,   286,   287,   288,   289,   290,   311,     0,
       0,     0,     0,     0,     0,     0,     0,   692,   777,   925,
     928,   927,   924,   926,   929,   930,   931,   934,   936,   932,
     933,   935,  1089,  1090,  1091,  1092,  1224,  1225,  1277,  1278,
    1350,  1351,  1352,  1353,  1354,  1355,  1356,  1357,  1358,  1359,
    1360,  1361,  1362,  1363,  1364,  1365,  1366,  1367,  1368,  1369,
    1370,  1371,  1372,  1373,  1374,  1375,  1376,  1377,  1457,  1458,
      37,    38,    47,    39,    40,    41,    42,    48,    43,    44,
      45,   267,   133,   134,    46,   265,   274,   309,   310,   343,
     308,   312,     0,   313,   686,   688,   687,     0,     0,     0,
     686,    69,    69,     0,     0,     0,     0,   685,     0,   690,
       0,     0,   575,     0,   632,     0,     0,   568,     0,   568,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   662,
       0,   661,   664,    69,   952,  1426,  1425,     0,  1425,     0,
       0,  1427,  1422,    16,    15,     0,   180,   142,   145,   152,
     153,   154,   156,   155,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,     0,     0,     0,     0,    67,    66,
       0,     0,     0,     0,    22,   388,     0,     0,   462,   461,
     463,   464,     0,     0,     0,     0,     0,     0,     0,   400,
     409,   488,  1284,   787,   743,   694,   938,   959,  1119,  1134,
    1141,  1227,  1314,  1431,  1444,   962,  1229,     0,   415,     0,
     487,     0,    22,     0,   494,     0,     0,     0,     0,   426,
       0,   440,     0,     0,     0,     0,     0,   885,   886,   786,
       0,     0,     0,     0,     0,   875,   876,     0,     0,     0,
       0,    22,     0,     0,     0,     0,    22,     0,   791,   788,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      22,     0,     0,     0,     0,     0,     0,     0,    22,     0,
       0,     0,     0,     0,   887,   920,     0,     0,     0,     0,
     958,     0,     0,    22,     0,     0,    22,     0,     0,    22,
     965,   969,   440,   970,     0,     0,   983,     0,  1118,    22,
       0,     0,     0,     0,     0,     0,  1123,     0,  1136,  1133,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1313,     0,     0,     0,     0,     0,  1333,
    1342,  1430,     0,     0,     0,     0,     0,    22,     0,    22,
    1436,  1437,     0,     0,     0,     0,  1443,  1450,     0,  1447,
       0,   260,   279,   260,   260,     0,     0,   260,   260,     0,
     250,     0,    29,     0,     0,     0,    32,    33,   275,     0,
       0,     0,   306,    36,   212,   213,     0,   215,     0,     0,
     128,   128,     0,     0,     0,     0,     0,     0,     0,   191,
     194,   190,   193,   196,     0,    37,    38,   241,   192,   230,
     227,   228,   229,   237,     0,   245,     0,     0,     0,   658,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   497,     0,   496,   681,
     679,   680,    68,     0,     0,     0,     0,   673,   508,     0,
     507,     0,  1424,   689,   691,   690,     0,   570,     0,   562,
       0,   560,     0,   568,   568,   568,   568,   568,   567,   568,
     568,  1109,   568,   568,     0,   568,   568,     0,     0,   652,
     644,   654,   646,   640,   642,   648,   650,  1397,  1392,  1395,
    1393,  1394,  1396,  1398,  1399,  1400,     0,  1390,   665,     0,
       0,     0,     0,  1418,  1427,  1414,  1416,  1428,     0,     0,
       0,   172,   167,     0,     0,     0,   378,   380,   381,   483,
       0,     0,   383,   457,   458,     9,    11,     0,   459,    18,
      20,    19,    21,     0,    17,  1405,     0,  1403,   465,     0,
     473,  1382,  1387,  1383,     0,     0,     0,  1408,  1407,   398,
     407,   397,   960,   961,   414,  1228,   416,     0,   489,     0,
     419,   420,   474,   425,   424,   423,   421,    22,   490,   438,
     442,   491,   492,   748,   701,   809,     0,     0,     0,   825,
       0,     0,     0,   879,   877,   880,   878,   881,   883,   882,
     884,     0,     0,     0,     0,    22,    22,     0,    22,     0,
       0,     0,     0,   826,     0,    23,    24,    25,     0,    26,
       0,    26,     0,    22,     0,     0,     0,     0,     0,    22,
       0,    22,     0,    22,    22,     0,    22,    22,    22,    22,
      22,    22,     0,     0,    22,     0,    22,     0,     0,     0,
      22,   810,   918,   922,   811,   947,   963,    22,    22,   984,
     971,    22,   981,   978,     0,    22,   972,   966,   967,   442,
     964,   986,  1120,  1130,     0,     0,  1129,     0,     0,  1126,
    1131,  1132,  1122,  1121,   433,   172,     0,   447,   448,     0,
       0,   446,   428,     0,   429,   444,   427,     0,    22,     0,
    1137,  1138,  1152,  1236,  1286,  1315,     0,     0,    56,    55,
    1329,    22,     0,  1316,  1317,  1335,     0,  1334,     0,  1338,
    1336,  1337,  1327,  1330,  1340,     0,    22,  1348,    22,     0,
       0,  1438,     0,  1440,  1346,  1433,  1432,  1445,   474,  1448,
       0,  1446,     0,   253,   258,   256,     0,   189,   190,     0,
     257,   259,   252,    28,    30,     0,     0,   276,   332,     0,
       0,   333,   214,     0,   291,     0,   129,   130,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,   242,
     243,     0,     0,     0,   268,     0,   269,     0,     0,   303,
     301,   299,   296,   297,   298,   300,   302,   304,   305,   292,
     293,   294,   295,   322,   321,   315,   316,   317,     0,   320,
     314,   318,   319,   327,   328,   329,   324,   325,   326,   330,
     331,   626,   624,   625,   609,   612,   616,   619,   622,   623,
     610,   611,   613,   614,   615,   617,   618,   620,   621,   627,
     628,   629,   501,   502,   503,   505,   506,   504,     0,   499,
     671,   667,   675,   677,   512,   513,     0,   510,   683,     0,
     564,   572,   574,   172,     0,   585,     0,   606,     0,   587,
     586,   591,   592,     0,     0,   605,   607,   608,   576,   584,
       0,   631,   634,   635,   636,   637,   633,   638,    69,    69,
      69,    69,     0,    69,    69,     0,   568,    69,   568,    69,
    1094,    69,    69,  1345,   656,     0,   663,   660,   669,   951,
     172,     0,     0,   956,  1420,     0,  1429,  1410,     0,   168,
     172,     0,   143,   174,   147,     0,     0,   474,     0,     0,
     376,     0,  1406,  1402,     0,   467,   470,     0,  1386,     0,
    1385,     0,  1388,     0,     0,    12,    13,    14,     0,  1135,
     417,   422,   477,   480,   495,     0,     0,   443,   418,   418,
       0,     0,     0,   817,     0,     0,    22,    22,   853,   855,
       0,     0,     0,     0,     0,     0,    22,     0,    22,   870,
     869,   556,   872,   827,    54,    53,   791,     0,   791,     0,
     814,     0,   794,   795,   788,     0,   812,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     852,     0,     0,     0,     0,     0,     0,    22,     0,     0,
     854,     0,   821,     0,     0,    22,     0,     0,   923,   418,
     973,     0,   976,   975,   974,     0,   982,   980,   968,     0,
    1127,  1128,  1124,  1125,   175,   176,   445,   177,   455,   449,
     431,    22,   432,   430,   435,     0,   418,   418,   418,     0,
       0,  1322,    26,  1331,     0,     0,    22,    22,  1328,     0,
    1320,  1441,  1434,  1347,     0,  1439,   482,  1454,  1449,   260,
     251,   260,     0,    30,   278,     0,     0,     0,     0,     0,
     124,   126,   340,     0,   307,     0,     0,     0,     0,   342,
       0,     0,     0,     0,   195,     0,     0,   231,   238,   246,
       0,     0,     0,     0,   498,     0,   509,   566,   583,   590,
       0,     0,   579,   580,   603,   604,     0,   600,   601,   602,
     596,   594,   595,   577,   593,   578,   588,   589,     0,     0,
       0,     0,   741,     0,     0,  1108,  1117,     0,     0,  1112,
    1115,     0,  1110,     0,    69,     0,    69,     0,     0,     0,
    1391,   955,   954,   953,   957,  1412,     8,   170,     0,   181,
     182,     0,     0,     0,   484,   377,   379,    10,   466,   468,
     469,   471,   472,  1381,  1384,     0,  1380,   385,   410,     0,
       0,    22,    22,     0,     0,   478,    69,   474,   493,   441,
       0,   436,     0,   750,   751,     0,   744,   745,     0,   703,
     708,   710,   710,     0,     0,   695,     0,     0,     0,   839,
     838,   837,     0,     0,   796,     0,    22,     0,     0,   862,
     861,   868,     0,   849,     0,     0,     0,     0,    27,     0,
     792,   793,     0,   789,   790,   830,   823,     0,     0,   843,
       0,   832,     0,   819,     0,   820,   851,   835,   856,   834,
     833,   867,   836,     0,   857,     0,   859,   822,     0,   828,
       0,   831,     0,   921,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    22,     0,    22,    22,     0,    22,   894,
       0,   949,   172,     0,     0,     0,     0,   943,   939,     0,
     977,   979,   985,  1079,     0,    22,   999,    22,   997,     0,
       0,   989,    22,     0,  1003,  1080,     0,   454,   434,  1139,
    1154,     0,  1155,  1146,  1148,     0,     0,  1142,  1143,     0,
    1238,  1239,    22,     0,  1230,  1231,     0,     0,  1285,  1298,
       0,  1298,     0,     0,  1298,  1288,  1289,     0,  1292,  1318,
    1319,  1321,     0,    62,    63,  1323,  1325,  1326,  1324,     0,
    1343,   347,   347,     0,     0,   344,   345,   346,     0,     0,
       0,     0,     0,     0,     0,   347,  1339,     0,  1341,     0,
    1442,  1349,  1452,  1456,   254,   255,     0,   277,     0,   334,
       0,   271,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,     0,     0,     0,     0,     0,    34,
      35,     0,   500,   511,     0,   581,   582,     0,   597,   598,
     785,   779,   781,   783,  1098,  1096,  1113,  1116,  1111,  1114,
       0,  1100,     0,  1104,  1280,  1282,     0,     0,   185,   183,
     184,     0,   149,     0,  1389,     0,     0,   401,   402,     0,
       0,   408,   475,     0,   479,   481,   437,   439,   474,   746,
       0,   749,   696,   474,   697,   728,   698,   732,   699,    22,
     702,     0,   844,   846,     0,     0,   800,     0,     0,     0,
       0,     0,   798,   847,     0,     0,     0,   863,   848,   850,
     558,     0,    22,   555,     0,     0,     0,     0,   873,   816,
     815,   813,   842,   841,   824,   840,   818,   860,   858,   829,
     874,     0,    22,    22,    22,     0,     0,    22,     0,     0,
     900,   901,   902,     0,   898,   914,   913,   915,   903,   919,
     942,   941,   940,   945,   944,     0,   948,   474,  1002,     0,
       0,    22,   990,     0,     0,   988,     0,     0,  1006,  1001,
    1005,     0,   995,   987,     0,  1013,   450,   451,   452,   453,
      52,    51,  1188,  1197,  1145,   474,  1144,     0,     0,  1150,
      22,  1153,   474,  1235,  1232,  1234,  1237,  1300,  1299,     0,
       0,     0,    25,  1302,  1301,  1290,  1305,  1306,  1293,     0,
    1287,  1332,     0,     0,   348,     0,     0,     0,     0,     0,
       0,     0,   370,   370,   361,     0,     0,     0,     0,  1435,
       0,     0,     0,     0,     0,    82,    93,    94,    80,     0,
      83,    84,     0,     0,    87,    88,    92,    89,   131,    90,
       0,   106,   106,     0,     0,   132,     0,   106,   106,     0,
       0,     0,   337,   338,   336,   339,   210,     0,     0,   208,
       0,   204,     0,     0,   202,     0,     0,     0,   323,   599,
    1102,  1106,     0,   178,   186,   173,     0,     0,     0,   405,
     406,    59,    60,    61,    57,    58,   476,   774,    22,   706,
     704,   705,   707,   709,   728,   726,   711,     0,     0,   735,
     700,     0,     0,     0,   804,   802,   803,   806,   805,   807,
       0,   797,   865,   864,   866,     0,     0,   554,     0,   549,
     553,   557,    22,    22,     0,   908,   909,   910,   911,   912,
       0,     0,   917,   904,   891,   892,   893,   899,   916,    22,
      22,  1082,  1086,   992,   993,   991,  1067,   994,  1067,  1027,
    1007,   996,  1081,  1014,  1195,  1194,  1185,  1201,  1200,  1208,
    1147,  1210,  1211,  1218,  1149,  1151,  1274,     0,  1295,    22,
    1294,  1291,  1303,     0,  1296,    64,     0,   347,   359,   360,
       0,   353,     0,   247,     0,     0,     0,     0,   358,     0,
       0,     0,     0,     0,     0,  1455,     0,     0,    31,   335,
     272,   273,    81,    85,    86,    91,    76,    74,    72,    71,
      73,    75,    70,    77,    99,     0,   116,   101,    97,   107,
     117,     0,     0,   118,    50,    49,   115,   125,   121,   122,
     123,   119,   127,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   244,   169,   171,   151,   403,
     404,   772,   752,   747,   711,     0,   731,   733,   734,     0,
     737,   845,   801,   808,   799,     0,     0,     0,   889,   890,
     888,   897,   896,   895,    22,     0,   907,   946,  1080,  1084,
    1088,     0,     0,     0,  1016,     0,  1199,  1183,  1182,  1206,
    1216,  1272,  1240,  1233,  1297,  1307,   352,   349,     0,   182,
     350,   187,     0,   356,   370,   371,   372,   373,   370,   374,
     355,   354,     0,     0,     0,   363,     0,  1451,  1453,     0,
      95,    79,    78,     0,     0,    78,   106,   106,     0,   108,
     109,   110,   111,   112,   106,   106,     0,   341,   225,   209,
     207,     0,     0,   205,   223,   203,     0,     0,   221,     0,
     219,   218,     0,   216,   753,   776,   730,   729,     0,   521,
     522,    22,     0,     0,     0,     0,     0,   719,   514,   516,
       0,   548,     0,   736,    22,   739,   550,   551,   552,   905,
     906,  1083,     0,  1000,  1070,  1068,  1071,   998,  1004,    22,
       0,    22,     0,  1012,     0,     0,     0,     0,     0,     0,
    1026,     0,  1198,     0,     0,    22,    22,    22,     0,     0,
    1187,  1202,  1212,     0,  1276,     0,   357,     0,     0,   182,
     197,   200,     0,   362,   199,   235,   232,   233,   234,   239,
       0,     0,     0,     0,     0,     0,     0,   100,    98,     0,
     102,     0,     0,     0,     0,     0,   120,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   775,     0,     0,
       0,     0,     0,     0,     0,     0,   771,     0,     0,     0,
     717,   517,     0,   712,   716,   720,     0,   721,     0,   718,
     524,   523,   525,   520,   727,   738,     0,  1087,     0,     0,
       0,     0,     0,     0,     0,     0,    22,     0,     0,     0,
       0,    22,     0,     0,     0,     0,     0,     0,     0,  1066,
       0,  1072,     0,     0,  1010,  1011,  1009,  1008,  1020,  1017,
    1023,  1024,  1025,  1018,     0,     0,  1021,  1015,     0,     0,
    1189,  1190,  1191,  1196,  1186,     0,     0,     0,     0,     0,
       0,     0,    22,     0,     0,     0,     0,  1173,  1175,     0,
    1205,     0,     0,     0,  1215,     0,     0,     0,     0,  1275,
      22,     0,     0,     0,     0,     0,    22,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1267,
       0,  1312,     0,     0,     0,     0,   188,   351,   249,   201,
       0,     0,   182,     0,     0,     0,     0,     0,     0,    96,
       0,     0,   103,   114,   113,   224,   206,   222,     0,   220,
       0,   217,   754,     0,   757,   758,   756,     0,     0,     0,
       0,     0,   763,    22,   755,     0,     0,   768,   769,   773,
       0,     0,     0,     0,     0,   722,   723,     0,     0,     0,
       0,     0,     0,     0,     0,  1035,  1036,  1037,  1038,  1039,
    1040,  1041,  1042,  1032,     0,     0,     0,  1060,    22,     0,
    1074,  1029,  1047,  1065,  1054,  1055,  1056,    22,    22,  1028,
    1049,  1031,     0,     0,  1033,    22,    22,  1030,     0,    22,
    1085,  1073,  1069,  1019,  1022,  1222,  1222,     0,  1172,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1160,
      22,     0,     0,     0,    22,     0,    22,     0,  1184,  1209,
       0,  1220,  1204,  1203,  1207,  1219,  1214,  1213,  1217,  1246,
    1244,     0,     0,     0,  1260,    22,    22,  1241,     0,  1265,
    1268,  1271,  1270,  1269,  1266,  1245,    22,     0,     0,  1242,
    1243,     0,     0,    22,  1247,    22,    22,    22,  1273,  1304,
       0,     0,  1311,  1308,   198,     0,   236,   240,   248,   368,
       0,   365,   366,   364,   367,     0,     0,     0,     0,     0,
       0,   761,   762,   486,   485,   764,   765,   759,   760,   770,
     713,   714,   515,   517,   715,   724,   725,    65,     0,     0,
       0,     0,     0,     0,     0,   544,   545,   546,   547,     0,
       0,     0,   548,  1058,  1057,  1059,  1062,  1061,  1050,    22,
       0,  1048,     0,  1063,  1046,  1034,  1045,  1044,  1051,  1043,
      22,  1192,  1193,     0,  1158,     0,     0,  1179,  1180,  1181,
    1168,  1222,  1169,     0,  1222,  1162,    22,  1161,  1163,  1164,
       0,  1177,  1174,  1178,  1176,  1221,  1258,  1259,  1261,  1264,
    1251,  1253,     0,  1262,  1256,  1257,  1254,  1255,  1248,  1249,
    1250,  1252,     0,     0,     0,     0,   105,   104,   211,     0,
     766,   767,   518,   525,     0,     0,   525,   525,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   525,     0,
       0,   519,  1052,  1053,  1076,  1075,  1064,  1223,  1170,  1156,
    1157,  1166,  1171,  1167,  1159,  1165,  1263,  1310,  1309,   369,
       0,   530,   525,   525,   532,   531,   533,   525,   525,  1077,
       0,     0,   528,   529,   526,   527,  1078,     0,   226
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,  -337,
    -365,   -66,  -163,  -422,  -749, -2190,  -153,  -155,  1443,  1447,
    1448, -2190, -2190, -2190,  -174, -2190, -2190,  -470, -2190, -1346,
    -764,  -585, -2190, -2190,   962, -2189,  -103,  -178,   406,  -667,
   -2190,   928,   931,   932,   933,   695,   418,   422,   696, -1374,
    -562,   697, -2190, -2190, -2190, -2190,  1966, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,  -909, -2190,
   -2190, -2190,  1831,  -952,  -583,  1418, -2190, -2190, -1933,   897,
   -2190,   332,  -192,  1572,   167, -1237, -1968,  2340, -1966, -1889,
    1573,   189,  1992, -2190,  1586, -2190, -2190, -2190, -2190,  -498,
   -2190, -2190, -2190, -1198,  -149, -1201,    -6, -2190, -1412, -1211,
   -1699, -2190, -2190,  -445, -2190, -2190,   162, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190,   -49,   -89, -2190,  2374,  1345, -2190,
    2061,  1706,  -112,  -554,  -487, -2190,  -625, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190,  1177,  -723, -1444, -2190, -2190, -1714,
   -2190, -2190, -2190, -2190, -2190,  -276, -2190,  1263,  -187, -2190,
    1262, -1243, -2190,    10, -2088, -2190, -2190, -1277, -2190,    12,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190,  -243, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190,  -846, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190,   676,  1963, -1216, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190,  1193,   563, -2190, -2190, -2190,
     725, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,  1414,
     265, -2190, -2190,   710, -2190, -2190, -2190, -2190, -2190,   701,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190,   673, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190,   547, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190,   132, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190,   293,   283, -2190, -2190, -2190, -2190,   134,
     281, -2190, -2190, -2190, -2190,   133,   286, -1866, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190,  -679,   848, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190,  1714, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190,  1499,  1527, -2190, -2190, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190,  1104,  1977, -2190, -2190, -2190,
   -2190, -2190, -2190, -2190, -2190, -2190, -2190, -2190
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,    22,    23,    24,    25,     2,     3,   108,   109,   704,
     717,   388,  2020,  1908,  1148,   542,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,  1976,  1722,
    2134,   870,  1836,  1514,  1515,  2538,   350,   613,  1965,  2073,
    1789,  1790,  1791,  1792,  1793,  1966,  1967,  1968,  1970,  1971,
    2083,  1973,  1794,  1800,  1553,  1554,   926,  1250,  1251,   262,
     263,   264,   110,   681,   111,   112,   113,   114,   344,  1328,
    1080,  1081,  1205,  1206,   851,  1083,   115,   680,  1597,  1598,
    1599,  2050,   265,   579,  2175,   936,   580,   937,   581,   582,
     583,  2179,   584,  2180,   585,   586,  2052,   538,   266,   539,
     267,   268,   916,   269,   270,   271,  1562,  1535,  1755,  1600,
    1935,  2058,   116,   691,   117,   118,   399,   120,   121,   370,
    1354,  1108,   721,   122,   389,   400,   401,  1361,  1362,  1116,
     740,  1117,   402,   856,   852,  1477,  1210,   123,   362,   363,
     124,  1112,  1614,  1356,  1113,  1236,  1237,  1087,  1088,  2372,
     125,   126,   127,   732,   403,   609,  1008,  1009,   621,  1016,
    1017,  2117,  2118,  2382,  2119,  2120,  2121,  2394,  2549,  2233,
    1657,  1395,  1142,    26,    27,    28,    29,   644,    30,    31,
      32,   630,  1293,  1294,  1040,  1001,   277,    33,   632,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
     312,   669,    45,    46,    47,    48,    49,    50,    51,   278,
      52,    53,   279,   626,   273,   128,  1368,  1118,   129,  1618,
    2105,  2217,  2104,  2002,  1619,    54,    55,    56,    57,   130,
    1376,  1119,   131,  1843,  1622,  1623,  2006,  2122,  2229,  2005,
    1846,  1624,  1626,  1849,  2010,  2125,  1628,    58,   132,   782,
     780,  1385,  1641,  1642,   133,   772,  1396,   454,   455,  2021,
    1887,  1450,  1187,   813,  1188,   456,   134,  1459,  1189,   135,
      59,   671,   385,   136,   137,   828,   472,   473,   474,   475,
     476,  1199,  1473,  1706,  1703,  1709,  1710,  2033,  2142,  1474,
    2034,  2151,  1475,  2260,  2031,  2135,  2136,  2263,  2560,  2670,
    2645,  1697,  1715,  1892,  2028,  2132,  2030,  1698,    60,    61,
      62,    63,    64,    65,    66,    67,  1055,   138,   139,   487,
     140,   724,   141,   142,  1489,  1727,  1728,  1216,   143,  1725,
    2299,  2455,  2457,  2580,  2160,  2159,  2038,  1726,  1723,  2158,
    2036,  2035,  1905,  1724,  1909,  2039,  2303,  2459,  2161,  1910,
    1913,  2040,  2307,  2465,  2162,  1914,  2462,  2571,   386,   144,
    1496,  1217,   145,  1732,  2164,  2330,  2484,  2163,  2042,  1733,
      68,    69,   146,   147,  1218,  1507,  1739,  1508,  1745,  1748,
    1922,  1923,  2165,  2335,  2499,   148,   149,   882,   883,   509,
     510,  1538,  1229,   885,    70,   150,   522,   364,   151,  1098,
    1100,   714,  1103,   666,   667,   152,   153,    71,    72,    73,
      74,    75,    76,    77,    78,   321,   678,   154,  1540,   523,
     155,   156,   530,   898,  1947,  1770,  1543,   899
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     357,   272,   718,   611,   578,   854,   779,   781,   928,  1114,
     547,   540,   546,  1537,  1146,   325,   698,   819,  1536,  1746,
     326,   327,   577,  1561,  1563,  1565,  1566,   486,  1534,   716,
     716,  1533,  1154,   903,   869,   904,   905,   508,   521,   910,
     911,   576,   657,   575,   453,  1038,  2331,  1039,   471,   545,
     485,  1720,   497,   638,  1945,  2304,   647,   526,  1224,  2300,
     507,   520,  2138,   695,  1936,   695,  2444,   529,   696,  1126,
     696,  1278,  2442,   351,   352,   693,   694,   315,   348,   404,
     349,   405,   328,   406,  2176,   457,  2177,   458,  1073,   477,
     774,  2480,   753,   499,   353,   500,    80,   501,   697,   502,
     697,  2475,   695,   875,   614,   524,   525,   696,   755,  1305,
    1756,   757,   807,   759,  1537,   695,  2167,   731,  1321,  1847,
     696,   658,   348,  1766,   349,   708,  1306,  2481,   822,  1534,
      81,  1225,  1533,  2383,   638,   670,  1680,   697,   391,  1729,
      82,  2439,    83,   392,   393,    84,    85,   527,   767,   550,
     697,   395,   348,   844,   349,   837,  2270,   695,  2539,  1261,
     869,   695,   696,  2178,   552,   119,   696,   559,  1307,   706,
    1872,    86,  1331,   348,  1837,   349,   887,  2425,  2550,  1844,
     699,   700,   701,   702,   699,   700,   701,   702,   627,   645,
     695,   705,   697,   746,  1297,   696,   697,   274,   695,   275,
     639,   366,  2542,   696,  1854,     1,   775,   776,   396,   777,
     736,   397,  1911,   699,   700,   701,   702,  2414,  1014,  1130,
    2152,   699,   700,   701,   702,   697,  1149,  1262,  1212,   730,
    1150,   943,  1213,   697,   638,   280,  2338,   275,    87,  1101,
      88,    89,    79,    90,   768,    91,  2261,  2377,     4,     5,
       6,    92,  2262,    93,    94,    95,   157,    96,   763,   367,
    2139,   713,   551,   771,  1308,   288,  1912,   646,   747,   769,
      97,    98,    99,   100,   101,   102,  1015,   795,   683,  1056,
    2440,  1906,  2284,  1155,  1111,   805,  1155,  1156,  1916,  2426,
    1661,  2271,   734,   735,  2285,  1873,   695,  2368,  2369,   470,
     820,   696,   719,   823,   838,  1215,   826,  2540,   316,    82,
    1226,  1874,   944,   640,    84,    85,   833,   762,  1220,   699,
     700,   701,   702,  1681,   103,   733,  1122,  2551,  1102,   317,
     104,   697,   356,   348,   876,   349,   105,   106,  1092,  1490,
    1076,   709,   276,  1131,   578,  2482,  2476,  2286,  2287,  1149,
    2624,  2625,  2415,  1659,   891,  2181,   893,  2405,  2369,  2182,
    1309,  2639,  2640,   877,  1334,  1149,   716,  2140,  1282,  1660,
    1127,  1094,   878,  2176,  2378,  2177,  1099,  2288,  1104,  1058,
     276,   695,   540,  1537,   540,   540,   696,  1848,   540,   540,
    1048,  1049,  1050,  1051,  1052,     7,  1053,  1054,  1534,  1057,
    1059,  1533,  1061,  1062,   699,   700,   701,   702,  2445,  2508,
    2272,   754,     8,  2141,  1124,  1125,   697,  2446,  1972,  1596,
     391,  2483,  1310,  2443,  1972,   392,   393,   756,  1151,  1491,
     758,   354,   760,   395,  1575,  1576,  1183,     9,    10,    97,
      98,    99,   100,   101,   102,  2383,  2289,  1159,  1946,  1295,
    1162,  2305,  2178,  1981,  1222,  2301,  1223,  1855,  2306,  2290,
     628,  2302,   659,   544,  1747,   806,  1974,  2370,   641,  1200,
    1201,  2416,   158,  1511,  2332,  2333,  1880,    11,  2493,    12,
    2334,    13,   159,   642,   643,  1157,  1227,  1196,  1157,  2489,
     396,   945,    14,   397,   623,  2437,   624,   716,   716,   943,
    1690,  1634,   287,  2341,  1808,   660,   661,   662,   663,   664,
     665,  1753,  1209,  1283,  1311,  2047,  1209,  1323,  2553,  2554,
    1209,    15,  2460,  2371,   314,    16,  2407,  2370,  1704,   906,
      17,    18,   919,   879,   880,   881,   548,  2472,  2369,  2490,
     695,  1930,   917,   528,  1644,   696,  1312,  1313,  1809,   322,
    1348,  1151,  1233,  1152,  1153,  1235,  1685,   929,   930,   931,
     932,   933,   934,  1238,   869,   778,  1047,  1151,   938,   345,
    2572,  1985,   946,  1987,  1115,   697,  1989,  1244,  1992,  1994,
    1241,  1711,  2342,  2406,   949,   950,   951,   952,   953,   954,
     955,   956,   957,   958,   959,   960,   961,   962,  2474,   346,
    1881,  1245,  1134,  1135,  1145,  1137,  1457,   280,  1252,   275,
     318,   319,   320,  2153,  2154,  1349,  1350,  2155,  2156,  2157,
    1158,   323,   324,   576,  1132,   575,  1164,   347,  1166,  2225,
    1168,  1169,  1253,  1171,  1172,  1173,  1174,  1175,  1176,   625,
     355,  1179,  1635,  1181,  2388,   920,    19,  1186,  1839,   711,
    2018,  2019,   107,  2092,  1190,  1193,   712,  1767,  1194,  1840,
    1841,   365,  1197,  2226,  2291,   695,  2292,  2293,  1768,  1813,
     696,  2294,  2295,  1078,  2296,  1109,  1152,  1153,   368,  2389,
    2071,  2075,  2297,  2298,  1089,   281,   282,   285,   286,   369,
     802,  1091,  1152,  1153,   313,  1214,   682,  2093,  1492,   488,
     697,  2099,  2191,  2192,  2102,  1184,  1708,  2370,  1219,   371,
    2194,  2195,   547,  1814,   546,  2651,  1537,   309,  2653,   785,
    2059,  2051,  1414,  1231,   606,  1232,   786,  1133,  1351,  1352,
     618,  1534,  1353,   695,  1533,  2057,   372,  1815,   696,   323,
     324,  1544,  2275,  1545,  2076,  2100,   803,   541,  2103,   358,
     578,   578,   276,  1493,   310,  2390,   699,   700,   701,   702,
     289,   607,   290,  2473,  2227,  2228,   804,   619,   697,   373,
     543,   577,  1069,  1806,    82,  2071,  2075,   549,  2143,    84,
      85,   543,  1842,  1377,  1378,   544,   545,  1462,  1144,   548,
     576,  2150,   575,  2391,   291,  1388,  1577,  1807,  1636,  2392,
    1637,   292,  1638,  1639,  1480,    82,  1640,   283,    20,    21,
      84,    85,  1400,  1314,  1401,  1316,  1481,   284,  1403,  1699,
    1404,  2393,  1741,  1407,  1408,  1749,  1410,   374,  1412,   359,
     360,   361,   553,  1537,   293,   511,   294,  1650,   560,  2084,
    1207,  1425,   375,   311,   295,  2133,  1428,   561,  1534,  1700,
     608,  1533,   544,   545,  1460,  2198,   620,   562,  1461,   296,
    2200,  2216,  2201,  1587,  1884,  2203,  1588,  2423,  1589,   563,
    1298,  1299,  1300,  1301,  1701,  1303,  1304,  1463,  1289,  1315,
    1288,  1317,  1464,  1318,  1319,   391,   939,   940,  1516,  2259,
     392,   393,  1885,  1886,  1482,  2109,  2110,  1541,   395,  1692,
     564,  2169,  1651,  1811,    97,    98,    99,   100,   101,   102,
    2170,  2171,   907,   908,  1070,   846,   391,  1248,   565,  1249,
    2329,   392,   393,   544,   545,   566,  1144,  1812,  2112,   395,
     775,   776,   941,   777,   567,    97,    98,    99,   100,   101,
     102,   376,  1071,   568,   377,  2172,  2144,   722,   723,   854,
     633,  1627,  1537,  1537,   587,   396,  1652,  2051,   397,   615,
     616,   297,   605,  1382,  1384,   588,  1072,  1534,  1534,  1324,
    1533,  1533,  2173,  1392,  1891,  1394,  1191,   634,   775,   776,
     612,   777,  1332,  2137,   637,  1465,   396,   610,  2145,   397,
    2643,   638,   695,   695,  1343,   378,  1344,   696,   696,   379,
     380,   623,   512,   624,  1653,  2146,  1367,  1369,  1654,   648,
    2090,  1655,  1656,  1370,  1423,   699,   700,   701,   702,   617,
    2095,  1041,  1430,   544,   866,   867,   868,   697,   697,  1366,
    1375,   622,   381,  1497,  2091,    82,   629,  1907,   323,   324,
      84,    85,   631,   513,  2096,   649,   845,   846,  1478,   298,
    1646,   650,   695,   171,   651,   635,   382,   696,   174,   175,
     383,   323,   324,  1517,  1518,  1498,   847,   686,   652,   687,
     636,   848,   688,   299,  1674,   699,   700,   701,   702,  1192,
    1743,  1398,   653,  1466,  1616,   654,   853,   697,   391,   387,
     540,   655,   540,   392,   393,   668,  1042,  1371,   791,   792,
    1458,   395,   690,   656,  1488,  1495,  1506,   686,   384,   687,
    1687,   315,   688,  1451,  2147,  2148,  2149,  1693,   751,   752,
    1467,  2517,  1882,  2518,   673,  1888,  1537,  1487,  1494,  1505,
     675,   547,   348,   546,   349,  2230,  1590,  1468,  1592,  1469,
     689,  1534,   690,  1470,  1533,   676,   391,  1471,  1472,   695,
     677,   392,   393,  1065,   696,  1066,  1735,   679,   396,   395,
    1737,   397,  1273,  1043,  1274,    97,    98,    99,   100,   101,
     102,   684,   699,   700,   701,   702,   834,   835,  1613,  1044,
    1045,  1452,   846,   685,   697,  1105,  1106,  1107,  1607,  1608,
     695,  1046,   845,   846,   391,   696,   692,   602,   603,   392,
     393,   604,  1769,   514,  1483,  1484,   695,   395,  1485,  1453,
     707,   696,   847,  1486,   840,   841,   396,   848,   710,   397,
    1673,  2308,   720,  1645,   773,   697,  1875,  1876,  1095,  1096,
    1372,  1373,   849,  2170,  2171,   907,   908,  1374,   850,  1547,
    1424,   697,  2577,  2578,  2579,  1830,   902,  1555,  1359,  1556,
    1557,  1558,  1559,  2309,   531,  1284,  1285,  1286,  1287,   532,
    1568,  1275,  1899,  1276,   396,  1601,  1571,   397,  2505,   533,
     715,   534,  1829,   716,   725,   515,   516,   726,   775,   776,
    1682,   777,  1684,  1686,   855,  1688,  1322,  2562,   727,   535,
    1869,  1578,  1579,   490,  1851,   728,  1145,  1454,   729,  2204,
    1499,   738,  1702,  2077,  1705,   739,  2085,   845,   846,  1712,
     737,  2205,  2077,  2085,   489,   576,  2206,   575,   716,  1870,
     517,   518,   519,  1065,   741,  1604,  1721,   847,   742,  1734,
    1721,  2207,   848,  1500,  1501,  1360,   855,   748,  1691,   491,
     492,  1002,  1003,  1004,   493,   743,  2661,   849,   744,  2664,
    2665,   749,  1694,   850,   545,   494,  1720,   544,   545,   490,
    1144,  2666,  1893,  1894,   495,  1005,  1006,  1897,   745,  1007,
    2109,  2110,  2310,  1860,  1901,  1861,   750,  1902,  2107,   761,
     -68,   -68,  2660,   -68,  2602,  2672,  2673,  1996,   764,  1997,
    2674,  2675,   531,   695,   536,   391,   537,   532,   696,  1744,
     392,   393,  1918,  2112,  1920,   491,   492,   533,   395,   534,
     493,  1397,  1924,  1399,  1339,  1340,   699,   700,   701,   702,
     672,   494,   674,  1341,  1342,  2311,  2312,   535,   697,  2313,
     495,   845,   846,   765,  2677,  1455,  1456,  1609,  1610,  2208,
      82,  1831,  1832,  2108,  1833,    84,    85,   766,  2109,  2110,
     784,   847,  2023,  1964,  -871,   787,   848,   783,  1835,  1964,
    1834,  2314,  1999,  2000,  2315,   396,  1850,   788,   397,   789,
     478,   853,  1858,  1859,   790,  2316,  1865,  1866,   695,   793,
    2317,  2112,   300,   696,  2170,  2171,   907,   908,   794,  1867,
     716,   716,   798,  1502,   796,  2109,  2110,  2111,  1503,   799,
    1504,   800,  1208,  2209,  2210,  1953,  1954,  2211,  2318,  1877,
    1878,  1879,   301,   697,  1883,  1754,  1754,   808,  1758,  2172,
    2071,  2072,  1759,  1760,  2067,  2218,  2219,   797,  2112,  1754,
    1822,  2319,   536,   809,   537,   302,   801,   303,  1895,   304,
    2212,  2213,  2214,   810,  1773,   811,  1774,  2364,  2365,  2113,
     812,   391,  2114,  2115,  2109,  2110,   392,   393,  2215,   814,
     775,   776,   815,   777,   395,  1221,   816,  1915,  2385,  2386,
      97,    98,    99,   100,   101,   102,    82,   817,   695,   818,
    2043,    84,    85,   696,   479,   775,   776,  2123,  1742,  2320,
     349,  1956,  1957,  1958,   569,   570,   163,   571,   572,   573,
     824,   699,   700,   701,   702,  2116,   503,   821,  1959,  1960,
    1961,   827,  2321,   697,   825,   305,   306,   307,   308,  2519,
    2520,   396,   770,   830,   397,  2535,  2536,   496,  2070,   574,
     831,  2322,  2353,  2354,  2078,  2628,  2629,  2630,  2631,  2632,
    1975,   695,   832,   836,  1721,   839,   696,   842,   843,   855,
    2126,  2127,  2128,   480,   858,    82,  2079,  2080,  2081,  2082,
      84,    85,   857,   860,   699,   700,   701,   702,  2323,  2324,
    2325,  2326,   859,  2327,   481,  2003,   697,  2328,   716,   716,
     716,  1716,  1717,  1718,  1719,  1363,   861,   391,  2130,  1962,
    1963,   862,   392,   393,   695,   863,   864,   865,   871,   696,
     395,   872,  1383,   873,   874,   886,    97,    98,    99,   100,
     101,   102,  2633,  2634,  2635,  2636,  2637,   699,   700,   701,
     702,  1956,  1957,  1958,   884,   888,  2026,  2027,   695,   697,
    1940,  1941,  2187,   696,  1942,  1964,   890,  1964,  1959,  1960,
    1961,  1943,  1944,  2543,  2544,  2008,   889,  1926,   703,  2223,
    2545,  2546,  2547,  2548,   894,  1934,  2044,   396,   892,  1937,
     397,  1939,   896,   697,   895,   897,   391,   901,   912,   900,
     504,   392,   393,   913,   914,  1364,   915,   716,  2224,   395,
     918,  2007,   505,   921,   604,    97,    98,    99,   100,   101,
     102,   923,   922,   942,   947,  1983,   569,   570,   907,   908,
     572,   573,   948,  2265,  1010,  1011,  1012,  2268,  2269,  1013,
    2273,  1018,  2276,  1020,  1021,  1060,  1063,  1064,  1067,  1962,
    1963,  1068,   459,    82,  1074,  1077,  1085,  1084,    84,    85,
    1079,   574,  1086,  1090,  1093,  1097,   396,  1110,  1120,   397,
    1121,  1123,  1128,  1129,  1136,  1138,   482,   483,   484,  1139,
    1141,  1160,  2349,   460,  2350,  2351,  2352,  1145,  1145,  1147,
    2174,  2129,  1161,  1163,  1165,  1140,  1167,  2362,  1143,  1170,
    1178,  2366,  1180,  1182,  1185,  2374,   576,   576,   575,   575,
     506,   569,   570,   907,   908,   572,   573,  2395,  2396,  2397,
    2398,  2399,  2400,  2401,  2402,  1177,  2485,  1195,  1202,  1203,
    1204,  2403,  1211,  1230,  1365,   876,  1239,  2411,  2412,  1234,
    1242,  1243,  1246,  2419,  1260,  2421,  1266,  2424,  1247,  2427,
    1263,  1754,  1265,  1270,  1271,  2431,  1272,  1277,  1279,  2054,
    1296,  1302,  1325,  1280,   391,  1281,  1327,  2433,  2434,   392,
     393,  2435,  2436,  1333,  1335,  1355,  1346,   395,  2220,  1338,
    1347,  1358,  1357,    97,    98,    99,   100,   101,   102,  1386,
    1379,  2235,  1380,  1567,  2461,  1381,  1387,  1389,  2461,  1390,
    1391,  2469,  1513,  1539,  1393,  1405,  2264,  2477,  2266,  1406,
    1409,  1411,  1413,  1415,  1416,  1417,  1418,  1419,  2494,  1420,
    1421,  1422,  2280,  2281,  2282,  1426,  1427,  1429,  1431,  1479,
    1509,  1510,  1512,  1546,   396,  1548,  1549,   397,  1569,  1570,
    2527,  2528,  1476,  1580,  1581,  2530,  2531,  2231,  1574,  2534,
     461,  1542,  1582,  1583,  1584,  1585,  1591,  1593,  1586,  1594,
    2521,  2522,  2523,  2524,  2525,  1595,  1603,  1602,   716,   716,
    1605,  1611,  1629,   716,   716,  1617,  1606,   716,  1620,  1612,
    1621,  1630,  1631,  2541,  1632,  1633,  2183,  2184,  2185,   981,
    2186,  1672,  1671,  1643,   982,   983,  1647,  2555,  2556,  2557,
    1675,  1676,  1678,  1679,  1648,  1677,  1695,  1649,  1658,  1662,
    1663,  1707,  1664,  2413,  1665,  2564,  2565,  1666,  2420,  1667,
    1668,  2568,  1669,  1670,  1683,  1689,  1696,  2620,  2621,  1713,
    1714,  1731,  2574,  1736,  1750,  1740,  2581,  1752,  1738,  2584,
    2585,  1757,  1761,  1762,  2588,  2589,  1763,  1764,  1765,  1730,
    1772,  1771,  2604,  2595,  1810,  1817,  1816,  1819,  1820,  2449,
    1721,  1821,  1825,  1823,  2596,  2597,  2598,  1826,  2644,  1827,
    1828,  2601,  1838,  1845,  1852,  1857,  1853,  2470,  2174,  2174,
     716,  2605,  1862,  2479,  2606,  2607,  1856,   329,   330,   331,
     332,   333,   334,   335,   336,   337,  2339,   338,   339,   340,
     341,   342,   343,  1863,  1890,  1896,  1864,  1898,  2616,  2617,
    1871,  1900,  1889,  1432,   462,   463,   464,   465,  1903,   984,
     985,   986,   987,   988,   989,  1904,  1919,  1497,  1925,  1928,
    1917,  1948,  1929,  1433,  1868,  1938,  1949,  1952,  1955,  1969,
    2526,  1977,   466,  1982,  1984,  1990,  1988,  1995,   467,  1998,
    2001,   468,  2009,  2012,   469,  2011,  2025,  2015,  2024,  2016,
    2017,  2502,  2048,  2029,  2013,  2037,  2648,  2041,  2649,  2650,
    2062,  2045,  2063,  2064,  2065,  2558,  2652,  2066,   490,  2068,
    2069,  2097,  2074,  2655,  2561,  2563,  2088,  2089,  2094,  1434,
    2098,  2086,  2566,  2567,  2101,  2124,  2569,    82,  2166,  2193,
    2168,  2196,    84,    85,   990,   991,   992,   993,   994,   995,
     996,   997,   998,   999,  1000,  2197,  2199,  2587,  2202,  2234,
    1360,  2591,  2221,  2593,  1435,  1436,  2267,   390,  2222,   493,
    2232,  2274,  2278,  2279,  2277,  2336,  2283,  2340,  2344,  2343,
     494,  2355,  2599,  2600,  2356,  2357,  2358,  2359,  2360,   495,
    2361,  2375,   160,  2603,   161,   162,   163,   164,   165,   166,
    2608,   167,  2609,  2610,  2611,  2363,  2367,  2376,  2510,   168,
     169,   935,  2379,  2380,   170,  2373,  2381,  2384,  2404,  2387,
    2409,  2408,  2410,  2418,  2428,  2422,   171,   172,  2447,   173,
    2430,   174,   175,  2432,  2441,   176,  1437,  2448,  1438,  2451,
    1439,  2417,  2453,  2452,  2429,  2450,  2454,  2458,   391,  2456,
    2464,  1911,  2468,   392,   393,  2471,  2498,   394,  2495,  2503,
    2478,   395,  2487,  2488,  2491,  2492,  2642,    97,    98,    99,
     100,   101,   102,  2509,  2511,  2497,  2501,  2647,  2515,  2486,
    2512,  2513,  2514,  2496,  2516,   177,   178,   554,   555,   556,
     557,   179,   180,  2654,   181,   182,   183,   184,   185,   186,
     187,   188,   189,  2529,  2532,  2533,  2537,  2552,  2559,  2575,
    2576,   190,   191,   192,  2586,  2570,   193,  2500,   396,  2573,
    2590,   397,  2583,  2618,   194,  2619,  2612,  2613,   197,  2623,
    2626,  2627,   195,  2671,   196,  2638,  2659,  2662,  1440,  2663,
    2667,  2668,  2676,   398,  1751,  2678,  1290,  1441,  1442,  2189,
    1291,  1292,  1796,  2669,  1443,  1797,  1798,  1799,  1444,  2646,
    2656,  1978,  2190,  1979,  2188,  1980,  1824,  1445,  1329,  2614,
    2337,   590,   591,   592,   593,   594,  1446,  2506,  1447,  2657,
    2658,  1448,  1082,   558,  1267,   498,  1268,   198,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   927,   909,   604,
    2507,  1269,  1449,   829,  1615,  1198,  1572,  1573,   590,   591,
     592,   593,   594,  2622,   197,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   595,   596,   597,   598,   599,
     600,   601,   602,   603,  2641,  1625,   604,  2106,  1402,  2004,
    2014,  2032,   209,   210,  2022,  2131,  2582,   160,  2438,   161,
     162,   163,   164,   165,   166,  2463,   167,  2467,  1019,  2592,
    2594,  2466,  1320,  1921,   168,   169,  1932,  1228,     0,   170,
    1345,     0,   211,   198,     0,     0,  1933,     0,     0,     0,
       0,   171,   172,     0,   173,     0,   174,   175,     0,     0,
     176,     0,     0,     0,  -872,  -872,  -872,   212,   213,   214,
     215,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,  -872,  -872,  -872,  -872,  -872,   600,   601,   602,   603,
       0,  1075,   604,     0,     0,     0,     0,     0,   209,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     177,   178,   554,   555,   556,   557,   179,   180,     0,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   211,     0,
       0,     0,     0,     0,     0,     0,   190,   191,   192,     0,
       0,   193,     0,     0,     0,     0,     0,     0,     0,   194,
     216,   217,     0,   212,   213,   214,   215,   195,     0,   196,
       0,     0,     0,     0,     0,     0,   218,   219,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   590,   591,   592,   593,   594,     0,   248,
     249,     0,     0,     0,     0,     0,   216,   217,     0,   197,
     595,   596,   597,   598,   599,   600,   601,   602,   603,     0,
       0,   604,   218,   219,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1240,     0,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,     0,     0,   198,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   248,   249,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,     0,     0,   160,     0,
     161,   162,   163,   164,   165,   166,     0,   167,     0,     0,
       0,     0,     0,   209,   210,   168,   169,  1560,     0,     0,
     170,     0,     0,     0,     0,     0,     0,   590,   591,   592,
     593,   594,   171,   172,     0,   173,     0,   174,   175,     0,
       0,   176,     0,   211,   595,   596,   597,   598,   599,   600,
     601,   602,   603,     0,     0,   604,     0,   590,   591,   592,
     593,   594,     0,     0,     0,     0,     0,     0,   212,   213,
     214,   215,     0,     0,   595,   596,   597,   598,   599,   600,
     601,   602,   603,     0,     0,   604,     0,   963,   964,     0,
       0,   177,   178,     0,  1255,   965,     0,   179,   180,     0,
     181,   182,   183,   184,   185,   186,   187,   188,   189,     0,
       0,     0,     0,     0,     0,     0,     0,   190,   191,   192,
       0,   966,   193,   967,  1256,     0,     0,     0,     0,     0,
     194,     0,     0,     0,     0,     0,     0,     0,   195,     0,
     196,     0,     0,     0,     0,     0,     0,   968,     0,     0,
       0,   216,   217,     0,     0,     0,     0,   969,   970,     0,
     971,   972,   973,   974,   975,     0,     0,   218,   219,     0,
       0,   976,   977,   978,     0,   979,   980,     0,     0,     0,
       0,     0,     0,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     197,     0,   590,   591,   592,   593,   594,     0,     0,     0,
     248,   249,     0,     0,     0,     0,     0,     0,     0,   595,
     596,   597,   598,   599,   600,   601,   602,   603,     0,     0,
     604,     0,     0,   160,     0,   161,   162,   163,   164,   165,
     166,     0,   167,     0,     0,   924,     0,     0,     0,     0,
     168,   169,  1564,     0,     0,   170,     0,     0,     0,   198,
       0,     0,     0,     0,     0,     0,     0,   171,   172,   925,
     173,     0,   174,   175,     0,     0,   176,     0,     0,     0,
     590,   591,   592,   593,   594,     0,     0,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   595,   596,   597,
     598,   599,   600,   601,   602,   603,     0,     0,   604,     0,
       0,     0,     0,     0,   209,   210,     0,     0,     0,     0,
       0,     0,     0,  1551,     0,     0,   177,   178,     0,     0,
       0,     0,   179,   180,     0,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   211,     0,     0,  1552,     0,     0,
       0,     0,   190,   191,   192,     0,     0,   193,     0,   590,
     591,   592,   593,   594,     0,   194,     0,     0,     0,   212,
     213,   214,   215,   195,     0,   196,   595,   596,   597,   598,
     599,   600,   601,   602,   603,     0,     0,   604,     0,   590,
     591,   592,   593,   594,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   595,   596,   597,   598,
     599,   600,   601,   602,   603,     0,     0,   604,   590,   591,
     592,   593,   594,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,   595,   596,   597,   598,   599,
     600,   601,   602,   603,     0,     0,   604,     0,     0,     0,
       0,     0,   216,   217,     0,   197,  1258,     0,     0,     0,
       0,  1254,     0,     0,     0,     0,     0,     0,   218,   219,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,     0,     0,   198,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   248,   249,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,     0,     0,   160,     0,   161,   162,   163,   164,
     165,   166,     0,   167,     0,     0,     0,     0,     0,   209,
     210,   168,   169,  1986,     0,     0,   170,     0,     0,     0,
       0,     0,     0,   590,   591,   592,   593,   594,   171,   172,
       0,   173,     0,   174,   175,     0,     0,   176,     0,   211,
     595,   596,   597,   598,   599,   600,   601,   602,   603,     0,
       0,   604,   590,   591,   592,   593,   594,     0,     0,     0,
       0,     0,     0,     0,   212,   213,   214,   215,     0,   595,
     596,   597,   598,   599,   600,   601,   602,   603,     0,     0,
     604,     0,     0,     0,     0,     0,     0,   177,   178,     0,
    1550,     0,     0,   179,   180,     0,   181,   182,   183,   184,
     185,   186,   187,   188,   189,     0,     0,     0,     0,     0,
       0,     0,     0,   190,   191,   192,     0,     0,   193,  1801,
       0,   590,   591,   592,   593,   594,   194,     0,     0,     0,
       0,     0,     0,     0,   195,     0,   196,     0,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   216,   217,   604,
     590,   591,   592,   593,   594,     0,     0,     0,     0,     0,
       0,     0,  1326,   218,   219,     0,     0,   595,   596,   597,
     598,   599,   600,   601,   602,   603,     0,     0,   604,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,  1927,   590,   591,
     592,   593,   594,     0,     0,     0,   248,   249,     0,     0,
       0,     0,     0,     0,     0,   595,   596,   597,   598,   599,
     600,   601,   602,   603,     0,     0,   604,     0,     0,   160,
       0,   161,   162,   163,   164,   165,   166,     0,   167,     0,
       0,  1259,     0,     0,     0,     0,   168,   169,  1991,     0,
       0,   170,     0,     0,     0,   198,     0,     0,     0,     0,
       0,     0,     0,   171,   172,     0,   173,     0,   174,   175,
       0,     0,   176,     0,     0,     0,   590,   591,   592,   593,
     594,     0,     0,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   595,   596,   597,   598,   599,   600,   601,
     602,   603,     0,     0,   604,     0,     0,     0,     0,     0,
     209,   210,     0,     0,     0,     0,     0,     0,     0,  1264,
       0,     0,   177,   178,     0,     0,     0,     0,   179,   180,
       0,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     211,     0,     0,     0,     0,     0,     0,     0,   190,   191,
     192,     0,     0,   193,     0,   590,   591,   592,   593,   594,
       0,   194,     0,     0,     0,   212,   213,   214,   215,   195,
       0,   196,   595,   596,   597,   598,   599,   600,   601,   602,
     603,     0,     0,   604,   590,   591,   592,   593,   594,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1336,     0,
       0,   595,   596,   597,   598,   599,   600,   601,   602,   603,
       0,     0,   604,   590,   591,   592,   593,   594,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1337,     0,     0,
     595,   596,   597,   598,   599,   600,   601,   602,   603,     0,
       0,   604,     0,     0,     0,     0,     0,     0,   216,   217,
       0,   197,     0,     0,     0,     0,  1802,     0,     0,     0,
       0,     0,     0,     0,   218,   219,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,     0,     0,
     198,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   248,   249,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,     0,     0,
     160,     0,   161,   162,   163,   164,   165,   166,     0,   167,
       0,     0,     0,     0,     0,   209,   210,   168,   169,  1993,
       0,     0,   170,     0,   589,     0,     0,     0,     0,   590,
     591,   592,   593,   594,   171,   172,     0,   173,     0,   174,
     175,     0,     0,   176,     0,   211,   595,   596,   597,   598,
     599,   600,   601,   602,   603,     0,     0,   604,   590,   591,
     592,   593,   594,     0,     0,     0,     0,     0,     0,     0,
     212,   213,   214,   215,     0,   595,   596,   597,   598,   599,
     600,   601,   602,   603,     0,     0,   604,     0,     0,     0,
       0,     0,     0,   177,   178,     0,     0,     0,     0,   179,
     180,  1803,   181,   182,   183,   184,   185,   186,   187,   188,
     189,     0,     0,     0,     0,     0,     0,     0,     0,   190,
     191,   192,     0,     0,   193,     0,     0,   590,   591,   592,
     593,   594,   194,     0,     0,     0,     0,     0,     0,     0,
     195,     0,   196,     0,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   216,   217,   604,   590,   591,   592,   593,
     594,     0,     0,     0,     0,     0,     0,     0,  1931,   218,
     219,     0,     0,   595,   596,   597,   598,   599,   600,   601,
     602,   603,     0,     0,   604,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   197,   590,   591,   592,   593,   594,     0,     0,
       0,     0,   248,   249,     0,     0,     0,     0,     0,     0,
     595,   596,   597,   598,   599,   600,   601,   602,   603,     0,
       0,   604,     0,     0,     0,   160,     0,   161,   162,   163,
     164,   165,   166,     0,   167,     0,  1804,     0,     0,     0,
       0,     0,   168,   169,     0,     0,     0,   170,     0,     0,
       0,   198,     0,     0,     0,     0,     0,     0,     0,   171,
     172,     0,   173,     0,   174,   175,     0,     0,   176,     0,
       0,     0,   590,   591,   592,   593,   594,     0,     0,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   595,
     596,   597,   598,   599,   600,   601,   602,   603,     0,     0,
     604,     0,     0,     0,     0,     0,   209,   210,     0,     0,
       0,     0,     0,     0,     0,  1805,     0,     0,   177,   178,
       0,     0,     0,     0,   179,   180,     0,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   211,     0,  1519,  2236,
       0,     0,     0,     0,   190,   191,   192,     0,     0,   193,
       0,     0,     0,     0,  2237,     0,     0,   194,     0,     0,
       0,   212,   213,   214,   215,   195,   172,   196,   590,   591,
     592,   593,   594,     0,   176,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   595,   596,   597,   598,   599,
     600,   601,   602,   603,     0,  1520,   604,  1521,  1522,  1523,
    1524,  1525,  1526,  1527,     0,     0,     0,     0,     0,     0,
       0,  1818,     0,     0,     0,     0,     0,     0,     0,     0,
    1528,     0,     0,  1529,     0,     0,     0,     0,     0,     0,
     179,   180,     0,   181,   182,   183,   184,   185,   186,   187,
    1530,     0,     0,     0,   216,   217,     0,   197,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     218,   219,     0,     0,     0,     0,     0,  1531,     0,  1532,
       0,  2109,  2110,     0,     0,     0,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,  2112,     0,   198,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2238,   248,   249,     0,  2239,  2240,     0,     0,
    2241,  2242,     0,     0,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   197,     0,     0,     0,  2243,     0,     0,
       0,   209,   210,     0,  2244,     0,     0,     0,     0,  2245,
       0,     0,     0,     0,     0,     0,  2246,     0,     0,     0,
       0,  2247,     0,     0,  2248,   590,   591,   592,   593,   594,
       0,   211,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   595,   596,   597,   598,   599,   600,   601,   602,
     603,     0,   198,   604,     0,     0,   212,   213,   214,   215,
       0,     0,     0,     0,     0,     0,     0,     0,  1950,     0,
       0,     0,  2249,   590,   591,   592,   593,   594,     0,     0,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     595,   596,   597,   598,   599,   600,   601,   602,   603,  2250,
       0,   604,     0,     0,     0,     0,     0,   209,   210,     0,
       0,     0,     0,     0,     0,     0,  1951,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2251,     0,     0,
    2252,  2253,  2254,     0,     0,     0,     0,   211,  2255,   216,
     217,     0,     0,  2256,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2257,     0,   218,   219,     0,     0,     0,
    2258,     0,   212,   213,   214,   215,     0,     0,     0,     0,
       0,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,     0,
       0,     0,     0,     0,   590,   591,   592,   593,   594,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   248,   249,
       0,   595,   596,   597,   598,   599,   600,   601,   602,   603,
       0,     0,   604,     0,     0,   590,   591,   592,   593,   594,
       0,     0,     0,     0,     0,   216,   217,  2087,     0,     0,
       0,     0,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   218,   219,   604,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2046,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,  1519,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   248,   249,     0,     0,   590,   591,
     592,   593,   594,   172,     0,     0,     0,     0,     0,     0,
       0,   176,     0,     0,     0,   595,   596,   597,   598,   599,
     600,   601,   602,   603,     0,     0,   604,     0,     0,     0,
       0,  2049,     0,     0,  1521,  1522,  1523,  1524,  1525,  1526,
    1527,  2345,     0,     0,     0,     0,     0,     0,     0,  1022,
       0,     0,     0,     0,     0,     0,     0,  1528,     0,     0,
    1529,     0,     0,   544,   866,   867,   868,   179,   180,     0,
     181,   182,   183,   184,   185,   186,   187,  1530,     0,  1519,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   171,     0,     0,     0,     0,   174,   175,
       0,     0,     0,     0,  1531,     0,  1532,   172,   590,   591,
     592,   593,   594,     0,     0,   176,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   595,   596,   597,   598,   599,
     600,   601,   602,   603,     0,     0,   604,     0,  1521,  1522,
    1523,  1524,  1525,  1526,  1527,     0,     0,     0,     0,     0,
       0,  2346,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1528,     0,     0,  1529,     0,     0,     0,     0,     0,
       0,   179,   180,     0,   181,   182,   183,   184,   185,   186,
     187,  1530,     0,     0,     0,     0,     0,     0,     0,     0,
     197,  1023,   846,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1024,  1531,     0,
    1532,  1025,     0,     0,  1026,  1027,     0,     0,     0,  1028,
       0,     0,     0,   590,   591,   592,   593,   594,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1029,     0,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   198,
       0,   604,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1030,  1031,  1032,  2053,  1033,  1034,     0,  1035,  1036,
    1037,     0,     0,     0,     0,     0,     0,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,     0,     0,   590,
     591,   592,   593,   594,   197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   209,   210,   595,   596,   597,   598,
     599,   600,   601,   602,   603,     0,     0,   604,     0,     0,
       0,   590,   591,   592,   593,   594,     0,     0,     0,     0,
       0,     0,  2347,     0,   211,  2055,     0,     0,   595,   596,
     597,   598,   599,   600,   601,   602,   603,     0,     0,   604,
       0,     0,     0,   198,     0,     0,     0,     0,     0,   212,
     213,   214,   215,   172,  2348,     0,     0,     0,     0,     0,
       0,   176,     0,     0,   590,   591,   592,   593,   594,     0,
       0,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   595,   596,   597,   598,   599,   600,   601,   602,   603,
       0,     0,   604,     0,     0,     0,     0,     0,   209,   210,
       0,     0,     0,     0,     0,     0,     0,  2504,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   179,   180,     0,
     181,   182,   183,   184,   185,   186,   187,  2056,   211,     0,
       0,     0,   216,   217,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,   219,
       0,     0,     0,   212,   213,   214,   215,     0,     0,     0,
       0,     0,     0,     0,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,     0,     0,     0,     0,   590,   591,   592,   593,
     594,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   248,   249,   595,   596,   597,   598,   599,   600,   601,
     602,   603,     0,     0,   604,     0,   590,   591,   592,   593,
     594,     0,     0,     0,     0,     0,   216,   217,     0,  2615,
     197,     0,     0,   595,   596,   597,   598,   599,   600,   601,
     602,   603,   218,   219,   604,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2060,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,     0,     0,     0,   198,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   248,   249,     0,     0,     0,
     590,   591,   592,   593,   594,     0,     0,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   595,   596,   597,
     598,   599,   600,   601,   602,   603,     0,     0,   604,     0,
       0,     0,     0,  1775,   209,   210,     0,     0,     0,     0,
       0,  2061,  1776,  1777,  1778,  1779,     0,  1780,  1781,  1782,
       0,     0,  1783,     0,  1784,  1785,     0,     0,     0,     0,
    1786,  1787,     0,     0,   211,  1788,  1775,     0,     0,     0,
       0,     0,     0,     0,     0,  1776,  1777,  1778,  1779,     0,
    1780,  1781,  1782,     0,     0,  1783,     0,  1784,  1785,   212,
     213,   214,   215,  1786,  1787,   590,   591,   592,  1795,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   595,   596,   597,   598,   599,   600,   601,   602,
     603,  1330,     0,   604,     0,     0,     0,     0,   407,   408,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
       0,   338,   339,   340,   341,   342,   343,     0,     0,     0,
       0,     0,     0,   409,     0,     0,     0,     0,     0,     0,
       0,   410,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   216,   217,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,   219,
       0,   411,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,     0,     0,   391,     0,     0,     0,     0,   392,
     393,     0,   412,   413,     0,     0,     0,   395,   414,     0,
       0,   248,   249,   415,   416,   417,   418,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   419,     0,     0,     0,
     420,     0,   421,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   396,     0,     0,   397,     0,     0,
       0,     0,     0,     0,     0,     0,   422,     0,     0,     0,
     423,     0,     0,     0,     0,     0,     0,     0,     0,   424,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   425,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,     0,   429,
       0,     0,     0,   430,     0,     0,   431,   432,     0,   433,
     434,     0,     0,   435,   436,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,     0,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,   442,     0,     0,     0,   443,     0,     0,
     444,   445,     0,   446,     0,   447,     0,     0,     0,   448,
     449,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   450,     0,     0,     0,     0,     0,     0,     0,   451,
     452
};

static const yytype_int16 yycheck[] =
{
     103,     7,   367,   279,   196,   492,   428,   429,   562,   732,
     165,   160,   165,  1229,   778,    81,   353,   462,  1229,    67,
      86,    87,   196,  1260,  1261,  1262,  1263,   139,  1229,   366,
     367,  1229,   781,   531,   504,   533,   534,   149,   150,   537,
     538,   196,    88,   196,   133,   630,    80,   630,   137,    21,
     139,    23,   141,    23,    80,    80,   299,    80,    50,    80,
     149,   150,    80,    18,  1763,    18,   125,   156,    23,    88,
      23,  1023,   125,   203,   204,   351,   352,    25,    23,   128,
      25,   130,    88,   132,  2052,   134,  2052,   136,   671,   138,
     427,   173,    50,   142,   224,   144,     6,   146,    53,   148,
      53,   257,    18,    87,   282,   154,   155,    23,    50,     6,
    1522,    50,   449,    50,  1330,    18,  2049,   393,  1070,    37,
      23,   167,    23,  1535,    25,    25,    23,   209,   465,  1330,
      40,   123,  1330,  2221,    23,   313,   169,    53,   161,  1485,
      50,   322,    52,   166,   167,    55,    56,   170,   244,    34,
      53,   174,    23,   490,    25,    51,   173,    18,    51,    10,
     630,    18,    23,  2052,   170,     3,    23,   173,    65,   356,
     194,    81,  1081,    23,  1618,    25,   513,   335,    51,  1623,
      41,    42,    43,    44,    41,    42,    43,    44,     6,   205,
      18,   354,    53,   248,  1040,    23,    53,    23,    18,    25,
     170,   495,  2391,    23,   139,     7,    20,    21,   231,    23,
     397,   234,    25,    41,    42,    43,    44,   173,   177,   247,
      80,    41,    42,    43,    44,    53,    48,    78,   853,   392,
      52,    78,   857,    53,    23,    23,  2169,    25,   148,    79,
     150,   151,     0,   153,   340,   155,   431,   173,     3,     4,
       5,   161,   437,   163,   164,   165,     6,   167,   421,   553,
     278,   364,   147,   426,   161,   192,    79,   283,   323,   365,
     180,   181,   182,   183,   184,   185,   235,   440,   344,   168,
     461,  1725,    80,    48,   729,   448,    48,    52,  1732,   447,
      52,   308,   395,   396,    92,   319,    18,    69,    70,   137,
     463,    23,   368,   466,   200,   859,   469,   200,   256,    50,
     302,   335,   159,   283,    55,    56,   479,   420,   872,    41,
      42,    43,    44,   356,   234,   175,   748,   200,   168,   277,
     240,    53,   203,    23,   318,    25,   246,   247,   703,    80,
     677,   241,   168,   371,   536,   427,   502,   145,   146,    48,
    2539,  2540,   308,    52,   517,  2054,   519,    69,    70,  2058,
     257,  2550,  2551,   347,  1087,    48,   703,   385,    23,    52,
     389,   708,   356,  2341,   300,  2341,   713,   175,   715,   168,
     168,    18,   531,  1599,   533,   534,    23,   305,   537,   538,
     633,   634,   635,   636,   637,   150,   639,   640,  1599,   642,
     643,  1599,   645,   646,    41,    42,    43,    44,   467,  2342,
     427,   369,   167,   431,   751,   752,    53,   476,  1792,  1328,
     161,   503,   319,   476,  1798,   166,   167,   369,   250,   170,
     369,   561,   369,   174,  1280,  1281,   381,   192,   193,   180,
     181,   182,   183,   184,   185,  2533,   244,   784,   474,  1034,
     787,   476,  2341,  1799,   876,   476,   878,   392,   483,   257,
     278,   482,   508,    20,   512,   368,    23,   239,   438,   834,
     835,   427,     6,  1222,   508,   509,   247,   232,   433,   234,
     514,   236,     6,   453,   454,   250,   478,   824,   250,   369,
     231,    78,   247,   234,    23,   467,    25,   834,   835,    78,
    1452,    92,     6,    78,    10,   551,   552,   553,   554,   555,
     556,    28,   849,   168,   411,  1927,   853,  1071,   434,   435,
     857,   276,   475,   295,   280,   280,  2240,   239,   385,   535,
     285,   286,    34,   517,   518,   519,    53,    69,    70,   419,
      18,  1757,   548,   566,   364,    23,   443,   444,    54,     6,
      80,   250,   889,   375,   376,   892,   384,   563,   564,   565,
     566,   567,   568,   900,  1034,   379,   632,   250,   574,    53,
    2436,  1808,   159,  1810,   737,    53,  1813,    54,  1815,  1816,
     159,   442,   157,   295,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,   603,  2312,    53,
     371,    78,   765,   766,   778,   768,  1189,    23,    54,    25,
     558,   559,   560,   473,   474,   145,   146,   477,   478,   479,
     783,    23,    24,   778,   261,   778,   789,   162,   791,   173,
     793,   794,    78,   796,   797,   798,   799,   800,   801,   168,
     186,   804,   233,   806,    51,   147,   401,   810,   169,   550,
     372,   373,   562,    10,   817,   818,   557,    28,   821,   180,
     181,   192,   825,   207,   462,    18,   464,   465,    39,    10,
      23,   469,   470,   679,   472,   724,   375,   376,   176,    86,
      14,    15,   480,   481,   690,     9,    10,    11,    12,   258,
     250,   697,   375,   376,    18,   858,    98,    54,   439,    79,
      53,    10,  2076,  2077,    10,   808,  1470,   239,   871,   169,
    2084,  2085,   867,    54,   867,  2581,  1932,    42,  2584,   315,
    1936,  1932,  1167,   886,    42,   888,   322,   364,   258,   259,
      42,  1932,   262,    18,  1932,  1936,   196,    78,    23,    23,
      24,  1239,   220,  1241,    78,    54,   306,    36,    54,   164,
     942,   943,   168,   494,    79,   162,    41,    42,    43,    44,
     203,    79,   205,   295,   308,   309,   326,    79,    53,   229,
      36,   945,     6,    54,    50,    14,    15,   147,    80,    55,
      56,    36,   303,  1120,  1121,    20,    21,    80,    23,    53,
     945,  2034,   945,   200,   237,  1132,    51,    78,   389,   206,
     391,   244,   393,   394,    80,    50,   397,   223,   563,   564,
      55,    56,  1149,  1056,  1151,  1058,    92,   233,  1155,   385,
    1157,   228,  1501,  1160,  1161,  1504,  1163,   287,  1165,   244,
     245,   246,    18,  2049,   277,    80,   279,    80,    79,    78,
     846,  1178,   302,   168,   287,    80,  1183,    79,  2049,   415,
     168,  2049,    20,    21,  1191,  2092,   168,    53,  1195,   302,
    2097,  2104,  2099,  1308,   319,  2102,  1311,   220,  1313,    53,
    1048,  1049,  1050,  1051,   440,  1053,  1054,   170,  1033,  1057,
    1033,  1059,   175,  1061,  1062,   161,    33,    34,  1225,  2132,
     166,   167,   347,   348,   170,   197,   198,  1234,   174,  1453,
      53,     9,   145,    54,   180,   181,   182,   183,   184,   185,
      18,    19,    20,    21,   148,   149,   161,   923,    53,   925,
    2163,   166,   167,    20,    21,    53,    23,    78,   230,   174,
      20,    21,    79,    23,    53,   180,   181,   182,   183,   184,
     185,   401,   176,    53,   404,    53,   248,   405,   406,  1436,
     178,  1373,  2168,  2169,   146,   231,   199,  2168,   234,   283,
     284,   404,    39,  1126,  1127,   146,   200,  2168,  2169,  1072,
    2168,  2169,    80,  1136,  1697,  1138,   261,   205,    20,    21,
      25,    23,  1085,    80,   312,   278,   231,     6,   290,   234,
      80,    23,    18,    18,  1097,   455,  1099,    23,    23,   459,
     460,    23,   247,    25,   247,   307,  1118,    80,   251,   168,
      54,   254,   255,    86,  1177,    41,    42,    43,    44,     6,
      54,     6,  1185,    20,    21,    22,    23,    53,    53,  1118,
    1119,     6,   492,    48,    78,    50,     6,    79,    23,    24,
      55,    56,     6,   288,    78,     6,   148,   149,  1211,   492,
    1387,     6,    18,    50,     6,   283,   516,    23,    55,    56,
     520,    23,    24,  1226,  1227,    80,   168,    18,     6,    20,
     298,   173,    23,   516,   176,    41,    42,    43,    44,   364,
    1502,  1147,     6,   376,  1360,     6,   188,    53,   161,    51,
    1239,     6,  1241,   166,   167,    18,    81,   170,   338,   339,
    1189,   174,    53,     6,  1216,  1217,  1218,    18,   568,    20,
    1447,    25,    23,    80,   416,   417,   418,  1454,   326,   327,
     413,  2358,  1676,  2360,     6,  1679,  2342,  1216,  1217,  1218,
       6,  1286,    23,  1286,    25,    26,  1314,   430,  1316,   432,
      51,  2342,    53,   436,  2342,     6,   161,   440,   441,    18,
     495,   166,   167,    78,    23,    80,  1493,    28,   231,   174,
    1497,   234,    78,   148,    80,   180,   181,   182,   183,   184,
     185,    23,    41,    42,    43,    44,   145,   146,  1356,   164,
     165,   148,   149,    23,    53,    45,    46,    47,  1351,  1352,
      18,   176,   148,   149,   161,    23,    52,    35,    36,   166,
     167,    39,  1539,   448,   480,   481,    18,   174,   484,   176,
      52,    23,   168,   489,   171,   172,   231,   173,    52,   234,
     176,    48,    79,  1386,    52,    53,   252,   253,   242,   243,
     303,   304,   188,    18,    19,    20,    21,   310,   194,  1245,
      52,    53,   486,   487,   488,  1610,    10,  1253,    80,  1255,
    1256,  1257,  1258,    80,    18,    20,    21,    22,    23,    23,
    1266,    78,  1707,    80,   231,  1331,  1272,   234,    53,    33,
     248,    35,  1609,  1610,   493,   520,   521,    23,    20,    21,
    1443,    23,  1445,  1446,    23,  1448,    25,   253,    51,    53,
    1655,    20,    21,   125,  1631,    79,  1470,   264,   162,    48,
     315,    52,  1465,  1970,  1467,    79,  1973,   148,   149,  1472,
     257,    60,  1979,  1980,    80,  1470,    65,  1470,  1655,  1656,
     565,   566,   567,    78,    52,    80,  1481,   168,    52,  1492,
    1485,    80,   173,   348,   349,   167,    23,   335,    25,   171,
     172,   177,   178,   179,   176,    79,  2623,   188,    79,  2626,
    2627,    52,  1455,   194,    21,   187,    23,    20,    21,   125,
      23,  2638,  1699,  1700,   196,   201,   202,  1704,    79,   205,
     197,   198,   199,    78,  1711,    80,    25,  1714,    80,   324,
      20,    21,  2619,    23,   253,  2662,  2663,    52,   370,    54,
    2667,  2668,    18,    18,   158,   161,   160,    23,    23,  1502,
     166,   167,  1739,   230,  1741,   171,   172,    33,   174,    35,
     176,  1146,  1749,  1148,    46,    47,    41,    42,    43,    44,
     316,   187,   318,    46,    47,   252,   253,    53,    53,   256,
     196,   148,   149,   192,  2671,   402,   403,   263,   264,   188,
      50,    20,    21,   145,    23,    55,    56,   257,   197,   198,
     261,   168,  1874,  1790,    79,   261,   173,   311,  1613,  1796,
    1613,   288,  1827,  1828,   291,   231,  1629,   313,   234,   288,
      80,   188,   398,   399,   322,   302,   252,   253,    18,   338,
     307,   230,   148,    23,    18,    19,    20,    21,   163,  1652,
    1827,  1828,   288,   508,   344,   197,   198,   199,   513,   288,
     515,   359,    42,   252,   253,    65,    66,   256,   335,  1672,
    1673,  1674,   178,    53,  1677,  1521,  1522,   380,  1524,    53,
      14,    15,  1528,  1529,  1946,   252,   253,   351,   230,  1535,
    1596,   358,   158,   141,   160,   201,   357,   203,  1701,   205,
     289,   290,   291,   311,  1550,    52,  1552,   292,   293,   251,
      79,   161,   254,   255,   197,   198,   166,   167,   307,    52,
      20,    21,    79,    23,   174,    25,    79,  1730,   209,   210,
     180,   181,   182,   183,   184,   185,    50,   452,    18,   192,
    1917,    55,    56,    23,   194,    20,    21,  2009,    23,   416,
      25,    11,    12,    13,    18,    19,    20,    21,    22,    23,
     162,    41,    42,    43,    44,   307,    80,   161,    28,    29,
      30,   369,   439,    53,   376,   281,   282,   283,   284,   180,
     181,   231,   247,    52,   234,   209,   210,   393,  1965,    53,
      79,   458,  2194,  2195,  1971,   209,   210,   211,   212,   213,
    1793,    18,    79,    18,  1799,    18,    23,    52,    52,    23,
    2015,  2016,  2017,   263,   232,    50,    71,    72,    73,    74,
      55,    56,   188,    52,    41,    42,    43,    44,   495,   496,
     497,   498,   176,   500,   284,  1838,    53,   504,  2015,  2016,
    2017,   190,   191,   192,   193,    80,    52,   161,  2025,   109,
     110,    79,   166,   167,    18,    79,    79,    79,   257,    23,
     174,   176,    79,    52,    52,   192,   180,   181,   182,   183,
     184,   185,   209,   210,   211,   212,   213,    41,    42,    43,
      44,    11,    12,    13,    79,   363,  1889,  1890,    18,    53,
     136,   137,  2069,    23,   140,  2072,   252,  2074,    28,    29,
      30,   147,   148,   207,   208,  1848,   176,  1753,   188,  2114,
     214,   215,   216,   217,    52,  1761,  1919,   231,   261,  1765,
     234,  1767,    79,    53,    52,    79,   161,    52,    17,   261,
     244,   166,   167,    18,    18,   170,    36,  2114,  2115,   174,
      33,  1847,   256,    34,    39,   180,   181,   182,   183,   184,
     185,    78,    18,    10,    18,  1801,    18,    19,    20,    21,
      22,    23,    18,  2140,     6,     6,     6,  2144,  2145,     6,
    2147,     6,  2149,     6,     6,     6,     6,     6,     6,   109,
     110,     6,    49,    50,     6,     6,    78,    52,    55,    56,
      53,    53,    78,    52,    52,   380,   231,    23,   261,   234,
     261,    52,    52,    52,   349,   235,   456,   457,   458,    52,
      79,   261,  2189,    80,  2191,  2192,  2193,  2031,  2032,    37,
    2052,  2024,   261,   261,   261,    52,   162,  2204,    52,    52,
     250,  2208,    52,    52,   250,  2212,  2031,  2032,  2031,  2032,
     354,    18,    19,    20,    21,    22,    23,   419,   420,   421,
     422,   423,   424,   425,   426,   377,  2318,   188,    18,    18,
      23,  2238,   195,    52,   299,   318,    18,  2244,  2245,   294,
      51,    18,   147,  2250,    78,  2252,    53,  2254,    34,  2256,
      78,  1927,    18,   250,   250,  2262,    53,     6,    23,  1935,
      23,     6,     6,   176,   161,   176,    54,  2274,  2275,   166,
     167,  2278,  2279,    23,    52,    34,    52,   174,  2111,    25,
      52,    52,    78,   180,   181,   182,   183,   184,   185,   192,
      52,  2124,    52,    78,  2301,    52,   261,    52,  2305,    52,
      52,  2308,    18,   188,    52,    52,  2139,  2314,  2141,    52,
      52,    52,    52,    52,    52,    52,    52,    52,  2325,    52,
      52,    52,  2155,  2156,  2157,    52,    52,    52,    52,    52,
      52,    52,    50,    21,   231,    34,    34,   234,    18,    18,
    2375,  2376,   189,     6,     6,  2380,  2381,  2120,    23,  2384,
     247,    79,     6,     6,     6,     6,     6,     6,    18,     6,
    2367,  2368,  2369,  2370,  2371,     6,    78,    54,  2375,  2376,
     260,    52,   311,  2380,  2381,    52,   260,  2384,   161,    25,
      52,    52,    78,  2390,    52,    52,  2062,  2063,  2064,    50,
    2066,   363,   296,    52,    55,    56,    52,  2404,  2405,  2406,
     370,   176,   346,   176,    52,   192,   136,    52,    52,    52,
      52,   257,    52,  2246,    52,  2422,  2423,    52,  2251,    52,
      52,  2428,    52,    52,    60,    52,    52,  2519,  2520,    52,
     445,    52,  2439,    52,    52,   146,  2443,    36,   194,  2446,
    2447,    53,    28,    53,  2451,  2452,    53,    52,    28,   178,
      34,    36,  2487,  2460,    78,    18,    78,    21,     6,  2292,
    2285,     6,    52,    80,  2471,  2472,  2473,    18,  2560,   261,
     261,  2478,   162,    79,   188,   395,   400,  2310,  2340,  2341,
    2487,  2488,    52,  2316,  2491,  2492,   396,    89,    90,    91,
      92,    93,    94,    95,    96,    97,  2172,    99,   100,   101,
     102,   103,   104,    52,   320,    79,    52,    79,  2515,  2516,
      52,    79,   296,    60,   411,   412,   413,   414,    79,   180,
     181,   182,   183,   184,   185,    79,    69,    48,    18,    52,
     188,    18,    52,    80,   253,    52,    34,    61,    68,    38,
    2373,    52,   439,    52,    35,    10,    35,    80,   445,    54,
      79,   448,   306,   390,   451,    52,   261,   254,   192,   254,
     254,  2334,    54,    79,   281,    79,  2573,    79,  2575,  2576,
      53,    79,    53,    53,    52,  2408,  2583,    53,   125,    52,
      10,    53,    78,  2590,  2417,  2418,    54,    54,    54,   136,
      54,    77,  2425,  2426,    54,   303,  2429,    50,    52,    36,
     107,    18,    55,    56,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,    35,    35,  2450,    10,    52,
     167,  2454,    79,  2456,   171,   172,    52,    80,   253,   176,
      79,   322,   476,   476,    52,    80,    52,    10,    78,    54,
     187,    54,  2475,  2476,    54,    54,    78,    54,    53,   196,
      54,   254,    16,  2486,    18,    19,    20,    21,    22,    23,
    2493,    25,  2495,  2496,  2497,   296,   294,   254,  2344,    33,
      34,    35,    52,   254,    38,   257,   254,   254,   294,   207,
     449,   257,    79,   359,   123,   322,    50,    51,   468,    53,
      52,    55,    56,    52,   461,    59,   243,   461,   245,   261,
     247,   421,   296,   471,   419,   466,   306,    52,   161,   306,
      52,    25,    52,   166,   167,   294,    52,   170,   499,    52,
     261,   174,   261,   123,   261,   261,  2559,   180,   181,   182,
     183,   184,   185,    52,    52,   505,   510,  2570,    36,   359,
      52,    52,    52,   501,    36,   109,   110,   111,   112,   113,
     114,   115,   116,  2586,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   301,    80,    52,    25,    80,   450,   254,
     254,   135,   136,   137,   463,   485,   140,   511,   231,   261,
     188,   234,   261,    54,   148,    78,   198,   198,   238,    52,
      52,    52,   156,    78,   158,    52,    52,    52,   345,    52,
      52,    52,    52,   256,  1512,    54,  1033,   354,   355,  2073,
    1033,  1033,  1554,   428,   361,  1554,  1554,  1554,   365,   433,
     433,  1796,  2074,  1797,  2072,  1798,  1599,   374,  1080,  2505,
    2168,    11,    12,    13,    14,    15,   383,  2340,   385,  2612,
    2613,   388,   681,   173,   942,   141,   943,   297,    28,    29,
      30,    31,    32,    33,    34,    35,    36,   561,   536,    39,
    2341,   945,  1187,   472,  1357,   829,  1273,  1275,    11,    12,
      13,    14,    15,  2533,   238,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,    28,    29,    30,    31,    32,
      33,    34,    35,    36,  2552,  1372,    39,  2004,  1154,  1844,
    1860,  1898,   352,   353,  1873,  2028,  2444,    16,  2285,    18,
      19,    20,    21,    22,    23,  2302,    25,  2306,   625,  2455,
    2457,  2305,  1065,  1745,    33,    34,   106,   883,    -1,    38,
    1101,    -1,   382,   297,    -1,    -1,    79,    -1,    -1,    -1,
      -1,    50,    51,    -1,    53,    -1,    55,    56,    -1,    -1,
      59,    -1,    -1,    -1,    11,    12,    13,   407,   408,   409,
     410,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      -1,   674,    39,    -1,    -1,    -1,    -1,    -1,   352,   353,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     109,   110,   111,   112,   113,   114,   115,   116,    -1,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   382,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   135,   136,   137,    -1,
      -1,   140,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   148,
     490,   491,    -1,   407,   408,   409,   410,   156,    -1,   158,
      -1,    -1,    -1,    -1,    -1,    -1,   506,   507,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    11,    12,    13,    14,    15,    -1,   569,
     570,    -1,    -1,    -1,    -1,    -1,   490,   491,    -1,   238,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    -1,
      -1,    39,   506,   507,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,    -1,    -1,   297,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   569,   570,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,    -1,    -1,    16,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    -1,    -1,
      -1,    -1,    -1,   352,   353,    33,    34,    35,    -1,    -1,
      38,    -1,    -1,    -1,    -1,    -1,    -1,    11,    12,    13,
      14,    15,    50,    51,    -1,    53,    -1,    55,    56,    -1,
      -1,    59,    -1,   382,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    -1,    -1,    39,    -1,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,   407,   408,
     409,   410,    -1,    -1,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    -1,    -1,    39,    -1,    57,    58,    -1,
      -1,   109,   110,    -1,    78,    65,    -1,   115,   116,    -1,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,   136,   137,
      -1,    91,   140,    93,    78,    -1,    -1,    -1,    -1,    -1,
     148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   156,    -1,
     158,    -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,    -1,
      -1,   490,   491,    -1,    -1,    -1,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,    -1,    -1,   506,   507,    -1,
      -1,   141,   142,   143,    -1,   145,   146,    -1,    -1,    -1,
      -1,    -1,    -1,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     238,    -1,    11,    12,    13,    14,    15,    -1,    -1,    -1,
     569,   570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    -1,    -1,
      39,    -1,    -1,    16,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      33,    34,    35,    -1,    -1,    38,    -1,    -1,    -1,   297,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    50,    51,    78,
      53,    -1,    55,    56,    -1,    -1,    59,    -1,    -1,    -1,
      11,    12,    13,    14,    15,    -1,    -1,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    -1,    -1,    39,    -1,
      -1,    -1,    -1,    -1,   352,   353,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    54,    -1,    -1,   109,   110,    -1,    -1,
      -1,    -1,   115,   116,    -1,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   382,    -1,    -1,    78,    -1,    -1,
      -1,    -1,   135,   136,   137,    -1,    -1,   140,    -1,    11,
      12,    13,    14,    15,    -1,   148,    -1,    -1,    -1,   407,
     408,   409,   410,   156,    -1,   158,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    -1,    -1,    39,    -1,    11,
      12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    -1,    -1,    39,    11,    12,
      13,    14,    15,    -1,    -1,    -1,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    -1,    -1,    39,    -1,    -1,    -1,
      -1,    -1,   490,   491,    -1,   238,    78,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,   506,   507,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   569,   570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,    -1,    -1,    16,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    -1,    -1,    -1,    -1,    -1,   352,
     353,    33,    34,    35,    -1,    -1,    38,    -1,    -1,    -1,
      -1,    -1,    -1,    11,    12,    13,    14,    15,    50,    51,
      -1,    53,    -1,    55,    56,    -1,    -1,    59,    -1,   382,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    -1,
      -1,    39,    11,    12,    13,    14,    15,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   407,   408,   409,   410,    -1,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    -1,    -1,
      39,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,    -1,
      78,    -1,    -1,   115,   116,    -1,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   135,   136,   137,    -1,    -1,   140,    78,
      -1,    11,    12,    13,    14,    15,   148,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   156,    -1,   158,    -1,    28,    29,
      30,    31,    32,    33,    34,    35,    36,   490,   491,    39,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    52,   506,   507,    -1,    -1,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    -1,    -1,    39,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   238,    78,    11,    12,
      13,    14,    15,    -1,    -1,    -1,   569,   570,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    -1,    -1,    39,    -1,    -1,    16,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    33,    34,    35,    -1,
      -1,    38,    -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    50,    51,    -1,    53,    -1,    55,    56,
      -1,    -1,    59,    -1,    -1,    -1,    11,    12,    13,    14,
      15,    -1,    -1,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    -1,    -1,    39,    -1,    -1,    -1,    -1,    -1,
     352,   353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,
      -1,    -1,   109,   110,    -1,    -1,    -1,    -1,   115,   116,
      -1,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,   136,
     137,    -1,    -1,   140,    -1,    11,    12,    13,    14,    15,
      -1,   148,    -1,    -1,    -1,   407,   408,   409,   410,   156,
      -1,   158,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    -1,    -1,    39,    11,    12,    13,    14,    15,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      -1,    -1,    39,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    -1,
      -1,    39,    -1,    -1,    -1,    -1,    -1,    -1,   490,   491,
      -1,   238,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   506,   507,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,    -1,    -1,
     297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   569,   570,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,    -1,
      16,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      -1,    -1,    -1,    -1,    -1,   352,   353,    33,    34,    35,
      -1,    -1,    38,    -1,     6,    -1,    -1,    -1,    -1,    11,
      12,    13,    14,    15,    50,    51,    -1,    53,    -1,    55,
      56,    -1,    -1,    59,    -1,   382,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    -1,    -1,    39,    11,    12,
      13,    14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     407,   408,   409,   410,    -1,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    -1,    -1,    39,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,    -1,    -1,    -1,    -1,   115,
     116,    54,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,
     136,   137,    -1,    -1,   140,    -1,    -1,    11,    12,    13,
      14,    15,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     156,    -1,   158,    -1,    28,    29,    30,    31,    32,    33,
      34,    35,    36,   490,   491,    39,    11,    12,    13,    14,
      15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    52,   506,
     507,    -1,    -1,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    -1,    -1,    39,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   238,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    -1,   569,   570,    -1,    -1,    -1,    -1,    -1,    -1,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    -1,
      -1,    39,    -1,    -1,    -1,    16,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    -1,    -1,    38,    -1,    -1,
      -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    50,
      51,    -1,    53,    -1,    55,    56,    -1,    -1,    59,    -1,
      -1,    -1,    11,    12,    13,    14,    15,    -1,    -1,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    -1,    -1,
      39,    -1,    -1,    -1,    -1,    -1,   352,   353,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,   109,   110,
      -1,    -1,    -1,    -1,   115,   116,    -1,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   382,    -1,    23,    65,
      -1,    -1,    -1,    -1,   135,   136,   137,    -1,    -1,   140,
      -1,    -1,    -1,    -1,    80,    -1,    -1,   148,    -1,    -1,
      -1,   407,   408,   409,   410,   156,    51,   158,    11,    12,
      13,    14,    15,    -1,    59,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    -1,    80,    39,    82,    83,    84,
      85,    86,    87,    88,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,
     115,   116,    -1,   118,   119,   120,   121,   122,   123,   124,
     125,    -1,    -1,    -1,   490,   491,    -1,   238,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     506,   507,    -1,    -1,    -1,    -1,    -1,   152,    -1,   154,
      -1,   197,   198,    -1,    -1,    -1,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   230,    -1,   297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   248,   569,   570,    -1,   252,   253,    -1,    -1,
     256,   257,    -1,    -1,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   238,    -1,    -1,    -1,   283,    -1,    -1,
      -1,   352,   353,    -1,   290,    -1,    -1,    -1,    -1,   295,
      -1,    -1,    -1,    -1,    -1,    -1,   302,    -1,    -1,    -1,
      -1,   307,    -1,    -1,   310,    11,    12,    13,    14,    15,
      -1,   382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    -1,   297,    39,    -1,    -1,   407,   408,   409,   410,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,   358,    11,    12,    13,    14,    15,    -1,    -1,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      28,    29,    30,    31,    32,    33,    34,    35,    36,   385,
      -1,    39,    -1,    -1,    -1,    -1,    -1,   352,   353,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   413,    -1,    -1,
     416,   417,   418,    -1,    -1,    -1,    -1,   382,   424,   490,
     491,    -1,    -1,   429,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   439,    -1,   506,   507,    -1,    -1,    -1,
     446,    -1,   407,   408,   409,   410,    -1,    -1,    -1,    -1,
      -1,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,    -1,
      -1,    -1,    -1,    -1,    11,    12,    13,    14,    15,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   569,   570,
      -1,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      -1,    -1,    39,    -1,    -1,    11,    12,    13,    14,    15,
      -1,    -1,    -1,    -1,    -1,   490,   491,    54,    -1,    -1,
      -1,    -1,    28,    29,    30,    31,    32,    33,    34,    35,
      36,   506,   507,    39,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    52,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,    23,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   569,   570,    -1,    -1,    11,    12,
      13,    14,    15,    51,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    59,    -1,    -1,    -1,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    -1,    -1,    39,    -1,    -1,    -1,
      -1,    79,    -1,    -1,    82,    83,    84,    85,    86,    87,
      88,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     6,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,
     108,    -1,    -1,    20,    21,    22,    23,   115,   116,    -1,
     118,   119,   120,   121,   122,   123,   124,   125,    -1,    23,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    50,    -1,    -1,    -1,    -1,    55,    56,
      -1,    -1,    -1,    -1,   152,    -1,   154,    51,    11,    12,
      13,    14,    15,    -1,    -1,    59,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    -1,    -1,    39,    -1,    82,    83,
      84,    85,    86,    87,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,
      -1,   115,   116,    -1,   118,   119,   120,   121,   122,   123,
     124,   125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     238,   148,   149,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   164,   152,    -1,
     154,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,   176,
      -1,    -1,    -1,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   195,    -1,
      28,    29,    30,    31,    32,    33,    34,    35,    36,   297,
      -1,    39,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   218,   219,   220,    52,   222,   223,    -1,   225,   226,
     227,    -1,    -1,    -1,    -1,    -1,    -1,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    -1,    -1,    11,
      12,    13,    14,    15,   238,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   352,   353,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    -1,    -1,    39,    -1,    -1,
      -1,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
      -1,    -1,    54,    -1,   382,    23,    -1,    -1,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    -1,    -1,    39,
      -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,   407,
     408,   409,   410,    51,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    59,    -1,    -1,    11,    12,    13,    14,    15,    -1,
      -1,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      -1,    -1,    39,    -1,    -1,    -1,    -1,    -1,   352,   353,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,   116,    -1,
     118,   119,   120,   121,   122,   123,   124,   125,   382,    -1,
      -1,    -1,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,   507,
      -1,    -1,    -1,   407,   408,   409,   410,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,    -1,    -1,    -1,    -1,    11,    12,    13,    14,
      15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   569,   570,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    -1,    -1,    39,    -1,    11,    12,    13,    14,
      15,    -1,    -1,    -1,    -1,    -1,   490,   491,    -1,    54,
     238,    -1,    -1,    28,    29,    30,    31,    32,    33,    34,
      35,    36,   506,   507,    39,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    52,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,    -1,    -1,    -1,   297,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   569,   570,    -1,    -1,    -1,
      11,    12,    13,    14,    15,    -1,    -1,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    -1,    -1,    39,    -1,
      -1,    -1,    -1,    48,   352,   353,    -1,    -1,    -1,    -1,
      -1,    52,    57,    58,    59,    60,    -1,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    -1,    -1,    -1,    -1,
      75,    76,    -1,    -1,   382,    80,    48,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    57,    58,    59,    60,    -1,
      62,    63,    64,    -1,    -1,    67,    -1,    69,    70,   407,
     408,   409,   410,    75,    76,    11,    12,    13,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    79,    -1,    39,    -1,    -1,    -1,    -1,    55,    56,
      -1,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,   507,
      -1,   118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,    -1,    -1,   161,    -1,    -1,    -1,    -1,   166,
     167,    -1,   169,   170,    -1,    -1,    -1,   174,   175,    -1,
      -1,   569,   570,   180,   181,   182,   183,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,    -1,    -1,
     197,    -1,   199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   231,    -1,    -1,   234,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,
     247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   302,   303,   304,    -1,   306,
      -1,    -1,    -1,   310,    -1,    -1,   313,   314,    -1,   316,
     317,    -1,    -1,   320,   321,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,
     337,    -1,    -1,    -1,   341,   342,   343,    -1,    -1,    -1,
      -1,    -1,    -1,   350,    -1,    -1,    -1,   354,    -1,    -1,
     357,   358,    -1,   360,    -1,   362,    -1,    -1,    -1,   366,
     367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   378,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   386,
     387
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,     7,   576,   577,     3,     4,     5,   150,   167,   192,
     193,   232,   234,   236,   247,   276,   280,   285,   286,   401,
     563,   564,   572,   573,   574,   575,   744,   745,   746,   747,
     749,   750,   751,   758,   760,   761,   762,   763,   764,   765,
     766,   767,   768,   769,   770,   773,   774,   775,   776,   777,
     778,   779,   781,   782,   796,   797,   798,   799,   818,   841,
     879,   880,   881,   882,   883,   884,   885,   886,   941,   942,
     965,   978,   979,   980,   981,   982,   983,   984,   985,     0,
       6,    40,    50,    52,    55,    56,    81,   148,   150,   151,
     153,   155,   161,   163,   164,   165,   167,   180,   181,   182,
     183,   184,   185,   234,   240,   246,   247,   562,   578,   579,
     633,   635,   636,   637,   638,   647,   683,   685,   686,   687,
     688,   689,   694,   708,   711,   721,   722,   723,   786,   789,
     800,   803,   819,   825,   837,   840,   844,   845,   888,   889,
     891,   893,   894,   899,   930,   933,   943,   944,   956,   957,
     966,   969,   976,   977,   988,   991,   992,     6,     6,     6,
      16,    18,    19,    20,    21,    22,    23,    25,    33,    34,
      38,    50,    51,    53,    55,    56,    59,   109,   110,   115,
     116,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     135,   136,   137,   140,   148,   156,   158,   238,   297,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   352,
     353,   382,   407,   408,   409,   410,   490,   491,   506,   507,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   569,   570,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   630,   631,   632,   653,   669,   671,   672,   674,
     675,   676,   677,   785,    23,    25,   168,   757,   780,   783,
      23,   783,   783,   223,   233,   783,   783,     6,   192,   203,
     205,   237,   244,   277,   279,   287,   302,   404,   492,   516,
     148,   178,   201,   203,   205,   281,   282,   283,   284,    42,
      79,   168,   771,   783,   280,    25,   256,   277,   558,   559,
     560,   986,     6,    23,    24,   582,   582,   582,   677,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    99,   100,
     101,   102,   103,   104,   639,    53,    53,   162,    23,    25,
     607,   203,   204,   224,   561,   186,   203,   607,   164,   244,
     245,   246,   709,   710,   968,   192,   495,   553,   176,   258,
     690,   169,   196,   229,   287,   302,   401,   404,   455,   459,
     460,   492,   516,   520,   568,   843,   929,    51,   582,   695,
      80,   161,   166,   167,   170,   174,   231,   234,   256,   687,
     696,   697,   703,   725,   695,   695,   695,    55,    56,    80,
      88,   118,   169,   170,   175,   180,   181,   182,   183,   193,
     197,   199,   243,   247,   256,   286,   302,   303,   304,   306,
     310,   313,   314,   316,   317,   320,   321,   336,   337,   341,
     342,   343,   350,   354,   357,   358,   360,   362,   366,   367,
     378,   386,   387,   696,   828,   829,   836,   695,   695,    49,
      80,   247,   411,   412,   413,   414,   439,   445,   448,   451,
     687,   696,   847,   848,   849,   850,   851,   695,    80,   194,
     263,   284,   456,   457,   458,   696,   703,   890,    79,    80,
     125,   171,   172,   176,   187,   196,   393,   696,   698,   695,
     695,   695,   695,    80,   244,   256,   354,   696,   703,   960,
     961,    80,   247,   288,   448,   520,   521,   565,   566,   567,
     696,   703,   967,   990,   695,   695,    80,   170,   566,   696,
     993,    18,    23,    33,    35,    53,   158,   160,   668,   670,
     675,    36,   586,    36,    20,    21,   587,   588,    53,   147,
      34,   147,   677,    18,   111,   112,   113,   114,   658,   677,
      79,    79,    53,    53,    53,    53,    53,    53,    53,    18,
      19,    21,    22,    23,    53,   587,   588,   595,   653,   654,
     657,   659,   660,   661,   663,   665,   666,   146,   146,     6,
      11,    12,    13,    14,    15,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    39,    39,    42,    79,   168,   726,
       6,   726,    25,   608,   608,   783,   783,     6,    42,    79,
     168,   729,     6,    23,    25,   168,   784,     6,   278,     6,
     752,     6,   759,   178,   205,   283,   298,   312,    23,   170,
     283,   438,   453,   454,   748,   205,   283,   748,   168,     6,
       6,     6,     6,     6,     6,     6,     6,    88,   167,   508,
     551,   552,   553,   554,   555,   556,   974,   975,    18,   772,
     608,   842,   986,     6,   986,     6,     6,   495,   987,    28,
     648,   634,    98,   582,    23,    23,    18,    20,    23,    51,
      53,   684,    52,   726,   726,    18,    23,    53,   580,    41,
      42,    43,    44,   188,   580,   583,   729,    52,    25,   241,
      52,   550,   557,   607,   972,   248,   580,   581,   581,   582,
      79,   693,   405,   406,   892,   493,    23,    51,    79,   162,
     583,   726,   724,   175,   607,   607,   729,   257,    52,    79,
     701,    52,    52,    79,    79,    79,   248,   323,   335,    52,
      25,   326,   327,    50,   369,    50,   369,    50,   369,    50,
     369,   324,   607,   583,   370,   192,   257,   244,   340,   365,
     247,   583,   826,    52,   580,    20,    21,    23,   379,   584,
     821,   584,   820,   311,   261,   315,   322,   261,   313,   288,
     322,   338,   339,   338,   163,   583,   344,   351,   288,   288,
     359,   357,   250,   306,   326,   583,   368,   580,   380,   141,
     311,    52,    79,   834,    52,    79,    79,   452,   192,   684,
     583,   161,   580,   583,   162,   376,   583,   369,   846,   701,
      52,    79,    79,   583,   145,   146,    18,    51,   200,    18,
     171,   172,    52,    52,   580,   148,   149,   168,   173,   188,
     194,   645,   705,   188,   705,    23,   704,   188,   232,   176,
      52,    52,    79,    79,    79,    79,    21,    22,    23,   598,
     602,   257,   176,    52,    52,    87,   318,   347,   356,   517,
     518,   519,   958,   959,    79,   964,   192,   580,   363,   176,
     252,   583,   261,   583,    52,    52,    79,    79,   994,   998,
     261,    52,    10,   670,   670,   670,   677,    20,    21,   663,
     670,   670,    17,    18,    18,    36,   673,   677,    33,    34,
     147,    34,    18,    78,    54,    78,   627,   627,   704,   677,
     677,   677,   677,   677,   677,    35,   656,   658,   677,    33,
      34,    79,    10,    78,   159,    78,   159,    18,    18,   677,
     677,   677,   677,   677,   677,   677,   677,   677,   677,   677,
     677,   677,   677,    57,    58,    65,    91,    93,   117,   127,
     128,   130,   131,   132,   133,   134,   141,   142,   143,   145,
     146,    50,    55,    56,   180,   181,   182,   183,   184,   185,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   756,   177,   178,   179,   201,   202,   205,   727,   728,
       6,     6,     6,     6,   177,   235,   730,   731,     6,   784,
       6,     6,     6,   148,   164,   168,   171,   172,   176,   195,
     218,   219,   220,   222,   223,   225,   226,   227,   602,   645,
     755,     6,    81,   148,   164,   165,   176,   582,   748,   748,
     748,   748,   748,   748,   748,   887,   168,   748,   168,   748,
       6,   748,   748,     6,     6,    78,    80,     6,     6,     6,
     148,   176,   200,   645,     6,   987,   580,     6,   677,    53,
     641,   642,   643,   646,    52,    78,    78,   718,   719,   677,
      52,   677,   581,    52,   580,   242,   243,   380,   970,   580,
     971,    79,   168,   973,   580,    45,    46,    47,   692,   695,
      23,   684,   712,   715,   716,   583,   700,   702,   788,   802,
     261,   261,   584,    52,   580,   580,    88,   389,    52,    52,
     247,   371,   261,   364,   583,   583,   349,   583,   235,    52,
      52,    79,   743,    52,    23,   595,   601,    37,   585,    48,
      52,   250,   375,   376,   585,    48,    52,   250,   583,   580,
     261,   261,   580,   261,   583,   261,   583,   162,   583,   583,
      52,   583,   583,   583,   583,   583,   583,   377,   250,   583,
      52,   583,    52,   381,   607,   250,   583,   833,   835,   839,
     583,   261,   364,   583,   583,   188,   580,   583,   702,   852,
     581,   581,    18,    18,    23,   643,   644,   677,    42,   580,
     707,   195,   707,   707,   583,   704,   898,   932,   945,   583,
     704,    25,   584,   584,    50,   123,   302,   478,   958,   963,
      52,   583,   583,   580,   294,   580,   716,   717,   580,    18,
      54,   159,    51,    18,    54,    78,   147,    34,   677,   677,
     628,   629,    54,    78,    54,    78,    78,    78,    78,    54,
      78,    10,    78,    78,    54,    18,    53,   654,   661,   665,
     250,   250,    53,    78,    80,    78,    80,     6,   644,    23,
     176,   176,    23,   168,    20,    21,    22,    23,   587,   588,
     589,   590,   591,   753,   754,   602,    23,   757,   608,   608,
     608,   608,     6,   608,   608,     6,    23,    65,   161,   257,
     319,   411,   443,   444,   748,   608,   748,   608,   608,   608,
     975,   644,    25,   704,   607,     6,    52,    54,   640,   646,
      79,   639,   607,    23,   716,    52,    54,    54,    25,    46,
      47,    46,    47,   607,   607,   974,    52,    52,    80,   145,
     146,   258,   259,   262,   691,    34,   714,    78,    52,    80,
     167,   698,   699,    80,   170,   299,   696,   703,   787,    80,
      86,   170,   303,   304,   310,   696,   801,   580,   580,    52,
      52,    52,   583,    79,   583,   822,   192,   261,   580,    52,
      52,    52,   583,    52,   583,   742,   827,   821,   582,   821,
     580,   580,   820,   580,   580,    52,    52,   580,   580,    52,
     580,    52,   580,    52,   684,    52,    52,    52,    52,    52,
      52,    52,    52,   583,    52,   580,    52,    52,   580,    52,
     583,    52,    60,    80,   136,   171,   172,   243,   245,   247,
     345,   354,   355,   361,   365,   374,   383,   385,   388,   699,
     832,    80,   148,   176,   264,   402,   403,   645,   696,   838,
     580,   580,    80,   170,   175,   278,   376,   413,   430,   432,
     436,   440,   441,   853,   860,   863,   189,   706,   583,    52,
      80,    92,   170,   480,   481,   484,   489,   696,   703,   895,
      80,   170,   439,   494,   696,   703,   931,    48,    80,   315,
     348,   349,   508,   513,   515,   696,   703,   946,   948,    52,
      52,   585,    50,    18,   604,   605,   580,   583,   583,    23,
      80,    82,    83,    84,    85,    86,    87,    88,   105,   108,
     125,   152,   154,   674,   676,   678,   680,   785,   962,   188,
     989,   580,    79,   997,   670,   670,    21,   677,    34,    34,
      78,    54,    78,   625,   626,   677,   677,   677,   677,   677,
      35,   656,   677,   656,    35,   656,   656,    78,   677,    18,
      18,   677,   728,   731,    23,   757,   757,    51,    20,    21,
       6,     6,     6,     6,     6,     6,    18,   684,   684,   684,
     608,     6,   608,     6,     6,     6,   639,   649,   650,   651,
     680,   582,    54,    78,    80,   260,   260,   583,   583,   263,
     264,    52,    25,   608,   713,   715,   726,    52,   790,   795,
     161,    52,   805,   806,   812,   806,   813,   584,   817,   311,
      52,    78,    52,    52,    92,   233,   389,   391,   393,   394,
     397,   823,   824,    52,   364,   583,   580,    52,    52,    52,
      80,   145,   199,   247,   251,   254,   255,   741,    52,    52,
      52,    52,    52,    52,    52,    52,    52,    52,    52,    52,
      52,   296,   363,   176,   176,   370,   176,   192,   346,   176,
     169,   356,   583,    60,   583,   384,   583,   580,   583,    52,
     644,    25,   704,   580,   607,   136,    52,   872,   878,   385,
     415,   440,   583,   855,   385,   583,   854,   257,   601,   856,
     857,   442,   583,    52,   445,   873,   190,   191,   192,   193,
      23,   588,   600,   909,   914,   900,   908,   896,   897,   600,
     178,    52,   934,   940,   583,   580,    52,   580,   194,   947,
     146,   947,    23,   584,   607,   949,    67,   512,   950,   947,
      52,   605,    36,    28,   677,   679,   679,    53,   677,   677,
     677,    28,    53,    53,    52,    28,   679,    28,    39,   580,
     996,    36,    34,   677,   677,    48,    57,    58,    59,    60,
      62,    63,    64,    67,    69,    70,    75,    76,    80,   611,
     612,   613,   614,   615,   623,    80,   612,   613,   614,   615,
     624,    78,    54,    54,    54,    54,    54,    78,    10,    54,
      78,    54,    78,    10,    54,    78,    78,    18,    54,    21,
       6,     6,   582,    80,   650,    52,    18,   261,   261,   580,
     581,    20,    21,    23,   587,   588,   603,   717,   162,   169,
     180,   181,   303,   804,   717,    79,   811,    37,   305,   814,
     583,   580,   188,   400,   139,   392,   396,   395,   398,   399,
      78,    80,    52,    52,    52,   252,   253,   583,   253,   581,
     580,    52,   194,   319,   335,   252,   253,   583,   583,   583,
     247,   371,   704,   583,   319,   347,   348,   831,   704,   296,
     320,   716,   874,   580,   580,   583,    79,   580,    79,   684,
      79,   580,   580,    79,    79,   913,   717,    79,   584,   915,
     920,    25,    79,   921,   926,   583,   717,   188,   580,    69,
     580,   948,   951,   952,   580,    18,   677,    78,    52,    52,
     785,    52,   106,    79,   677,   681,   681,   677,    52,   677,
     136,   137,   140,   147,   148,    80,   474,   995,    18,    34,
      54,    54,    61,    65,    66,    68,    11,    12,    13,    28,
      29,    30,   109,   110,   580,   609,   616,   617,   618,    38,
     619,   620,   620,   622,    23,   587,   599,    52,   616,   619,
     622,   600,    52,   677,    35,   656,    35,   656,    35,   656,
      10,    35,   656,    35,   656,    80,    52,    54,    54,   581,
     581,    79,   794,   583,   811,   810,   807,   582,   607,   306,
     815,    52,   390,   281,   824,   254,   254,   254,   372,   373,
     583,   830,   830,   584,   192,   261,   583,   583,   875,    79,
     877,   865,   865,   858,   861,   912,   911,    79,   907,   916,
     922,    79,   939,   580,   583,    79,    52,   679,    54,    79,
     652,   680,   667,    52,   677,    23,   125,   676,   682,   785,
      52,    52,    53,    53,    53,    52,    53,   584,    52,    10,
     580,    14,    15,   610,    78,    15,    78,   610,   580,    71,
      72,    73,    74,   621,    78,   610,    77,    54,    54,    54,
      54,    78,    10,    54,    54,    54,    78,    53,    54,    10,
      54,    54,    10,    54,   793,   791,   807,    80,   145,   197,
     198,   199,   230,   251,   254,   255,   307,   732,   733,   735,
     736,   737,   808,   584,   303,   816,   581,   581,   581,   583,
     580,   873,   876,    80,   601,   866,   867,    80,    80,   278,
     385,   431,   859,    80,   248,   290,   307,   416,   417,   418,
     732,   862,    80,   473,   474,   477,   478,   479,   910,   906,
     905,   919,   925,   938,   935,   953,    52,   649,   107,     9,
      18,    19,    53,    80,   653,   655,   657,   659,   660,   662,
     664,   681,   681,   677,   677,   677,   677,   580,   618,   609,
     617,   620,   620,    36,   620,   620,    18,    35,   656,    35,
     656,   656,    10,   656,    48,    60,    65,    80,   188,   252,
     253,   256,   289,   290,   291,   307,   732,   792,   252,   253,
     583,    79,   253,   581,   580,   173,   207,   308,   309,   809,
      26,   607,    79,   740,    52,   583,    65,    80,   248,   252,
     253,   256,   257,   283,   290,   295,   302,   307,   310,   358,
     385,   413,   416,   417,   418,   424,   429,   439,   446,   732,
     864,   431,   437,   868,   583,   580,   583,    52,   580,   580,
     173,   308,   427,   580,   322,   220,   580,    52,   476,   476,
     583,   583,   583,    52,    80,    92,   145,   146,   175,   244,
     257,   462,   464,   465,   469,   470,   472,   480,   481,   901,
      80,   476,   482,   917,    80,   476,   483,   923,    48,    80,
     199,   252,   253,   256,   288,   291,   302,   307,   335,   358,
     416,   439,   458,   495,   496,   497,   498,   500,   504,   732,
     936,    80,   508,   509,   514,   954,    80,   652,   649,   677,
      10,    78,   157,    54,    78,    54,    54,    54,    54,   580,
     580,   580,   580,   621,   621,    54,    54,    54,    78,    54,
      53,    54,   580,   296,   292,   293,   580,   294,    69,    70,
     239,   295,   720,   257,   580,   254,   254,   173,   300,    52,
     254,   254,   734,   735,   254,   209,   210,   207,    51,    86,
     162,   200,   206,   228,   738,   419,   420,   421,   422,   423,
     424,   425,   426,   580,   294,    69,   295,   720,   257,   449,
      79,   580,   580,   583,   173,   308,   427,   421,   359,   580,
     583,   580,   322,   220,   580,   335,   447,   580,   123,   419,
      52,   580,    52,   580,   580,   580,   580,   467,   914,   322,
     461,   461,   125,   476,   125,   467,   476,   468,   461,   583,
     466,   261,   471,   296,   306,   902,   306,   903,    52,   918,
     475,   580,   927,   915,    52,   924,   927,   921,    52,   580,
     583,   294,    69,   295,   720,   257,   502,   580,   261,   583,
     173,   209,   427,   503,   937,   584,   359,   261,   123,   369,
     419,   261,   261,   433,   580,   499,   501,   505,    52,   955,
     511,   510,   607,    52,    54,    53,   655,   662,   649,    52,
     677,    52,    52,    52,    52,    36,    36,   656,   656,   180,
     181,   580,   580,   580,   580,   580,   583,   581,   581,   301,
     581,   581,    80,    52,   581,   209,   210,    25,   606,    51,
     200,   580,   606,   207,   208,   214,   215,   216,   217,   739,
      51,   200,    80,   434,   435,   580,   580,   580,   583,   450,
     869,   583,   253,   583,   580,   580,   583,   583,   580,   583,
     485,   928,   928,   261,   580,   254,   254,   486,   487,   488,
     904,   580,   904,   261,   580,   580,   463,   583,   580,   580,
     188,   583,   920,   583,   926,   580,   580,   580,   580,   583,
     583,   580,   253,   583,   581,   580,   580,   580,   583,   583,
     583,   583,   198,   198,   677,    54,   580,   580,    54,    78,
     584,   584,   734,    52,   606,   606,    52,    52,   209,   210,
     211,   212,   213,   209,   210,   211,   212,   213,    52,   606,
     606,   740,   583,    80,   584,   871,   433,   583,   580,   580,
     580,   928,   580,   928,   583,   580,   433,   607,   607,    52,
     656,   738,    52,    52,   738,   738,   738,    52,    52,   428,
     870,    78,   738,   738,   738,   738,    52,   656,    54
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   571,   576,   576,   577,   577,   578,   578,   579,   580,
     580,   580,   581,   581,   581,   582,   582,   583,   583,   583,
     583,   583,   583,   584,   584,   584,   585,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   595,   596,
     596,   597,   597,   598,   598,   598,   598,   598,   598,   599,
     599,   600,   600,   601,   601,   602,   602,   603,   603,   603,
     603,   603,   604,   605,   605,   606,   607,   607,   608,   608,
     609,   609,   609,   609,   609,   609,   609,   609,   610,   610,
     611,   611,   611,   611,   611,   611,   611,   611,   611,   611,
     612,   613,   614,   615,   615,   616,   616,   616,   616,   617,
     617,   618,   618,   619,   619,   619,   620,   620,   621,   621,
     621,   621,   622,   622,   622,   623,   623,   623,   623,   624,
     624,   624,   624,   624,   625,   625,   626,   626,   627,   628,
     629,   630,   631,   632,   632,   572,   573,   572,   574,   572,
     575,   578,   634,   633,   578,   635,   578,   636,   578,   637,
     578,   638,   639,   639,   639,   639,   639,   639,   639,   639,
     639,   639,   639,   639,   639,   639,   639,   639,   640,   640,
     641,   641,   642,   642,   643,   644,   644,   645,   646,   578,
     648,   647,   649,   649,   650,   651,   651,   652,   652,   653,
     653,   654,   654,   654,   654,   654,   654,   655,   655,   655,
     655,   656,   657,   657,   657,   657,   657,   657,   657,   657,
     657,   657,   658,   658,   658,   658,   659,   659,   659,   660,
     660,   660,   660,   660,   660,   660,   660,   661,   661,   661,
     661,   661,   662,   662,   662,   662,   662,   663,   663,   664,
     664,   665,   665,   665,   665,   666,   666,   667,   667,   667,
     668,   668,   669,   670,   670,   670,   670,   670,   670,   670,
     670,   671,   671,   671,   671,   671,   671,   671,   671,   671,
     671,   672,   672,   672,   672,   673,   673,   673,   674,   675,
     676,   676,   676,   676,   676,   676,   676,   676,   676,   676,
     676,   677,   677,   677,   677,   677,   677,   677,   677,   677,
     677,   677,   677,   677,   677,   677,   677,   677,   677,   677,
     677,   677,   677,   677,   677,   677,   677,   677,   677,   677,
     677,   677,   677,   677,   677,   677,   677,   677,   677,   677,
     677,   677,   677,   677,   677,   677,   677,   677,   677,   677,
     677,   677,   677,   677,   678,   678,   678,   679,   679,   679,
     680,   680,   680,   680,   680,   680,   680,   680,   680,   680,
     680,   680,   680,   680,   680,   680,   680,   680,   680,   680,
     681,   682,   682,   682,   682,   578,   683,   683,   684,   684,
     684,   684,   578,   685,   578,   686,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   578,   688,   689,   690,
     690,   691,   691,   691,   691,   691,   691,   692,   692,   693,
     693,   578,   694,   694,   695,   695,   695,   695,   696,   696,
     696,   696,   696,   696,   696,   696,   697,   698,   698,   698,
     698,   698,   698,   698,   698,   698,   699,   699,   700,   700,
     701,   701,   702,   703,   704,   705,   705,   705,   705,   706,
     706,   706,   706,   706,   707,   707,   578,   708,   708,   708,
     578,   709,   709,   709,   709,   710,   710,   710,   710,   710,
     710,   710,   710,   711,   712,   713,   713,   714,   714,   715,
     716,   716,   717,   718,   719,   720,   720,   721,   722,   723,
     723,   723,   723,   723,   724,   725,   726,   726,   726,   727,
     727,   728,   728,   728,   728,   728,   728,   729,   729,   729,
     730,   730,   731,   731,   732,   733,   733,   734,   734,   735,
     735,   736,   736,   737,   737,   738,   738,   738,   738,   738,
     738,   738,   738,   738,   739,   739,   739,   739,   739,   739,
     739,   739,   739,   739,   739,   739,   739,   739,   740,   741,
     741,   741,   741,   741,   741,   741,   742,   742,   743,   572,
     744,   572,   745,   572,   746,   572,   747,   748,   748,   572,
     749,   572,   750,   572,   751,   752,   752,   752,   752,   752,
     752,   752,   752,   752,   752,   752,   752,   752,   752,   752,
     752,   752,   752,   753,   753,   753,   753,   753,   753,   753,
     753,   754,   754,   754,   754,   755,   755,   755,   755,   756,
     756,   756,   756,   756,   756,   756,   756,   756,   756,   756,
     756,   756,   756,   756,   756,   756,   756,   756,   756,   757,
     572,   758,   759,   759,   759,   759,   759,   759,   759,   572,
     760,   572,   761,   572,   762,   572,   763,   572,   764,   572,
     765,   572,   766,   572,   767,   572,   768,   572,   769,   572,
     770,   771,   771,   771,   772,   772,   572,   773,   572,   774,
     572,   775,   572,   776,   572,   777,   572,   778,   572,   779,
     780,   780,   572,   781,   572,   782,   783,   783,   783,   784,
     784,   784,   785,   721,   800,   801,   801,   801,   801,   801,
     801,   802,   802,   803,   804,   804,   804,   804,   805,   805,
     806,   807,   808,   808,   808,   808,   808,   808,   808,   808,
     809,   809,   809,   809,   809,   809,   810,   810,   811,   811,
     812,   813,   814,   814,   814,   815,   815,   816,   816,   817,
     572,   818,   721,   786,   787,   787,   787,   787,   788,   788,
     789,   790,   791,   792,   792,   792,   792,   792,   792,   792,
     792,   792,   792,   792,   792,   792,   792,   792,   792,   792,
     792,   792,   793,   793,   794,   794,   795,   785,   572,   796,
     572,   797,   572,   798,   572,   799,   721,   819,   820,   820,
     820,   821,   821,   821,   821,   821,   822,   822,   823,   823,
     824,   824,   824,   824,   824,   824,   824,   824,   824,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   826,   827,   825,   825,   828,   828,   828,   828,   828,
     828,   828,   828,   828,   828,   828,   828,   829,   830,   830,
     830,   831,   831,   831,   832,   832,   832,   832,   832,   832,
     832,   832,   832,   832,   832,   832,   832,   832,   832,   832,
     832,   832,   832,   832,   832,   832,   832,   832,   833,   833,
     834,   834,   835,   836,   785,   785,   785,   785,   785,   785,
     785,   785,   785,   785,   785,   785,   785,   721,   837,   838,
     838,   838,   838,   838,   838,   838,   838,   839,   839,   840,
     572,   841,   842,   842,   842,   842,   842,   842,   721,   843,
     843,   843,   844,   845,   845,   846,   846,   847,   848,   849,
     849,   849,   849,   849,   849,   849,   849,   849,   849,   849,
     849,   849,   849,   849,   850,   851,   852,   852,   853,   853,
     853,   853,   853,   853,   853,   853,   853,   854,   853,   855,
     853,   853,   853,   853,   856,   856,   857,   858,   858,   859,
     859,   859,   860,   860,   861,   861,   862,   862,   862,   862,
     862,   862,   862,   862,   862,   862,   862,   863,   864,   864,
     864,   864,   864,   864,   864,   864,   864,   864,   864,   864,
     864,   864,   864,   864,   864,   864,   864,   864,   864,   864,
     864,   864,   864,   864,   864,   864,   864,   864,   864,   864,
     864,   864,   864,   864,   864,   864,   864,   865,   865,   866,
     867,   868,   868,   868,   869,   869,   870,   870,   871,   872,
     873,   873,   875,   874,   876,   876,   877,   877,   878,   785,
     785,   785,   785,   572,   879,   572,   880,   572,   881,   572,
     882,   572,   883,   572,   884,   572,   885,   572,   886,   887,
     887,   887,   887,   887,   887,   887,   887,   887,   721,   888,
     889,   889,   889,   890,   890,   890,   890,   890,   890,   890,
     890,   890,   890,   721,   892,   891,   893,   893,   893,   893,
     721,   894,   895,   895,   895,   895,   896,   895,   897,   895,
     895,   895,   898,   898,   899,   900,   901,   901,   901,   901,
     901,   901,   901,   901,   901,   901,   901,   901,   901,   901,
     901,   901,   901,   902,   901,   903,   901,   901,   901,   904,
     904,   904,   905,   906,   906,   907,   907,   908,   909,   910,
     910,   910,   910,   910,   911,   912,   912,   913,   913,   914,
     915,   916,   917,   917,   917,   918,   919,   919,   920,   920,
     921,   922,   923,   923,   923,   924,   925,   925,   926,   926,
     927,   927,   928,   928,   785,   785,   721,   929,   929,   930,
     931,   931,   931,   931,   931,   931,   932,   932,   933,   934,
     935,   936,   936,   936,   936,   936,   936,   936,   936,   936,
     936,   936,   936,   936,   936,   936,   936,   936,   936,   936,
     936,   936,   936,   936,   936,   936,   936,   936,   937,   937,
     937,   937,   938,   938,   939,   939,   940,   785,   785,   572,
     941,   572,   942,   721,   943,   944,   945,   945,   946,   946,
     946,   946,   946,   946,   946,   946,   946,   946,   947,   947,
     948,   949,   949,   950,   950,   951,   952,   953,   953,   954,
     954,   954,   955,   721,   956,   957,   957,   957,   957,   957,
     957,   958,   958,   958,   958,   958,   958,   959,   959,   960,
     961,   961,   961,   961,   961,   961,   961,   961,   961,   962,
     963,   963,   964,   964,   572,   965,   966,   967,   967,   967,
     785,   785,   785,   785,   785,   785,   785,   785,   785,   785,
     785,   785,   785,   785,   785,   785,   785,   785,   785,   785,
     785,   785,   785,   785,   785,   785,   785,   785,   578,   968,
     969,   970,   970,   971,   971,   972,   972,   972,   973,   973,
     974,   974,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   578,   976,   976,   578,   977,   977,   977,   977,   572,
     978,   572,   979,   572,   980,   572,   981,   572,   982,   572,
     983,   572,   984,   572,   985,   986,   986,   987,   987,   987,
     721,   988,   966,   966,   989,   989,   990,   990,   990,   990,
     990,   990,   990,   721,   991,   992,   992,   993,   993,   993,
     994,   995,   996,   996,   997,   997,   998,   785,   785
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     2,     2,     0,     2,     1,     1,     5,     1,
       3,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     1,     0,     2,     2,     2,
       3,     7,     2,     2,     5,     5,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     1,     1,     1,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     2,     1,     1,     1,     2,     4,     1,     3,     1,
       3,     1,     3,     4,     6,     6,     0,     1,     1,     1,
       1,     1,     2,     4,     4,     2,     2,     2,     2,     2,
       4,     2,     2,     2,     0,     3,     0,     3,     0,     0,
       0,     6,     6,     1,     1,     1,     2,     1,     2,     1,
       2,     1,     0,     4,     1,     2,     1,     4,     1,     6,
       1,     8,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     0,     4,
       2,     5,     0,     4,     1,     1,     1,     2,     4,     1,
       0,     5,     0,     1,     1,     1,     2,     1,     3,     1,
       1,     1,     1,     1,     1,     3,     1,     1,     3,     1,
       1,     1,     5,     7,     5,     7,     9,     7,     5,     7,
       5,    11,     1,     1,     2,     1,     7,     9,     7,     7,
       9,     7,     9,     7,     9,     7,    15,     1,     1,     1,
       1,     3,     1,     1,     1,     1,     3,     1,     3,     1,
       3,     1,     2,     2,     6,     1,     3,     0,     4,     3,
       1,     3,     3,     2,     4,     4,     2,     2,     2,     2,
       0,     1,     1,     1,     1,     1,     1,     1,     3,     3,
       1,     5,     7,     7,     1,     0,     1,     3,     4,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     4,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     6,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     5,     7,     6,     6,     6,     6,
       4,     8,     4,     1,     1,     1,     1,     0,     1,     3,
       4,     6,     4,     3,     4,     4,     4,     5,     3,     3,
       3,     2,     5,     4,     7,     7,     7,     7,     7,     9,
       0,     1,     1,     1,     1,     1,     4,     5,     1,     3,
       1,     1,     1,     3,     1,     5,     1,     1,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     3,     0,
       1,     2,     2,     4,     4,     3,     3,     0,     3,     0,
       3,     1,     1,     1,     0,     1,     2,     3,     0,     2,
       2,     2,     3,     2,     2,     2,     1,     2,     2,     2,
       3,     3,     3,     2,     4,     3,     1,     2,     0,     3,
       0,     3,     0,     3,     1,     2,     1,     1,     1,     0,
       2,     2,     2,     2,     2,     1,     1,     3,     3,     3,
       1,     1,     1,     1,     1,     2,     4,     3,     4,     4,
       3,     4,     4,     3,     0,     1,     2,     0,     1,     3,
       1,     3,     1,     0,     2,     2,     2,     2,     2,     3,
       3,     3,     3,     5,     0,     3,     1,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       1,     3,     1,     1,     1,     4,     1,     0,     3,     5,
       2,     1,     1,     2,     2,     0,     5,     5,     5,     5,
       4,     4,     4,     4,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     1,     1,     1,     1,     0,     2,
       4,     4,     4,     2,     2,     1,     0,     3,     3,     1,
       3,     1,     3,     1,     4,     1,     5,     1,     0,     1,
       3,     1,     4,     1,     4,     0,     2,     3,     3,     3,
       3,     4,     4,     3,     2,     2,     2,     2,     3,     3,
       3,     2,     2,     1,     1,     1,     1,     2,     2,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       1,     4,     0,     2,     2,     2,     2,     2,     2,     1,
       3,     1,     3,     1,     3,     1,     3,     1,     3,     1,
       3,     1,     3,     1,     3,     1,     4,     1,     3,     1,
       4,     1,     1,     3,     0,     1,     1,     4,     1,     4,
       1,     4,     1,     3,     1,     4,     1,     4,     1,     3,
       2,     2,     1,     4,     1,     2,     1,     1,     1,     1,
       0,     1,     1,     1,     2,     1,     2,     2,     2,     2,
       3,     0,     3,     5,     1,     1,     1,     1,     0,     2,
       0,     0,     2,     4,     4,     4,     2,     2,     2,     1,
       1,     1,     2,     2,     3,     3,     0,     3,     0,     3,
       4,     3,     0,     2,     2,     0,     2,     0,     2,     4,
       1,     5,     1,     2,     1,     1,     2,     4,     0,     3,
       5,     0,     0,     0,     2,     2,     2,     2,     2,     3,
       3,     3,     3,     2,     3,     3,     4,     4,     2,     2,
       3,     1,     0,     3,     0,     3,     4,     1,     1,     6,
       1,     6,     1,     6,     1,     6,     2,     2,     0,     3,
       3,     0,     3,     3,     2,     2,     1,     3,     1,     3,
       1,     3,     2,     2,     2,     2,     2,     2,     3,     3,
       3,     3,     4,     6,     4,     6,     6,     4,     6,     5,
       5,     4,     5,     5,     6,     3,     3,     4,     5,     6,
       5,     5,     5,     5,     5,     5,     5,     5,     5,     5,
       6,     6,     6,     5,     6,     8,     6,     6,     6,     5,
       6,     5,     4,     4,     4,     4,     5,     5,     6,     5,
       6,     5,     5,     6,     7,     7,     7,     5,     5,     4,
       4,     0,     0,     6,     6,     1,     1,     2,     2,     2,
       2,     2,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     4,     4,     2,     3,
       2,     2,     2,     2,     3,     5,     5,     4,     3,     3,
       3,     3,     3,     2,     2,     2,     3,     3,     0,     3,
       0,     3,     0,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       2,     2,     2,     1,     2,     2,     4,     0,     3,     5,
       1,     4,     0,     3,     3,     3,     2,     3,     2,     1,
       2,     2,     2,     3,     3,     0,     1,     2,     3,     1,
       1,     2,     2,     3,     3,     3,     3,     4,     2,     4,
       3,     2,     3,     1,     2,     4,     0,     3,     2,     1,
       2,     3,     3,     3,     3,     2,     3,     0,     5,     0,
       5,     2,     2,     1,     4,     1,     1,     0,     3,     2,
       2,     2,     5,     2,     0,     3,     0,     2,     2,     3,
       2,     2,     3,     2,     2,     2,     1,     3,     2,     2,
       2,     2,     2,     2,     3,     2,     2,     2,     2,     2,
       2,     2,     2,     3,     3,     3,     3,     2,     3,     2,
       3,     3,     4,     4,     2,     2,     2,     3,     3,     3,
       2,     3,     3,     3,     4,     2,     1,     0,     2,     3,
       1,     0,     1,     2,     0,     2,     0,     1,     3,     0,
       0,     2,     0,     3,     0,     3,     0,     3,     3,     1,
       1,     1,     1,     1,     4,     1,     6,     1,     6,     1,
       6,     1,     7,     1,     6,     1,     7,     1,     5,     0,
       2,     3,     2,     3,     3,     2,     3,     2,     2,     2,
       3,     3,     3,     1,     3,     3,     2,     3,     3,     2,
       2,     2,     2,     2,     0,     4,     2,     3,     3,     5,
       1,     2,     1,     1,     2,     2,     0,     3,     0,     3,
       2,     3,     0,     3,     5,     0,     4,     4,     3,     4,
       2,     3,     3,     3,     3,     4,     4,     4,     3,     3,
       4,     4,     2,     0,     3,     0,     3,     3,     3,     1,
       1,     1,     0,     0,     3,     0,     3,     4,     1,     2,
       2,     2,     4,     4,     0,     0,     3,     0,     3,     3,
       1,     0,     0,     2,     2,     0,     0,     3,     1,     5,
       1,     0,     0,     2,     2,     0,     0,     3,     1,     5,
       1,     2,     0,     2,     1,     1,     1,     1,     2,     2,
       1,     1,     2,     4,     2,     2,     0,     3,     5,     0,
       0,     2,     2,     2,     2,     2,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     3,     3,     4,     3,     2,     2,     1,     1,     1,
       1,     1,     0,     3,     0,     3,     4,     1,     1,     1,
       6,     1,     6,     1,     2,     5,     0,     3,     1,     1,
       2,     3,     1,     2,     3,     3,     3,     4,     0,     1,
       2,     1,     1,     2,     6,     0,     0,     0,     3,     4,
       4,     2,     0,     2,     2,     3,     3,     3,     5,     5,
       4,     3,     2,     3,     3,     3,     3,     1,     2,     2,
       2,     3,     5,     1,     2,     2,     2,     2,     2,     1,
       0,     2,     0,     3,     1,     4,     3,     3,     2,     4,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       5,     2,     0,     0,     2,     2,     2,     1,     1,     3,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     3,     1,     3,     4,     3,     3,     1,
       4,     1,     5,     1,     3,     1,     3,     1,     3,     1,
       4,     1,     2,     1,     3,     0,     1,     0,     1,     2,
       2,     2,     3,     3,     0,     2,     1,     1,     2,     3,
       2,     3,     4,     2,     2,     3,     3,     1,     2,     3,
       0,     2,     0,     3,     0,     3,     3,     1,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        YY_LAC_DISCARD ("YYBACKUP");                              \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return YYENOMEM if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYPTRDIFF_T *yycapacity, YYPTRDIFF_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yy_state_t **yybottom,
                      yy_state_t *yybottom_no_free,
                      yy_state_t **yytop, yy_state_t *yytop_empty)
{
  YYPTRDIFF_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYPTRDIFF_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYPTRDIFF_T yyalloc = 2 * yysize_new;
      yy_state_t *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return YYENOMEM;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        YY_CAST (yy_state_t *,
                 YYSTACK_ALLOC (YY_CAST (YYSIZE_T,
                                         yyalloc * YYSIZEOF (*yybottom_new))));
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return YYENOMEM;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                                \
do {                                                                    \
  if (!yy_lac_established)                                              \
    {                                                                   \
      YYDPRINTF ((stderr,                                               \
                  "LAC: initial context established for %s\n",          \
                  yysymbol_name (yytoken)));                            \
      yy_lac_established = 1;                                           \
      switch (yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken))    \
        {                                                               \
        case YYENOMEM:                                                  \
          YYNOMEM;                                                      \
        case 1:                                                         \
          goto yyerrlab;                                                \
        }                                                               \
    }                                                                   \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      YYDPRINTF ((stderr, "LAC: initial context discarded due to "       \
                  Event "\n"));                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return YYENOMEM if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yy_state_t *yyesa, yy_state_t **yyes,
        YYPTRDIFF_T *yyes_capacity, yy_state_t *yyssp, yysymbol_kind_t yytoken)
{
  yy_state_t *yyes_prev = yyssp;
  yy_state_t *yyesp = yyes_prev;
  /* Reduce until we encounter a shift and thereby accept the token.  */
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yysymbol_name (yytoken)));
  if (yytoken == YYSYMBOL_YYUNDEF)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[+*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          /* Use the default action.  */
          yyrule = yydefact[+*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          /* Use the action from yytable.  */
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      /* By now we know we have to simulate a reduce.  */
      YYDPRINTF ((stderr, " R%d", yyrule - 1));
      {
        /* Pop the corresponding number of values from the stack.  */
        YYPTRDIFF_T yylen = yyr2[yyrule];
        /* First pop from the LAC stack as many tokens as possible.  */
        if (yyesp != yyes_prev)
          {
            YYPTRDIFF_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yyesp = yyes_prev;
                yylen -= yysize;
              }
          }
        /* Only afterwards look at the main stack.  */
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      /* Push the resulting state of the reduction.  */
      {
        yy_state_fast_t yystate;
        {
          const int yylhs = yyr1[yyrule] - YYNTOKENS;
          const int yyi = yypgoto[yylhs] + *yyesp;
          yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyesp
                     ? yytable[yyi]
                     : yydefgoto[yylhs]);
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            YY_IGNORE_USELESS_CAST_BEGIN
            *yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return YYENOMEM;
              }
            YY_IGNORE_USELESS_CAST_BEGIN
            *++yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}

/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yy_state_t *yyesa;
  yy_state_t **yyes;
  YYPTRDIFF_T *yyes_capacity;
  yysymbol_kind_t yytoken;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;

  int yyx;
  for (yyx = 0; yyx < YYNTOKENS; ++yyx)
    {
      yysymbol_kind_t yysym = YY_CAST (yysymbol_kind_t, yyx);
      if (yysym != YYSYMBOL_YYerror && yysym != YYSYMBOL_YYUNDEF)
        switch (yy_lac (yyctx->yyesa, yyctx->yyes, yyctx->yyes_capacity, yyctx->yyssp, yysym))
          {
          case YYENOMEM:
            return YYENOMEM;
          case 1:
            continue;
          default:
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = yysym;
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else if (yyn == 0)
        YYDPRINTF ((stderr, "No expected tokens.\n"));
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store or if
   yy_lac returned YYENOMEM.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YY_USE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    yy_state_t yyesa[20];
    yy_state_t *yyes = yyesa;
    YYPTRDIFF_T yyes_capacity = 20 < YYMAXDEPTH ? 20 : YYMAXDEPTH;

  /* Whether LAC context is established.  A Boolean.  */
  int yy_lac_established = 0;
  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      YY_LAC_ESTABLISH;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
  case 2: /* config: conf_entries END  */
#line 136 "conf/confbase.Y"
                         { return 0; }
#line 6151 "obj/conf/cf-parse.tab.c"
    break;

  case 3: /* config: CLI_MARKER cli_cmd  */
#line 137 "conf/confbase.Y"
                      { return 0; }
#line 6157 "obj/conf/cf-parse.tab.c"
    break;

  case 8: /* definition: DEFINE symbol '=' term ';'  */
#line 153 "conf/confbase.Y"
                              {
     struct f_val *val = cfg_allocz(sizeof(struct f_val));
     if (f_eval(f_linearize((yyvsp[-1].x)), cfg_mem, val) > F_RETURN) cf_error("Runtime error");
     cf_define_symbol((yyvsp[-3].s), SYM_CONSTANT | val->type, val, val);
   }
#line 6167 "obj/conf/cf-parse.tab.c"
    break;

  case 10: /* expr: '(' term ')'  */
#line 162 "conf/confbase.Y"
                { (yyval.i) = f_eval_int(f_linearize((yyvsp[-1].x))); }
#line 6173 "obj/conf/cf-parse.tab.c"
    break;

  case 11: /* expr: CF_SYM_KNOWN  */
#line 163 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number constant expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 6181 "obj/conf/cf-parse.tab.c"
    break;

  case 12: /* expr_us: expr S  */
#line 169 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) S_; }
#line 6187 "obj/conf/cf-parse.tab.c"
    break;

  case 13: /* expr_us: expr MS  */
#line 170 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 6193 "obj/conf/cf-parse.tab.c"
    break;

  case 14: /* expr_us: expr US  */
#line 171 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) US_; }
#line 6199 "obj/conf/cf-parse.tab.c"
    break;

  case 17: /* bool: expr  */
#line 179 "conf/confbase.Y"
        { (yyval.i) = !!(yyvsp[0].i); }
#line 6205 "obj/conf/cf-parse.tab.c"
    break;

  case 18: /* bool: ON  */
#line 180 "conf/confbase.Y"
      { (yyval.i) = 1; }
#line 6211 "obj/conf/cf-parse.tab.c"
    break;

  case 19: /* bool: YES  */
#line 181 "conf/confbase.Y"
       { (yyval.i) = 1; }
#line 6217 "obj/conf/cf-parse.tab.c"
    break;

  case 20: /* bool: OFF  */
#line 182 "conf/confbase.Y"
       { (yyval.i) = 0; }
#line 6223 "obj/conf/cf-parse.tab.c"
    break;

  case 21: /* bool: NO  */
#line 183 "conf/confbase.Y"
      { (yyval.i) = 0; }
#line 6229 "obj/conf/cf-parse.tab.c"
    break;

  case 22: /* bool: %empty  */
#line 184 "conf/confbase.Y"
                                 { (yyval.i) = 1; }
#line 6235 "obj/conf/cf-parse.tab.c"
    break;

  case 23: /* ipa: IP4  */
#line 191 "conf/confbase.Y"
       { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 6241 "obj/conf/cf-parse.tab.c"
    break;

  case 24: /* ipa: IP6  */
#line 192 "conf/confbase.Y"
       { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 6247 "obj/conf/cf-parse.tab.c"
    break;

  case 25: /* ipa: CF_SYM_KNOWN  */
#line 193 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address constant expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 6256 "obj/conf/cf-parse.tab.c"
    break;

  case 26: /* ipa_scope: %empty  */
#line 200 "conf/confbase.Y"
               { (yyval.iface) = NULL; }
#line 6262 "obj/conf/cf-parse.tab.c"
    break;

  case 27: /* ipa_scope: '%' symbol  */
#line 201 "conf/confbase.Y"
              { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 6268 "obj/conf/cf-parse.tab.c"
    break;

  case 28: /* pxlen4: '/' NUM  */
#line 208 "conf/confbase.Y"
           {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 6277 "obj/conf/cf-parse.tab.c"
    break;

  case 29: /* net_ip4_: IP4 pxlen4  */
#line 215 "conf/confbase.Y"
{
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 6290 "obj/conf/cf-parse.tab.c"
    break;

  case 30: /* net_ip6_: IP6 '/' NUM  */
#line 225 "conf/confbase.Y"
{
  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 6306 "obj/conf/cf-parse.tab.c"
    break;

  case 31: /* net_ip6_sadr_: IP6 '/' NUM FROM IP6 '/' NUM  */
#line 238 "conf/confbase.Y"
{
  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-6].ip6), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 6328 "obj/conf/cf-parse.tab.c"
    break;

  case 32: /* net_vpn4_: VPN_RD net_ip4_  */
#line 257 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 6337 "obj/conf/cf-parse.tab.c"
    break;

  case 33: /* net_vpn6_: VPN_RD net_ip6_  */
#line 263 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 6346 "obj/conf/cf-parse.tab.c"
    break;

  case 34: /* net_roa4_: net_ip4_ MAX NUM AS NUM  */
#line 269 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 6357 "obj/conf/cf-parse.tab.c"
    break;

  case 35: /* net_roa6_: net_ip6_ MAX NUM AS NUM  */
#line 277 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 6368 "obj/conf/cf-parse.tab.c"
    break;

  case 36: /* net_mpls_: MPLS NUM  */
#line 285 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 6377 "obj/conf/cf-parse.tab.c"
    break;

  case 43: /* net_: net_ip_  */
#line 295 "conf/confbase.Y"
           { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 6383 "obj/conf/cf-parse.tab.c"
    break;

  case 50: /* net_ip4: CF_SYM_KNOWN  */
#line 308 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP4))
       cf_error("IPv4 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6393 "obj/conf/cf-parse.tab.c"
    break;

  case 52: /* net_ip6: CF_SYM_KNOWN  */
#line 317 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6403 "obj/conf/cf-parse.tab.c"
    break;

  case 54: /* net_ip: CF_SYM_KNOWN  */
#line 326 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6413 "obj/conf/cf-parse.tab.c"
    break;

  case 56: /* net_any: CF_SYM_KNOWN  */
#line 335 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network constant expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 6423 "obj/conf/cf-parse.tab.c"
    break;

  case 59: /* net_or_ipa: IP4  */
#line 345 "conf/confbase.Y"
       { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 6429 "obj/conf/cf-parse.tab.c"
    break;

  case 60: /* net_or_ipa: IP6  */
#line 346 "conf/confbase.Y"
       { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 6435 "obj/conf/cf-parse.tab.c"
    break;

  case 61: /* net_or_ipa: CF_SYM_KNOWN  */
#line 347 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network constant expected");
   }
#line 6448 "obj/conf/cf-parse.tab.c"
    break;

  case 62: /* label_stack_start: NUM  */
#line 358 "conf/confbase.Y"
{
  (yyval.mls) = cfg_allocz(sizeof(mpls_label_stack));
  (yyval.mls)->len = 1;
  (yyval.mls)->stack[0] = (yyvsp[0].i);
}
#line 6458 "obj/conf/cf-parse.tab.c"
    break;

  case 64: /* label_stack: label_stack '/' NUM  */
#line 366 "conf/confbase.Y"
                        {
    if ((yyvsp[-2].mls)->len >= MPLS_MAX_LABEL_STACK)
      cf_error("Too many labels in stack");
    (yyvsp[-2].mls)->stack[(yyvsp[-2].mls)->len++] = (yyvsp[0].i);
    (yyval.mls) = (yyvsp[-2].mls);
  }
#line 6469 "obj/conf/cf-parse.tab.c"
    break;

  case 65: /* time: TEXT  */
#line 375 "conf/confbase.Y"
        {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 6479 "obj/conf/cf-parse.tab.c"
    break;

  case 67: /* text: CF_SYM_KNOWN  */
#line 384 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String constant expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 6488 "obj/conf/cf-parse.tab.c"
    break;

  case 69: /* opttext: %empty  */
#line 392 "conf/confbase.Y"
               { (yyval.t) = NULL; }
#line 6494 "obj/conf/cf-parse.tab.c"
    break;

  case 70: /* flow_num_op: TRUE  */
#line 37 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_TRUE; }
#line 6500 "obj/conf/cf-parse.tab.c"
    break;

  case 71: /* flow_num_op: '='  */
#line 38 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_EQ;  }
#line 6506 "obj/conf/cf-parse.tab.c"
    break;

  case 72: /* flow_num_op: NEQ  */
#line 39 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_NEQ; }
#line 6512 "obj/conf/cf-parse.tab.c"
    break;

  case 73: /* flow_num_op: '<'  */
#line 40 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_LT;  }
#line 6518 "obj/conf/cf-parse.tab.c"
    break;

  case 74: /* flow_num_op: LEQ  */
#line 41 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_LEQ; }
#line 6524 "obj/conf/cf-parse.tab.c"
    break;

  case 75: /* flow_num_op: '>'  */
#line 42 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_GT;  }
#line 6530 "obj/conf/cf-parse.tab.c"
    break;

  case 76: /* flow_num_op: GEQ  */
#line 43 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_GEQ; }
#line 6536 "obj/conf/cf-parse.tab.c"
    break;

  case 77: /* flow_num_op: FALSE  */
#line 44 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_FALSE; }
#line 6542 "obj/conf/cf-parse.tab.c"
    break;

  case 78: /* flow_logic_op: OR  */
#line 48 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_OR; }
#line 6548 "obj/conf/cf-parse.tab.c"
    break;

  case 79: /* flow_logic_op: AND  */
#line 49 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_AND; }
#line 6554 "obj/conf/cf-parse.tab.c"
    break;

  case 80: /* flow_num_type_: PROTO  */
#line 53 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 6560 "obj/conf/cf-parse.tab.c"
    break;

  case 81: /* flow_num_type_: NEXT HEADER  */
#line 54 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 6566 "obj/conf/cf-parse.tab.c"
    break;

  case 82: /* flow_num_type_: PORT  */
#line 55 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_PORT; }
#line 6572 "obj/conf/cf-parse.tab.c"
    break;

  case 83: /* flow_num_type_: DPORT  */
#line 56 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 6578 "obj/conf/cf-parse.tab.c"
    break;

  case 84: /* flow_num_type_: SPORT  */
#line 57 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 6584 "obj/conf/cf-parse.tab.c"
    break;

  case 85: /* flow_num_type_: ICMP TYPE  */
#line 58 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 6590 "obj/conf/cf-parse.tab.c"
    break;

  case 86: /* flow_num_type_: ICMP CODE  */
#line 59 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 6596 "obj/conf/cf-parse.tab.c"
    break;

  case 87: /* flow_num_type_: LENGTH  */
#line 60 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 6602 "obj/conf/cf-parse.tab.c"
    break;

  case 88: /* flow_num_type_: DSCP  */
#line 61 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 6608 "obj/conf/cf-parse.tab.c"
    break;

  case 89: /* flow_num_type_: LABEL  */
#line 62 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_LABEL; }
#line 6614 "obj/conf/cf-parse.tab.c"
    break;

  case 90: /* flow_num_type: flow_num_type_  */
#line 65 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 6620 "obj/conf/cf-parse.tab.c"
    break;

  case 91: /* flow_flag_type: TCP FLAGS  */
#line 66 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 6626 "obj/conf/cf-parse.tab.c"
    break;

  case 92: /* flow_frag_type: FRAGMENT  */
#line 67 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 6632 "obj/conf/cf-parse.tab.c"
    break;

  case 93: /* flow_srcdst: DST  */
#line 70 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 6638 "obj/conf/cf-parse.tab.c"
    break;

  case 94: /* flow_srcdst: SRC  */
#line 71 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 6644 "obj/conf/cf-parse.tab.c"
    break;

  case 95: /* flow_num_opts: flow_num_op expr  */
#line 75 "conf/flowspec.Y"
                    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 6653 "obj/conf/cf-parse.tab.c"
    break;

  case 96: /* flow_num_opts: flow_num_opts flow_logic_op flow_num_op expr  */
#line 79 "conf/flowspec.Y"
                                                {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 6662 "obj/conf/cf-parse.tab.c"
    break;

  case 99: /* flow_num_opt_ext_expr: expr  */
#line 88 "conf/flowspec.Y"
        {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 6671 "obj/conf/cf-parse.tab.c"
    break;

  case 100: /* flow_num_opt_ext_expr: expr DDOT expr  */
#line 92 "conf/flowspec.Y"
                  {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 6682 "obj/conf/cf-parse.tab.c"
    break;

  case 103: /* flow_bmk_opts: flow_neg expr '/' expr  */
#line 106 "conf/flowspec.Y"
                          {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 6691 "obj/conf/cf-parse.tab.c"
    break;

  case 104: /* flow_bmk_opts: flow_bmk_opts flow_logic_op flow_neg expr '/' expr  */
#line 110 "conf/flowspec.Y"
                                                      {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 6700 "obj/conf/cf-parse.tab.c"
    break;

  case 105: /* flow_bmk_opts: flow_bmk_opts ',' flow_neg expr '/' expr  */
#line 114 "conf/flowspec.Y"
                                            {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 6709 "obj/conf/cf-parse.tab.c"
    break;

  case 106: /* flow_neg: %empty  */
#line 121 "conf/flowspec.Y"
                { (yyval.i32) = 0x00; }
#line 6715 "obj/conf/cf-parse.tab.c"
    break;

  case 107: /* flow_neg: '!'  */
#line 122 "conf/flowspec.Y"
                { (yyval.i32) = 0x02; }
#line 6721 "obj/conf/cf-parse.tab.c"
    break;

  case 108: /* flow_frag_val: DONT_FRAGMENT  */
#line 126 "conf/flowspec.Y"
                  { (yyval.i32) = 1; }
#line 6727 "obj/conf/cf-parse.tab.c"
    break;

  case 109: /* flow_frag_val: IS_FRAGMENT  */
#line 127 "conf/flowspec.Y"
                  { (yyval.i32) = 2; }
#line 6733 "obj/conf/cf-parse.tab.c"
    break;

  case 110: /* flow_frag_val: FIRST_FRAGMENT  */
#line 128 "conf/flowspec.Y"
                  { (yyval.i32) = 4; }
#line 6739 "obj/conf/cf-parse.tab.c"
    break;

  case 111: /* flow_frag_val: LAST_FRAGMENT  */
#line 129 "conf/flowspec.Y"
                  { (yyval.i32) = 8; }
#line 6745 "obj/conf/cf-parse.tab.c"
    break;

  case 112: /* flow_frag_opts: flow_neg flow_frag_val  */
#line 133 "conf/flowspec.Y"
                          {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 6753 "obj/conf/cf-parse.tab.c"
    break;

  case 113: /* flow_frag_opts: flow_frag_opts flow_logic_op flow_neg flow_frag_val  */
#line 136 "conf/flowspec.Y"
                                                       {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 6761 "obj/conf/cf-parse.tab.c"
    break;

  case 114: /* flow_frag_opts: flow_frag_opts ',' flow_neg flow_frag_val  */
#line 139 "conf/flowspec.Y"
                                             {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 6769 "obj/conf/cf-parse.tab.c"
    break;

  case 115: /* flow4_item: flow_srcdst net_ip4  */
#line 145 "conf/flowspec.Y"
                       {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 6778 "obj/conf/cf-parse.tab.c"
    break;

  case 119: /* flow6_item: flow_srcdst net_ip6  */
#line 155 "conf/flowspec.Y"
                       {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 6787 "obj/conf/cf-parse.tab.c"
    break;

  case 120: /* flow6_item: flow_srcdst net_ip6 OFFSET NUM  */
#line 159 "conf/flowspec.Y"
                                  {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 6798 "obj/conf/cf-parse.tab.c"
    break;

  case 128: /* flow_builder_init: %empty  */
#line 181 "conf/flowspec.Y"
{
  if (this_flow == NULL)
    this_flow = flow_builder_init(&root_pool);
  else
    flow_builder_clear(this_flow);
}
#line 6809 "obj/conf/cf-parse.tab.c"
    break;

  case 129: /* flow_builder_set_ipv4: %empty  */
#line 188 "conf/flowspec.Y"
                       { this_flow->ipv6 = 0; }
#line 6815 "obj/conf/cf-parse.tab.c"
    break;

  case 130: /* flow_builder_set_ipv6: %empty  */
#line 189 "conf/flowspec.Y"
                       { this_flow->ipv6 = 1; }
#line 6821 "obj/conf/cf-parse.tab.c"
    break;

  case 131: /* net_flow4_: FLOW4 '{' flow_builder_init flow_builder_set_ipv4 flow4_opts '}'  */
#line 192 "conf/flowspec.Y"
{
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 6830 "obj/conf/cf-parse.tab.c"
    break;

  case 132: /* net_flow6_: FLOW6 '{' flow_builder_init flow_builder_set_ipv6 flow6_opts '}'  */
#line 198 "conf/flowspec.Y"
{
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 6839 "obj/conf/cf-parse.tab.c"
    break;

  case 142: /* $@1: %empty  */
#line 319 "filter/config.Y"
                 { (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FILTER, filter, NULL); cf_push_scope( (yyvsp[0].s) ); }
#line 6845 "obj/conf/cf-parse.tab.c"
    break;

  case 143: /* filter_def: FILTER symbol $@1 filter_body  */
#line 320 "filter/config.Y"
                 {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .sym = (yyvsp[-2].s), .root = (yyvsp[0].fl) };
     (yyvsp[-2].s)->filter = f;

     cf_pop_scope();
   }
#line 6857 "obj/conf/cf-parse.tab.c"
    break;

  case 145: /* filter_eval: EVAL term  */
#line 331 "filter/config.Y"
             { f_eval_int(f_linearize((yyvsp[0].x))); }
#line 6863 "obj/conf/cf-parse.tab.c"
    break;

  case 147: /* custom_attr: ATTRIBUTE type symbol ';'  */
#line 335 "filter/config.Y"
                                       {
  cf_define_symbol((yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ca_lookup(new_config->pool, (yyvsp[-1].s)->name, (yyvsp[-2].i))->fda);
}
#line 6871 "obj/conf/cf-parse.tab.c"
    break;

  case 149: /* bt_test_suite: BT_TEST_SUITE '(' CF_SYM_KNOWN ',' text ')'  */
#line 341 "filter/config.Y"
                                             {
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->function;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 6885 "obj/conf/cf-parse.tab.c"
    break;

  case 151: /* bt_test_same: BT_TEST_SAME '(' CF_SYM_KNOWN ',' CF_SYM_KNOWN ',' NUM ')'  */
#line 354 "filter/config.Y"
                                                            {
  cf_assert_symbol((yyvsp[-5].s), SYM_FUNCTION);
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-5].s)->function;
  t->cmp = (yyvsp[-3].s)->function;
  t->result = (yyvsp[-1].i);
  t->fn_name = (yyvsp[-5].s)->name;
  t->dsc = (yyvsp[-3].s)->name;
  add_tail(&new_config->tests, &t->n);
 }
#line 6901 "obj/conf/cf-parse.tab.c"
    break;

  case 152: /* type: INT  */
#line 368 "filter/config.Y"
       { (yyval.i) = T_INT; }
#line 6907 "obj/conf/cf-parse.tab.c"
    break;

  case 153: /* type: BOOL  */
#line 369 "filter/config.Y"
        { (yyval.i) = T_BOOL; }
#line 6913 "obj/conf/cf-parse.tab.c"
    break;

  case 154: /* type: IP  */
#line 370 "filter/config.Y"
      { (yyval.i) = T_IP; }
#line 6919 "obj/conf/cf-parse.tab.c"
    break;

  case 155: /* type: RD  */
#line 371 "filter/config.Y"
      { (yyval.i) = T_RD; }
#line 6925 "obj/conf/cf-parse.tab.c"
    break;

  case 156: /* type: PREFIX  */
#line 372 "filter/config.Y"
          { (yyval.i) = T_NET; }
#line 6931 "obj/conf/cf-parse.tab.c"
    break;

  case 157: /* type: PAIR  */
#line 373 "filter/config.Y"
        { (yyval.i) = T_PAIR; }
#line 6937 "obj/conf/cf-parse.tab.c"
    break;

  case 158: /* type: QUAD  */
#line 374 "filter/config.Y"
        { (yyval.i) = T_QUAD; }
#line 6943 "obj/conf/cf-parse.tab.c"
    break;

  case 159: /* type: EC  */
#line 375 "filter/config.Y"
      { (yyval.i) = T_EC; }
#line 6949 "obj/conf/cf-parse.tab.c"
    break;

  case 160: /* type: LC  */
#line 376 "filter/config.Y"
      { (yyval.i) = T_LC; }
#line 6955 "obj/conf/cf-parse.tab.c"
    break;

  case 161: /* type: STRING  */
#line 377 "filter/config.Y"
          { (yyval.i) = T_STRING; }
#line 6961 "obj/conf/cf-parse.tab.c"
    break;

  case 162: /* type: BGPMASK  */
#line 378 "filter/config.Y"
           { (yyval.i) = T_PATH_MASK; }
#line 6967 "obj/conf/cf-parse.tab.c"
    break;

  case 163: /* type: BGPPATH  */
#line 379 "filter/config.Y"
           { (yyval.i) = T_PATH; }
#line 6973 "obj/conf/cf-parse.tab.c"
    break;

  case 164: /* type: CLIST  */
#line 380 "filter/config.Y"
         { (yyval.i) = T_CLIST; }
#line 6979 "obj/conf/cf-parse.tab.c"
    break;

  case 165: /* type: ECLIST  */
#line 381 "filter/config.Y"
          { (yyval.i) = T_ECLIST; }
#line 6985 "obj/conf/cf-parse.tab.c"
    break;

  case 166: /* type: LCLIST  */
#line 382 "filter/config.Y"
          { (yyval.i) = T_LCLIST; }
#line 6991 "obj/conf/cf-parse.tab.c"
    break;

  case 167: /* type: type SET  */
#line 383 "filter/config.Y"
            {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 7016 "obj/conf/cf-parse.tab.c"
    break;

  case 169: /* function_argsn: function_argsn type symbol ';'  */
#line 407 "filter/config.Y"
                                  {
     if ((yyvsp[-1].s)->scope->slots >= 0xfe) cf_error("Too many declarations, at most 255 allowed");
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, (yyvsp[-1].s)->scope->slots++);
   }
#line 7025 "obj/conf/cf-parse.tab.c"
    break;

  case 170: /* function_args: '(' ')'  */
#line 414 "filter/config.Y"
           { (yyval.i) = 0; }
#line 7031 "obj/conf/cf-parse.tab.c"
    break;

  case 171: /* function_args: '(' function_argsn type symbol ')'  */
#line 415 "filter/config.Y"
                                      {
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, (yyvsp[-1].s)->scope->slots++);
     (yyval.i) = (yyvsp[-1].s)->scope->slots;
   }
#line 7040 "obj/conf/cf-parse.tab.c"
    break;

  case 172: /* function_vars: %empty  */
#line 422 "filter/config.Y"
               { (yyval.i) = 0; }
#line 7046 "obj/conf/cf-parse.tab.c"
    break;

  case 173: /* function_vars: function_vars type symbol ';'  */
#line 423 "filter/config.Y"
                                 {
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, (yyvsp[-1].s)->scope->slots++);
     (yyval.i) = (yyvsp[-3].i) + 1;
   }
#line 7055 "obj/conf/cf-parse.tab.c"
    break;

  case 175: /* filter: CF_SYM_KNOWN  */
#line 432 "filter/config.Y"
                {
     cf_assert_symbol((yyvsp[0].s), SYM_FILTER);
     (yyval.f) = (yyvsp[0].s)->filter;
   }
#line 7064 "obj/conf/cf-parse.tab.c"
    break;

  case 176: /* filter: filter_body  */
#line 436 "filter/config.Y"
               {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .root = (yyvsp[0].fl) };
     (yyval.f) = f;
   }
#line 7074 "obj/conf/cf-parse.tab.c"
    break;

  case 177: /* where_filter: WHERE term  */
#line 444 "filter/config.Y"
              {
     /* Construct 'IF term THEN { ACCEPT; } ELSE { REJECT; }' */
     (yyval.f) = f_new_where((yyvsp[0].x));
   }
#line 7083 "obj/conf/cf-parse.tab.c"
    break;

  case 178: /* function_body: function_vars '{' cmds '}'  */
#line 451 "filter/config.Y"
                              {
     (yyval.fl) = f_linearize((yyvsp[-1].x));
     (yyval.fl)->vars = (yyvsp[-3].i);
   }
#line 7092 "obj/conf/cf-parse.tab.c"
    break;

  case 180: /* $@2: %empty  */
#line 459 "filter/config.Y"
                   { DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FUNCTION, function, NULL);
     cf_push_scope((yyvsp[0].s));
   }
#line 7101 "obj/conf/cf-parse.tab.c"
    break;

  case 181: /* function_def: FUNCTION symbol $@2 function_args function_body  */
#line 462 "filter/config.Y"
                                 {
     DBG("Definition of function %s with %u args and %u local vars.\n", (yyvsp[-3].s)->name, (yyvsp[-1].i), (yyvsp[0].fl)->vars);
     (yyvsp[0].fl)->args = (yyvsp[-1].i);
     (yyvsp[-3].s)->function = (yyvsp[0].fl);
     cf_pop_scope();
   }
#line 7112 "obj/conf/cf-parse.tab.c"
    break;

  case 182: /* cmds: %empty  */
#line 472 "filter/config.Y"
                  { (yyval.x) = NULL; }
#line 7118 "obj/conf/cf-parse.tab.c"
    break;

  case 183: /* cmds: cmds_int  */
#line 473 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].xp).begin; }
#line 7124 "obj/conf/cf-parse.tab.c"
    break;

  case 184: /* cmd_prep: cmd  */
#line 476 "filter/config.Y"
              {
  (yyval.xp).begin = (yyval.xp).end = (yyvsp[0].x);
  if ((yyvsp[0].x))
    while ((yyval.xp).end->next)
      (yyval.xp).end = (yyval.xp).end->next;
}
#line 7135 "obj/conf/cf-parse.tab.c"
    break;

  case 186: /* cmds_int: cmds_int cmd_prep  */
#line 485 "filter/config.Y"
                     {
  if (!(yyvsp[-1].xp).begin)
    (yyval.xp) = (yyvsp[0].xp);
  else if (!(yyvsp[0].xp).begin)
    (yyval.xp) = (yyvsp[-1].xp);
  else {
    (yyval.xp).begin = (yyvsp[-1].xp).begin;
    (yyval.xp).end = (yyvsp[0].xp).end;
    (yyvsp[-1].xp).end->next = (yyvsp[0].xp).begin;
  }
 }
#line 7151 "obj/conf/cf-parse.tab.c"
    break;

  case 187: /* block: cmd  */
#line 499 "filter/config.Y"
       {
     (yyval.x)=(yyvsp[0].x);
   }
#line 7159 "obj/conf/cf-parse.tab.c"
    break;

  case 188: /* block: '{' cmds '}'  */
#line 502 "filter/config.Y"
                {
     (yyval.x)=(yyvsp[-1].x);
   }
#line 7167 "obj/conf/cf-parse.tab.c"
    break;

  case 189: /* fipa: IP4  */
#line 511 "filter/config.Y"
                          { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 7173 "obj/conf/cf-parse.tab.c"
    break;

  case 190: /* fipa: IP6  */
#line 512 "filter/config.Y"
                          { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 7179 "obj/conf/cf-parse.tab.c"
    break;

  case 191: /* set_atom: NUM  */
#line 525 "filter/config.Y"
          { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 7185 "obj/conf/cf-parse.tab.c"
    break;

  case 192: /* set_atom: fipa  */
#line 526 "filter/config.Y"
          { (yyval.v) = (yyvsp[0].v); }
#line 7191 "obj/conf/cf-parse.tab.c"
    break;

  case 193: /* set_atom: VPN_RD  */
#line 527 "filter/config.Y"
          { (yyval.v).type = T_RD; (yyval.v).val.ec = (yyvsp[0].i64); }
#line 7197 "obj/conf/cf-parse.tab.c"
    break;

  case 194: /* set_atom: ENUM  */
#line 528 "filter/config.Y"
          { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 7203 "obj/conf/cf-parse.tab.c"
    break;

  case 195: /* set_atom: '(' term ')'  */
#line 529 "filter/config.Y"
                {
     if (f_eval(f_linearize((yyvsp[-1].x)), cfg_mem, &((yyval.v))) > F_RETURN) cf_error("Runtime error");
     if (!f_valid_set_type((yyval.v).type)) cf_error("Set-incompatible type");
   }
#line 7212 "obj/conf/cf-parse.tab.c"
    break;

  case 196: /* set_atom: CF_SYM_KNOWN  */
#line 533 "filter/config.Y"
                {
     cf_assert_symbol((yyvsp[0].s), SYM_CONSTANT);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s)))) cf_error("%s: set-incompatible type", (yyvsp[0].s)->name);
     (yyval.v) = *(yyvsp[0].s)->val;
   }
#line 7222 "obj/conf/cf-parse.tab.c"
    break;

  case 197: /* switch_atom: NUM  */
#line 541 "filter/config.Y"
         { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 7228 "obj/conf/cf-parse.tab.c"
    break;

  case 198: /* switch_atom: '(' term ')'  */
#line 542 "filter/config.Y"
                { (yyval.v).type = T_INT; (yyval.v).val.i = f_eval_int(f_linearize((yyvsp[-1].x))); }
#line 7234 "obj/conf/cf-parse.tab.c"
    break;

  case 199: /* switch_atom: fipa  */
#line 543 "filter/config.Y"
         { (yyval.v) = (yyvsp[0].v); }
#line 7240 "obj/conf/cf-parse.tab.c"
    break;

  case 200: /* switch_atom: ENUM  */
#line 544 "filter/config.Y"
         { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 7246 "obj/conf/cf-parse.tab.c"
    break;

  case 201: /* cnum: term  */
#line 548 "filter/config.Y"
        { (yyval.i32) = f_eval_int(f_linearize((yyvsp[0].x))); }
#line 7252 "obj/conf/cf-parse.tab.c"
    break;

  case 202: /* pair_item: '(' cnum ',' cnum ')'  */
#line 551 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7258 "obj/conf/cf-parse.tab.c"
    break;

  case 203: /* pair_item: '(' cnum ',' cnum DDOT cnum ')'  */
#line 552 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7264 "obj/conf/cf-parse.tab.c"
    break;

  case 204: /* pair_item: '(' cnum ',' '*' ')'  */
#line 553 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 7270 "obj/conf/cf-parse.tab.c"
    break;

  case 205: /* pair_item: '(' cnum DDOT cnum ',' cnum ')'  */
#line 554 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7276 "obj/conf/cf-parse.tab.c"
    break;

  case 206: /* pair_item: '(' cnum DDOT cnum ',' cnum DDOT cnum ')'  */
#line 555 "filter/config.Y"
                                             { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7282 "obj/conf/cf-parse.tab.c"
    break;

  case 207: /* pair_item: '(' cnum DDOT cnum ',' '*' ')'  */
#line 556 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 7288 "obj/conf/cf-parse.tab.c"
    break;

  case 208: /* pair_item: '(' '*' ',' cnum ')'  */
#line 557 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7294 "obj/conf/cf-parse.tab.c"
    break;

  case 209: /* pair_item: '(' '*' ',' cnum DDOT cnum ')'  */
#line 558 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7300 "obj/conf/cf-parse.tab.c"
    break;

  case 210: /* pair_item: '(' '*' ',' '*' ')'  */
#line 559 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 7306 "obj/conf/cf-parse.tab.c"
    break;

  case 211: /* pair_item: '(' cnum ',' cnum ')' DDOT '(' cnum ',' cnum ')'  */
#line 561 "filter/config.Y"
   { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 7312 "obj/conf/cf-parse.tab.c"
    break;

  case 212: /* ec_kind: RT  */
#line 565 "filter/config.Y"
      { (yyval.ecs) = EC_RT; }
#line 7318 "obj/conf/cf-parse.tab.c"
    break;

  case 213: /* ec_kind: RO  */
#line 566 "filter/config.Y"
      { (yyval.ecs) = EC_RO; }
#line 7324 "obj/conf/cf-parse.tab.c"
    break;

  case 214: /* ec_kind: UNKNOWN NUM  */
#line 567 "filter/config.Y"
               { (yyval.ecs) = (yyvsp[0].i); }
#line 7330 "obj/conf/cf-parse.tab.c"
    break;

  case 215: /* ec_kind: GENERIC  */
#line 568 "filter/config.Y"
           { (yyval.ecs) = EC_GENERIC; }
#line 7336 "obj/conf/cf-parse.tab.c"
    break;

  case 216: /* ec_item: '(' ec_kind ',' cnum ',' cnum ')'  */
#line 572 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7342 "obj/conf/cf-parse.tab.c"
    break;

  case 217: /* ec_item: '(' ec_kind ',' cnum ',' cnum DDOT cnum ')'  */
#line 573 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-7].ecs), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7348 "obj/conf/cf-parse.tab.c"
    break;

  case 218: /* ec_item: '(' ec_kind ',' cnum ',' '*' ')'  */
#line 574 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 7354 "obj/conf/cf-parse.tab.c"
    break;

  case 219: /* lc_item: '(' cnum ',' cnum ',' cnum ')'  */
#line 578 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7360 "obj/conf/cf-parse.tab.c"
    break;

  case 220: /* lc_item: '(' cnum ',' cnum ',' cnum DDOT cnum ')'  */
#line 579 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7366 "obj/conf/cf-parse.tab.c"
    break;

  case 221: /* lc_item: '(' cnum ',' cnum ',' '*' ')'  */
#line 580 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 7372 "obj/conf/cf-parse.tab.c"
    break;

  case 222: /* lc_item: '(' cnum ',' cnum DDOT cnum ',' '*' ')'  */
#line 581 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 7378 "obj/conf/cf-parse.tab.c"
    break;

  case 223: /* lc_item: '(' cnum ',' '*' ',' '*' ')'  */
#line 582 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 7384 "obj/conf/cf-parse.tab.c"
    break;

  case 224: /* lc_item: '(' cnum DDOT cnum ',' '*' ',' '*' ')'  */
#line 583 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 7390 "obj/conf/cf-parse.tab.c"
    break;

  case 225: /* lc_item: '(' '*' ',' '*' ',' '*' ')'  */
#line 584 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 7396 "obj/conf/cf-parse.tab.c"
    break;

  case 226: /* lc_item: '(' cnum ',' cnum ',' cnum ')' DDOT '(' cnum ',' cnum ',' cnum ')'  */
#line 586 "filter/config.Y"
   { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 7402 "obj/conf/cf-parse.tab.c"
    break;

  case 230: /* set_item: set_atom  */
#line 593 "filter/config.Y"
            { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 7408 "obj/conf/cf-parse.tab.c"
    break;

  case 231: /* set_item: set_atom DDOT set_atom  */
#line 594 "filter/config.Y"
                          { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 7414 "obj/conf/cf-parse.tab.c"
    break;

  case 235: /* switch_item: switch_atom  */
#line 601 "filter/config.Y"
               { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 7420 "obj/conf/cf-parse.tab.c"
    break;

  case 236: /* switch_item: switch_atom DDOT switch_atom  */
#line 602 "filter/config.Y"
                                { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 7426 "obj/conf/cf-parse.tab.c"
    break;

  case 238: /* set_items: set_items ',' set_item  */
#line 607 "filter/config.Y"
                          { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 7432 "obj/conf/cf-parse.tab.c"
    break;

  case 240: /* switch_items: switch_items ',' switch_item  */
#line 612 "filter/config.Y"
                                { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 7438 "obj/conf/cf-parse.tab.c"
    break;

  case 241: /* fprefix: net_ip_  */
#line 616 "filter/config.Y"
                { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 7444 "obj/conf/cf-parse.tab.c"
    break;

  case 242: /* fprefix: net_ip_ '+'  */
#line 617 "filter/config.Y"
                { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 7450 "obj/conf/cf-parse.tab.c"
    break;

  case 243: /* fprefix: net_ip_ '-'  */
#line 618 "filter/config.Y"
                { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 7456 "obj/conf/cf-parse.tab.c"
    break;

  case 244: /* fprefix: net_ip_ '{' NUM ',' NUM '}'  */
#line 619 "filter/config.Y"
                               {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 7466 "obj/conf/cf-parse.tab.c"
    break;

  case 245: /* fprefix_set: fprefix  */
#line 627 "filter/config.Y"
           { (yyval.trie) = f_new_trie(cfg_mem, 0); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 7472 "obj/conf/cf-parse.tab.c"
    break;

  case 246: /* fprefix_set: fprefix_set ',' fprefix  */
#line 628 "filter/config.Y"
                           { (yyval.trie) = (yyvsp[-2].trie); if (!trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi)) cf_error("Mixed IPv4/IPv6 prefixes in prefix set"); }
#line 7478 "obj/conf/cf-parse.tab.c"
    break;

  case 247: /* switch_body: %empty  */
#line 631 "filter/config.Y"
                         { (yyval.e) = NULL; }
#line 7484 "obj/conf/cf-parse.tab.c"
    break;

  case 248: /* switch_body: switch_body switch_items ':' cmds  */
#line 632 "filter/config.Y"
                                      {
     /* Fill data fields */
     struct f_tree *t;
     struct f_line *line = f_linearize((yyvsp[0].x));
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = line;
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 7497 "obj/conf/cf-parse.tab.c"
    break;

  case 249: /* switch_body: switch_body ELSECOL cmds  */
#line 640 "filter/config.Y"
                            {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = f_linearize((yyvsp[0].x));
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 7509 "obj/conf/cf-parse.tab.c"
    break;

  case 250: /* bgp_path_expr: symbol_value  */
#line 650 "filter/config.Y"
                { (yyval.x) = (yyvsp[0].x); }
#line 7515 "obj/conf/cf-parse.tab.c"
    break;

  case 251: /* bgp_path_expr: '(' term ')'  */
#line 651 "filter/config.Y"
                { (yyval.x) = (yyvsp[-1].x); }
#line 7521 "obj/conf/cf-parse.tab.c"
    break;

  case 252: /* bgp_path: PO bgp_path_tail PC  */
#line 655 "filter/config.Y"
                         { (yyval.x) = (yyvsp[-1].x); }
#line 7527 "obj/conf/cf-parse.tab.c"
    break;

  case 253: /* bgp_path_tail: NUM bgp_path_tail  */
#line 659 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .asn = (yyvsp[-1].i), .kind = PM_ASN, }, }); (yyval.x)->next = (yyvsp[0].x);  }
#line 7533 "obj/conf/cf-parse.tab.c"
    break;

  case 254: /* bgp_path_tail: NUM DDOT NUM bgp_path_tail  */
#line 660 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .from = (yyvsp[-3].i), .to = (yyvsp[-1].i), .kind = PM_ASN_RANGE }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7539 "obj/conf/cf-parse.tab.c"
    break;

  case 255: /* bgp_path_tail: '[' set_items ']' bgp_path_tail  */
#line 661 "filter/config.Y"
                                   {
   if ((yyvsp[-2].e)->from.type != T_INT) cf_error("Only integer sets allowed in path mask");
   (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = build_tree((yyvsp[-2].e)), .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x);
 }
#line 7548 "obj/conf/cf-parse.tab.c"
    break;

  case 256: /* bgp_path_tail: '*' bgp_path_tail  */
#line 665 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_ASTERISK }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7554 "obj/conf/cf-parse.tab.c"
    break;

  case 257: /* bgp_path_tail: '?' bgp_path_tail  */
#line 666 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_QUESTION }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7560 "obj/conf/cf-parse.tab.c"
    break;

  case 258: /* bgp_path_tail: '+' bgp_path_tail  */
#line 667 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_LOOP }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7566 "obj/conf/cf-parse.tab.c"
    break;

  case 259: /* bgp_path_tail: bgp_path_expr bgp_path_tail  */
#line 668 "filter/config.Y"
                                { (yyval.x) = (yyvsp[-1].x); (yyval.x)->next = (yyvsp[0].x); }
#line 7572 "obj/conf/cf-parse.tab.c"
    break;

  case 260: /* bgp_path_tail: %empty  */
#line 669 "filter/config.Y"
                                { (yyval.x) = NULL; }
#line 7578 "obj/conf/cf-parse.tab.c"
    break;

  case 261: /* constant: NUM  */
#line 673 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (yyvsp[0].i), }); }
#line 7584 "obj/conf/cf-parse.tab.c"
    break;

  case 262: /* constant: TRUE  */
#line 674 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }); }
#line 7590 "obj/conf/cf-parse.tab.c"
    break;

  case 263: /* constant: FALSE  */
#line 675 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }); }
#line 7596 "obj/conf/cf-parse.tab.c"
    break;

  case 264: /* constant: TEXT  */
#line 676 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_STRING, .val.s = (yyvsp[0].t), }); }
#line 7602 "obj/conf/cf-parse.tab.c"
    break;

  case 265: /* constant: fipa  */
#line 677 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (yyvsp[0].v)); }
#line 7608 "obj/conf/cf-parse.tab.c"
    break;

  case 266: /* constant: VPN_RD  */
#line 678 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_RD, .val.ec = (yyvsp[0].i64), }); }
#line 7614 "obj/conf/cf-parse.tab.c"
    break;

  case 267: /* constant: net_  */
#line 679 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_NET, .val.net = (yyvsp[0].net_ptr), }); }
#line 7620 "obj/conf/cf-parse.tab.c"
    break;

  case 268: /* constant: '[' set_items ']'  */
#line 680 "filter/config.Y"
                     {
     DBG( "We've got a set here..." );
     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = build_tree((yyvsp[-1].e)), });
     DBG( "ook\n" );
 }
#line 7630 "obj/conf/cf-parse.tab.c"
    break;

  case 269: /* constant: '[' fprefix_set ']'  */
#line 685 "filter/config.Y"
                       { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PREFIX_SET, .val.ti = (yyvsp[-1].trie), }); }
#line 7636 "obj/conf/cf-parse.tab.c"
    break;

  case 270: /* constant: ENUM  */
#line 686 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = (yyvsp[0].i) >> 16, .val.i = (yyvsp[0].i) & 0xffff, }); }
#line 7642 "obj/conf/cf-parse.tab.c"
    break;

  case 271: /* constructor: '(' term ',' term ')'  */
#line 690 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_PAIR_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7648 "obj/conf/cf-parse.tab.c"
    break;

  case 272: /* constructor: '(' ec_kind ',' term ',' term ')'  */
#line 691 "filter/config.Y"
                                     { (yyval.x) = f_new_inst(FI_EC_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].ecs)); }
#line 7654 "obj/conf/cf-parse.tab.c"
    break;

  case 273: /* constructor: '(' term ',' term ',' term ')'  */
#line 692 "filter/config.Y"
                                  { (yyval.x) = f_new_inst(FI_LC_CONSTRUCT, (yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 7660 "obj/conf/cf-parse.tab.c"
    break;

  case 274: /* constructor: bgp_path  */
#line 693 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_PATHMASK_CONSTRUCT, (yyvsp[0].x)); }
#line 7666 "obj/conf/cf-parse.tab.c"
    break;

  case 275: /* var_list: %empty  */
#line 698 "filter/config.Y"
                      { (yyval.x) = NULL; }
#line 7672 "obj/conf/cf-parse.tab.c"
    break;

  case 276: /* var_list: term  */
#line 699 "filter/config.Y"
        { (yyval.x) = (yyvsp[0].x); }
#line 7678 "obj/conf/cf-parse.tab.c"
    break;

  case 277: /* var_list: var_list ',' term  */
#line 700 "filter/config.Y"
                     { (yyval.x) = (yyvsp[0].x); (yyval.x)->next = (yyvsp[-2].x); }
#line 7684 "obj/conf/cf-parse.tab.c"
    break;

  case 278: /* function_call: CF_SYM_KNOWN '(' var_list ')'  */
#line 703 "filter/config.Y"
                                 {
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");

     struct f_inst *fc = f_new_inst(FI_CALL, (yyvsp[-3].s));
     uint args = 0;
     while ((yyvsp[-1].x)) {
       args++;
       struct f_inst *tmp = (yyvsp[-1].x)->next;
       (yyvsp[-1].x)->next = fc;

       fc = (yyvsp[-1].x);
       (yyvsp[-1].x) = tmp;
     }

     if (args != (yyvsp[-3].s)->function->args)
       cf_error("Function call '%s' got %u arguments, need %u arguments.",
	   (yyvsp[-3].s)->name, args, (yyvsp[-3].s)->function->args);

     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_VOID });
     (yyval.x)->next = fc;
   }
#line 7711 "obj/conf/cf-parse.tab.c"
    break;

  case 279: /* symbol_value: CF_SYM_KNOWN  */
#line 728 "filter/config.Y"
  {
    switch ((yyvsp[0].s)->class) {
      case SYM_CONSTANT_RANGE:
	(yyval.x) = f_new_inst(FI_CONSTANT, *((yyvsp[0].s)->val));
	break;
      case SYM_VARIABLE_RANGE:
	(yyval.x) = f_new_inst(FI_VAR_GET, (yyvsp[0].s));
	break;
      case SYM_ATTRIBUTE:
	(yyval.x) = f_new_inst(FI_EA_GET, *(yyvsp[0].s)->attribute);
	break;
      default:
	cf_error("Can't get value of symbol %s", (yyvsp[0].s)->name);
    }
  }
#line 7731 "obj/conf/cf-parse.tab.c"
    break;

  case 280: /* static_attr: FROM  */
#line 746 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_IP,         SA_FROM,	0); }
#line 7737 "obj/conf/cf-parse.tab.c"
    break;

  case 281: /* static_attr: GW  */
#line 747 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	0); }
#line 7743 "obj/conf/cf-parse.tab.c"
    break;

  case 282: /* static_attr: NET  */
#line 748 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	1); }
#line 7749 "obj/conf/cf-parse.tab.c"
    break;

  case 283: /* static_attr: PROTO  */
#line 749 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	1); }
#line 7755 "obj/conf/cf-parse.tab.c"
    break;

  case 284: /* static_attr: SOURCE  */
#line 750 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_RTS,   SA_SOURCE,	1); }
#line 7761 "obj/conf/cf-parse.tab.c"
    break;

  case 285: /* static_attr: SCOPE  */
#line 751 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_SCOPE, SA_SCOPE,	0); }
#line 7767 "obj/conf/cf-parse.tab.c"
    break;

  case 286: /* static_attr: DEST  */
#line 752 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	0); }
#line 7773 "obj/conf/cf-parse.tab.c"
    break;

  case 287: /* static_attr: IFNAME  */
#line 753 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	0); }
#line 7779 "obj/conf/cf-parse.tab.c"
    break;

  case 288: /* static_attr: IFINDEX  */
#line 754 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	1); }
#line 7785 "obj/conf/cf-parse.tab.c"
    break;

  case 289: /* static_attr: WEIGHT  */
#line 755 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_WEIGHT,	0); }
#line 7791 "obj/conf/cf-parse.tab.c"
    break;

  case 290: /* static_attr: GW_MPLS  */
#line 756 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_GW_MPLS,	0); }
#line 7797 "obj/conf/cf-parse.tab.c"
    break;

  case 291: /* term: '(' term ')'  */
#line 760 "filter/config.Y"
                        { (yyval.x) = (yyvsp[-1].x); }
#line 7803 "obj/conf/cf-parse.tab.c"
    break;

  case 292: /* term: term '+' term  */
#line 761 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_ADD, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7809 "obj/conf/cf-parse.tab.c"
    break;

  case 293: /* term: term '-' term  */
#line 762 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_SUBTRACT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7815 "obj/conf/cf-parse.tab.c"
    break;

  case 294: /* term: term '*' term  */
#line 763 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_MULTIPLY, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7821 "obj/conf/cf-parse.tab.c"
    break;

  case 295: /* term: term '/' term  */
#line 764 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_DIVIDE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7827 "obj/conf/cf-parse.tab.c"
    break;

  case 296: /* term: term AND term  */
#line 765 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_AND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7833 "obj/conf/cf-parse.tab.c"
    break;

  case 297: /* term: term OR term  */
#line 766 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_OR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7839 "obj/conf/cf-parse.tab.c"
    break;

  case 298: /* term: term '=' term  */
#line 767 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_EQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7845 "obj/conf/cf-parse.tab.c"
    break;

  case 299: /* term: term NEQ term  */
#line 768 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NEQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7851 "obj/conf/cf-parse.tab.c"
    break;

  case 300: /* term: term '<' term  */
#line 769 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7857 "obj/conf/cf-parse.tab.c"
    break;

  case 301: /* term: term LEQ term  */
#line 770 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7863 "obj/conf/cf-parse.tab.c"
    break;

  case 302: /* term: term '>' term  */
#line 771 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LT, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 7869 "obj/conf/cf-parse.tab.c"
    break;

  case 303: /* term: term GEQ term  */
#line 772 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 7875 "obj/conf/cf-parse.tab.c"
    break;

  case 304: /* term: term '~' term  */
#line 773 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7881 "obj/conf/cf-parse.tab.c"
    break;

  case 305: /* term: term NMA term  */
#line 774 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NOT_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 7887 "obj/conf/cf-parse.tab.c"
    break;

  case 306: /* term: '!' term  */
#line 775 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NOT, (yyvsp[0].x)); }
#line 7893 "obj/conf/cf-parse.tab.c"
    break;

  case 307: /* term: DEFINED '(' term ')'  */
#line 776 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_DEFINED, (yyvsp[-1].x)); }
#line 7899 "obj/conf/cf-parse.tab.c"
    break;

  case 308: /* term: symbol_value  */
#line 778 "filter/config.Y"
                  { (yyval.x) = (yyvsp[0].x); }
#line 7905 "obj/conf/cf-parse.tab.c"
    break;

  case 309: /* term: constant  */
#line 779 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].x); }
#line 7911 "obj/conf/cf-parse.tab.c"
    break;

  case 310: /* term: constructor  */
#line 780 "filter/config.Y"
               { (yyval.x) = (yyvsp[0].x); }
#line 7917 "obj/conf/cf-parse.tab.c"
    break;

  case 311: /* term: PREFERENCE  */
#line 782 "filter/config.Y"
              { (yyval.x) = f_new_inst(FI_PREF_GET); }
#line 7923 "obj/conf/cf-parse.tab.c"
    break;

  case 312: /* term: static_attr  */
#line 784 "filter/config.Y"
               { (yyval.x) = f_new_inst(FI_RTA_GET, (yyvsp[0].fsa)); }
#line 7929 "obj/conf/cf-parse.tab.c"
    break;

  case 313: /* term: dynamic_attr  */
#line 786 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_EA_GET, (yyvsp[0].fda)); }
#line 7935 "obj/conf/cf-parse.tab.c"
    break;

  case 314: /* term: term '.' IS_V4  */
#line 788 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_IS_V4, (yyvsp[-2].x)); }
#line 7941 "obj/conf/cf-parse.tab.c"
    break;

  case 315: /* term: term '.' TYPE  */
#line 789 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_TYPE, (yyvsp[-2].x)); }
#line 7947 "obj/conf/cf-parse.tab.c"
    break;

  case 316: /* term: term '.' IP  */
#line 790 "filter/config.Y"
               { (yyval.x) = f_new_inst(FI_IP, (yyvsp[-2].x)); }
#line 7953 "obj/conf/cf-parse.tab.c"
    break;

  case 317: /* term: term '.' RD  */
#line 791 "filter/config.Y"
               { (yyval.x) = f_new_inst(FI_ROUTE_DISTINGUISHER, (yyvsp[-2].x)); }
#line 7959 "obj/conf/cf-parse.tab.c"
    break;

  case 318: /* term: term '.' LEN  */
#line 792 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_LENGTH, (yyvsp[-2].x)); }
#line 7965 "obj/conf/cf-parse.tab.c"
    break;

  case 319: /* term: term '.' MAXLEN  */
#line 793 "filter/config.Y"
                   { (yyval.x) = f_new_inst(FI_ROA_MAXLEN, (yyvsp[-2].x)); }
#line 7971 "obj/conf/cf-parse.tab.c"
    break;

  case 320: /* term: term '.' ASN  */
#line 794 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_ASN, (yyvsp[-2].x)); }
#line 7977 "obj/conf/cf-parse.tab.c"
    break;

  case 321: /* term: term '.' SRC  */
#line 795 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_NET_SRC, (yyvsp[-2].x)); }
#line 7983 "obj/conf/cf-parse.tab.c"
    break;

  case 322: /* term: term '.' DST  */
#line 796 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_NET_DST, (yyvsp[-2].x)); }
#line 7989 "obj/conf/cf-parse.tab.c"
    break;

  case 323: /* term: term '.' MASK '(' term ')'  */
#line 797 "filter/config.Y"
                              { (yyval.x) = f_new_inst(FI_IP_MASK, (yyvsp[-5].x), (yyvsp[-1].x)); }
#line 7995 "obj/conf/cf-parse.tab.c"
    break;

  case 324: /* term: term '.' FIRST  */
#line 798 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_AS_PATH_FIRST, (yyvsp[-2].x)); }
#line 8001 "obj/conf/cf-parse.tab.c"
    break;

  case 325: /* term: term '.' LAST  */
#line 799 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_AS_PATH_LAST, (yyvsp[-2].x)); }
#line 8007 "obj/conf/cf-parse.tab.c"
    break;

  case 326: /* term: term '.' LAST_NONAGGREGATED  */
#line 800 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_AS_PATH_LAST_NAG, (yyvsp[-2].x)); }
#line 8013 "obj/conf/cf-parse.tab.c"
    break;

  case 327: /* term: term '.' DATA  */
#line 801 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_PAIR_DATA, (yyvsp[-2].x)); }
#line 8019 "obj/conf/cf-parse.tab.c"
    break;

  case 328: /* term: term '.' DATA1  */
#line 802 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_LC_DATA1, (yyvsp[-2].x)); }
#line 8025 "obj/conf/cf-parse.tab.c"
    break;

  case 329: /* term: term '.' DATA2  */
#line 803 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_LC_DATA2, (yyvsp[-2].x)); }
#line 8031 "obj/conf/cf-parse.tab.c"
    break;

  case 330: /* term: term '.' MIN  */
#line 804 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_MIN, (yyvsp[-2].x)); }
#line 8037 "obj/conf/cf-parse.tab.c"
    break;

  case 331: /* term: term '.' MAX  */
#line 805 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_MAX, (yyvsp[-2].x)); }
#line 8043 "obj/conf/cf-parse.tab.c"
    break;

  case 332: /* term: '+' EMPTY '+'  */
#line 815 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_path); }
#line 8049 "obj/conf/cf-parse.tab.c"
    break;

  case 333: /* term: '-' EMPTY '-'  */
#line 816 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_clist); }
#line 8055 "obj/conf/cf-parse.tab.c"
    break;

  case 334: /* term: '-' '-' EMPTY '-' '-'  */
#line 817 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_eclist); }
#line 8061 "obj/conf/cf-parse.tab.c"
    break;

  case 335: /* term: '-' '-' '-' EMPTY '-' '-' '-'  */
#line 818 "filter/config.Y"
                                 { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_lclist); }
#line 8067 "obj/conf/cf-parse.tab.c"
    break;

  case 336: /* term: PREPEND '(' term ',' term ')'  */
#line 819 "filter/config.Y"
                                 { (yyval.x) = f_new_inst(FI_PATH_PREPEND, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8073 "obj/conf/cf-parse.tab.c"
    break;

  case 337: /* term: ADD '(' term ',' term ')'  */
#line 820 "filter/config.Y"
                             { (yyval.x) = f_new_inst(FI_CLIST_ADD, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8079 "obj/conf/cf-parse.tab.c"
    break;

  case 338: /* term: DELETE '(' term ',' term ')'  */
#line 821 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CLIST_DEL, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8085 "obj/conf/cf-parse.tab.c"
    break;

  case 339: /* term: FILTER '(' term ',' term ')'  */
#line 822 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CLIST_FILTER, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8091 "obj/conf/cf-parse.tab.c"
    break;

  case 340: /* term: ROA_CHECK '(' rtable ')'  */
#line 824 "filter/config.Y"
                            { (yyval.x) = f_new_inst(FI_ROA_CHECK_IMPLICIT, (yyvsp[-1].r)); }
#line 8097 "obj/conf/cf-parse.tab.c"
    break;

  case 341: /* term: ROA_CHECK '(' rtable ',' term ',' term ')'  */
#line 825 "filter/config.Y"
                                              { (yyval.x) = f_new_inst(FI_ROA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 8103 "obj/conf/cf-parse.tab.c"
    break;

  case 342: /* term: FORMAT '(' term ')'  */
#line 827 "filter/config.Y"
                       {  (yyval.x) = f_new_inst(FI_FORMAT, (yyvsp[-1].x)); }
#line 8109 "obj/conf/cf-parse.tab.c"
    break;

  case 344: /* break_command: ACCEPT  */
#line 835 "filter/config.Y"
          { (yyval.fret) = F_ACCEPT; }
#line 8115 "obj/conf/cf-parse.tab.c"
    break;

  case 345: /* break_command: REJECT  */
#line 836 "filter/config.Y"
          { (yyval.fret) = F_REJECT; }
#line 8121 "obj/conf/cf-parse.tab.c"
    break;

  case 346: /* break_command: ERROR  */
#line 837 "filter/config.Y"
         { (yyval.fret) = F_ERROR; }
#line 8127 "obj/conf/cf-parse.tab.c"
    break;

  case 347: /* print_list: %empty  */
#line 840 "filter/config.Y"
                        { (yyval.x) = NULL; }
#line 8133 "obj/conf/cf-parse.tab.c"
    break;

  case 348: /* print_list: term  */
#line 841 "filter/config.Y"
        { (yyval.x) = (yyvsp[0].x); }
#line 8139 "obj/conf/cf-parse.tab.c"
    break;

  case 349: /* print_list: term ',' print_list  */
#line 842 "filter/config.Y"
                       {
     ASSERT((yyvsp[-2].x));
     ASSERT((yyvsp[-2].x)->next == NULL);
     (yyvsp[-2].x)->next = (yyvsp[0].x);
     (yyval.x) = (yyvsp[-2].x);
   }
#line 8150 "obj/conf/cf-parse.tab.c"
    break;

  case 350: /* cmd: IF term THEN block  */
#line 851 "filter/config.Y"
                      {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-2].x), (yyvsp[0].x), NULL);
   }
#line 8158 "obj/conf/cf-parse.tab.c"
    break;

  case 351: /* cmd: IF term THEN block ELSE block  */
#line 854 "filter/config.Y"
                                 {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-4].x), (yyvsp[-2].x), (yyvsp[0].x));
   }
#line 8166 "obj/conf/cf-parse.tab.c"
    break;

  case 352: /* cmd: CF_SYM_KNOWN '=' term ';'  */
#line 857 "filter/config.Y"
                             {
     switch ((yyvsp[-3].s)->class) {
       case SYM_VARIABLE_RANGE:
	 (yyval.x) = f_new_inst(FI_VAR_SET, (yyvsp[-1].x), (yyvsp[-3].s));
	 break;
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), *(yyvsp[-3].s)->attribute);
	 break;
       default:
	 cf_error("Can't assign to symbol %s", (yyvsp[-3].s)->name);
     }
   }
#line 8183 "obj/conf/cf-parse.tab.c"
    break;

  case 353: /* cmd: RETURN term ';'  */
#line 869 "filter/config.Y"
                   {
     DBG( "Ook, we'll return the value\n" );
     (yyval.x) = f_new_inst(FI_RETURN, (yyvsp[-1].x));
   }
#line 8192 "obj/conf/cf-parse.tab.c"
    break;

  case 354: /* cmd: dynamic_attr '=' term ';'  */
#line 873 "filter/config.Y"
                             {
     (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), (yyvsp[-3].fda));
   }
#line 8200 "obj/conf/cf-parse.tab.c"
    break;

  case 355: /* cmd: static_attr '=' term ';'  */
#line 876 "filter/config.Y"
                            {
     if ((yyvsp[-3].fsa).readonly)
       cf_error( "This static attribute is read-only.");
     (yyval.x) = f_new_inst(FI_RTA_SET, (yyvsp[-1].x), (yyvsp[-3].fsa));
   }
#line 8210 "obj/conf/cf-parse.tab.c"
    break;

  case 356: /* cmd: PREFERENCE '=' term ';'  */
#line 881 "filter/config.Y"
                           {
     (yyval.x) = f_new_inst(FI_PREF_SET, (yyvsp[-1].x));
   }
#line 8218 "obj/conf/cf-parse.tab.c"
    break;

  case 357: /* cmd: UNSET '(' dynamic_attr ')' ';'  */
#line 884 "filter/config.Y"
                                  {
     (yyval.x) = f_new_inst(FI_EA_UNSET, (yyvsp[-2].fda));
   }
#line 8226 "obj/conf/cf-parse.tab.c"
    break;

  case 358: /* cmd: break_command print_list ';'  */
#line 887 "filter/config.Y"
                                {
    struct f_inst *breaker = f_new_inst(FI_DIE, (yyvsp[-2].fret));
    if ((yyvsp[-1].x)) {
      struct f_inst *printer = f_new_inst(FI_PRINT, (yyvsp[-1].x));
      struct f_inst *flusher = f_new_inst(FI_FLUSH);
      printer->next = flusher;
      flusher->next = breaker;
      (yyval.x) = printer;
    } else
      (yyval.x) = breaker;
   }
#line 8242 "obj/conf/cf-parse.tab.c"
    break;

  case 359: /* cmd: PRINT print_list ';'  */
#line 898 "filter/config.Y"
                        {
    (yyval.x) = f_new_inst(FI_PRINT, (yyvsp[-1].x));
    (yyval.x)->next = f_new_inst(FI_FLUSH);
   }
#line 8251 "obj/conf/cf-parse.tab.c"
    break;

  case 360: /* cmd: PRINTN print_list ';'  */
#line 902 "filter/config.Y"
                         {
    (yyval.x) = f_new_inst(FI_PRINT, (yyvsp[-1].x));
   }
#line 8259 "obj/conf/cf-parse.tab.c"
    break;

  case 361: /* cmd: function_call ';'  */
#line 905 "filter/config.Y"
                     { (yyval.x) = f_new_inst(FI_DROP_RESULT, (yyvsp[-1].x)); }
#line 8265 "obj/conf/cf-parse.tab.c"
    break;

  case 362: /* cmd: CASE term '{' switch_body '}'  */
#line 906 "filter/config.Y"
                                 {
      (yyval.x) = f_new_inst(FI_SWITCH, (yyvsp[-3].x), build_tree((yyvsp[-1].e)));
   }
#line 8273 "obj/conf/cf-parse.tab.c"
    break;

  case 363: /* cmd: dynamic_attr '.' EMPTY ';'  */
#line 910 "filter/config.Y"
                              { (yyval.x) = f_generate_empty((yyvsp[-3].fda)); }
#line 8279 "obj/conf/cf-parse.tab.c"
    break;

  case 364: /* cmd: dynamic_attr '.' PREPEND '(' term ')' ';'  */
#line 911 "filter/config.Y"
                                               { (yyval.x) = f_generate_complex( FI_PATH_PREPEND, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8285 "obj/conf/cf-parse.tab.c"
    break;

  case 365: /* cmd: dynamic_attr '.' ADD '(' term ')' ';'  */
#line 912 "filter/config.Y"
                                               { (yyval.x) = f_generate_complex( FI_CLIST_ADD, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8291 "obj/conf/cf-parse.tab.c"
    break;

  case 366: /* cmd: dynamic_attr '.' DELETE '(' term ')' ';'  */
#line 913 "filter/config.Y"
                                               { (yyval.x) = f_generate_complex( FI_CLIST_DEL, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8297 "obj/conf/cf-parse.tab.c"
    break;

  case 367: /* cmd: dynamic_attr '.' FILTER '(' term ')' ';'  */
#line 914 "filter/config.Y"
                                               { (yyval.x) = f_generate_complex( FI_CLIST_FILTER, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8303 "obj/conf/cf-parse.tab.c"
    break;

  case 368: /* cmd: BT_ASSERT '(' get_cf_position term get_cf_position ')' ';'  */
#line 915 "filter/config.Y"
                                                              { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 8309 "obj/conf/cf-parse.tab.c"
    break;

  case 369: /* cmd: BT_CHECK_ASSIGN '(' get_cf_position lvalue get_cf_position ',' term ')' ';'  */
#line 916 "filter/config.Y"
                                                                               { (yyval.x) = assert_assign(&(yyvsp[-5].flv), (yyvsp[-2].x), (yyvsp[-6].t) + 1, (yyvsp[-4].t) - 1); }
#line 8315 "obj/conf/cf-parse.tab.c"
    break;

  case 370: /* get_cf_position: %empty  */
#line 920 "filter/config.Y"
{
  (yyval.t) = cf_text;
}
#line 8323 "obj/conf/cf-parse.tab.c"
    break;

  case 371: /* lvalue: CF_SYM_KNOWN  */
#line 925 "filter/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_VARIABLE); (yyval.flv) = (struct f_lval) { .type = F_LVAL_VARIABLE, .sym = (yyvsp[0].s) }; }
#line 8329 "obj/conf/cf-parse.tab.c"
    break;

  case 372: /* lvalue: PREFERENCE  */
#line 926 "filter/config.Y"
              { (yyval.flv) = (struct f_lval) { .type = F_LVAL_PREFERENCE }; }
#line 8335 "obj/conf/cf-parse.tab.c"
    break;

  case 373: /* lvalue: static_attr  */
#line 927 "filter/config.Y"
               { (yyval.flv) = (struct f_lval) { .type = F_LVAL_SA, .sa = (yyvsp[0].fsa) }; }
#line 8341 "obj/conf/cf-parse.tab.c"
    break;

  case 374: /* lvalue: dynamic_attr  */
#line 928 "filter/config.Y"
                { (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = (yyvsp[0].fda) }; }
#line 8347 "obj/conf/cf-parse.tab.c"
    break;

  case 376: /* rtrid: ROUTER ID idval ';'  */
#line 162 "nest/config.Y"
                       { new_config->router_id = (yyvsp[-1].i32); }
#line 8353 "obj/conf/cf-parse.tab.c"
    break;

  case 377: /* rtrid: ROUTER ID FROM iface_patt ';'  */
#line 163 "nest/config.Y"
                                 { new_config->router_id_from = this_ipatt; }
#line 8359 "obj/conf/cf-parse.tab.c"
    break;

  case 378: /* idval: NUM  */
#line 167 "nest/config.Y"
       { (yyval.i32) = (yyvsp[0].i); }
#line 8365 "obj/conf/cf-parse.tab.c"
    break;

  case 379: /* idval: '(' term ')'  */
#line 168 "nest/config.Y"
                { (yyval.i32) = f_eval_int(f_linearize((yyvsp[-1].x))); }
#line 8371 "obj/conf/cf-parse.tab.c"
    break;

  case 380: /* idval: IP4  */
#line 169 "nest/config.Y"
       { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 8377 "obj/conf/cf-parse.tab.c"
    break;

  case 381: /* idval: CF_SYM_KNOWN  */
#line 170 "nest/config.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 8390 "obj/conf/cf-parse.tab.c"
    break;

  case 383: /* hostname_override: HOSTNAME text ';'  */
#line 182 "nest/config.Y"
                                     { new_config->hostname = (yyvsp[-1].t); }
#line 8396 "obj/conf/cf-parse.tab.c"
    break;

  case 385: /* gr_opts: GRACEFUL RESTART WAIT expr ';'  */
#line 186 "nest/config.Y"
                                        { new_config->gr_wait = (yyvsp[-1].i); }
#line 8402 "obj/conf/cf-parse.tab.c"
    break;

  case 386: /* net_type: IPV4  */
#line 192 "nest/config.Y"
        { (yyval.i) = NET_IP4; }
#line 8408 "obj/conf/cf-parse.tab.c"
    break;

  case 387: /* net_type: IPV6  */
#line 193 "nest/config.Y"
        { (yyval.i) = NET_IP6; }
#line 8414 "obj/conf/cf-parse.tab.c"
    break;

  case 388: /* net_type: IPV6 SADR  */
#line 194 "nest/config.Y"
             { (yyval.i) = NET_IP6_SADR; }
#line 8420 "obj/conf/cf-parse.tab.c"
    break;

  case 389: /* net_type: VPN4  */
#line 195 "nest/config.Y"
        { (yyval.i) = NET_VPN4; }
#line 8426 "obj/conf/cf-parse.tab.c"
    break;

  case 390: /* net_type: VPN6  */
#line 196 "nest/config.Y"
        { (yyval.i) = NET_VPN6; }
#line 8432 "obj/conf/cf-parse.tab.c"
    break;

  case 391: /* net_type: ROA4  */
#line 197 "nest/config.Y"
        { (yyval.i) = NET_ROA4; }
#line 8438 "obj/conf/cf-parse.tab.c"
    break;

  case 392: /* net_type: ROA6  */
#line 198 "nest/config.Y"
        { (yyval.i) = NET_ROA6; }
#line 8444 "obj/conf/cf-parse.tab.c"
    break;

  case 393: /* net_type: FLOW4  */
#line 199 "nest/config.Y"
        { (yyval.i) = NET_FLOW4; }
#line 8450 "obj/conf/cf-parse.tab.c"
    break;

  case 394: /* net_type: FLOW6  */
#line 200 "nest/config.Y"
        { (yyval.i) = NET_FLOW6; }
#line 8456 "obj/conf/cf-parse.tab.c"
    break;

  case 395: /* net_type: MPLS  */
#line 201 "nest/config.Y"
        { (yyval.i) = NET_MPLS; }
#line 8462 "obj/conf/cf-parse.tab.c"
    break;

  case 398: /* table_start: net_type TABLE symbol  */
#line 213 "nest/config.Y"
                                   {
   this_table = rt_new_table((yyvsp[0].s), (yyvsp[-2].i));
   }
#line 8470 "obj/conf/cf-parse.tab.c"
    break;

  case 400: /* table_sorted: SORTED  */
#line 220 "nest/config.Y"
          { this_table->sorted = 1; }
#line 8476 "obj/conf/cf-parse.tab.c"
    break;

  case 401: /* table_opt: SORTED bool  */
#line 224 "nest/config.Y"
               { this_table->sorted = (yyvsp[0].i); }
#line 8482 "obj/conf/cf-parse.tab.c"
    break;

  case 402: /* table_opt: TRIE bool  */
#line 225 "nest/config.Y"
             {
     if (!net_val_match(this_table->addr_type, NB_IP | NB_VPN | NB_ROA | NB_IP6_SADR))
       cf_error("Trie option not supported for %s table", net_label[this_table->addr_type]);
     this_table->trie_used = (yyvsp[0].i);
   }
#line 8492 "obj/conf/cf-parse.tab.c"
    break;

  case 403: /* table_opt: MIN SETTLE TIME expr_us  */
#line 230 "nest/config.Y"
                           { this_table->min_settle_time = (yyvsp[0].time); }
#line 8498 "obj/conf/cf-parse.tab.c"
    break;

  case 404: /* table_opt: MAX SETTLE TIME expr_us  */
#line 231 "nest/config.Y"
                           { this_table->max_settle_time = (yyvsp[0].time); }
#line 8504 "obj/conf/cf-parse.tab.c"
    break;

  case 405: /* table_opt: GC THRESHOLD expr  */
#line 232 "nest/config.Y"
                     { this_table->gc_threshold = (yyvsp[0].i); }
#line 8510 "obj/conf/cf-parse.tab.c"
    break;

  case 406: /* table_opt: GC PERIOD expr_us  */
#line 233 "nest/config.Y"
                     { this_table->gc_period = (uint) (yyvsp[0].time); if ((yyvsp[0].time) > 3600 S_) cf_error("GC period must be at most 3600 s"); }
#line 8516 "obj/conf/cf-parse.tab.c"
    break;

  case 411: /* conf: proto  */
#line 249 "nest/config.Y"
            { proto_postconfig(); }
#line 8522 "obj/conf/cf-parse.tab.c"
    break;

  case 412: /* proto_start: PROTOCOL  */
#line 252 "nest/config.Y"
            { (yyval.i) = SYM_PROTO; }
#line 8528 "obj/conf/cf-parse.tab.c"
    break;

  case 413: /* proto_start: TEMPLATE  */
#line 253 "nest/config.Y"
            { (yyval.i) = SYM_TEMPLATE; }
#line 8534 "obj/conf/cf-parse.tab.c"
    break;

  case 414: /* proto_name: %empty  */
#line 257 "nest/config.Y"
               {
     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;
     }
#line 8545 "obj/conf/cf-parse.tab.c"
    break;

  case 415: /* proto_name: symbol  */
#line 263 "nest/config.Y"
          {
     cf_define_symbol((yyvsp[0].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 8554 "obj/conf/cf-parse.tab.c"
    break;

  case 416: /* proto_name: FROM CF_SYM_KNOWN  */
#line 267 "nest/config.Y"
                     {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 8569 "obj/conf/cf-parse.tab.c"
    break;

  case 417: /* proto_name: symbol FROM CF_SYM_KNOWN  */
#line 277 "nest/config.Y"
                            {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     cf_define_symbol((yyvsp[-2].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 8582 "obj/conf/cf-parse.tab.c"
    break;

  case 419: /* proto_item: DISABLED bool  */
#line 289 "nest/config.Y"
                 { this_proto->disabled = (yyvsp[0].i); }
#line 8588 "obj/conf/cf-parse.tab.c"
    break;

  case 420: /* proto_item: DEBUG debug_mask  */
#line 290 "nest/config.Y"
                    { this_proto->debug = (yyvsp[0].i); }
#line 8594 "obj/conf/cf-parse.tab.c"
    break;

  case 421: /* proto_item: MRTDUMP mrtdump_mask  */
#line 291 "nest/config.Y"
                        { this_proto->mrtdump = (yyvsp[0].i); }
#line 8600 "obj/conf/cf-parse.tab.c"
    break;

  case 422: /* proto_item: ROUTER ID idval  */
#line 292 "nest/config.Y"
                   { this_proto->router_id = (yyvsp[0].i32); }
#line 8606 "obj/conf/cf-parse.tab.c"
    break;

  case 423: /* proto_item: DESCRIPTION text  */
#line 293 "nest/config.Y"
                    { this_proto->dsc = (yyvsp[0].t); }
#line 8612 "obj/conf/cf-parse.tab.c"
    break;

  case 424: /* proto_item: VRF text  */
#line 294 "nest/config.Y"
            { this_proto->vrf = if_get_by_name((yyvsp[0].t)); this_proto->vrf_set = 1; }
#line 8618 "obj/conf/cf-parse.tab.c"
    break;

  case 425: /* proto_item: VRF DEFAULT  */
#line 295 "nest/config.Y"
               { this_proto->vrf = NULL; this_proto->vrf_set = 1; }
#line 8624 "obj/conf/cf-parse.tab.c"
    break;

  case 426: /* channel_start: net_type  */
#line 300 "nest/config.Y"
{
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 8632 "obj/conf/cf-parse.tab.c"
    break;

  case 427: /* channel_item_: TABLE rtable  */
#line 305 "nest/config.Y"
                {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 8642 "obj/conf/cf-parse.tab.c"
    break;

  case 428: /* channel_item_: IMPORT imexport  */
#line 310 "nest/config.Y"
                   { this_channel->in_filter = (yyvsp[0].f); }
#line 8648 "obj/conf/cf-parse.tab.c"
    break;

  case 429: /* channel_item_: EXPORT imexport  */
#line 311 "nest/config.Y"
                   { this_channel->out_filter = (yyvsp[0].f); }
#line 8654 "obj/conf/cf-parse.tab.c"
    break;

  case 430: /* channel_item_: RECEIVE LIMIT limit_spec  */
#line 312 "nest/config.Y"
                            { this_channel->rx_limit = (yyvsp[0].cl); }
#line 8660 "obj/conf/cf-parse.tab.c"
    break;

  case 431: /* channel_item_: IMPORT LIMIT limit_spec  */
#line 313 "nest/config.Y"
                           { this_channel->in_limit = (yyvsp[0].cl); }
#line 8666 "obj/conf/cf-parse.tab.c"
    break;

  case 432: /* channel_item_: EXPORT LIMIT limit_spec  */
#line 314 "nest/config.Y"
                           { this_channel->out_limit = (yyvsp[0].cl); }
#line 8672 "obj/conf/cf-parse.tab.c"
    break;

  case 433: /* channel_item_: PREFERENCE expr  */
#line 315 "nest/config.Y"
                   { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 8678 "obj/conf/cf-parse.tab.c"
    break;

  case 434: /* channel_item_: IMPORT KEEP FILTERED bool  */
#line 316 "nest/config.Y"
                             { this_channel->in_keep_filtered = (yyvsp[0].i); }
#line 8684 "obj/conf/cf-parse.tab.c"
    break;

  case 435: /* channel_item_: RPKI RELOAD bool  */
#line 317 "nest/config.Y"
                    { this_channel->rpki_reload = (yyvsp[0].i); }
#line 8690 "obj/conf/cf-parse.tab.c"
    break;

  case 437: /* channel_item: DEBUG debug_mask  */
#line 323 "nest/config.Y"
                    { this_channel->debug = (yyvsp[0].i); }
#line 8696 "obj/conf/cf-parse.tab.c"
    break;

  case 442: /* channel_end: %empty  */
#line 337 "nest/config.Y"
{
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 8707 "obj/conf/cf-parse.tab.c"
    break;

  case 444: /* rtable: CF_SYM_KNOWN  */
#line 347 "nest/config.Y"
                     { cf_assert_symbol((yyvsp[0].s), SYM_TABLE); (yyval.r) = (yyvsp[0].s)->table; }
#line 8713 "obj/conf/cf-parse.tab.c"
    break;

  case 445: /* imexport: FILTER filter  */
#line 350 "nest/config.Y"
                 { (yyval.f) = (yyvsp[0].f); }
#line 8719 "obj/conf/cf-parse.tab.c"
    break;

  case 447: /* imexport: ALL  */
#line 352 "nest/config.Y"
       { (yyval.f) = FILTER_ACCEPT; }
#line 8725 "obj/conf/cf-parse.tab.c"
    break;

  case 448: /* imexport: NONE  */
#line 353 "nest/config.Y"
        { (yyval.f) = FILTER_REJECT; }
#line 8731 "obj/conf/cf-parse.tab.c"
    break;

  case 449: /* limit_action: %empty  */
#line 357 "nest/config.Y"
                 { (yyval.i) = PLA_DISABLE; }
#line 8737 "obj/conf/cf-parse.tab.c"
    break;

  case 450: /* limit_action: ACTION WARN  */
#line 358 "nest/config.Y"
               { (yyval.i) = PLA_WARN; }
#line 8743 "obj/conf/cf-parse.tab.c"
    break;

  case 451: /* limit_action: ACTION BLOCK  */
#line 359 "nest/config.Y"
                { (yyval.i) = PLA_BLOCK; }
#line 8749 "obj/conf/cf-parse.tab.c"
    break;

  case 452: /* limit_action: ACTION RESTART  */
#line 360 "nest/config.Y"
                  { (yyval.i) = PLA_RESTART; }
#line 8755 "obj/conf/cf-parse.tab.c"
    break;

  case 453: /* limit_action: ACTION DISABLE  */
#line 361 "nest/config.Y"
                  { (yyval.i) = PLA_DISABLE; }
#line 8761 "obj/conf/cf-parse.tab.c"
    break;

  case 454: /* limit_spec: expr limit_action  */
#line 365 "nest/config.Y"
                     { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 8767 "obj/conf/cf-parse.tab.c"
    break;

  case 455: /* limit_spec: OFF  */
#line 366 "nest/config.Y"
       { (yyval.cl) = (struct channel_limit){}; }
#line 8773 "obj/conf/cf-parse.tab.c"
    break;

  case 457: /* debug_default: DEBUG PROTOCOLS debug_mask  */
#line 373 "nest/config.Y"
                              { new_config->proto_default_debug = (yyvsp[0].i); }
#line 8779 "obj/conf/cf-parse.tab.c"
    break;

  case 458: /* debug_default: DEBUG CHANNELS debug_mask  */
#line 374 "nest/config.Y"
                             { new_config->channel_default_debug = (yyvsp[0].i); }
#line 8785 "obj/conf/cf-parse.tab.c"
    break;

  case 459: /* debug_default: DEBUG COMMANDS expr  */
#line 375 "nest/config.Y"
                       { new_config->cli_debug = (yyvsp[0].i); }
#line 8791 "obj/conf/cf-parse.tab.c"
    break;

  case 461: /* timeformat_which: ROUTE  */
#line 383 "nest/config.Y"
         { (yyval.tf) = &new_config->tf_route; }
#line 8797 "obj/conf/cf-parse.tab.c"
    break;

  case 462: /* timeformat_which: PROTOCOL  */
#line 384 "nest/config.Y"
            { (yyval.tf) = &new_config->tf_proto; }
#line 8803 "obj/conf/cf-parse.tab.c"
    break;

  case 463: /* timeformat_which: BASE  */
#line 385 "nest/config.Y"
        { (yyval.tf) = &new_config->tf_base; }
#line 8809 "obj/conf/cf-parse.tab.c"
    break;

  case 464: /* timeformat_which: LOG  */
#line 386 "nest/config.Y"
       { (yyval.tf) = &new_config->tf_log; }
#line 8815 "obj/conf/cf-parse.tab.c"
    break;

  case 465: /* timeformat_spec: timeformat_which TEXT  */
#line 390 "nest/config.Y"
                         { *(yyvsp[-1].tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 8821 "obj/conf/cf-parse.tab.c"
    break;

  case 466: /* timeformat_spec: timeformat_which TEXT expr TEXT  */
#line 391 "nest/config.Y"
                                   { *(yyvsp[-3].tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 8827 "obj/conf/cf-parse.tab.c"
    break;

  case 467: /* timeformat_spec: timeformat_which ISO SHORT  */
#line 392 "nest/config.Y"
                                 { *(yyvsp[-2].tf) = TM_ISO_SHORT_S; }
#line 8833 "obj/conf/cf-parse.tab.c"
    break;

  case 468: /* timeformat_spec: timeformat_which ISO SHORT MS  */
#line 393 "nest/config.Y"
                                 { *(yyvsp[-3].tf) = TM_ISO_SHORT_MS; }
#line 8839 "obj/conf/cf-parse.tab.c"
    break;

  case 469: /* timeformat_spec: timeformat_which ISO SHORT US  */
#line 394 "nest/config.Y"
                                 { *(yyvsp[-3].tf) = TM_ISO_SHORT_US; }
#line 8845 "obj/conf/cf-parse.tab.c"
    break;

  case 470: /* timeformat_spec: timeformat_which ISO LONG  */
#line 395 "nest/config.Y"
                                { *(yyvsp[-2].tf) = TM_ISO_LONG_S; }
#line 8851 "obj/conf/cf-parse.tab.c"
    break;

  case 471: /* timeformat_spec: timeformat_which ISO LONG MS  */
#line 396 "nest/config.Y"
                                { *(yyvsp[-3].tf) = TM_ISO_LONG_MS; }
#line 8857 "obj/conf/cf-parse.tab.c"
    break;

  case 472: /* timeformat_spec: timeformat_which ISO LONG US  */
#line 397 "nest/config.Y"
                                { *(yyvsp[-3].tf) = TM_ISO_LONG_US; }
#line 8863 "obj/conf/cf-parse.tab.c"
    break;

  case 474: /* iface_patt_node_init: %empty  */
#line 408 "nest/config.Y"
               {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 8873 "obj/conf/cf-parse.tab.c"
    break;

  case 475: /* iface_patt_node_body: TEXT  */
#line 416 "nest/config.Y"
        { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 8879 "obj/conf/cf-parse.tab.c"
    break;

  case 476: /* iface_patt_node_body: opttext net_or_ipa  */
#line 417 "nest/config.Y"
                      { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 8885 "obj/conf/cf-parse.tab.c"
    break;

  case 477: /* iface_negate: %empty  */
#line 421 "nest/config.Y"
       { this_ipn->positive = 1; }
#line 8891 "obj/conf/cf-parse.tab.c"
    break;

  case 478: /* iface_negate: '-'  */
#line 422 "nest/config.Y"
       { this_ipn->positive = 0; }
#line 8897 "obj/conf/cf-parse.tab.c"
    break;

  case 482: /* iface_patt_list_nopx: iface_patt_list  */
#line 436 "nest/config.Y"
                                      { iface_patt_check(); }
#line 8903 "obj/conf/cf-parse.tab.c"
    break;

  case 483: /* iface_patt_init: %empty  */
#line 438 "nest/config.Y"
                 {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 8913 "obj/conf/cf-parse.tab.c"
    break;

  case 485: /* tos: CLASS expr  */
#line 450 "nest/config.Y"
              { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 8919 "obj/conf/cf-parse.tab.c"
    break;

  case 486: /* tos: DSCP expr  */
#line 451 "nest/config.Y"
              { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 8925 "obj/conf/cf-parse.tab.c"
    break;

  case 488: /* dev_proto_start: proto_start DIRECT  */
#line 458 "nest/config.Y"
                                    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
   }
#line 8934 "obj/conf/cf-parse.tab.c"
    break;

  case 493: /* dev_proto: dev_proto CHECK LINK bool ';'  */
#line 469 "nest/config.Y"
                                 { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 8940 "obj/conf/cf-parse.tab.c"
    break;

  case 494: /* dev_iface_init: %empty  */
#line 473 "nest/config.Y"
               {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 8950 "obj/conf/cf-parse.tab.c"
    break;

  case 496: /* debug_mask: ALL  */
#line 487 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 8956 "obj/conf/cf-parse.tab.c"
    break;

  case 497: /* debug_mask: OFF  */
#line 488 "nest/config.Y"
       { (yyval.i) = 0; }
#line 8962 "obj/conf/cf-parse.tab.c"
    break;

  case 498: /* debug_mask: '{' debug_list '}'  */
#line 489 "nest/config.Y"
                      { (yyval.i) = (yyvsp[-1].i); }
#line 8968 "obj/conf/cf-parse.tab.c"
    break;

  case 500: /* debug_list: debug_list ',' debug_flag  */
#line 494 "nest/config.Y"
                             { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 8974 "obj/conf/cf-parse.tab.c"
    break;

  case 501: /* debug_flag: STATES  */
#line 498 "nest/config.Y"
                { (yyval.i) = D_STATES; }
#line 8980 "obj/conf/cf-parse.tab.c"
    break;

  case 502: /* debug_flag: ROUTES  */
#line 499 "nest/config.Y"
                { (yyval.i) = D_ROUTES; }
#line 8986 "obj/conf/cf-parse.tab.c"
    break;

  case 503: /* debug_flag: FILTERS  */
#line 500 "nest/config.Y"
                { (yyval.i) = D_FILTERS; }
#line 8992 "obj/conf/cf-parse.tab.c"
    break;

  case 504: /* debug_flag: INTERFACES  */
#line 501 "nest/config.Y"
                { (yyval.i) = D_IFACES; }
#line 8998 "obj/conf/cf-parse.tab.c"
    break;

  case 505: /* debug_flag: EVENTS  */
#line 502 "nest/config.Y"
                { (yyval.i) = D_EVENTS; }
#line 9004 "obj/conf/cf-parse.tab.c"
    break;

  case 506: /* debug_flag: PACKETS  */
#line 503 "nest/config.Y"
                { (yyval.i) = D_PACKETS; }
#line 9010 "obj/conf/cf-parse.tab.c"
    break;

  case 507: /* mrtdump_mask: ALL  */
#line 509 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 9016 "obj/conf/cf-parse.tab.c"
    break;

  case 508: /* mrtdump_mask: OFF  */
#line 510 "nest/config.Y"
       { (yyval.i) = 0; }
#line 9022 "obj/conf/cf-parse.tab.c"
    break;

  case 509: /* mrtdump_mask: '{' mrtdump_list '}'  */
#line 511 "nest/config.Y"
                        { (yyval.i) = (yyvsp[-1].i); }
#line 9028 "obj/conf/cf-parse.tab.c"
    break;

  case 511: /* mrtdump_list: mrtdump_list ',' mrtdump_flag  */
#line 516 "nest/config.Y"
                                 { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 9034 "obj/conf/cf-parse.tab.c"
    break;

  case 512: /* mrtdump_flag: STATES  */
#line 520 "nest/config.Y"
                { (yyval.i) = MD_STATES; }
#line 9040 "obj/conf/cf-parse.tab.c"
    break;

  case 513: /* mrtdump_flag: MESSAGES  */
#line 521 "nest/config.Y"
                { (yyval.i) = MD_MESSAGES; }
#line 9046 "obj/conf/cf-parse.tab.c"
    break;

  case 523: /* password_item_begin: pass_key text  */
#line 548 "nest/config.Y"
                  { init_password_list(); init_password((yyvsp[0].t), strlen((yyvsp[0].t)), password_id++); }
#line 9052 "obj/conf/cf-parse.tab.c"
    break;

  case 524: /* password_item_begin: pass_key BYTESTRING  */
#line 549 "nest/config.Y"
                        { init_password_list(); init_password((yyvsp[0].bs)->data, (yyvsp[0].bs)->length, password_id++); }
#line 9058 "obj/conf/cf-parse.tab.c"
    break;

  case 525: /* password_item_params: %empty  */
#line 553 "nest/config.Y"
               { }
#line 9064 "obj/conf/cf-parse.tab.c"
    break;

  case 526: /* password_item_params: GENERATE FROM time ';' password_item_params  */
#line 554 "nest/config.Y"
                                               { this_p_item->genfrom = (yyvsp[-2].time); }
#line 9070 "obj/conf/cf-parse.tab.c"
    break;

  case 527: /* password_item_params: GENERATE TO time ';' password_item_params  */
#line 555 "nest/config.Y"
                                             { this_p_item->gento = (yyvsp[-2].time); }
#line 9076 "obj/conf/cf-parse.tab.c"
    break;

  case 528: /* password_item_params: ACCEPT FROM time ';' password_item_params  */
#line 556 "nest/config.Y"
                                             { this_p_item->accfrom = (yyvsp[-2].time); }
#line 9082 "obj/conf/cf-parse.tab.c"
    break;

  case 529: /* password_item_params: ACCEPT TO time ';' password_item_params  */
#line 557 "nest/config.Y"
                                           { this_p_item->accto = (yyvsp[-2].time); }
#line 9088 "obj/conf/cf-parse.tab.c"
    break;

  case 530: /* password_item_params: FROM time ';' password_item_params  */
#line 558 "nest/config.Y"
                                      { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 9094 "obj/conf/cf-parse.tab.c"
    break;

  case 531: /* password_item_params: TO time ';' password_item_params  */
#line 559 "nest/config.Y"
                                    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 9100 "obj/conf/cf-parse.tab.c"
    break;

  case 532: /* password_item_params: ID expr ';' password_item_params  */
#line 560 "nest/config.Y"
                                    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) > 255) cf_error("Password ID must be in range 0-255"); }
#line 9106 "obj/conf/cf-parse.tab.c"
    break;

  case 533: /* password_item_params: ALGORITHM password_algorithm ';' password_item_params  */
#line 561 "nest/config.Y"
                                                         { this_p_item->alg = (yyvsp[-2].i); }
#line 9112 "obj/conf/cf-parse.tab.c"
    break;

  case 534: /* password_algorithm: KEYED MD5  */
#line 565 "nest/config.Y"
                { (yyval.i) = ALG_MD5; }
#line 9118 "obj/conf/cf-parse.tab.c"
    break;

  case 535: /* password_algorithm: KEYED SHA1  */
#line 566 "nest/config.Y"
                { (yyval.i) = ALG_SHA1; }
#line 9124 "obj/conf/cf-parse.tab.c"
    break;

  case 536: /* password_algorithm: KEYED SHA256  */
#line 567 "nest/config.Y"
                { (yyval.i) = ALG_SHA256; }
#line 9130 "obj/conf/cf-parse.tab.c"
    break;

  case 537: /* password_algorithm: KEYED SHA384  */
#line 568 "nest/config.Y"
                { (yyval.i) = ALG_SHA384; }
#line 9136 "obj/conf/cf-parse.tab.c"
    break;

  case 538: /* password_algorithm: KEYED SHA512  */
#line 569 "nest/config.Y"
                { (yyval.i) = ALG_SHA512; }
#line 9142 "obj/conf/cf-parse.tab.c"
    break;

  case 539: /* password_algorithm: HMAC MD5  */
#line 570 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_MD5; }
#line 9148 "obj/conf/cf-parse.tab.c"
    break;

  case 540: /* password_algorithm: HMAC SHA1  */
#line 571 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA1; }
#line 9154 "obj/conf/cf-parse.tab.c"
    break;

  case 541: /* password_algorithm: HMAC SHA256  */
#line 572 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA256; }
#line 9160 "obj/conf/cf-parse.tab.c"
    break;

  case 542: /* password_algorithm: HMAC SHA384  */
#line 573 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA384; }
#line 9166 "obj/conf/cf-parse.tab.c"
    break;

  case 543: /* password_algorithm: HMAC SHA512  */
#line 574 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA512; }
#line 9172 "obj/conf/cf-parse.tab.c"
    break;

  case 544: /* password_algorithm: BLAKE2S128  */
#line 575 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2S_128; }
#line 9178 "obj/conf/cf-parse.tab.c"
    break;

  case 545: /* password_algorithm: BLAKE2S256  */
#line 576 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2S_256; }
#line 9184 "obj/conf/cf-parse.tab.c"
    break;

  case 546: /* password_algorithm: BLAKE2B256  */
#line 577 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2B_256; }
#line 9190 "obj/conf/cf-parse.tab.c"
    break;

  case 547: /* password_algorithm: BLAKE2B512  */
#line 578 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2B_512; }
#line 9196 "obj/conf/cf-parse.tab.c"
    break;

  case 548: /* password_item_end: %empty  */
#line 582 "nest/config.Y"
{
  password_validate_length(this_p_item);
}
#line 9204 "obj/conf/cf-parse.tab.c"
    break;

  case 549: /* bfd_item: INTERVAL expr_us  */
#line 590 "nest/config.Y"
                    { this_bfd_opts->min_rx_int = this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 9210 "obj/conf/cf-parse.tab.c"
    break;

  case 550: /* bfd_item: MIN RX INTERVAL expr_us  */
#line 591 "nest/config.Y"
                           { this_bfd_opts->min_rx_int = (yyvsp[0].time); }
#line 9216 "obj/conf/cf-parse.tab.c"
    break;

  case 551: /* bfd_item: MIN TX INTERVAL expr_us  */
#line 592 "nest/config.Y"
                           { this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 9222 "obj/conf/cf-parse.tab.c"
    break;

  case 552: /* bfd_item: IDLE TX INTERVAL expr_us  */
#line 593 "nest/config.Y"
                            { this_bfd_opts->idle_tx_int = (yyvsp[0].time); }
#line 9228 "obj/conf/cf-parse.tab.c"
    break;

  case 553: /* bfd_item: MULTIPLIER expr  */
#line 594 "nest/config.Y"
                   { this_bfd_opts->multiplier = (yyvsp[0].i); }
#line 9234 "obj/conf/cf-parse.tab.c"
    break;

  case 554: /* bfd_item: PASSIVE bool  */
#line 595 "nest/config.Y"
                { this_bfd_opts->passive = (yyvsp[0].i); this_bfd_opts->passive_set = 1; }
#line 9240 "obj/conf/cf-parse.tab.c"
    break;

  case 555: /* bfd_item: GRACEFUL  */
#line 596 "nest/config.Y"
            { this_bfd_opts->mode = BGP_BFD_GRACEFUL; }
#line 9246 "obj/conf/cf-parse.tab.c"
    break;

  case 560: /* cmd_SHOW_STATUS: SHOW STATUS END  */
#line 612 "nest/config.Y"
{ cmd_show_status(); }
#line 9252 "obj/conf/cf-parse.tab.c"
    break;

  case 562: /* cmd_SHOW_MEMORY: SHOW MEMORY END  */
#line 615 "nest/config.Y"
{ cmd_show_memory(); }
#line 9258 "obj/conf/cf-parse.tab.c"
    break;

  case 564: /* cmd_SHOW_PROTOCOLS: SHOW PROTOCOLS proto_patt2 END  */
#line 618 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 9264 "obj/conf/cf-parse.tab.c"
    break;

  case 566: /* cmd_SHOW_PROTOCOLS_ALL: SHOW PROTOCOLS ALL proto_patt2 END  */
#line 621 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 9270 "obj/conf/cf-parse.tab.c"
    break;

  case 567: /* optproto: CF_SYM_KNOWN  */
#line 624 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.s) = (yyvsp[0].s); }
#line 9276 "obj/conf/cf-parse.tab.c"
    break;

  case 568: /* optproto: %empty  */
#line 625 "nest/config.Y"
               { (yyval.s) = NULL; }
#line 9282 "obj/conf/cf-parse.tab.c"
    break;

  case 570: /* cmd_SHOW_INTERFACES: SHOW INTERFACES END  */
#line 629 "nest/config.Y"
{ if_show(); }
#line 9288 "obj/conf/cf-parse.tab.c"
    break;

  case 572: /* cmd_SHOW_INTERFACES_SUMMARY: SHOW INTERFACES SUMMARY END  */
#line 632 "nest/config.Y"
{ if_show_summary(); }
#line 9294 "obj/conf/cf-parse.tab.c"
    break;

  case 574: /* cmd_SHOW_ROUTE: SHOW ROUTE r_args END  */
#line 636 "nest/config.Y"
{ rt_show((yyvsp[-1].ra)); }
#line 9300 "obj/conf/cf-parse.tab.c"
    break;

  case 575: /* r_args: %empty  */
#line 639 "nest/config.Y"
               {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->running_on_config = new_config->fallback;
   }
#line 9311 "obj/conf/cf-parse.tab.c"
    break;

  case 576: /* r_args: r_args net_any  */
#line 645 "nest/config.Y"
                  {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_EQUAL;
   }
#line 9322 "obj/conf/cf-parse.tab.c"
    break;

  case 577: /* r_args: r_args FOR r_args_for  */
#line 651 "nest/config.Y"
                         {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_FOR;
   }
#line 9333 "obj/conf/cf-parse.tab.c"
    break;

  case 578: /* r_args: r_args IN net_any  */
#line 657 "nest/config.Y"
                     {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     if (!net_type_match((yyvsp[0].net_ptr), NB_IP)) cf_error("Only IP networks accepted for 'in' argument");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_IN;
   }
#line 9345 "obj/conf/cf-parse.tab.c"
    break;

  case 579: /* r_args: r_args TABLE CF_SYM_KNOWN  */
#line 664 "nest/config.Y"
                            {
     cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
     (yyval.ra) = (yyvsp[-2].ra);
     rt_show_add_table((yyval.ra), (yyvsp[0].s)->table->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 9356 "obj/conf/cf-parse.tab.c"
    break;

  case 580: /* r_args: r_args TABLE ALL  */
#line 670 "nest/config.Y"
                    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 9368 "obj/conf/cf-parse.tab.c"
    break;

  case 581: /* r_args: r_args IMPORT TABLE channel_arg  */
#line 677 "nest/config.Y"
                                   {
     if (!(yyvsp[0].c)->in_table) cf_error("No import table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->in_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 9378 "obj/conf/cf-parse.tab.c"
    break;

  case 582: /* r_args: r_args EXPORT TABLE channel_arg  */
#line 682 "nest/config.Y"
                                   {
     if (!(yyvsp[0].c)->out_table) cf_error("No export table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->out_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 9388 "obj/conf/cf-parse.tab.c"
    break;

  case 583: /* r_args: r_args FILTER filter  */
#line 687 "nest/config.Y"
                        {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 9398 "obj/conf/cf-parse.tab.c"
    break;

  case 584: /* r_args: r_args where_filter  */
#line 692 "nest/config.Y"
                       {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 9408 "obj/conf/cf-parse.tab.c"
    break;

  case 585: /* r_args: r_args ALL  */
#line 697 "nest/config.Y"
              {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 9417 "obj/conf/cf-parse.tab.c"
    break;

  case 586: /* r_args: r_args PRIMARY  */
#line 701 "nest/config.Y"
                  {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 9426 "obj/conf/cf-parse.tab.c"
    break;

  case 587: /* r_args: r_args FILTERED  */
#line 705 "nest/config.Y"
                   {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 9435 "obj/conf/cf-parse.tab.c"
    break;

  case 588: /* r_args: r_args export_mode CF_SYM_KNOWN  */
#line 709 "nest/config.Y"
                                   {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9450 "obj/conf/cf-parse.tab.c"
    break;

  case 589: /* r_args: r_args export_mode channel_arg  */
#line 719 "nest/config.Y"
                                  {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_channel = (yyvsp[0].c);
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9462 "obj/conf/cf-parse.tab.c"
    break;

  case 590: /* r_args: r_args PROTOCOL CF_SYM_KNOWN  */
#line 726 "nest/config.Y"
                                {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9476 "obj/conf/cf-parse.tab.c"
    break;

  case 591: /* r_args: r_args STATS  */
#line 735 "nest/config.Y"
                {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 9485 "obj/conf/cf-parse.tab.c"
    break;

  case 592: /* r_args: r_args COUNT  */
#line 739 "nest/config.Y"
                {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 9494 "obj/conf/cf-parse.tab.c"
    break;

  case 593: /* r_args_for: r_args_for_val  */
#line 746 "nest/config.Y"
                 {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 9503 "obj/conf/cf-parse.tab.c"
    break;

  case 597: /* r_args_for: VPN_RD IP4  */
#line 753 "nest/config.Y"
              {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 9512 "obj/conf/cf-parse.tab.c"
    break;

  case 598: /* r_args_for: VPN_RD IP6  */
#line 757 "nest/config.Y"
              {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 9521 "obj/conf/cf-parse.tab.c"
    break;

  case 599: /* r_args_for: IP6 FROM IP6  */
#line 761 "nest/config.Y"
                {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 9530 "obj/conf/cf-parse.tab.c"
    break;

  case 600: /* r_args_for: CF_SYM_KNOWN  */
#line 765 "nest/config.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network constant expected");
   }
#line 9546 "obj/conf/cf-parse.tab.c"
    break;

  case 603: /* r_args_for_val: IP4  */
#line 781 "nest/config.Y"
       { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 9552 "obj/conf/cf-parse.tab.c"
    break;

  case 604: /* r_args_for_val: IP6  */
#line 782 "nest/config.Y"
       { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 9558 "obj/conf/cf-parse.tab.c"
    break;

  case 605: /* export_mode: PREEXPORT  */
#line 785 "nest/config.Y"
                { (yyval.i) = RSEM_PREEXPORT; }
#line 9564 "obj/conf/cf-parse.tab.c"
    break;

  case 606: /* export_mode: EXPORT  */
#line 786 "nest/config.Y"
                { (yyval.i) = RSEM_EXPORT; }
#line 9570 "obj/conf/cf-parse.tab.c"
    break;

  case 607: /* export_mode: NOEXPORT  */
#line 787 "nest/config.Y"
                { (yyval.i) = RSEM_NOEXPORT; }
#line 9576 "obj/conf/cf-parse.tab.c"
    break;

  case 608: /* export_mode: EXPORTED  */
#line 788 "nest/config.Y"
                { (yyval.i) = RSEM_EXPORTED; }
#line 9582 "obj/conf/cf-parse.tab.c"
    break;

  case 609: /* channel_sym: IPV4  */
#line 793 "nest/config.Y"
                { (yyval.t) = "ipv4"; }
#line 9588 "obj/conf/cf-parse.tab.c"
    break;

  case 610: /* channel_sym: IPV4_MC  */
#line 794 "nest/config.Y"
                { (yyval.t) = "ipv4-mc"; }
#line 9594 "obj/conf/cf-parse.tab.c"
    break;

  case 611: /* channel_sym: IPV4_MPLS  */
#line 795 "nest/config.Y"
                { (yyval.t) = "ipv4-mpls"; }
#line 9600 "obj/conf/cf-parse.tab.c"
    break;

  case 612: /* channel_sym: IPV6  */
#line 796 "nest/config.Y"
                { (yyval.t) = "ipv6"; }
#line 9606 "obj/conf/cf-parse.tab.c"
    break;

  case 613: /* channel_sym: IPV6_MC  */
#line 797 "nest/config.Y"
                { (yyval.t) = "ipv6-mc"; }
#line 9612 "obj/conf/cf-parse.tab.c"
    break;

  case 614: /* channel_sym: IPV6_MPLS  */
#line 798 "nest/config.Y"
                { (yyval.t) = "ipv6-mpls"; }
#line 9618 "obj/conf/cf-parse.tab.c"
    break;

  case 615: /* channel_sym: IPV6_SADR  */
#line 799 "nest/config.Y"
                { (yyval.t) = "ipv6-sadr"; }
#line 9624 "obj/conf/cf-parse.tab.c"
    break;

  case 616: /* channel_sym: VPN4  */
#line 800 "nest/config.Y"
                { (yyval.t) = "vpn4"; }
#line 9630 "obj/conf/cf-parse.tab.c"
    break;

  case 617: /* channel_sym: VPN4_MC  */
#line 801 "nest/config.Y"
                { (yyval.t) = "vpn4-mc"; }
#line 9636 "obj/conf/cf-parse.tab.c"
    break;

  case 618: /* channel_sym: VPN4_MPLS  */
#line 802 "nest/config.Y"
                { (yyval.t) = "vpn4-mpls"; }
#line 9642 "obj/conf/cf-parse.tab.c"
    break;

  case 619: /* channel_sym: VPN6  */
#line 803 "nest/config.Y"
                { (yyval.t) = "vpn6"; }
#line 9648 "obj/conf/cf-parse.tab.c"
    break;

  case 620: /* channel_sym: VPN6_MC  */
#line 804 "nest/config.Y"
                { (yyval.t) = "vpn6-mc"; }
#line 9654 "obj/conf/cf-parse.tab.c"
    break;

  case 621: /* channel_sym: VPN6_MPLS  */
#line 805 "nest/config.Y"
                { (yyval.t) = "vpn6-mpls"; }
#line 9660 "obj/conf/cf-parse.tab.c"
    break;

  case 622: /* channel_sym: ROA4  */
#line 806 "nest/config.Y"
                { (yyval.t) = "roa4"; }
#line 9666 "obj/conf/cf-parse.tab.c"
    break;

  case 623: /* channel_sym: ROA6  */
#line 807 "nest/config.Y"
                { (yyval.t) = "roa6"; }
#line 9672 "obj/conf/cf-parse.tab.c"
    break;

  case 624: /* channel_sym: FLOW4  */
#line 808 "nest/config.Y"
                { (yyval.t) = "flow4"; }
#line 9678 "obj/conf/cf-parse.tab.c"
    break;

  case 625: /* channel_sym: FLOW6  */
#line 809 "nest/config.Y"
                { (yyval.t) = "flow6"; }
#line 9684 "obj/conf/cf-parse.tab.c"
    break;

  case 626: /* channel_sym: MPLS  */
#line 810 "nest/config.Y"
                { (yyval.t) = "mpls"; }
#line 9690 "obj/conf/cf-parse.tab.c"
    break;

  case 627: /* channel_sym: PRI  */
#line 811 "nest/config.Y"
                { (yyval.t) = "pri"; }
#line 9696 "obj/conf/cf-parse.tab.c"
    break;

  case 628: /* channel_sym: SEC  */
#line 812 "nest/config.Y"
                { (yyval.t) = "sec"; }
#line 9702 "obj/conf/cf-parse.tab.c"
    break;

  case 629: /* channel_arg: CF_SYM_KNOWN '.' channel_sym  */
#line 816 "nest/config.Y"
                                {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     struct proto *p =  (yyvsp[-2].s)->proto->proto;
     if (!p) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.c) = proto_find_channel_by_name(p, (yyvsp[0].t));
     if (!(yyval.c)) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
   }
#line 9714 "obj/conf/cf-parse.tab.c"
    break;

  case 631: /* cmd_SHOW_SYMBOLS: SHOW SYMBOLS sym_args END  */
#line 827 "nest/config.Y"
{ cmd_show_symbols((yyvsp[-1].sd)); }
#line 9720 "obj/conf/cf-parse.tab.c"
    break;

  case 632: /* sym_args: %empty  */
#line 830 "nest/config.Y"
               {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
#line 9728 "obj/conf/cf-parse.tab.c"
    break;

  case 633: /* sym_args: sym_args TABLE  */
#line 833 "nest/config.Y"
                  { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 9734 "obj/conf/cf-parse.tab.c"
    break;

  case 634: /* sym_args: sym_args FUNCTION  */
#line 834 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 9740 "obj/conf/cf-parse.tab.c"
    break;

  case 635: /* sym_args: sym_args FILTER  */
#line 835 "nest/config.Y"
                   { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 9746 "obj/conf/cf-parse.tab.c"
    break;

  case 636: /* sym_args: sym_args PROTOCOL  */
#line 836 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 9752 "obj/conf/cf-parse.tab.c"
    break;

  case 637: /* sym_args: sym_args TEMPLATE  */
#line 837 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 9758 "obj/conf/cf-parse.tab.c"
    break;

  case 638: /* sym_args: sym_args symbol  */
#line 838 "nest/config.Y"
                   { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 9764 "obj/conf/cf-parse.tab.c"
    break;

  case 640: /* cmd_DUMP_RESOURCES: DUMP RESOURCES END  */
#line 844 "nest/config.Y"
{ rdump(&root_pool); cli_msg(0, ""); }
#line 9770 "obj/conf/cf-parse.tab.c"
    break;

  case 642: /* cmd_DUMP_SOCKETS: DUMP SOCKETS END  */
#line 846 "nest/config.Y"
{ sk_dump_all(); cli_msg(0, ""); }
#line 9776 "obj/conf/cf-parse.tab.c"
    break;

  case 644: /* cmd_DUMP_EVENTS: DUMP EVENTS END  */
#line 848 "nest/config.Y"
{ io_log_dump(); cli_msg(0, ""); }
#line 9782 "obj/conf/cf-parse.tab.c"
    break;

  case 646: /* cmd_DUMP_INTERFACES: DUMP INTERFACES END  */
#line 850 "nest/config.Y"
{ if_dump_all(); cli_msg(0, ""); }
#line 9788 "obj/conf/cf-parse.tab.c"
    break;

  case 648: /* cmd_DUMP_NEIGHBORS: DUMP NEIGHBORS END  */
#line 852 "nest/config.Y"
{ neigh_dump_all(); cli_msg(0, ""); }
#line 9794 "obj/conf/cf-parse.tab.c"
    break;

  case 650: /* cmd_DUMP_ATTRIBUTES: DUMP ATTRIBUTES END  */
#line 854 "nest/config.Y"
{ rta_dump_all(); cli_msg(0, ""); }
#line 9800 "obj/conf/cf-parse.tab.c"
    break;

  case 652: /* cmd_DUMP_ROUTES: DUMP ROUTES END  */
#line 856 "nest/config.Y"
{ rt_dump_all(); cli_msg(0, ""); }
#line 9806 "obj/conf/cf-parse.tab.c"
    break;

  case 654: /* cmd_DUMP_PROTOCOLS: DUMP PROTOCOLS END  */
#line 858 "nest/config.Y"
{ protos_dump_all(); cli_msg(0, ""); }
#line 9812 "obj/conf/cf-parse.tab.c"
    break;

  case 656: /* cmd_DUMP_FILTER_ALL: DUMP FILTER ALL END  */
#line 860 "nest/config.Y"
{ filters_dump_all(); cli_msg(0, ""); }
#line 9818 "obj/conf/cf-parse.tab.c"
    break;

  case 658: /* cmd_EVAL: EVAL term END  */
#line 863 "nest/config.Y"
{ cmd_eval(f_linearize((yyvsp[-1].x))); }
#line 9824 "obj/conf/cf-parse.tab.c"
    break;

  case 660: /* cmd_ECHO: ECHO echo_mask echo_size END  */
#line 866 "nest/config.Y"
                                       {
  cli_set_log_echo(this_cli, (yyvsp[-2].i), (yyvsp[-1].i));
  cli_msg(0, "");
}
#line 9833 "obj/conf/cf-parse.tab.c"
    break;

  case 661: /* echo_mask: ALL  */
#line 872 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 9839 "obj/conf/cf-parse.tab.c"
    break;

  case 662: /* echo_mask: OFF  */
#line 873 "nest/config.Y"
       { (yyval.i) = 0; }
#line 9845 "obj/conf/cf-parse.tab.c"
    break;

  case 663: /* echo_mask: '{' log_mask_list '}'  */
#line 874 "nest/config.Y"
                         { (yyval.i) = (yyvsp[-1].i); }
#line 9851 "obj/conf/cf-parse.tab.c"
    break;

  case 664: /* echo_size: %empty  */
#line 878 "nest/config.Y"
               { (yyval.i) = 4096; }
#line 9857 "obj/conf/cf-parse.tab.c"
    break;

  case 665: /* echo_size: NUM  */
#line 879 "nest/config.Y"
       {
     if ((yyvsp[0].i) < 256 || (yyvsp[0].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[0].i);
   }
#line 9866 "obj/conf/cf-parse.tab.c"
    break;

  case 667: /* cmd_DISABLE: DISABLE proto_patt opttext END  */
#line 886 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9872 "obj/conf/cf-parse.tab.c"
    break;

  case 669: /* cmd_ENABLE: ENABLE proto_patt opttext END  */
#line 888 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9878 "obj/conf/cf-parse.tab.c"
    break;

  case 671: /* cmd_RESTART: RESTART proto_patt opttext END  */
#line 890 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 9884 "obj/conf/cf-parse.tab.c"
    break;

  case 673: /* cmd_RELOAD: RELOAD proto_patt END  */
#line 892 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD); }
#line 9890 "obj/conf/cf-parse.tab.c"
    break;

  case 675: /* cmd_RELOAD_IN: RELOAD IN proto_patt END  */
#line 894 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
#line 9896 "obj/conf/cf-parse.tab.c"
    break;

  case 677: /* cmd_RELOAD_OUT: RELOAD OUT proto_patt END  */
#line 896 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
#line 9902 "obj/conf/cf-parse.tab.c"
    break;

  case 679: /* cmd_DEBUG: DEBUG debug_args END  */
#line 900 "nest/config.Y"
{ /* Done in debug_args */  }
#line 9908 "obj/conf/cf-parse.tab.c"
    break;

  case 680: /* debug_args: proto_patt debug_mask  */
#line 903 "nest/config.Y"
                         { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_debug, 1, (yyvsp[0].i));  }
#line 9914 "obj/conf/cf-parse.tab.c"
    break;

  case 681: /* debug_args: channel_arg debug_mask  */
#line 904 "nest/config.Y"
                          { channel_cmd_debug((yyvsp[-1].c), (yyvsp[0].i)); }
#line 9920 "obj/conf/cf-parse.tab.c"
    break;

  case 683: /* cmd_MRTDUMP: MRTDUMP proto_patt mrtdump_mask END  */
#line 909 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 9926 "obj/conf/cf-parse.tab.c"
    break;

  case 685: /* cmd_RESTRICT: RESTRICT END  */
#line 912 "nest/config.Y"
{ this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 9932 "obj/conf/cf-parse.tab.c"
    break;

  case 686: /* proto_patt: CF_SYM_KNOWN  */
#line 915 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 9938 "obj/conf/cf-parse.tab.c"
    break;

  case 687: /* proto_patt: ALL  */
#line 916 "nest/config.Y"
        { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 9944 "obj/conf/cf-parse.tab.c"
    break;

  case 688: /* proto_patt: TEXT  */
#line 917 "nest/config.Y"
        { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 9950 "obj/conf/cf-parse.tab.c"
    break;

  case 689: /* proto_patt2: CF_SYM_KNOWN  */
#line 921 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 9956 "obj/conf/cf-parse.tab.c"
    break;

  case 690: /* proto_patt2: %empty  */
#line 922 "nest/config.Y"
        { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 9962 "obj/conf/cf-parse.tab.c"
    break;

  case 691: /* proto_patt2: TEXT  */
#line 923 "nest/config.Y"
        { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 9968 "obj/conf/cf-parse.tab.c"
    break;

  case 692: /* dynamic_attr: IGP_METRIC  */
#line 926 "nest/config.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
#line 9974 "obj/conf/cf-parse.tab.c"
    break;

  case 694: /* bfd_proto_start: proto_start BFD  */
#line 38 "proto/bfd/config.Y"
{
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);
  BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
  BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
}
#line 9986 "obj/conf/cf-parse.tab.c"
    break;

  case 700: /* bfd_proto_item: STRICT BIND bool  */
#line 52 "proto/bfd/config.Y"
                    { BFD_CFG->strict_bind = (yyvsp[0].i); }
#line 9992 "obj/conf/cf-parse.tab.c"
    break;

  case 704: /* bfd_accept_item: IPV4  */
#line 65 "proto/bfd/config.Y"
                        { BFD_CFG->accept_ipv4 = 1;  BFD_CFG->accept_ipv6 = 0; }
#line 9998 "obj/conf/cf-parse.tab.c"
    break;

  case 705: /* bfd_accept_item: IPV6  */
#line 66 "proto/bfd/config.Y"
                        { BFD_CFG->accept_ipv4 = 0;  BFD_CFG->accept_ipv6 = 1; }
#line 10004 "obj/conf/cf-parse.tab.c"
    break;

  case 706: /* bfd_accept_item: DIRECT  */
#line 67 "proto/bfd/config.Y"
                        { BFD_CFG->accept_direct = 1;  BFD_CFG->accept_multihop = 0; }
#line 10010 "obj/conf/cf-parse.tab.c"
    break;

  case 707: /* bfd_accept_item: MULTIHOP  */
#line 68 "proto/bfd/config.Y"
                        { BFD_CFG->accept_direct = 0;  BFD_CFG->accept_multihop = 1; }
#line 10016 "obj/conf/cf-parse.tab.c"
    break;

  case 708: /* bfd_accept: %empty  */
#line 72 "proto/bfd/config.Y"
   {
     BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
     BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
   }
#line 10025 "obj/conf/cf-parse.tab.c"
    break;

  case 710: /* bfd_iface_start: %empty  */
#line 80 "proto/bfd/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  BFD_IFACE->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  BFD_IFACE->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  BFD_IFACE->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  BFD_IFACE->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 10042 "obj/conf/cf-parse.tab.c"
    break;

  case 711: /* bfd_iface_finish: %empty  */
#line 94 "proto/bfd/config.Y"
{
  BFD_IFACE->passwords = get_passwords();

  if (!BFD_IFACE->auth_type != !BFD_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (BFD_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *BFD_IFACE->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[BFD_IFACE->auth_type];
    }
  }
}
#line 10065 "obj/conf/cf-parse.tab.c"
    break;

  case 712: /* bfd_iface_item: INTERVAL expr_us  */
#line 114 "proto/bfd/config.Y"
                    { BFD_IFACE->min_rx_int = BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 10071 "obj/conf/cf-parse.tab.c"
    break;

  case 713: /* bfd_iface_item: MIN RX INTERVAL expr_us  */
#line 115 "proto/bfd/config.Y"
                           { BFD_IFACE->min_rx_int = (yyvsp[0].time); }
#line 10077 "obj/conf/cf-parse.tab.c"
    break;

  case 714: /* bfd_iface_item: MIN TX INTERVAL expr_us  */
#line 116 "proto/bfd/config.Y"
                           { BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 10083 "obj/conf/cf-parse.tab.c"
    break;

  case 715: /* bfd_iface_item: IDLE TX INTERVAL expr_us  */
#line 117 "proto/bfd/config.Y"
                            { BFD_IFACE->idle_tx_int = (yyvsp[0].time); }
#line 10089 "obj/conf/cf-parse.tab.c"
    break;

  case 716: /* bfd_iface_item: MULTIPLIER expr  */
#line 118 "proto/bfd/config.Y"
                   { BFD_IFACE->multiplier = (yyvsp[0].i); }
#line 10095 "obj/conf/cf-parse.tab.c"
    break;

  case 717: /* bfd_iface_item: PASSIVE bool  */
#line 119 "proto/bfd/config.Y"
                { BFD_IFACE->passive = (yyvsp[0].i); }
#line 10101 "obj/conf/cf-parse.tab.c"
    break;

  case 718: /* bfd_iface_item: AUTHENTICATION bfd_auth_type  */
#line 120 "proto/bfd/config.Y"
                                { BFD_IFACE->auth_type = (yyvsp[0].i); }
#line 10107 "obj/conf/cf-parse.tab.c"
    break;

  case 719: /* bfd_iface_item: password_list  */
#line 121 "proto/bfd/config.Y"
                 {}
#line 10113 "obj/conf/cf-parse.tab.c"
    break;

  case 720: /* bfd_auth_type: NONE  */
#line 125 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_NONE; }
#line 10119 "obj/conf/cf-parse.tab.c"
    break;

  case 721: /* bfd_auth_type: SIMPLE  */
#line 126 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 10125 "obj/conf/cf-parse.tab.c"
    break;

  case 722: /* bfd_auth_type: KEYED MD5  */
#line 127 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 10131 "obj/conf/cf-parse.tab.c"
    break;

  case 723: /* bfd_auth_type: KEYED SHA1  */
#line 128 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 10137 "obj/conf/cf-parse.tab.c"
    break;

  case 724: /* bfd_auth_type: METICULOUS KEYED MD5  */
#line 129 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 10143 "obj/conf/cf-parse.tab.c"
    break;

  case 725: /* bfd_auth_type: METICULOUS KEYED SHA1  */
#line 130 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 10149 "obj/conf/cf-parse.tab.c"
    break;

  case 731: /* bfd_multihop: bfd_iface_start bfd_iface_opt_list bfd_iface_finish  */
#line 148 "proto/bfd/config.Y"
{ BFD_CFG->multihop = BFD_IFACE; }
#line 10155 "obj/conf/cf-parse.tab.c"
    break;

  case 732: /* bfd_neigh_iface: %empty  */
#line 152 "proto/bfd/config.Y"
               { (yyval.iface) = NULL; }
#line 10161 "obj/conf/cf-parse.tab.c"
    break;

  case 733: /* bfd_neigh_iface: '%' symbol  */
#line 153 "proto/bfd/config.Y"
              { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 10167 "obj/conf/cf-parse.tab.c"
    break;

  case 734: /* bfd_neigh_iface: DEV text  */
#line 154 "proto/bfd/config.Y"
            { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 10173 "obj/conf/cf-parse.tab.c"
    break;

  case 735: /* bfd_neigh_local: %empty  */
#line 158 "proto/bfd/config.Y"
               { (yyval.a) = IPA_NONE; }
#line 10179 "obj/conf/cf-parse.tab.c"
    break;

  case 736: /* bfd_neigh_local: LOCAL ipa  */
#line 159 "proto/bfd/config.Y"
             { (yyval.a) = (yyvsp[0].a); }
#line 10185 "obj/conf/cf-parse.tab.c"
    break;

  case 737: /* bfd_neigh_multihop: %empty  */
#line 163 "proto/bfd/config.Y"
               { (yyval.i) = 0; }
#line 10191 "obj/conf/cf-parse.tab.c"
    break;

  case 738: /* bfd_neigh_multihop: MULTIHOP bool  */
#line 164 "proto/bfd/config.Y"
                 { (yyval.i) = (yyvsp[0].i); }
#line 10197 "obj/conf/cf-parse.tab.c"
    break;

  case 739: /* bfd_neighbor: ipa bfd_neigh_iface bfd_neigh_local bfd_neigh_multihop  */
#line 168 "proto/bfd/config.Y"
{
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 10217 "obj/conf/cf-parse.tab.c"
    break;

  case 741: /* cmd_SHOW_BFD_SESSIONS: SHOW BFD SESSIONS optproto END  */
#line 187 "proto/bfd/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_bfd, p) bfd_show_sessions(p); }
#line 10223 "obj/conf/cf-parse.tab.c"
    break;

  case 743: /* babel_proto_start: proto_start BABEL  */
#line 35 "proto/babel/config.Y"
{
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 10233 "obj/conf/cf-parse.tab.c"
    break;

  case 747: /* babel_proto_item: RANDOMIZE ROUTER ID bool  */
#line 45 "proto/babel/config.Y"
                            { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 10239 "obj/conf/cf-parse.tab.c"
    break;

  case 751: /* babel_iface_start: %empty  */
#line 58 "proto/babel/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->check_link = 1;
}
#line 10257 "obj/conf/cf-parse.tab.c"
    break;

  case 752: /* babel_iface_finish: %empty  */
#line 74 "proto/babel/config.Y"
{
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
  }

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);

  BABEL_IFACE->passwords = get_passwords();

  if (!BABEL_IFACE->auth_type != !BABEL_IFACE->passwords)
    cf_error("Authentication and password options should be used together");

  if (BABEL_IFACE->passwords)
  {
    struct password_item *pass;
    uint len = 0, i = 0;

    WALK_LIST(pass, *BABEL_IFACE->passwords)
    {
      /* Set default crypto algorithm (HMAC-SHA256) */
      if (!pass->alg)
	pass->alg = ALG_HMAC_SHA256;

      if (!((pass->alg & ALG_HMAC) ||
	    (pass->alg == ALG_BLAKE2S_128) ||
	    (pass->alg == ALG_BLAKE2S_256) ||
	    (pass->alg == ALG_BLAKE2B_256) ||
	    (pass->alg == ALG_BLAKE2B_512)))
	cf_error("Only HMAC and Blake2 algorithms are supported");

      len += mac_type_length(pass->alg);
      i++;
    }

    BABEL_IFACE->mac_num_keys = i;
    BABEL_IFACE->mac_total_len = len;
  }

}
#line 10317 "obj/conf/cf-parse.tab.c"
    break;

  case 754: /* babel_iface_item: PORT expr  */
#line 132 "proto/babel/config.Y"
             { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 10323 "obj/conf/cf-parse.tab.c"
    break;

  case 755: /* babel_iface_item: RXCOST expr  */
#line 133 "proto/babel/config.Y"
               { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 10329 "obj/conf/cf-parse.tab.c"
    break;

  case 756: /* babel_iface_item: LIMIT expr  */
#line 134 "proto/babel/config.Y"
              { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 10335 "obj/conf/cf-parse.tab.c"
    break;

  case 757: /* babel_iface_item: TYPE WIRED  */
#line 135 "proto/babel/config.Y"
              { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 10341 "obj/conf/cf-parse.tab.c"
    break;

  case 758: /* babel_iface_item: TYPE WIRELESS  */
#line 136 "proto/babel/config.Y"
                 { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 10347 "obj/conf/cf-parse.tab.c"
    break;

  case 759: /* babel_iface_item: HELLO INTERVAL expr_us  */
#line 137 "proto/babel/config.Y"
                          { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 10353 "obj/conf/cf-parse.tab.c"
    break;

  case 760: /* babel_iface_item: UPDATE INTERVAL expr_us  */
#line 138 "proto/babel/config.Y"
                           { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 10359 "obj/conf/cf-parse.tab.c"
    break;

  case 761: /* babel_iface_item: RX BUFFER expr  */
#line 139 "proto/babel/config.Y"
                  { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 10365 "obj/conf/cf-parse.tab.c"
    break;

  case 762: /* babel_iface_item: TX LENGTH expr  */
#line 140 "proto/babel/config.Y"
                  { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 10371 "obj/conf/cf-parse.tab.c"
    break;

  case 763: /* babel_iface_item: TX tos  */
#line 141 "proto/babel/config.Y"
          { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 10377 "obj/conf/cf-parse.tab.c"
    break;

  case 764: /* babel_iface_item: TX PRIORITY expr  */
#line 142 "proto/babel/config.Y"
                    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 10383 "obj/conf/cf-parse.tab.c"
    break;

  case 765: /* babel_iface_item: CHECK LINK bool  */
#line 143 "proto/babel/config.Y"
                   { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 10389 "obj/conf/cf-parse.tab.c"
    break;

  case 766: /* babel_iface_item: NEXT HOP IPV4 ipa  */
#line 144 "proto/babel/config.Y"
                     { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 10395 "obj/conf/cf-parse.tab.c"
    break;

  case 767: /* babel_iface_item: NEXT HOP IPV6 ipa  */
#line 145 "proto/babel/config.Y"
                     { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 10401 "obj/conf/cf-parse.tab.c"
    break;

  case 768: /* babel_iface_item: AUTHENTICATION NONE  */
#line 146 "proto/babel/config.Y"
                       { BABEL_IFACE->auth_type = BABEL_AUTH_NONE; }
#line 10407 "obj/conf/cf-parse.tab.c"
    break;

  case 769: /* babel_iface_item: AUTHENTICATION MAC  */
#line 147 "proto/babel/config.Y"
                      { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 0; }
#line 10413 "obj/conf/cf-parse.tab.c"
    break;

  case 770: /* babel_iface_item: AUTHENTICATION MAC PERMISSIVE  */
#line 148 "proto/babel/config.Y"
                                 { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 1; }
#line 10419 "obj/conf/cf-parse.tab.c"
    break;

  case 777: /* dynamic_attr: BABEL_METRIC  */
#line 166 "proto/babel/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_BABEL_METRIC); }
#line 10425 "obj/conf/cf-parse.tab.c"
    break;

  case 779: /* cmd_SHOW_BABEL_INTERFACES: SHOW BABEL INTERFACES optproto opttext END  */
#line 171 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_interfaces(p, (yyvsp[-1].t)); }
#line 10431 "obj/conf/cf-parse.tab.c"
    break;

  case 781: /* cmd_SHOW_BABEL_NEIGHBORS: SHOW BABEL NEIGHBORS optproto opttext END  */
#line 174 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_neighbors(p, (yyvsp[-1].t)); }
#line 10437 "obj/conf/cf-parse.tab.c"
    break;

  case 783: /* cmd_SHOW_BABEL_ENTRIES: SHOW BABEL ENTRIES optproto opttext END  */
#line 177 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_entries(p); }
#line 10443 "obj/conf/cf-parse.tab.c"
    break;

  case 785: /* cmd_SHOW_BABEL_ROUTES: SHOW BABEL ROUTES optproto opttext END  */
#line 180 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p)  babel_show_routes(p); }
#line 10449 "obj/conf/cf-parse.tab.c"
    break;

  case 787: /* bgp_proto_start: proto_start BGP  */
#line 49 "proto/bgp/config.Y"
                                 {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->enable_hostname = 0;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->allow_as_sets = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->setkey = 1;
     BGP_CFG->dynamic_name = "dynbgp";
     BGP_CFG->check_link = -1;
   }
#line 10483 "obj/conf/cf-parse.tab.c"
    break;

  case 789: /* bgp_loc_opts: bgp_loc_opts PORT expr  */
#line 82 "proto/bgp/config.Y"
                          { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 10489 "obj/conf/cf-parse.tab.c"
    break;

  case 790: /* bgp_loc_opts: bgp_loc_opts AS expr  */
#line 83 "proto/bgp/config.Y"
                        { BGP_CFG->local_as = (yyvsp[0].i); }
#line 10495 "obj/conf/cf-parse.tab.c"
    break;

  case 792: /* bgp_nbr_opts: bgp_nbr_opts PORT expr  */
#line 88 "proto/bgp/config.Y"
                          { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 10501 "obj/conf/cf-parse.tab.c"
    break;

  case 793: /* bgp_nbr_opts: bgp_nbr_opts AS expr  */
#line 89 "proto/bgp/config.Y"
                        { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 10507 "obj/conf/cf-parse.tab.c"
    break;

  case 794: /* bgp_nbr_opts: bgp_nbr_opts INTERNAL  */
#line 90 "proto/bgp/config.Y"
                         { BGP_CFG->peer_type = BGP_PT_INTERNAL; }
#line 10513 "obj/conf/cf-parse.tab.c"
    break;

  case 795: /* bgp_nbr_opts: bgp_nbr_opts EXTERNAL  */
#line 91 "proto/bgp/config.Y"
                         { BGP_CFG->peer_type = BGP_PT_EXTERNAL; }
#line 10519 "obj/conf/cf-parse.tab.c"
    break;

  case 796: /* bgp_cease_mask: bool  */
#line 96 "proto/bgp/config.Y"
        { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 10525 "obj/conf/cf-parse.tab.c"
    break;

  case 797: /* bgp_cease_mask: '{' bgp_cease_list '}'  */
#line 97 "proto/bgp/config.Y"
                          { (yyval.i) = (yyvsp[-1].i); }
#line 10531 "obj/conf/cf-parse.tab.c"
    break;

  case 799: /* bgp_cease_list: bgp_cease_list ',' bgp_cease_flag  */
#line 102 "proto/bgp/config.Y"
                                     { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 10537 "obj/conf/cf-parse.tab.c"
    break;

  case 800: /* bgp_cease_flag: CEASE  */
#line 106 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 0; }
#line 10543 "obj/conf/cf-parse.tab.c"
    break;

  case 801: /* bgp_cease_flag: PREFIX LIMIT HIT  */
#line 107 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 1; }
#line 10549 "obj/conf/cf-parse.tab.c"
    break;

  case 802: /* bgp_cease_flag: ADMINISTRATIVE SHUTDOWN  */
#line 108 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 2; }
#line 10555 "obj/conf/cf-parse.tab.c"
    break;

  case 803: /* bgp_cease_flag: PEER DECONFIGURED  */
#line 109 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 3; }
#line 10561 "obj/conf/cf-parse.tab.c"
    break;

  case 804: /* bgp_cease_flag: ADMINISTRATIVE RESET  */
#line 110 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 4; }
#line 10567 "obj/conf/cf-parse.tab.c"
    break;

  case 805: /* bgp_cease_flag: CONNECTION REJECTED  */
#line 111 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 5; }
#line 10573 "obj/conf/cf-parse.tab.c"
    break;

  case 806: /* bgp_cease_flag: CONFIGURATION CHANGE  */
#line 112 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 6; }
#line 10579 "obj/conf/cf-parse.tab.c"
    break;

  case 807: /* bgp_cease_flag: CONNECTION COLLISION  */
#line 113 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 7; }
#line 10585 "obj/conf/cf-parse.tab.c"
    break;

  case 808: /* bgp_cease_flag: OUT OF RESOURCES  */
#line 114 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 8; }
#line 10591 "obj/conf/cf-parse.tab.c"
    break;

  case 813: /* bgp_proto: bgp_proto LOCAL ipa ipa_scope bgp_loc_opts ';'  */
#line 122 "proto/bgp/config.Y"
                                                  {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 10600 "obj/conf/cf-parse.tab.c"
    break;

  case 815: /* bgp_proto: bgp_proto NEIGHBOR ipa ipa_scope bgp_nbr_opts ';'  */
#line 127 "proto/bgp/config.Y"
                                                     {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 10611 "obj/conf/cf-parse.tab.c"
    break;

  case 816: /* bgp_proto: bgp_proto NEIGHBOR RANGE net_ip bgp_nbr_opts ';'  */
#line 133 "proto/bgp/config.Y"
                                                    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     net_addr *n = cfg_alloc((yyvsp[-2].net).length);
     net_copy(n, &((yyvsp[-2].net)));
     BGP_CFG->remote_range = n;
   }
#line 10623 "obj/conf/cf-parse.tab.c"
    break;

  case 817: /* bgp_proto: bgp_proto INTERFACE TEXT ';'  */
#line 140 "proto/bgp/config.Y"
                                { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 10629 "obj/conf/cf-parse.tab.c"
    break;

  case 818: /* bgp_proto: bgp_proto RR CLUSTER ID idval ';'  */
#line 141 "proto/bgp/config.Y"
                                     { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 10635 "obj/conf/cf-parse.tab.c"
    break;

  case 819: /* bgp_proto: bgp_proto RR CLIENT bool ';'  */
#line 142 "proto/bgp/config.Y"
                                { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 10641 "obj/conf/cf-parse.tab.c"
    break;

  case 820: /* bgp_proto: bgp_proto RS CLIENT bool ';'  */
#line 143 "proto/bgp/config.Y"
                                { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 10647 "obj/conf/cf-parse.tab.c"
    break;

  case 821: /* bgp_proto: bgp_proto CONFEDERATION expr ';'  */
#line 144 "proto/bgp/config.Y"
                                    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 10653 "obj/conf/cf-parse.tab.c"
    break;

  case 822: /* bgp_proto: bgp_proto CONFEDERATION MEMBER bool ';'  */
#line 145 "proto/bgp/config.Y"
                                           { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 10659 "obj/conf/cf-parse.tab.c"
    break;

  case 823: /* bgp_proto: bgp_proto HOLD TIME expr ';'  */
#line 146 "proto/bgp/config.Y"
                                { BGP_CFG->hold_time = (yyvsp[-1].i); }
#line 10665 "obj/conf/cf-parse.tab.c"
    break;

  case 824: /* bgp_proto: bgp_proto STARTUP HOLD TIME expr ';'  */
#line 147 "proto/bgp/config.Y"
                                        { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 10671 "obj/conf/cf-parse.tab.c"
    break;

  case 825: /* bgp_proto: bgp_proto DIRECT ';'  */
#line 148 "proto/bgp/config.Y"
                        { BGP_CFG->multihop = 0; }
#line 10677 "obj/conf/cf-parse.tab.c"
    break;

  case 826: /* bgp_proto: bgp_proto MULTIHOP ';'  */
#line 149 "proto/bgp/config.Y"
                          { BGP_CFG->multihop = 64; }
#line 10683 "obj/conf/cf-parse.tab.c"
    break;

  case 827: /* bgp_proto: bgp_proto MULTIHOP expr ';'  */
#line 150 "proto/bgp/config.Y"
                               { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 10689 "obj/conf/cf-parse.tab.c"
    break;

  case 828: /* bgp_proto: bgp_proto DYNAMIC NAME text ';'  */
#line 151 "proto/bgp/config.Y"
                                   {
     if (strchr((yyvsp[-1].t), '%')) cf_error("Forbidden character '%%' in dynamic name");
     if (strlen((yyvsp[-1].t)) > (SYM_MAX_LEN - 16)) cf_error("Dynamic name too long");
     BGP_CFG->dynamic_name = (yyvsp[-1].t);
   }
#line 10699 "obj/conf/cf-parse.tab.c"
    break;

  case 829: /* bgp_proto: bgp_proto DYNAMIC NAME DIGITS expr ';'  */
#line 156 "proto/bgp/config.Y"
                                          { BGP_CFG->dynamic_name_digits = (yyvsp[-1].i); if ((yyvsp[-1].i)>10) cf_error("Dynamic name digits must be at most 10"); }
#line 10705 "obj/conf/cf-parse.tab.c"
    break;

  case 830: /* bgp_proto: bgp_proto STRICT BIND bool ';'  */
#line 157 "proto/bgp/config.Y"
                                  { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 10711 "obj/conf/cf-parse.tab.c"
    break;

  case 831: /* bgp_proto: bgp_proto FREE BIND bool ';'  */
#line 158 "proto/bgp/config.Y"
                                { BGP_CFG->free_bind = (yyvsp[-1].i); }
#line 10717 "obj/conf/cf-parse.tab.c"
    break;

  case 832: /* bgp_proto: bgp_proto PATH METRIC bool ';'  */
#line 159 "proto/bgp/config.Y"
                                  { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 10723 "obj/conf/cf-parse.tab.c"
    break;

  case 833: /* bgp_proto: bgp_proto MED METRIC bool ';'  */
#line 160 "proto/bgp/config.Y"
                                 { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 10729 "obj/conf/cf-parse.tab.c"
    break;

  case 834: /* bgp_proto: bgp_proto IGP METRIC bool ';'  */
#line 161 "proto/bgp/config.Y"
                                 { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 10735 "obj/conf/cf-parse.tab.c"
    break;

  case 835: /* bgp_proto: bgp_proto PREFER OLDER bool ';'  */
#line 162 "proto/bgp/config.Y"
                                   { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 10741 "obj/conf/cf-parse.tab.c"
    break;

  case 836: /* bgp_proto: bgp_proto DETERMINISTIC MED bool ';'  */
#line 163 "proto/bgp/config.Y"
                                        { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 10747 "obj/conf/cf-parse.tab.c"
    break;

  case 837: /* bgp_proto: bgp_proto DEFAULT BGP_MED expr ';'  */
#line 164 "proto/bgp/config.Y"
                                      { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 10753 "obj/conf/cf-parse.tab.c"
    break;

  case 838: /* bgp_proto: bgp_proto DEFAULT BGP_LOCAL_PREF expr ';'  */
#line 165 "proto/bgp/config.Y"
                                             { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 10759 "obj/conf/cf-parse.tab.c"
    break;

  case 839: /* bgp_proto: bgp_proto SOURCE ADDRESS ipa ';'  */
#line 166 "proto/bgp/config.Y"
                                    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 10765 "obj/conf/cf-parse.tab.c"
    break;

  case 840: /* bgp_proto: bgp_proto START DELAY TIME expr ';'  */
#line 167 "proto/bgp/config.Y"
                                       { BGP_CFG->connect_delay_time = (yyvsp[-1].i); log(L_WARN "%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 10771 "obj/conf/cf-parse.tab.c"
    break;

  case 841: /* bgp_proto: bgp_proto CONNECT DELAY TIME expr ';'  */
#line 168 "proto/bgp/config.Y"
                                         { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 10777 "obj/conf/cf-parse.tab.c"
    break;

  case 842: /* bgp_proto: bgp_proto CONNECT RETRY TIME expr ';'  */
#line 169 "proto/bgp/config.Y"
                                         { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 10783 "obj/conf/cf-parse.tab.c"
    break;

  case 843: /* bgp_proto: bgp_proto KEEPALIVE TIME expr ';'  */
#line 170 "proto/bgp/config.Y"
                                     { BGP_CFG->keepalive_time = (yyvsp[-1].i); }
#line 10789 "obj/conf/cf-parse.tab.c"
    break;

  case 844: /* bgp_proto: bgp_proto ERROR FORGET TIME expr ';'  */
#line 171 "proto/bgp/config.Y"
                                        { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 10795 "obj/conf/cf-parse.tab.c"
    break;

  case 845: /* bgp_proto: bgp_proto ERROR WAIT TIME expr ',' expr ';'  */
#line 172 "proto/bgp/config.Y"
                                               { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 10801 "obj/conf/cf-parse.tab.c"
    break;

  case 846: /* bgp_proto: bgp_proto DISABLE AFTER ERROR bool ';'  */
#line 173 "proto/bgp/config.Y"
                                          { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 10807 "obj/conf/cf-parse.tab.c"
    break;

  case 847: /* bgp_proto: bgp_proto DISABLE AFTER CEASE bgp_cease_mask ';'  */
#line 174 "proto/bgp/config.Y"
                                                    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 10813 "obj/conf/cf-parse.tab.c"
    break;

  case 848: /* bgp_proto: bgp_proto ENABLE ROUTE REFRESH bool ';'  */
#line 175 "proto/bgp/config.Y"
                                           { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 10819 "obj/conf/cf-parse.tab.c"
    break;

  case 849: /* bgp_proto: bgp_proto ENABLE AS4 bool ';'  */
#line 176 "proto/bgp/config.Y"
                                 { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 10825 "obj/conf/cf-parse.tab.c"
    break;

  case 850: /* bgp_proto: bgp_proto ENABLE EXTENDED MESSAGES bool ';'  */
#line 177 "proto/bgp/config.Y"
                                               { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 10831 "obj/conf/cf-parse.tab.c"
    break;

  case 851: /* bgp_proto: bgp_proto ADVERTISE HOSTNAME bool ';'  */
#line 178 "proto/bgp/config.Y"
                                         { BGP_CFG->enable_hostname = (yyvsp[-1].i); }
#line 10837 "obj/conf/cf-parse.tab.c"
    break;

  case 852: /* bgp_proto: bgp_proto CAPABILITIES bool ';'  */
#line 179 "proto/bgp/config.Y"
                                   { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 10843 "obj/conf/cf-parse.tab.c"
    break;

  case 853: /* bgp_proto: bgp_proto PASSWORD text ';'  */
#line 180 "proto/bgp/config.Y"
                               { BGP_CFG->password = (yyvsp[-1].t); }
#line 10849 "obj/conf/cf-parse.tab.c"
    break;

  case 854: /* bgp_proto: bgp_proto SETKEY bool ';'  */
#line 181 "proto/bgp/config.Y"
                             { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 10855 "obj/conf/cf-parse.tab.c"
    break;

  case 855: /* bgp_proto: bgp_proto PASSIVE bool ';'  */
#line 182 "proto/bgp/config.Y"
                              { BGP_CFG->passive = (yyvsp[-1].i); }
#line 10861 "obj/conf/cf-parse.tab.c"
    break;

  case 856: /* bgp_proto: bgp_proto INTERPRET COMMUNITIES bool ';'  */
#line 183 "proto/bgp/config.Y"
                                            { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 10867 "obj/conf/cf-parse.tab.c"
    break;

  case 857: /* bgp_proto: bgp_proto ALLOW LOCAL AS ';'  */
#line 184 "proto/bgp/config.Y"
                                { BGP_CFG->allow_local_as = -1; }
#line 10873 "obj/conf/cf-parse.tab.c"
    break;

  case 858: /* bgp_proto: bgp_proto ALLOW LOCAL AS expr ';'  */
#line 185 "proto/bgp/config.Y"
                                     { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 10879 "obj/conf/cf-parse.tab.c"
    break;

  case 859: /* bgp_proto: bgp_proto ALLOW BGP_LOCAL_PREF bool ';'  */
#line 186 "proto/bgp/config.Y"
                                           { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 10885 "obj/conf/cf-parse.tab.c"
    break;

  case 860: /* bgp_proto: bgp_proto ALLOW AS SETS bool ';'  */
#line 187 "proto/bgp/config.Y"
                                    { BGP_CFG->allow_as_sets = (yyvsp[-1].i); }
#line 10891 "obj/conf/cf-parse.tab.c"
    break;

  case 861: /* bgp_proto: bgp_proto GRACEFUL RESTART bool ';'  */
#line 188 "proto/bgp/config.Y"
                                       { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 10897 "obj/conf/cf-parse.tab.c"
    break;

  case 862: /* bgp_proto: bgp_proto GRACEFUL RESTART AWARE ';'  */
#line 189 "proto/bgp/config.Y"
                                        { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 10903 "obj/conf/cf-parse.tab.c"
    break;

  case 863: /* bgp_proto: bgp_proto GRACEFUL RESTART TIME expr ';'  */
#line 190 "proto/bgp/config.Y"
                                            { BGP_CFG->gr_time = (yyvsp[-1].i); }
#line 10909 "obj/conf/cf-parse.tab.c"
    break;

  case 864: /* bgp_proto: bgp_proto LONG LIVED GRACEFUL RESTART bool ';'  */
#line 191 "proto/bgp/config.Y"
                                                  { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 10915 "obj/conf/cf-parse.tab.c"
    break;

  case 865: /* bgp_proto: bgp_proto LONG LIVED GRACEFUL RESTART AWARE ';'  */
#line 192 "proto/bgp/config.Y"
                                                   { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 10921 "obj/conf/cf-parse.tab.c"
    break;

  case 866: /* bgp_proto: bgp_proto LONG LIVED STALE TIME expr ';'  */
#line 193 "proto/bgp/config.Y"
                                            { BGP_CFG->llgr_time = (yyvsp[-1].i); }
#line 10927 "obj/conf/cf-parse.tab.c"
    break;

  case 867: /* bgp_proto: bgp_proto TTL SECURITY bool ';'  */
#line 194 "proto/bgp/config.Y"
                                   { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 10933 "obj/conf/cf-parse.tab.c"
    break;

  case 868: /* bgp_proto: bgp_proto CHECK LINK bool ';'  */
#line 195 "proto/bgp/config.Y"
                                 { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 10939 "obj/conf/cf-parse.tab.c"
    break;

  case 869: /* bgp_proto: bgp_proto BFD bool ';'  */
#line 196 "proto/bgp/config.Y"
                          { if ((yyvsp[-1].i)) init_bfd_opts(&BGP_CFG->bfd); else BGP_CFG->bfd = NULL; }
#line 10945 "obj/conf/cf-parse.tab.c"
    break;

  case 870: /* bgp_proto: bgp_proto BFD GRACEFUL ';'  */
#line 197 "proto/bgp/config.Y"
                              { init_bfd_opts(&BGP_CFG->bfd); BGP_CFG->bfd->mode = BGP_BFD_GRACEFUL; }
#line 10951 "obj/conf/cf-parse.tab.c"
    break;

  case 871: /* $@3: %empty  */
#line 198 "proto/bgp/config.Y"
                 { open_bfd_opts(&BGP_CFG->bfd); }
#line 10957 "obj/conf/cf-parse.tab.c"
    break;

  case 872: /* $@4: %empty  */
#line 198 "proto/bgp/config.Y"
                                                            { close_bfd_opts(); }
#line 10963 "obj/conf/cf-parse.tab.c"
    break;

  case 874: /* bgp_proto: bgp_proto ENFORCE FIRST AS bool ';'  */
#line 199 "proto/bgp/config.Y"
                                       { BGP_CFG->enforce_first_as = (yyvsp[-1].i); }
#line 10969 "obj/conf/cf-parse.tab.c"
    break;

  case 875: /* bgp_afi: IPV4  */
#line 203 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4; }
#line 10975 "obj/conf/cf-parse.tab.c"
    break;

  case 876: /* bgp_afi: IPV6  */
#line 204 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6; }
#line 10981 "obj/conf/cf-parse.tab.c"
    break;

  case 877: /* bgp_afi: IPV4 MULTICAST  */
#line 205 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 10987 "obj/conf/cf-parse.tab.c"
    break;

  case 878: /* bgp_afi: IPV6 MULTICAST  */
#line 206 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 10993 "obj/conf/cf-parse.tab.c"
    break;

  case 879: /* bgp_afi: IPV4 MPLS  */
#line 207 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 10999 "obj/conf/cf-parse.tab.c"
    break;

  case 880: /* bgp_afi: IPV6 MPLS  */
#line 208 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 11005 "obj/conf/cf-parse.tab.c"
    break;

  case 881: /* bgp_afi: VPN4 MPLS  */
#line 209 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 11011 "obj/conf/cf-parse.tab.c"
    break;

  case 882: /* bgp_afi: VPN6 MPLS  */
#line 210 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 11017 "obj/conf/cf-parse.tab.c"
    break;

  case 883: /* bgp_afi: VPN4 MULTICAST  */
#line 211 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 11023 "obj/conf/cf-parse.tab.c"
    break;

  case 884: /* bgp_afi: VPN6 MULTICAST  */
#line 212 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 11029 "obj/conf/cf-parse.tab.c"
    break;

  case 885: /* bgp_afi: FLOW4  */
#line 213 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_FLOW4; }
#line 11035 "obj/conf/cf-parse.tab.c"
    break;

  case 886: /* bgp_afi: FLOW6  */
#line 214 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_FLOW6; }
#line 11041 "obj/conf/cf-parse.tab.c"
    break;

  case 887: /* bgp_channel_start: bgp_afi  */
#line 218 "proto/bgp/config.Y"
{
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
    BGP_CC->aigp = 0xff;	/* undefined */
  }
}
#line 11069 "obj/conf/cf-parse.tab.c"
    break;

  case 888: /* bgp_nh: bool  */
#line 243 "proto/bgp/config.Y"
        { (yyval.i) = (yyvsp[0].i); }
#line 11075 "obj/conf/cf-parse.tab.c"
    break;

  case 889: /* bgp_nh: IBGP  */
#line 244 "proto/bgp/config.Y"
        { (yyval.i) = NH_IBGP; }
#line 11081 "obj/conf/cf-parse.tab.c"
    break;

  case 890: /* bgp_nh: EBGP  */
#line 245 "proto/bgp/config.Y"
        { (yyval.i) = NH_EBGP; }
#line 11087 "obj/conf/cf-parse.tab.c"
    break;

  case 895: /* bgp_channel_item: NEXT HOP ADDRESS ipa  */
#line 251 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 11093 "obj/conf/cf-parse.tab.c"
    break;

  case 896: /* bgp_channel_item: NEXT HOP SELF bgp_nh  */
#line 252 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 11099 "obj/conf/cf-parse.tab.c"
    break;

  case 897: /* bgp_channel_item: NEXT HOP KEEP bgp_nh  */
#line 253 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 11105 "obj/conf/cf-parse.tab.c"
    break;

  case 898: /* bgp_channel_item: MANDATORY bool  */
#line 254 "proto/bgp/config.Y"
                  { BGP_CC->mandatory = (yyvsp[0].i); }
#line 11111 "obj/conf/cf-parse.tab.c"
    break;

  case 899: /* bgp_channel_item: MISSING LLADDR bgp_lladdr  */
#line 255 "proto/bgp/config.Y"
                             { log(L_WARN "%s.%s: Missing lladdr option is deprecated and ignored, remove it", this_proto->name, this_channel->name); }
#line 11117 "obj/conf/cf-parse.tab.c"
    break;

  case 900: /* bgp_channel_item: GATEWAY DIRECT  */
#line 256 "proto/bgp/config.Y"
                  { BGP_CC->gw_mode = GW_DIRECT; }
#line 11123 "obj/conf/cf-parse.tab.c"
    break;

  case 901: /* bgp_channel_item: GATEWAY RECURSIVE  */
#line 257 "proto/bgp/config.Y"
                     { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 11129 "obj/conf/cf-parse.tab.c"
    break;

  case 902: /* bgp_channel_item: SECONDARY bool  */
#line 258 "proto/bgp/config.Y"
                  { BGP_CC->secondary = (yyvsp[0].i); }
#line 11135 "obj/conf/cf-parse.tab.c"
    break;

  case 903: /* bgp_channel_item: VALIDATE bool  */
#line 259 "proto/bgp/config.Y"
                 {
    BGP_CC->validate = (yyvsp[0].i);
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Validate option limited to flowspec channels");
   }
#line 11145 "obj/conf/cf-parse.tab.c"
    break;

  case 904: /* bgp_channel_item: GRACEFUL RESTART bool  */
#line 264 "proto/bgp/config.Y"
                         { BGP_CC->gr_able = (yyvsp[0].i); }
#line 11151 "obj/conf/cf-parse.tab.c"
    break;

  case 905: /* bgp_channel_item: LONG LIVED GRACEFUL RESTART bool  */
#line 265 "proto/bgp/config.Y"
                                    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 11157 "obj/conf/cf-parse.tab.c"
    break;

  case 906: /* bgp_channel_item: LONG LIVED STALE TIME expr  */
#line 266 "proto/bgp/config.Y"
                              { BGP_CC->llgr_time = (yyvsp[0].i); }
#line 11163 "obj/conf/cf-parse.tab.c"
    break;

  case 907: /* bgp_channel_item: EXTENDED NEXT HOP bool  */
#line 267 "proto/bgp/config.Y"
                          { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 11169 "obj/conf/cf-parse.tab.c"
    break;

  case 908: /* bgp_channel_item: ADD PATHS RX  */
#line 268 "proto/bgp/config.Y"
                { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 11175 "obj/conf/cf-parse.tab.c"
    break;

  case 909: /* bgp_channel_item: ADD PATHS TX  */
#line 269 "proto/bgp/config.Y"
                { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 11181 "obj/conf/cf-parse.tab.c"
    break;

  case 910: /* bgp_channel_item: ADD PATHS bool  */
#line 270 "proto/bgp/config.Y"
                  { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 11187 "obj/conf/cf-parse.tab.c"
    break;

  case 911: /* bgp_channel_item: IMPORT TABLE bool  */
#line 271 "proto/bgp/config.Y"
                     { BGP_CC->import_table = (yyvsp[0].i); }
#line 11193 "obj/conf/cf-parse.tab.c"
    break;

  case 912: /* bgp_channel_item: EXPORT TABLE bool  */
#line 272 "proto/bgp/config.Y"
                     { BGP_CC->export_table = (yyvsp[0].i); }
#line 11199 "obj/conf/cf-parse.tab.c"
    break;

  case 913: /* bgp_channel_item: AIGP bool  */
#line 273 "proto/bgp/config.Y"
             { BGP_CC->aigp = (yyvsp[0].i); BGP_CC->aigp_originate = 0; }
#line 11205 "obj/conf/cf-parse.tab.c"
    break;

  case 914: /* bgp_channel_item: AIGP ORIGINATE  */
#line 274 "proto/bgp/config.Y"
                  { BGP_CC->aigp = 1; BGP_CC->aigp_originate = 1; }
#line 11211 "obj/conf/cf-parse.tab.c"
    break;

  case 915: /* bgp_channel_item: COST expr  */
#line 275 "proto/bgp/config.Y"
             { BGP_CC->cost = (yyvsp[0].i); if ((yyvsp[0].i) < 1) cf_error("Cost must be positive"); }
#line 11217 "obj/conf/cf-parse.tab.c"
    break;

  case 916: /* bgp_channel_item: IGP TABLE rtable  */
#line 276 "proto/bgp/config.Y"
                    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 11233 "obj/conf/cf-parse.tab.c"
    break;

  case 917: /* bgp_channel_item: BASE TABLE rtable  */
#line 287 "proto/bgp/config.Y"
                     {
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Base table option limited to flowspec channels");

    if (((BGP_CC->afi == BGP_AF_FLOW4) && ((yyvsp[0].r)->addr_type == NET_IP4)) ||
        ((BGP_CC->afi == BGP_AF_FLOW6) && ((yyvsp[0].r)->addr_type == NET_IP6)))
      BGP_CC->base_table = (yyvsp[0].r);
    else
      cf_error("Mismatched base table type");
   }
#line 11248 "obj/conf/cf-parse.tab.c"
    break;

  case 922: /* bgp_channel_end: %empty  */
#line 310 "proto/bgp/config.Y"
{
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 11259 "obj/conf/cf-parse.tab.c"
    break;

  case 924: /* dynamic_attr: BGP_ORIGIN  */
#line 321 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(PROTOCOL_BGP, BA_ORIGIN)); }
#line 11265 "obj/conf/cf-parse.tab.c"
    break;

  case 925: /* dynamic_attr: BGP_PATH  */
#line 323 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH)); }
#line 11271 "obj/conf/cf-parse.tab.c"
    break;

  case 926: /* dynamic_attr: BGP_NEXT_HOP  */
#line 325 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(PROTOCOL_BGP, BA_NEXT_HOP)); }
#line 11277 "obj/conf/cf-parse.tab.c"
    break;

  case 927: /* dynamic_attr: BGP_MED  */
#line 327 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_MULTI_EXIT_DISC)); }
#line 11283 "obj/conf/cf-parse.tab.c"
    break;

  case 928: /* dynamic_attr: BGP_LOCAL_PREF  */
#line 329 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_LOCAL_PREF)); }
#line 11289 "obj/conf/cf-parse.tab.c"
    break;

  case 929: /* dynamic_attr: BGP_ATOMIC_AGGR  */
#line 331 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_ATOMIC_AGGR)); }
#line 11295 "obj/conf/cf-parse.tab.c"
    break;

  case 930: /* dynamic_attr: BGP_AGGREGATOR  */
#line 333 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AGGREGATOR)); }
#line 11301 "obj/conf/cf-parse.tab.c"
    break;

  case 931: /* dynamic_attr: BGP_COMMUNITY  */
#line 335 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_COMMUNITY)); }
#line 11307 "obj/conf/cf-parse.tab.c"
    break;

  case 932: /* dynamic_attr: BGP_ORIGINATOR_ID  */
#line 337 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(PROTOCOL_BGP, BA_ORIGINATOR_ID)); }
#line 11313 "obj/conf/cf-parse.tab.c"
    break;

  case 933: /* dynamic_attr: BGP_CLUSTER_LIST  */
#line 339 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_CLUSTER_LIST)); }
#line 11319 "obj/conf/cf-parse.tab.c"
    break;

  case 934: /* dynamic_attr: BGP_EXT_COMMUNITY  */
#line 341 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(PROTOCOL_BGP, BA_EXT_COMMUNITY)); }
#line 11325 "obj/conf/cf-parse.tab.c"
    break;

  case 935: /* dynamic_attr: BGP_AIGP  */
#line 343 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AIGP)); }
#line 11331 "obj/conf/cf-parse.tab.c"
    break;

  case 936: /* dynamic_attr: BGP_LARGE_COMMUNITY  */
#line 345 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_LC_SET, T_LCLIST, EA_CODE(PROTOCOL_BGP, BA_LARGE_COMMUNITY)); }
#line 11337 "obj/conf/cf-parse.tab.c"
    break;

  case 938: /* mrt_proto_start: proto_start MRT  */
#line 29 "proto/mrt/config.Y"
{
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
}
#line 11345 "obj/conf/cf-parse.tab.c"
    break;

  case 940: /* mrt_proto_item: TABLE rtable  */
#line 35 "proto/mrt/config.Y"
                        { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 11351 "obj/conf/cf-parse.tab.c"
    break;

  case 941: /* mrt_proto_item: TABLE TEXT  */
#line 36 "proto/mrt/config.Y"
                        { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 11357 "obj/conf/cf-parse.tab.c"
    break;

  case 942: /* mrt_proto_item: FILTER filter  */
#line 37 "proto/mrt/config.Y"
                        { MRT_CFG->filter = (yyvsp[0].f); }
#line 11363 "obj/conf/cf-parse.tab.c"
    break;

  case 943: /* mrt_proto_item: where_filter  */
#line 38 "proto/mrt/config.Y"
                        { MRT_CFG->filter = (yyvsp[0].f); }
#line 11369 "obj/conf/cf-parse.tab.c"
    break;

  case 944: /* mrt_proto_item: FILENAME text  */
#line 39 "proto/mrt/config.Y"
                        { MRT_CFG->filename = (yyvsp[0].t); }
#line 11375 "obj/conf/cf-parse.tab.c"
    break;

  case 945: /* mrt_proto_item: PERIOD expr  */
#line 40 "proto/mrt/config.Y"
                        { MRT_CFG->period = (yyvsp[0].i); }
#line 11381 "obj/conf/cf-parse.tab.c"
    break;

  case 946: /* mrt_proto_item: ALWAYS ADD PATH bool  */
#line 41 "proto/mrt/config.Y"
                        { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 11387 "obj/conf/cf-parse.tab.c"
    break;

  case 949: /* mrt_proto: mrt_proto_start proto_name '{' mrt_proto_opts '}'  */
#line 50 "proto/mrt/config.Y"
                                                     { mrt_check_config(this_proto); }
#line 11393 "obj/conf/cf-parse.tab.c"
    break;

  case 951: /* cmd_MRT_DUMP: MRT DUMP mrt_dump_args END  */
#line 54 "proto/mrt/config.Y"
{ mrt_dump_cmd((yyvsp[-1].md)); }
#line 11399 "obj/conf/cf-parse.tab.c"
    break;

  case 952: /* mrt_dump_args: %empty  */
#line 57 "proto/mrt/config.Y"
               { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 11405 "obj/conf/cf-parse.tab.c"
    break;

  case 953: /* mrt_dump_args: mrt_dump_args TABLE rtable  */
#line 58 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 11411 "obj/conf/cf-parse.tab.c"
    break;

  case 954: /* mrt_dump_args: mrt_dump_args TABLE TEXT  */
#line 59 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 11417 "obj/conf/cf-parse.tab.c"
    break;

  case 955: /* mrt_dump_args: mrt_dump_args FILTER filter  */
#line 60 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 11423 "obj/conf/cf-parse.tab.c"
    break;

  case 956: /* mrt_dump_args: mrt_dump_args where_filter  */
#line 61 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 11429 "obj/conf/cf-parse.tab.c"
    break;

  case 957: /* mrt_dump_args: mrt_dump_args TO text  */
#line 62 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 11435 "obj/conf/cf-parse.tab.c"
    break;

  case 958: /* proto: ospf_proto '}'  */
#line 211 "proto/ospf/config.Y"
                      { ospf_proto_finish(); }
#line 11441 "obj/conf/cf-parse.tab.c"
    break;

  case 959: /* ospf_variant: OSPF  */
#line 214 "proto/ospf/config.Y"
           { (yyval.i) = 1; }
#line 11447 "obj/conf/cf-parse.tab.c"
    break;

  case 960: /* ospf_variant: OSPF V2  */
#line 215 "proto/ospf/config.Y"
           { (yyval.i) = 1; }
#line 11453 "obj/conf/cf-parse.tab.c"
    break;

  case 961: /* ospf_variant: OSPF V3  */
#line 216 "proto/ospf/config.Y"
           { (yyval.i) = 0; }
#line 11459 "obj/conf/cf-parse.tab.c"
    break;

  case 962: /* ospf_proto_start: proto_start ospf_variant  */
#line 220 "proto/ospf/config.Y"
{
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
  OSPF_CFG->gr_mode = OSPF_GR_AWARE;
  OSPF_CFG->gr_time = OSPF_DEFAULT_GR_TIME;
}
#line 11477 "obj/conf/cf-parse.tab.c"
    break;

  case 965: /* ospf_af_mc: %empty  */
#line 240 "proto/ospf/config.Y"
             { (yyval.i) = 0; }
#line 11483 "obj/conf/cf-parse.tab.c"
    break;

  case 966: /* ospf_af_mc: MULTICAST  */
#line 241 "proto/ospf/config.Y"
             { (yyval.i) = 1; }
#line 11489 "obj/conf/cf-parse.tab.c"
    break;

  case 967: /* ospf_channel_start: net_type ospf_af_mc  */
#line 246 "proto/ospf/config.Y"
{
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 11501 "obj/conf/cf-parse.tab.c"
    break;

  case 970: /* ospf_proto_item: ospf_channel  */
#line 258 "proto/ospf/config.Y"
                { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 11507 "obj/conf/cf-parse.tab.c"
    break;

  case 971: /* ospf_proto_item: RFC1583COMPAT bool  */
#line 259 "proto/ospf/config.Y"
                      { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 11513 "obj/conf/cf-parse.tab.c"
    break;

  case 972: /* ospf_proto_item: RFC5838 bool  */
#line 260 "proto/ospf/config.Y"
                { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 11519 "obj/conf/cf-parse.tab.c"
    break;

  case 973: /* ospf_proto_item: VPN PE bool  */
#line 261 "proto/ospf/config.Y"
               { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 11525 "obj/conf/cf-parse.tab.c"
    break;

  case 974: /* ospf_proto_item: STUB ROUTER bool  */
#line 262 "proto/ospf/config.Y"
                    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 11531 "obj/conf/cf-parse.tab.c"
    break;

  case 975: /* ospf_proto_item: GRACEFUL RESTART bool  */
#line 263 "proto/ospf/config.Y"
                         { OSPF_CFG->gr_mode = (yyvsp[0].i); }
#line 11537 "obj/conf/cf-parse.tab.c"
    break;

  case 976: /* ospf_proto_item: GRACEFUL RESTART AWARE  */
#line 264 "proto/ospf/config.Y"
                          { OSPF_CFG->gr_mode = OSPF_GR_AWARE; }
#line 11543 "obj/conf/cf-parse.tab.c"
    break;

  case 977: /* ospf_proto_item: GRACEFUL RESTART TIME expr  */
#line 265 "proto/ospf/config.Y"
                              { OSPF_CFG->gr_time = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 1800)) cf_error("Graceful restart time must be in range 1-1800"); }
#line 11549 "obj/conf/cf-parse.tab.c"
    break;

  case 978: /* ospf_proto_item: ECMP bool  */
#line 266 "proto/ospf/config.Y"
             { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 11555 "obj/conf/cf-parse.tab.c"
    break;

  case 979: /* ospf_proto_item: ECMP bool LIMIT expr  */
#line 267 "proto/ospf/config.Y"
                        { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 11561 "obj/conf/cf-parse.tab.c"
    break;

  case 980: /* ospf_proto_item: MERGE EXTERNAL bool  */
#line 268 "proto/ospf/config.Y"
                       { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 11567 "obj/conf/cf-parse.tab.c"
    break;

  case 981: /* ospf_proto_item: TICK expr  */
#line 269 "proto/ospf/config.Y"
             { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 11573 "obj/conf/cf-parse.tab.c"
    break;

  case 982: /* ospf_proto_item: INSTANCE ID expr  */
#line 270 "proto/ospf/config.Y"
                    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 11579 "obj/conf/cf-parse.tab.c"
    break;

  case 984: /* ospf_area_start: AREA idval  */
#line 274 "proto/ospf/config.Y"
                            {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 11597 "obj/conf/cf-parse.tab.c"
    break;

  case 985: /* ospf_area: ospf_area_start '{' ospf_area_opts '}'  */
#line 289 "proto/ospf/config.Y"
                                                  { ospf_area_finish(); }
#line 11603 "obj/conf/cf-parse.tab.c"
    break;

  case 988: /* ospf_area_item: STUB bool  */
#line 298 "proto/ospf/config.Y"
             { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 11609 "obj/conf/cf-parse.tab.c"
    break;

  case 989: /* ospf_area_item: NSSA  */
#line 299 "proto/ospf/config.Y"
        { this_area->type = OPT_N; }
#line 11615 "obj/conf/cf-parse.tab.c"
    break;

  case 990: /* ospf_area_item: SUMMARY bool  */
#line 300 "proto/ospf/config.Y"
                { this_area->summary = (yyvsp[0].i); }
#line 11621 "obj/conf/cf-parse.tab.c"
    break;

  case 991: /* ospf_area_item: DEFAULT NSSA bool  */
#line 301 "proto/ospf/config.Y"
                     { this_area->default_nssa = (yyvsp[0].i); }
#line 11627 "obj/conf/cf-parse.tab.c"
    break;

  case 992: /* ospf_area_item: DEFAULT COST expr  */
#line 302 "proto/ospf/config.Y"
                     { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 11633 "obj/conf/cf-parse.tab.c"
    break;

  case 993: /* ospf_area_item: DEFAULT COST2 expr  */
#line 303 "proto/ospf/config.Y"
                      { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 11639 "obj/conf/cf-parse.tab.c"
    break;

  case 994: /* ospf_area_item: STUB COST expr  */
#line 304 "proto/ospf/config.Y"
                  { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 11645 "obj/conf/cf-parse.tab.c"
    break;

  case 995: /* ospf_area_item: TRANSLATOR bool  */
#line 305 "proto/ospf/config.Y"
                   { this_area->translator = (yyvsp[0].i); }
#line 11651 "obj/conf/cf-parse.tab.c"
    break;

  case 996: /* ospf_area_item: TRANSLATOR STABILITY expr  */
#line 306 "proto/ospf/config.Y"
                             { this_area->transint = (yyvsp[0].i); }
#line 11657 "obj/conf/cf-parse.tab.c"
    break;

  case 997: /* $@5: %empty  */
#line 307 "proto/ospf/config.Y"
            { this_nets = &this_area->net_list; }
#line 11663 "obj/conf/cf-parse.tab.c"
    break;

  case 999: /* $@6: %empty  */
#line 308 "proto/ospf/config.Y"
            { this_nets = &this_area->enet_list; }
#line 11669 "obj/conf/cf-parse.tab.c"
    break;

  case 1006: /* ospf_stubnet_start: net_ip  */
#line 320 "proto/ospf/config.Y"
          {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 11680 "obj/conf/cf-parse.tab.c"
    break;

  case 1009: /* ospf_stubnet_item: HIDDEN bool  */
#line 334 "proto/ospf/config.Y"
               { this_stubnet->hidden = (yyvsp[0].i); }
#line 11686 "obj/conf/cf-parse.tab.c"
    break;

  case 1010: /* ospf_stubnet_item: SUMMARY bool  */
#line 335 "proto/ospf/config.Y"
                { this_stubnet->summary = (yyvsp[0].i); }
#line 11692 "obj/conf/cf-parse.tab.c"
    break;

  case 1011: /* ospf_stubnet_item: COST expr  */
#line 336 "proto/ospf/config.Y"
             { this_stubnet->cost = (yyvsp[0].i); }
#line 11698 "obj/conf/cf-parse.tab.c"
    break;

  case 1012: /* ospf_vlink: ospf_vlink_start ospf_instance_id '{' ospf_vlink_opts '}'  */
#line 340 "proto/ospf/config.Y"
                                                             { ospf_iface_finish(); }
#line 11704 "obj/conf/cf-parse.tab.c"
    break;

  case 1013: /* ospf_vlink: ospf_vlink_start ospf_instance_id  */
#line 341 "proto/ospf/config.Y"
                                     { ospf_iface_finish(); }
#line 11710 "obj/conf/cf-parse.tab.c"
    break;

  case 1017: /* ospf_vlink_item: HELLO expr  */
#line 350 "proto/ospf/config.Y"
              { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 11716 "obj/conf/cf-parse.tab.c"
    break;

  case 1018: /* ospf_vlink_item: RETRANSMIT expr  */
#line 351 "proto/ospf/config.Y"
                   { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 11722 "obj/conf/cf-parse.tab.c"
    break;

  case 1019: /* ospf_vlink_item: TRANSMIT DELAY expr  */
#line 352 "proto/ospf/config.Y"
                       { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 11728 "obj/conf/cf-parse.tab.c"
    break;

  case 1020: /* ospf_vlink_item: WAIT expr  */
#line 353 "proto/ospf/config.Y"
             { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 11734 "obj/conf/cf-parse.tab.c"
    break;

  case 1021: /* ospf_vlink_item: DEAD expr  */
#line 354 "proto/ospf/config.Y"
             { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 11740 "obj/conf/cf-parse.tab.c"
    break;

  case 1022: /* ospf_vlink_item: DEAD COUNT expr  */
#line 355 "proto/ospf/config.Y"
                   { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 11746 "obj/conf/cf-parse.tab.c"
    break;

  case 1023: /* ospf_vlink_item: AUTHENTICATION NONE  */
#line 356 "proto/ospf/config.Y"
                       { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 11752 "obj/conf/cf-parse.tab.c"
    break;

  case 1024: /* ospf_vlink_item: AUTHENTICATION SIMPLE  */
#line 357 "proto/ospf/config.Y"
                         { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 11758 "obj/conf/cf-parse.tab.c"
    break;

  case 1025: /* ospf_vlink_item: AUTHENTICATION CRYPTOGRAPHIC  */
#line 358 "proto/ospf/config.Y"
                                { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 11764 "obj/conf/cf-parse.tab.c"
    break;

  case 1027: /* ospf_vlink_start: VIRTUAL LINK idval  */
#line 363 "proto/ospf/config.Y"
 {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 11784 "obj/conf/cf-parse.tab.c"
    break;

  case 1028: /* ospf_iface_item: COST expr  */
#line 381 "proto/ospf/config.Y"
             { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 11790 "obj/conf/cf-parse.tab.c"
    break;

  case 1029: /* ospf_iface_item: HELLO expr  */
#line 382 "proto/ospf/config.Y"
              { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 11796 "obj/conf/cf-parse.tab.c"
    break;

  case 1030: /* ospf_iface_item: POLL expr  */
#line 383 "proto/ospf/config.Y"
             { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 11802 "obj/conf/cf-parse.tab.c"
    break;

  case 1031: /* ospf_iface_item: RETRANSMIT expr  */
#line 384 "proto/ospf/config.Y"
                   { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 11808 "obj/conf/cf-parse.tab.c"
    break;

  case 1032: /* ospf_iface_item: WAIT expr  */
#line 385 "proto/ospf/config.Y"
             { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 11814 "obj/conf/cf-parse.tab.c"
    break;

  case 1033: /* ospf_iface_item: DEAD expr  */
#line 386 "proto/ospf/config.Y"
             { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 11820 "obj/conf/cf-parse.tab.c"
    break;

  case 1034: /* ospf_iface_item: DEAD COUNT expr  */
#line 387 "proto/ospf/config.Y"
                   { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 11826 "obj/conf/cf-parse.tab.c"
    break;

  case 1035: /* ospf_iface_item: TYPE BROADCAST  */
#line 388 "proto/ospf/config.Y"
                  { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 11832 "obj/conf/cf-parse.tab.c"
    break;

  case 1036: /* ospf_iface_item: TYPE BCAST  */
#line 389 "proto/ospf/config.Y"
              { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 11838 "obj/conf/cf-parse.tab.c"
    break;

  case 1037: /* ospf_iface_item: TYPE NONBROADCAST  */
#line 390 "proto/ospf/config.Y"
                     { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 11844 "obj/conf/cf-parse.tab.c"
    break;

  case 1038: /* ospf_iface_item: TYPE NBMA  */
#line 391 "proto/ospf/config.Y"
             { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 11850 "obj/conf/cf-parse.tab.c"
    break;

  case 1039: /* ospf_iface_item: TYPE POINTOPOINT  */
#line 392 "proto/ospf/config.Y"
                    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 11856 "obj/conf/cf-parse.tab.c"
    break;

  case 1040: /* ospf_iface_item: TYPE PTP  */
#line 393 "proto/ospf/config.Y"
            { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 11862 "obj/conf/cf-parse.tab.c"
    break;

  case 1041: /* ospf_iface_item: TYPE POINTOMULTIPOINT  */
#line 394 "proto/ospf/config.Y"
                         { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 11868 "obj/conf/cf-parse.tab.c"
    break;

  case 1042: /* ospf_iface_item: TYPE PTMP  */
#line 395 "proto/ospf/config.Y"
             { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 11874 "obj/conf/cf-parse.tab.c"
    break;

  case 1043: /* ospf_iface_item: REAL BROADCAST bool  */
#line 396 "proto/ospf/config.Y"
                       { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 11880 "obj/conf/cf-parse.tab.c"
    break;

  case 1044: /* ospf_iface_item: PTP NETMASK bool  */
#line 397 "proto/ospf/config.Y"
                    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 11886 "obj/conf/cf-parse.tab.c"
    break;

  case 1045: /* ospf_iface_item: PTP ADDRESS bool  */
#line 398 "proto/ospf/config.Y"
                    { OSPF_PATT->ptp_address = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP address option requires OSPFv2"); }
#line 11892 "obj/conf/cf-parse.tab.c"
    break;

  case 1046: /* ospf_iface_item: TRANSMIT DELAY expr  */
#line 399 "proto/ospf/config.Y"
                       { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 11898 "obj/conf/cf-parse.tab.c"
    break;

  case 1047: /* ospf_iface_item: PRIORITY expr  */
#line 400 "proto/ospf/config.Y"
                 { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 11904 "obj/conf/cf-parse.tab.c"
    break;

  case 1048: /* ospf_iface_item: STRICT NONBROADCAST bool  */
#line 401 "proto/ospf/config.Y"
                            { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 11910 "obj/conf/cf-parse.tab.c"
    break;

  case 1049: /* ospf_iface_item: STUB bool  */
#line 402 "proto/ospf/config.Y"
             { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 11916 "obj/conf/cf-parse.tab.c"
    break;

  case 1050: /* ospf_iface_item: CHECK LINK bool  */
#line 403 "proto/ospf/config.Y"
                   { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 11922 "obj/conf/cf-parse.tab.c"
    break;

  case 1051: /* ospf_iface_item: ECMP WEIGHT expr  */
#line 404 "proto/ospf/config.Y"
                    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 11928 "obj/conf/cf-parse.tab.c"
    break;

  case 1052: /* ospf_iface_item: LINK LSA SUPPRESSION bool  */
#line 405 "proto/ospf/config.Y"
                             { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 11934 "obj/conf/cf-parse.tab.c"
    break;

  case 1054: /* ospf_iface_item: AUTHENTICATION NONE  */
#line 407 "proto/ospf/config.Y"
                       { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 11940 "obj/conf/cf-parse.tab.c"
    break;

  case 1055: /* ospf_iface_item: AUTHENTICATION SIMPLE  */
#line 408 "proto/ospf/config.Y"
                         { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 11946 "obj/conf/cf-parse.tab.c"
    break;

  case 1056: /* ospf_iface_item: AUTHENTICATION CRYPTOGRAPHIC  */
#line 409 "proto/ospf/config.Y"
                                { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 11952 "obj/conf/cf-parse.tab.c"
    break;

  case 1057: /* ospf_iface_item: RX BUFFER NORMAL  */
#line 410 "proto/ospf/config.Y"
                    { OSPF_PATT->rx_buffer = 0; }
#line 11958 "obj/conf/cf-parse.tab.c"
    break;

  case 1058: /* ospf_iface_item: RX BUFFER LARGE  */
#line 411 "proto/ospf/config.Y"
                   { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 11964 "obj/conf/cf-parse.tab.c"
    break;

  case 1059: /* ospf_iface_item: RX BUFFER expr  */
#line 412 "proto/ospf/config.Y"
                  { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 11970 "obj/conf/cf-parse.tab.c"
    break;

  case 1060: /* ospf_iface_item: TX tos  */
#line 413 "proto/ospf/config.Y"
          { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 11976 "obj/conf/cf-parse.tab.c"
    break;

  case 1061: /* ospf_iface_item: TX PRIORITY expr  */
#line 414 "proto/ospf/config.Y"
                    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 11982 "obj/conf/cf-parse.tab.c"
    break;

  case 1062: /* ospf_iface_item: TX LENGTH expr  */
#line 415 "proto/ospf/config.Y"
                  { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 11988 "obj/conf/cf-parse.tab.c"
    break;

  case 1063: /* ospf_iface_item: TTL SECURITY bool  */
#line 416 "proto/ospf/config.Y"
                     { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 11994 "obj/conf/cf-parse.tab.c"
    break;

  case 1064: /* ospf_iface_item: TTL SECURITY TX ONLY  */
#line 417 "proto/ospf/config.Y"
                        { OSPF_PATT->ttl_security = 2; }
#line 12000 "obj/conf/cf-parse.tab.c"
    break;

  case 1065: /* ospf_iface_item: BFD bool  */
#line 418 "proto/ospf/config.Y"
            { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 12006 "obj/conf/cf-parse.tab.c"
    break;

  case 1070: /* pref_base: net_ip  */
#line 430 "proto/ospf/config.Y"
 {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 12016 "obj/conf/cf-parse.tab.c"
    break;

  case 1072: /* pref_opt: HIDDEN  */
#line 439 "proto/ospf/config.Y"
          { this_pref->hidden = 1; }
#line 12022 "obj/conf/cf-parse.tab.c"
    break;

  case 1073: /* pref_opt: TAG expr  */
#line 440 "proto/ospf/config.Y"
            { this_pref->tag = (yyvsp[0].i); }
#line 12028 "obj/conf/cf-parse.tab.c"
    break;

  case 1076: /* nbma_eligible: %empty  */
#line 449 "proto/ospf/config.Y"
             { (yyval.i) = 0; }
#line 12034 "obj/conf/cf-parse.tab.c"
    break;

  case 1077: /* nbma_eligible: ELIGIBLE  */
#line 450 "proto/ospf/config.Y"
            { (yyval.i) = 1; }
#line 12040 "obj/conf/cf-parse.tab.c"
    break;

  case 1078: /* nbma_item: ipa nbma_eligible ';'  */
#line 454 "proto/ospf/config.Y"
 {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 12051 "obj/conf/cf-parse.tab.c"
    break;

  case 1079: /* ospf_iface_start: %empty  */
#line 463 "proto/ospf/config.Y"
 {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->ptp_address = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 12076 "obj/conf/cf-parse.tab.c"
    break;

  case 1081: /* ospf_instance_id: INSTANCE expr  */
#line 487 "proto/ospf/config.Y"
                 { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 12082 "obj/conf/cf-parse.tab.c"
    break;

  case 1082: /* $@7: %empty  */
#line 491 "proto/ospf/config.Y"
                   { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 12088 "obj/conf/cf-parse.tab.c"
    break;

  case 1088: /* ospf_iface: ospf_iface_start ospf_iface_patt_list ospf_iface_opt_list  */
#line 505 "proto/ospf/config.Y"
                                                            { ospf_iface_finish(); }
#line 12094 "obj/conf/cf-parse.tab.c"
    break;

  case 1089: /* dynamic_attr: OSPF_METRIC1  */
#line 508 "proto/ospf/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC1); }
#line 12100 "obj/conf/cf-parse.tab.c"
    break;

  case 1090: /* dynamic_attr: OSPF_METRIC2  */
#line 509 "proto/ospf/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC2); }
#line 12106 "obj/conf/cf-parse.tab.c"
    break;

  case 1091: /* dynamic_attr: OSPF_TAG  */
#line 510 "proto/ospf/config.Y"
                       { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_TAG); }
#line 12112 "obj/conf/cf-parse.tab.c"
    break;

  case 1092: /* dynamic_attr: OSPF_ROUTER_ID  */
#line 511 "proto/ospf/config.Y"
                             { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_OSPF_ROUTER_ID); }
#line 12118 "obj/conf/cf-parse.tab.c"
    break;

  case 1094: /* cmd_SHOW_OSPF: SHOW OSPF optproto END  */
#line 515 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_ospf, p) ospf_sh(p); }
#line 12124 "obj/conf/cf-parse.tab.c"
    break;

  case 1096: /* cmd_SHOW_OSPF_NEIGHBORS: SHOW OSPF NEIGHBORS optproto opttext END  */
#line 518 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_neigh(p, (yyvsp[-1].t)); }
#line 12130 "obj/conf/cf-parse.tab.c"
    break;

  case 1098: /* cmd_SHOW_OSPF_INTERFACE: SHOW OSPF INTERFACE optproto opttext END  */
#line 521 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_iface(p, (yyvsp[-1].t)); }
#line 12136 "obj/conf/cf-parse.tab.c"
    break;

  case 1100: /* cmd_SHOW_OSPF_TOPOLOGY: SHOW OSPF TOPOLOGY optproto opttext END  */
#line 526 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 12142 "obj/conf/cf-parse.tab.c"
    break;

  case 1102: /* cmd_SHOW_OSPF_TOPOLOGY_ALL: SHOW OSPF TOPOLOGY ALL optproto opttext END  */
#line 529 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 12148 "obj/conf/cf-parse.tab.c"
    break;

  case 1104: /* cmd_SHOW_OSPF_STATE: SHOW OSPF STATE optproto opttext END  */
#line 534 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 12154 "obj/conf/cf-parse.tab.c"
    break;

  case 1106: /* cmd_SHOW_OSPF_STATE_ALL: SHOW OSPF STATE ALL optproto opttext END  */
#line 537 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 12160 "obj/conf/cf-parse.tab.c"
    break;

  case 1108: /* cmd_SHOW_OSPF_LSADB: SHOW OSPF LSADB lsadb_args END  */
#line 541 "proto/ospf/config.Y"
{
  if (!(yyvsp[-1].ld)->proto)
    (yyvsp[-1].ld)->proto = (struct ospf_proto *) proto_get_named(NULL, &proto_ospf);

  ospf_sh_lsadb((yyvsp[-1].ld));
}
#line 12171 "obj/conf/cf-parse.tab.c"
    break;

  case 1109: /* lsadb_args: %empty  */
#line 549 "proto/ospf/config.Y"
               {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 12179 "obj/conf/cf-parse.tab.c"
    break;

  case 1110: /* lsadb_args: lsadb_args GLOBAL  */
#line 552 "proto/ospf/config.Y"
                     { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 12185 "obj/conf/cf-parse.tab.c"
    break;

  case 1111: /* lsadb_args: lsadb_args AREA idval  */
#line 553 "proto/ospf/config.Y"
                         { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 12191 "obj/conf/cf-parse.tab.c"
    break;

  case 1112: /* lsadb_args: lsadb_args LINK  */
#line 554 "proto/ospf/config.Y"
                   { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 12197 "obj/conf/cf-parse.tab.c"
    break;

  case 1113: /* lsadb_args: lsadb_args TYPE NUM  */
#line 555 "proto/ospf/config.Y"
                       { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 12203 "obj/conf/cf-parse.tab.c"
    break;

  case 1114: /* lsadb_args: lsadb_args LSID idval  */
#line 556 "proto/ospf/config.Y"
                         { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 12209 "obj/conf/cf-parse.tab.c"
    break;

  case 1115: /* lsadb_args: lsadb_args SELF  */
#line 557 "proto/ospf/config.Y"
                   { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 12215 "obj/conf/cf-parse.tab.c"
    break;

  case 1116: /* lsadb_args: lsadb_args ROUTER idval  */
#line 558 "proto/ospf/config.Y"
                           { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 12221 "obj/conf/cf-parse.tab.c"
    break;

  case 1117: /* lsadb_args: lsadb_args CF_SYM_KNOWN  */
#line 559 "proto/ospf/config.Y"
                           { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->proto = (struct ospf_proto *) proto_get_named((yyvsp[0].s), &proto_ospf); }
#line 12227 "obj/conf/cf-parse.tab.c"
    break;

  case 1119: /* perf_proto_start: proto_start PERF  */
#line 27 "proto/perf/config.Y"
{
  this_proto = proto_config_new(&proto_perf, (yyvsp[-1].i));
  PERF_CFG->from = 10;
  PERF_CFG->to = 20;
  PERF_CFG->repeat = 4;
  PERF_CFG->threshold_max = 500 MS_;
  PERF_CFG->threshold_min = 1 MS_;
  PERF_CFG->attrs_per_rte = 0;
  PERF_CFG->keep = 0;
  PERF_CFG->mode = PERF_MODE_IMPORT;
}
#line 12243 "obj/conf/cf-parse.tab.c"
    break;

  case 1123: /* perf_proto_item: proto_channel  */
#line 46 "proto/perf/config.Y"
                 { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 12249 "obj/conf/cf-parse.tab.c"
    break;

  case 1124: /* perf_proto_item: EXP FROM NUM  */
#line 47 "proto/perf/config.Y"
                { PERF_CFG->from = (yyvsp[0].i); }
#line 12255 "obj/conf/cf-parse.tab.c"
    break;

  case 1125: /* perf_proto_item: EXP TO NUM  */
#line 48 "proto/perf/config.Y"
              { PERF_CFG->to = (yyvsp[0].i); }
#line 12261 "obj/conf/cf-parse.tab.c"
    break;

  case 1126: /* perf_proto_item: REPEAT NUM  */
#line 49 "proto/perf/config.Y"
              { PERF_CFG->repeat = (yyvsp[0].i); }
#line 12267 "obj/conf/cf-parse.tab.c"
    break;

  case 1127: /* perf_proto_item: THRESHOLD MIN expr_us  */
#line 50 "proto/perf/config.Y"
                         { PERF_CFG->threshold_min = (yyvsp[0].time); }
#line 12273 "obj/conf/cf-parse.tab.c"
    break;

  case 1128: /* perf_proto_item: THRESHOLD MAX expr_us  */
#line 51 "proto/perf/config.Y"
                         { PERF_CFG->threshold_max = (yyvsp[0].time); }
#line 12279 "obj/conf/cf-parse.tab.c"
    break;

  case 1129: /* perf_proto_item: ATTRIBUTES NUM  */
#line 52 "proto/perf/config.Y"
                  { PERF_CFG->attrs_per_rte = (yyvsp[0].i); }
#line 12285 "obj/conf/cf-parse.tab.c"
    break;

  case 1130: /* perf_proto_item: KEEP bool  */
#line 53 "proto/perf/config.Y"
             { PERF_CFG->keep = (yyvsp[0].i); }
#line 12291 "obj/conf/cf-parse.tab.c"
    break;

  case 1131: /* perf_proto_item: MODE IMPORT  */
#line 54 "proto/perf/config.Y"
               { PERF_CFG->mode = PERF_MODE_IMPORT; }
#line 12297 "obj/conf/cf-parse.tab.c"
    break;

  case 1132: /* perf_proto_item: MODE EXPORT  */
#line 55 "proto/perf/config.Y"
               { PERF_CFG->mode = PERF_MODE_EXPORT; }
#line 12303 "obj/conf/cf-parse.tab.c"
    break;

  case 1133: /* proto: pipe_proto '}'  */
#line 23 "proto/pipe/config.Y"
                      { this_channel = NULL; }
#line 12309 "obj/conf/cf-parse.tab.c"
    break;

  case 1134: /* $@8: %empty  */
#line 26 "proto/pipe/config.Y"
{
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
}
#line 12317 "obj/conf/cf-parse.tab.c"
    break;

  case 1135: /* pipe_proto_start: proto_start PIPE $@8 proto_name  */
#line 30 "proto/pipe/config.Y"
{
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 12330 "obj/conf/cf-parse.tab.c"
    break;

  case 1139: /* pipe_proto: pipe_proto PEER TABLE rtable ';'  */
#line 43 "proto/pipe/config.Y"
                                    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 12336 "obj/conf/cf-parse.tab.c"
    break;

  case 1141: /* radv_proto_start: proto_start RADV  */
#line 47 "proto/radv/config.Y"
{
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));
  this_proto->net_type = NET_IP6;

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
}
#line 12350 "obj/conf/cf-parse.tab.c"
    break;

  case 1145: /* radv_proto_item: PREFIX radv_prefix  */
#line 61 "proto/radv/config.Y"
                      { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 12356 "obj/conf/cf-parse.tab.c"
    break;

  case 1146: /* $@9: %empty  */
#line 62 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 12362 "obj/conf/cf-parse.tab.c"
    break;

  case 1147: /* radv_proto_item: RDNSS $@9 radv_rdnss  */
#line 62 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 12368 "obj/conf/cf-parse.tab.c"
    break;

  case 1148: /* $@10: %empty  */
#line 63 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 12374 "obj/conf/cf-parse.tab.c"
    break;

  case 1149: /* radv_proto_item: DNSSL $@10 radv_dnssl  */
#line 63 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 12380 "obj/conf/cf-parse.tab.c"
    break;

  case 1150: /* radv_proto_item: TRIGGER net_ip6  */
#line 64 "proto/radv/config.Y"
                   { RADV_CFG->trigger = (yyvsp[0].net); }
#line 12386 "obj/conf/cf-parse.tab.c"
    break;

  case 1151: /* radv_proto_item: PROPAGATE ROUTES bool  */
#line 65 "proto/radv/config.Y"
                         { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 12392 "obj/conf/cf-parse.tab.c"
    break;

  case 1155: /* radv_iface_start: %empty  */
#line 78 "proto/radv/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 12418 "obj/conf/cf-parse.tab.c"
    break;

  case 1156: /* radv_iface_item: MIN RA INTERVAL expr  */
#line 101 "proto/radv/config.Y"
                        { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 12424 "obj/conf/cf-parse.tab.c"
    break;

  case 1157: /* radv_iface_item: MAX RA INTERVAL expr  */
#line 102 "proto/radv/config.Y"
                        { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 12430 "obj/conf/cf-parse.tab.c"
    break;

  case 1158: /* radv_iface_item: MIN DELAY expr  */
#line 103 "proto/radv/config.Y"
                  { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 12436 "obj/conf/cf-parse.tab.c"
    break;

  case 1159: /* radv_iface_item: SOLICITED RA UNICAST bool  */
#line 104 "proto/radv/config.Y"
                             { RADV_IFACE->solicited_ra_unicast = (yyvsp[0].i); }
#line 12442 "obj/conf/cf-parse.tab.c"
    break;

  case 1160: /* radv_iface_item: MANAGED bool  */
#line 105 "proto/radv/config.Y"
                { RADV_IFACE->managed = (yyvsp[0].i); }
#line 12448 "obj/conf/cf-parse.tab.c"
    break;

  case 1161: /* radv_iface_item: OTHER CONFIG bool  */
#line 106 "proto/radv/config.Y"
                     { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 12454 "obj/conf/cf-parse.tab.c"
    break;

  case 1162: /* radv_iface_item: LINK MTU expr  */
#line 107 "proto/radv/config.Y"
                 { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 12460 "obj/conf/cf-parse.tab.c"
    break;

  case 1163: /* radv_iface_item: REACHABLE TIME expr  */
#line 108 "proto/radv/config.Y"
                       { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 12466 "obj/conf/cf-parse.tab.c"
    break;

  case 1164: /* radv_iface_item: RETRANS TIMER expr  */
#line 109 "proto/radv/config.Y"
                      { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 12472 "obj/conf/cf-parse.tab.c"
    break;

  case 1165: /* radv_iface_item: CURRENT HOP LIMIT expr  */
#line 110 "proto/radv/config.Y"
                          { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 12478 "obj/conf/cf-parse.tab.c"
    break;

  case 1166: /* radv_iface_item: DEFAULT LIFETIME expr radv_sensitive  */
#line 111 "proto/radv/config.Y"
                                        {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 12488 "obj/conf/cf-parse.tab.c"
    break;

  case 1167: /* radv_iface_item: ROUTE LIFETIME expr radv_sensitive  */
#line 116 "proto/radv/config.Y"
                                      {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 12497 "obj/conf/cf-parse.tab.c"
    break;

  case 1168: /* radv_iface_item: DEFAULT PREFERENCE radv_preference  */
#line 120 "proto/radv/config.Y"
                                      { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 12503 "obj/conf/cf-parse.tab.c"
    break;

  case 1169: /* radv_iface_item: ROUTE PREFERENCE radv_preference  */
#line 121 "proto/radv/config.Y"
                                    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 12509 "obj/conf/cf-parse.tab.c"
    break;

  case 1170: /* radv_iface_item: PREFIX LINGER TIME expr  */
#line 122 "proto/radv/config.Y"
                           { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 12515 "obj/conf/cf-parse.tab.c"
    break;

  case 1171: /* radv_iface_item: ROUTE LINGER TIME expr  */
#line 123 "proto/radv/config.Y"
                          { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 12521 "obj/conf/cf-parse.tab.c"
    break;

  case 1172: /* radv_iface_item: PREFIX radv_prefix  */
#line 124 "proto/radv/config.Y"
                      { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 12527 "obj/conf/cf-parse.tab.c"
    break;

  case 1173: /* $@11: %empty  */
#line 125 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 12533 "obj/conf/cf-parse.tab.c"
    break;

  case 1174: /* radv_iface_item: RDNSS $@11 radv_rdnss  */
#line 125 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 12539 "obj/conf/cf-parse.tab.c"
    break;

  case 1175: /* $@12: %empty  */
#line 126 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 12545 "obj/conf/cf-parse.tab.c"
    break;

  case 1176: /* radv_iface_item: DNSSL $@12 radv_dnssl  */
#line 126 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 12551 "obj/conf/cf-parse.tab.c"
    break;

  case 1177: /* radv_iface_item: RDNSS LOCAL bool  */
#line 127 "proto/radv/config.Y"
                    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 12557 "obj/conf/cf-parse.tab.c"
    break;

  case 1178: /* radv_iface_item: DNSSL LOCAL bool  */
#line 128 "proto/radv/config.Y"
                    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 12563 "obj/conf/cf-parse.tab.c"
    break;

  case 1179: /* radv_preference: LOW  */
#line 132 "proto/radv/config.Y"
       { (yyval.i) = RA_PREF_LOW; }
#line 12569 "obj/conf/cf-parse.tab.c"
    break;

  case 1180: /* radv_preference: MEDIUM  */
#line 133 "proto/radv/config.Y"
          { (yyval.i) = RA_PREF_MEDIUM; }
#line 12575 "obj/conf/cf-parse.tab.c"
    break;

  case 1181: /* radv_preference: HIGH  */
#line 134 "proto/radv/config.Y"
        { (yyval.i) = RA_PREF_HIGH; }
#line 12581 "obj/conf/cf-parse.tab.c"
    break;

  case 1182: /* radv_iface_finish: %empty  */
#line 137 "proto/radv/config.Y"
{
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 12622 "obj/conf/cf-parse.tab.c"
    break;

  case 1188: /* radv_prefix_start: net_ip6  */
#line 190 "proto/radv/config.Y"
{
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 12636 "obj/conf/cf-parse.tab.c"
    break;

  case 1189: /* radv_prefix_item: SKIP bool  */
#line 201 "proto/radv/config.Y"
             { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 12642 "obj/conf/cf-parse.tab.c"
    break;

  case 1190: /* radv_prefix_item: ONLINK bool  */
#line 202 "proto/radv/config.Y"
               { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 12648 "obj/conf/cf-parse.tab.c"
    break;

  case 1191: /* radv_prefix_item: AUTONOMOUS bool  */
#line 203 "proto/radv/config.Y"
                   { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 12654 "obj/conf/cf-parse.tab.c"
    break;

  case 1192: /* radv_prefix_item: VALID LIFETIME expr radv_sensitive  */
#line 204 "proto/radv/config.Y"
                                      {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 12663 "obj/conf/cf-parse.tab.c"
    break;

  case 1193: /* radv_prefix_item: PREFERRED LIFETIME expr radv_sensitive  */
#line 208 "proto/radv/config.Y"
                                          {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 12672 "obj/conf/cf-parse.tab.c"
    break;

  case 1194: /* radv_prefix_finish: %empty  */
#line 215 "proto/radv/config.Y"
{
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 12684 "obj/conf/cf-parse.tab.c"
    break;

  case 1200: /* radv_rdnss_node: ipa  */
#line 239 "proto/radv/config.Y"
{
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 12696 "obj/conf/cf-parse.tab.c"
    break;

  case 1201: /* radv_rdnss_start: %empty  */
#line 248 "proto/radv/config.Y"
{
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 12705 "obj/conf/cf-parse.tab.c"
    break;

  case 1204: /* radv_rdnss_item: LIFETIME radv_mult  */
#line 255 "proto/radv/config.Y"
                      { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 12711 "obj/conf/cf-parse.tab.c"
    break;

  case 1205: /* radv_rdnss_finish: %empty  */
#line 259 "proto/radv/config.Y"
{
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 12727 "obj/conf/cf-parse.tab.c"
    break;

  case 1210: /* radv_dnssl_node: TEXT  */
#line 283 "proto/radv/config.Y"
{
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 12742 "obj/conf/cf-parse.tab.c"
    break;

  case 1211: /* radv_dnssl_start: %empty  */
#line 295 "proto/radv/config.Y"
{
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 12751 "obj/conf/cf-parse.tab.c"
    break;

  case 1214: /* radv_dnssl_item: LIFETIME radv_mult  */
#line 302 "proto/radv/config.Y"
                      { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 12757 "obj/conf/cf-parse.tab.c"
    break;

  case 1215: /* radv_dnssl_finish: %empty  */
#line 306 "proto/radv/config.Y"
{
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 12773 "obj/conf/cf-parse.tab.c"
    break;

  case 1220: /* radv_mult: expr  */
#line 330 "proto/radv/config.Y"
        { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 12779 "obj/conf/cf-parse.tab.c"
    break;

  case 1221: /* radv_mult: MULT expr  */
#line 331 "proto/radv/config.Y"
             { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 12785 "obj/conf/cf-parse.tab.c"
    break;

  case 1222: /* radv_sensitive: %empty  */
#line 335 "proto/radv/config.Y"
               { (yyval.i) = (uint) -1; }
#line 12791 "obj/conf/cf-parse.tab.c"
    break;

  case 1223: /* radv_sensitive: SENSITIVE bool  */
#line 336 "proto/radv/config.Y"
                  { (yyval.i) = (yyvsp[0].i); }
#line 12797 "obj/conf/cf-parse.tab.c"
    break;

  case 1224: /* dynamic_attr: RA_PREFERENCE  */
#line 339 "proto/radv/config.Y"
                            { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_RA_PREFERENCE, EA_RA_PREFERENCE); }
#line 12803 "obj/conf/cf-parse.tab.c"
    break;

  case 1225: /* dynamic_attr: RA_LIFETIME  */
#line 340 "proto/radv/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RA_LIFETIME); }
#line 12809 "obj/conf/cf-parse.tab.c"
    break;

  case 1227: /* rip_variant: RIP  */
#line 49 "proto/rip/config.Y"
          { (yyval.i) = 1; }
#line 12815 "obj/conf/cf-parse.tab.c"
    break;

  case 1228: /* rip_variant: RIP NG  */
#line 50 "proto/rip/config.Y"
          { (yyval.i) = 0; }
#line 12821 "obj/conf/cf-parse.tab.c"
    break;

  case 1229: /* rip_proto_start: proto_start rip_variant  */
#line 54 "proto/rip/config.Y"
{
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 12837 "obj/conf/cf-parse.tab.c"
    break;

  case 1232: /* rip_proto_item: ECMP bool  */
#line 69 "proto/rip/config.Y"
                        { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 12843 "obj/conf/cf-parse.tab.c"
    break;

  case 1233: /* rip_proto_item: ECMP bool LIMIT expr  */
#line 70 "proto/rip/config.Y"
                        { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 12849 "obj/conf/cf-parse.tab.c"
    break;

  case 1234: /* rip_proto_item: INFINITY expr  */
#line 71 "proto/rip/config.Y"
                        { RIP_CFG->infinity = (yyvsp[0].i); }
#line 12855 "obj/conf/cf-parse.tab.c"
    break;

  case 1239: /* rip_iface_start: %empty  */
#line 85 "proto/rip/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
  RIP_IFACE->rxmt_time = RIP_DEFAULT_RXMT_TIME;
}
#line 12883 "obj/conf/cf-parse.tab.c"
    break;

  case 1240: /* rip_iface_finish: %empty  */
#line 110 "proto/rip/config.Y"
{
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 12916 "obj/conf/cf-parse.tab.c"
    break;

  case 1241: /* rip_iface_item: METRIC expr  */
#line 140 "proto/rip/config.Y"
                        { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 12922 "obj/conf/cf-parse.tab.c"
    break;

  case 1242: /* rip_iface_item: MODE MULTICAST  */
#line 141 "proto/rip/config.Y"
                        { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 12928 "obj/conf/cf-parse.tab.c"
    break;

  case 1243: /* rip_iface_item: MODE BROADCAST  */
#line 142 "proto/rip/config.Y"
                        { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 12934 "obj/conf/cf-parse.tab.c"
    break;

  case 1244: /* rip_iface_item: PASSIVE bool  */
#line 143 "proto/rip/config.Y"
                        { RIP_IFACE->passive = (yyvsp[0].i); }
#line 12940 "obj/conf/cf-parse.tab.c"
    break;

  case 1245: /* rip_iface_item: ADDRESS ipa  */
#line 144 "proto/rip/config.Y"
                        { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 12946 "obj/conf/cf-parse.tab.c"
    break;

  case 1246: /* rip_iface_item: PORT expr  */
#line 145 "proto/rip/config.Y"
                        { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12952 "obj/conf/cf-parse.tab.c"
    break;

  case 1247: /* rip_iface_item: VERSION expr  */
#line 146 "proto/rip/config.Y"
                        { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 12961 "obj/conf/cf-parse.tab.c"
    break;

  case 1248: /* rip_iface_item: VERSION ONLY bool  */
#line 150 "proto/rip/config.Y"
                        { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 12967 "obj/conf/cf-parse.tab.c"
    break;

  case 1249: /* rip_iface_item: SPLIT HORIZON bool  */
#line 151 "proto/rip/config.Y"
                        { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 12973 "obj/conf/cf-parse.tab.c"
    break;

  case 1250: /* rip_iface_item: POISON REVERSE bool  */
#line 152 "proto/rip/config.Y"
                        { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 12979 "obj/conf/cf-parse.tab.c"
    break;

  case 1251: /* rip_iface_item: CHECK ZERO bool  */
#line 153 "proto/rip/config.Y"
                        { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 12985 "obj/conf/cf-parse.tab.c"
    break;

  case 1252: /* rip_iface_item: DEMAND CIRCUIT bool  */
#line 154 "proto/rip/config.Y"
                        { RIP_IFACE->demand_circuit = (yyvsp[0].i); }
#line 12991 "obj/conf/cf-parse.tab.c"
    break;

  case 1253: /* rip_iface_item: UPDATE TIME expr  */
#line 155 "proto/rip/config.Y"
                        { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 12997 "obj/conf/cf-parse.tab.c"
    break;

  case 1254: /* rip_iface_item: TIMEOUT TIME expr  */
#line 156 "proto/rip/config.Y"
                        { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 13003 "obj/conf/cf-parse.tab.c"
    break;

  case 1255: /* rip_iface_item: GARBAGE TIME expr  */
#line 157 "proto/rip/config.Y"
                        { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 13009 "obj/conf/cf-parse.tab.c"
    break;

  case 1256: /* rip_iface_item: RETRANSMIT TIME expr_us  */
#line 158 "proto/rip/config.Y"
                           { RIP_IFACE->rxmt_time = (yyvsp[0].time); if ((yyvsp[0].time)<=0) cf_error("Retransmit time must be positive"); }
#line 13015 "obj/conf/cf-parse.tab.c"
    break;

  case 1257: /* rip_iface_item: ECMP WEIGHT expr  */
#line 159 "proto/rip/config.Y"
                        { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 13021 "obj/conf/cf-parse.tab.c"
    break;

  case 1258: /* rip_iface_item: RX BUFFER expr  */
#line 160 "proto/rip/config.Y"
                        { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 13027 "obj/conf/cf-parse.tab.c"
    break;

  case 1259: /* rip_iface_item: TX LENGTH expr  */
#line 161 "proto/rip/config.Y"
                        { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 13033 "obj/conf/cf-parse.tab.c"
    break;

  case 1260: /* rip_iface_item: TX tos  */
#line 162 "proto/rip/config.Y"
                        { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 13039 "obj/conf/cf-parse.tab.c"
    break;

  case 1261: /* rip_iface_item: TX PRIORITY expr  */
#line 163 "proto/rip/config.Y"
                        { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 13045 "obj/conf/cf-parse.tab.c"
    break;

  case 1262: /* rip_iface_item: TTL SECURITY bool  */
#line 164 "proto/rip/config.Y"
                        { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 13051 "obj/conf/cf-parse.tab.c"
    break;

  case 1263: /* rip_iface_item: TTL SECURITY TX ONLY  */
#line 165 "proto/rip/config.Y"
                        { RIP_IFACE->ttl_security = 2; }
#line 13057 "obj/conf/cf-parse.tab.c"
    break;

  case 1264: /* rip_iface_item: CHECK LINK bool  */
#line 166 "proto/rip/config.Y"
                        { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 13063 "obj/conf/cf-parse.tab.c"
    break;

  case 1265: /* rip_iface_item: BFD bool  */
#line 167 "proto/rip/config.Y"
                        { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 13069 "obj/conf/cf-parse.tab.c"
    break;

  case 1266: /* rip_iface_item: AUTHENTICATION rip_auth  */
#line 168 "proto/rip/config.Y"
                           { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 13075 "obj/conf/cf-parse.tab.c"
    break;

  case 1267: /* rip_iface_item: password_list  */
#line 169 "proto/rip/config.Y"
                        { rip_check_auth(); }
#line 13081 "obj/conf/cf-parse.tab.c"
    break;

  case 1268: /* rip_auth: NONE  */
#line 173 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_NONE; }
#line 13087 "obj/conf/cf-parse.tab.c"
    break;

  case 1269: /* rip_auth: PLAINTEXT  */
#line 174 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_PLAIN; }
#line 13093 "obj/conf/cf-parse.tab.c"
    break;

  case 1270: /* rip_auth: CRYPTOGRAPHIC  */
#line 175 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 13099 "obj/conf/cf-parse.tab.c"
    break;

  case 1271: /* rip_auth: MD5  */
#line 176 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 13105 "obj/conf/cf-parse.tab.c"
    break;

  case 1277: /* dynamic_attr: RIP_METRIC  */
#line 193 "proto/rip/config.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_METRIC); }
#line 13111 "obj/conf/cf-parse.tab.c"
    break;

  case 1278: /* dynamic_attr: RIP_TAG  */
#line 194 "proto/rip/config.Y"
                      { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_TAG); }
#line 13117 "obj/conf/cf-parse.tab.c"
    break;

  case 1280: /* cmd_SHOW_RIP_INTERFACES: SHOW RIP INTERFACES optproto opttext END  */
#line 199 "proto/rip/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_interfaces(p, (yyvsp[-1].t)); }
#line 13123 "obj/conf/cf-parse.tab.c"
    break;

  case 1282: /* cmd_SHOW_RIP_NEIGHBORS: SHOW RIP NEIGHBORS optproto opttext END  */
#line 202 "proto/rip/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_neighbors(p, (yyvsp[-1].t)); }
#line 13129 "obj/conf/cf-parse.tab.c"
    break;

  case 1284: /* rpki_proto_start: proto_start RPKI  */
#line 43 "proto/rpki/config.Y"
                                   {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
}
#line 13140 "obj/conf/cf-parse.tab.c"
    break;

  case 1285: /* rpki_proto: rpki_proto_start proto_name '{' rpki_proto_opts '}'  */
#line 50 "proto/rpki/config.Y"
                                                                { rpki_check_config(RPKI_CFG); }
#line 13146 "obj/conf/cf-parse.tab.c"
    break;

  case 1294: /* rpki_proto_item: REFRESH rpki_keep_interval expr  */
#line 64 "proto/rpki/config.Y"
                                   {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 13157 "obj/conf/cf-parse.tab.c"
    break;

  case 1295: /* rpki_proto_item: RETRY rpki_keep_interval expr  */
#line 70 "proto/rpki/config.Y"
                                 {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 13168 "obj/conf/cf-parse.tab.c"
    break;

  case 1296: /* rpki_proto_item: EXPIRE rpki_keep_interval expr  */
#line 76 "proto/rpki/config.Y"
                                  {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 13179 "obj/conf/cf-parse.tab.c"
    break;

  case 1297: /* rpki_proto_item: IGNORE MAX LENGTH bool  */
#line 82 "proto/rpki/config.Y"
                          { RPKI_CFG->ignore_max_length = (yyvsp[0].i); }
#line 13185 "obj/conf/cf-parse.tab.c"
    break;

  case 1298: /* rpki_keep_interval: %empty  */
#line 86 "proto/rpki/config.Y"
             { (yyval.i) = 0; }
#line 13191 "obj/conf/cf-parse.tab.c"
    break;

  case 1299: /* rpki_keep_interval: KEEP  */
#line 87 "proto/rpki/config.Y"
        { (yyval.i) = 1; }
#line 13197 "obj/conf/cf-parse.tab.c"
    break;

  case 1300: /* rpki_proto_item_port: PORT expr  */
#line 90 "proto/rpki/config.Y"
                                { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 13203 "obj/conf/cf-parse.tab.c"
    break;

  case 1301: /* rpki_cache_addr: text  */
#line 93 "proto/rpki/config.Y"
        {
     rpki_check_unused_hostname();
     RPKI_CFG->hostname = (yyvsp[0].t);
   }
#line 13212 "obj/conf/cf-parse.tab.c"
    break;

  case 1302: /* rpki_cache_addr: ipa  */
#line 97 "proto/rpki/config.Y"
       {
     rpki_check_unused_hostname();
     RPKI_CFG->ip = (yyvsp[0].a);
     /* Ensure hostname is filled */
     char *hostname = cfg_allocz(INET6_ADDRSTRLEN + 1);
     bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
     RPKI_CFG->hostname = hostname;
   }
#line 13225 "obj/conf/cf-parse.tab.c"
    break;

  case 1305: /* rpki_transport_tcp_init: %empty  */
#line 113 "proto/rpki/config.Y"
{
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 13235 "obj/conf/cf-parse.tab.c"
    break;

  case 1306: /* rpki_transport_ssh_init: %empty  */
#line 120 "proto/rpki/config.Y"
{
#if HAVE_LIBSSH
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
#else
  cf_error("This build doesn't support SSH");
#endif
}
#line 13249 "obj/conf/cf-parse.tab.c"
    break;

  case 1309: /* rpki_transport_ssh_item: BIRD PRIVATE KEY text  */
#line 136 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 13255 "obj/conf/cf-parse.tab.c"
    break;

  case 1310: /* rpki_transport_ssh_item: REMOTE PUBLIC KEY text  */
#line 137 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 13261 "obj/conf/cf-parse.tab.c"
    break;

  case 1311: /* rpki_transport_ssh_item: USER text  */
#line 138 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 13267 "obj/conf/cf-parse.tab.c"
    break;

  case 1312: /* rpki_transport_ssh_check: %empty  */
#line 142 "proto/rpki/config.Y"
{
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 13276 "obj/conf/cf-parse.tab.c"
    break;

  case 1314: /* static_proto_start: proto_start STATIC  */
#line 57 "proto/static/config.Y"
{
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 13285 "obj/conf/cf-parse.tab.c"
    break;

  case 1317: /* static_proto: static_proto proto_channel ';'  */
#line 65 "proto/static/config.Y"
                                  { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 13291 "obj/conf/cf-parse.tab.c"
    break;

  case 1318: /* static_proto: static_proto CHECK LINK bool ';'  */
#line 66 "proto/static/config.Y"
                                    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 13297 "obj/conf/cf-parse.tab.c"
    break;

  case 1319: /* static_proto: static_proto IGP TABLE rtable ';'  */
#line 67 "proto/static/config.Y"
                                     {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 13310 "obj/conf/cf-parse.tab.c"
    break;

  case 1320: /* static_proto: static_proto stat_route stat_route_opt_list ';'  */
#line 75 "proto/static/config.Y"
                                                   { static_route_finish(); }
#line 13316 "obj/conf/cf-parse.tab.c"
    break;

  case 1321: /* stat_nexthop: VIA ipa ipa_scope  */
#line 79 "proto/static/config.Y"
                      {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 13326 "obj/conf/cf-parse.tab.c"
    break;

  case 1322: /* stat_nexthop: VIA TEXT  */
#line 84 "proto/static/config.Y"
             {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 13336 "obj/conf/cf-parse.tab.c"
    break;

  case 1323: /* stat_nexthop: stat_nexthop MPLS label_stack  */
#line 89 "proto/static/config.Y"
                                  {
    this_snh->mls = (yyvsp[0].mls);
  }
#line 13344 "obj/conf/cf-parse.tab.c"
    break;

  case 1324: /* stat_nexthop: stat_nexthop ONLINK bool  */
#line 92 "proto/static/config.Y"
                             {
    this_snh->onlink = (yyvsp[0].i);
  }
#line 13352 "obj/conf/cf-parse.tab.c"
    break;

  case 1325: /* stat_nexthop: stat_nexthop WEIGHT expr  */
#line 95 "proto/static/config.Y"
                             {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 13361 "obj/conf/cf-parse.tab.c"
    break;

  case 1326: /* stat_nexthop: stat_nexthop BFD bool  */
#line 99 "proto/static/config.Y"
                          {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
  }
#line 13369 "obj/conf/cf-parse.tab.c"
    break;

  case 1329: /* stat_route0: ROUTE net_any  */
#line 109 "proto/static/config.Y"
                           {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt_cmds = NULL;
     this_srt_last_cmd = NULL;
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 13383 "obj/conf/cf-parse.tab.c"
    break;

  case 1331: /* stat_route: stat_route0 RECURSIVE ipa  */
#line 122 "proto/static/config.Y"
                             {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 13392 "obj/conf/cf-parse.tab.c"
    break;

  case 1332: /* stat_route: stat_route0 RECURSIVE ipa MPLS label_stack  */
#line 126 "proto/static/config.Y"
                                              {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].mls);
   }
#line 13402 "obj/conf/cf-parse.tab.c"
    break;

  case 1333: /* stat_route: stat_route0  */
#line 131 "proto/static/config.Y"
                                { this_srt->dest = RTD_NONE; }
#line 13408 "obj/conf/cf-parse.tab.c"
    break;

  case 1334: /* stat_route: stat_route0 DROP  */
#line 132 "proto/static/config.Y"
                                { this_srt->dest = RTD_BLACKHOLE; }
#line 13414 "obj/conf/cf-parse.tab.c"
    break;

  case 1335: /* stat_route: stat_route0 REJECT  */
#line 133 "proto/static/config.Y"
                                { this_srt->dest = RTD_UNREACHABLE; }
#line 13420 "obj/conf/cf-parse.tab.c"
    break;

  case 1336: /* stat_route: stat_route0 BLACKHOLE  */
#line 134 "proto/static/config.Y"
                                { this_srt->dest = RTD_BLACKHOLE; }
#line 13426 "obj/conf/cf-parse.tab.c"
    break;

  case 1337: /* stat_route: stat_route0 UNREACHABLE  */
#line 135 "proto/static/config.Y"
                                { this_srt->dest = RTD_UNREACHABLE; }
#line 13432 "obj/conf/cf-parse.tab.c"
    break;

  case 1338: /* stat_route: stat_route0 PROHIBIT  */
#line 136 "proto/static/config.Y"
                                { this_srt->dest = RTD_PROHIBIT; }
#line 13438 "obj/conf/cf-parse.tab.c"
    break;

  case 1339: /* stat_route_item: cmd  */
#line 140 "proto/static/config.Y"
       {
     if (this_srt_last_cmd)
       this_srt_last_cmd->next = (yyvsp[0].x);
     else
       this_srt_cmds = (yyvsp[0].x);
     this_srt_last_cmd = (yyvsp[0].x);
   }
#line 13450 "obj/conf/cf-parse.tab.c"
    break;

  case 1345: /* cmd_SHOW_STATIC: SHOW STATIC optproto END  */
#line 161 "proto/static/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_static, p) static_show(p); }
#line 13456 "obj/conf/cf-parse.tab.c"
    break;

  case 1347: /* kern_sys_item: KERNEL TABLE expr  */
#line 26 "sysdep/linux/netlink.Y"
                     { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 13462 "obj/conf/cf-parse.tab.c"
    break;

  case 1348: /* kern_sys_item: METRIC expr  */
#line 27 "sysdep/linux/netlink.Y"
               { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 13468 "obj/conf/cf-parse.tab.c"
    break;

  case 1349: /* kern_sys_item: NETLINK RX BUFFER expr  */
#line 28 "sysdep/linux/netlink.Y"
                          { THIS_KRT->sys.netlink_rx_buffer = (yyvsp[0].i); }
#line 13474 "obj/conf/cf-parse.tab.c"
    break;

  case 1350: /* dynamic_attr: KRT_PREFSRC  */
#line 31 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
#line 13480 "obj/conf/cf-parse.tab.c"
    break;

  case 1351: /* dynamic_attr: KRT_REALM  */
#line 32 "sysdep/linux/netlink.Y"
                        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
#line 13486 "obj/conf/cf-parse.tab.c"
    break;

  case 1352: /* dynamic_attr: KRT_SCOPE  */
#line 33 "sysdep/linux/netlink.Y"
                        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SCOPE); }
#line 13492 "obj/conf/cf-parse.tab.c"
    break;

  case 1353: /* dynamic_attr: KRT_MTU  */
#line 35 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_MTU); }
#line 13498 "obj/conf/cf-parse.tab.c"
    break;

  case 1354: /* dynamic_attr: KRT_WINDOW  */
#line 36 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_WINDOW); }
#line 13504 "obj/conf/cf-parse.tab.c"
    break;

  case 1355: /* dynamic_attr: KRT_RTT  */
#line 37 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTT); }
#line 13510 "obj/conf/cf-parse.tab.c"
    break;

  case 1356: /* dynamic_attr: KRT_RTTVAR  */
#line 38 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTTVAR); }
#line 13516 "obj/conf/cf-parse.tab.c"
    break;

  case 1357: /* dynamic_attr: KRT_SSTRESH  */
#line 39 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTRESH); }
#line 13522 "obj/conf/cf-parse.tab.c"
    break;

  case 1358: /* dynamic_attr: KRT_CWND  */
#line 40 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_CWND); }
#line 13528 "obj/conf/cf-parse.tab.c"
    break;

  case 1359: /* dynamic_attr: KRT_ADVMSS  */
#line 41 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_ADVMSS); }
#line 13534 "obj/conf/cf-parse.tab.c"
    break;

  case 1360: /* dynamic_attr: KRT_REORDERING  */
#line 42 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REORDERING); }
#line 13540 "obj/conf/cf-parse.tab.c"
    break;

  case 1361: /* dynamic_attr: KRT_HOPLIMIT  */
#line 43 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_HOPLIMIT); }
#line 13546 "obj/conf/cf-parse.tab.c"
    break;

  case 1362: /* dynamic_attr: KRT_INITCWND  */
#line 44 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITCWND); }
#line 13552 "obj/conf/cf-parse.tab.c"
    break;

  case 1363: /* dynamic_attr: KRT_RTO_MIN  */
#line 45 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTO_MIN); }
#line 13558 "obj/conf/cf-parse.tab.c"
    break;

  case 1364: /* dynamic_attr: KRT_INITRWND  */
#line 46 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITRWND); }
#line 13564 "obj/conf/cf-parse.tab.c"
    break;

  case 1365: /* dynamic_attr: KRT_QUICKACK  */
#line 47 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_QUICKACK); }
#line 13570 "obj/conf/cf-parse.tab.c"
    break;

  case 1366: /* dynamic_attr: KRT_LOCK_MTU  */
#line 51 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(2, T_BOOL, EA_KRT_LOCK); }
#line 13576 "obj/conf/cf-parse.tab.c"
    break;

  case 1367: /* dynamic_attr: KRT_LOCK_WINDOW  */
#line 52 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_LOCK); }
#line 13582 "obj/conf/cf-parse.tab.c"
    break;

  case 1368: /* dynamic_attr: KRT_LOCK_RTT  */
#line 53 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(4, T_BOOL, EA_KRT_LOCK); }
#line 13588 "obj/conf/cf-parse.tab.c"
    break;

  case 1369: /* dynamic_attr: KRT_LOCK_RTTVAR  */
#line 54 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(5, T_BOOL, EA_KRT_LOCK); }
#line 13594 "obj/conf/cf-parse.tab.c"
    break;

  case 1370: /* dynamic_attr: KRT_LOCK_SSTRESH  */
#line 55 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK); }
#line 13600 "obj/conf/cf-parse.tab.c"
    break;

  case 1371: /* dynamic_attr: KRT_LOCK_CWND  */
#line 56 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(7, T_BOOL, EA_KRT_LOCK); }
#line 13606 "obj/conf/cf-parse.tab.c"
    break;

  case 1372: /* dynamic_attr: KRT_LOCK_ADVMSS  */
#line 57 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(8, T_BOOL, EA_KRT_LOCK); }
#line 13612 "obj/conf/cf-parse.tab.c"
    break;

  case 1373: /* dynamic_attr: KRT_LOCK_REORDERING  */
#line 58 "sysdep/linux/netlink.Y"
                                  { (yyval.fda) = f_new_dynamic_attr_bit(9, T_BOOL, EA_KRT_LOCK); }
#line 13618 "obj/conf/cf-parse.tab.c"
    break;

  case 1374: /* dynamic_attr: KRT_LOCK_HOPLIMIT  */
#line 59 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(10, T_BOOL, EA_KRT_LOCK); }
#line 13624 "obj/conf/cf-parse.tab.c"
    break;

  case 1375: /* dynamic_attr: KRT_LOCK_RTO_MIN  */
#line 60 "sysdep/linux/netlink.Y"
                               { (yyval.fda) = f_new_dynamic_attr_bit(13, T_BOOL, EA_KRT_LOCK); }
#line 13630 "obj/conf/cf-parse.tab.c"
    break;

  case 1376: /* dynamic_attr: KRT_FEATURE_ECN  */
#line 62 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(0, T_BOOL, EA_KRT_FEATURES); }
#line 13636 "obj/conf/cf-parse.tab.c"
    break;

  case 1377: /* dynamic_attr: KRT_FEATURE_ALLFRAG  */
#line 63 "sysdep/linux/netlink.Y"
                                  { (yyval.fda) = f_new_dynamic_attr(3, T_BOOL, EA_KRT_FEATURES); }
#line 13642 "obj/conf/cf-parse.tab.c"
    break;

  case 1379: /* log_begin: %empty  */
#line 33 "sysdep/unix/config.Y"
           { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 13648 "obj/conf/cf-parse.tab.c"
    break;

  case 1380: /* log_config: LOG log_begin log_file log_mask ';'  */
#line 35 "sysdep/unix/config.Y"
                                                {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 13657 "obj/conf/cf-parse.tab.c"
    break;

  case 1381: /* syslog_name: NAME text  */
#line 42 "sysdep/unix/config.Y"
             { (yyval.t) = (yyvsp[0].t); }
#line 13663 "obj/conf/cf-parse.tab.c"
    break;

  case 1382: /* syslog_name: %empty  */
#line 43 "sysdep/unix/config.Y"
   { (yyval.t) = bird_name; }
#line 13669 "obj/conf/cf-parse.tab.c"
    break;

  case 1384: /* log_limit: expr text  */
#line 48 "sysdep/unix/config.Y"
             { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 13675 "obj/conf/cf-parse.tab.c"
    break;

  case 1385: /* log_file: text log_limit  */
#line 52 "sysdep/unix/config.Y"
                  {
     if (!parse_and_exit)
     {
       this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
       this_log->fh = rf_file(this_log->rf);
     }
     this_log->pos = -1;
     this_log->filename = (yyvsp[-1].t);
   }
#line 13690 "obj/conf/cf-parse.tab.c"
    break;

  case 1386: /* log_file: SYSLOG syslog_name  */
#line 62 "sysdep/unix/config.Y"
                      { this_log->fh = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 13696 "obj/conf/cf-parse.tab.c"
    break;

  case 1387: /* log_file: STDERR  */
#line 63 "sysdep/unix/config.Y"
          { this_log->fh = stderr; }
#line 13702 "obj/conf/cf-parse.tab.c"
    break;

  case 1388: /* log_mask: ALL  */
#line 67 "sysdep/unix/config.Y"
       { (yyval.i) = ~0; }
#line 13708 "obj/conf/cf-parse.tab.c"
    break;

  case 1389: /* log_mask: '{' log_mask_list '}'  */
#line 68 "sysdep/unix/config.Y"
                         { (yyval.i) = (yyvsp[-1].i); }
#line 13714 "obj/conf/cf-parse.tab.c"
    break;

  case 1390: /* log_mask_list: log_cat  */
#line 72 "sysdep/unix/config.Y"
           { (yyval.i) = 1 << (yyvsp[0].i); }
#line 13720 "obj/conf/cf-parse.tab.c"
    break;

  case 1391: /* log_mask_list: log_mask_list ',' log_cat  */
#line 73 "sysdep/unix/config.Y"
                             { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 13726 "obj/conf/cf-parse.tab.c"
    break;

  case 1392: /* log_cat: DEBUG  */
#line 77 "sysdep/unix/config.Y"
         { (yyval.i) = L_DEBUG[0]; }
#line 13732 "obj/conf/cf-parse.tab.c"
    break;

  case 1393: /* log_cat: TRACE  */
#line 78 "sysdep/unix/config.Y"
         { (yyval.i) = L_TRACE[0]; }
#line 13738 "obj/conf/cf-parse.tab.c"
    break;

  case 1394: /* log_cat: INFO  */
#line 79 "sysdep/unix/config.Y"
        { (yyval.i) = L_INFO[0]; }
#line 13744 "obj/conf/cf-parse.tab.c"
    break;

  case 1395: /* log_cat: REMOTE  */
#line 80 "sysdep/unix/config.Y"
          { (yyval.i) = L_REMOTE[0]; }
#line 13750 "obj/conf/cf-parse.tab.c"
    break;

  case 1396: /* log_cat: WARNING  */
#line 81 "sysdep/unix/config.Y"
           { (yyval.i) = L_WARN[0]; }
#line 13756 "obj/conf/cf-parse.tab.c"
    break;

  case 1397: /* log_cat: ERROR  */
#line 82 "sysdep/unix/config.Y"
         { (yyval.i) = L_ERR[0]; }
#line 13762 "obj/conf/cf-parse.tab.c"
    break;

  case 1398: /* log_cat: AUTH  */
#line 83 "sysdep/unix/config.Y"
        { (yyval.i) = L_AUTH[0]; }
#line 13768 "obj/conf/cf-parse.tab.c"
    break;

  case 1399: /* log_cat: FATAL  */
#line 84 "sysdep/unix/config.Y"
         { (yyval.i) = L_FATAL[0]; }
#line 13774 "obj/conf/cf-parse.tab.c"
    break;

  case 1400: /* log_cat: BUG  */
#line 85 "sysdep/unix/config.Y"
       { (yyval.i) = L_BUG[0]; }
#line 13780 "obj/conf/cf-parse.tab.c"
    break;

  case 1402: /* mrtdump_base: MRTDUMP PROTOCOLS mrtdump_mask ';'  */
#line 92 "sysdep/unix/config.Y"
                                      { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 13786 "obj/conf/cf-parse.tab.c"
    break;

  case 1403: /* mrtdump_base: MRTDUMP text ';'  */
#line 93 "sysdep/unix/config.Y"
                    {
     if (!parse_and_exit)
     {
       struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
       new_config->mrtdump_file = rf_fileno(f);
     }
   }
#line 13799 "obj/conf/cf-parse.tab.c"
    break;

  case 1405: /* debug_unix: DEBUG LATENCY bool  */
#line 107 "sysdep/unix/config.Y"
                      { new_config->latency_debug = (yyvsp[0].i); }
#line 13805 "obj/conf/cf-parse.tab.c"
    break;

  case 1406: /* debug_unix: DEBUG LATENCY LIMIT expr_us  */
#line 108 "sysdep/unix/config.Y"
                               { new_config->latency_limit = (yyvsp[0].time); }
#line 13811 "obj/conf/cf-parse.tab.c"
    break;

  case 1407: /* debug_unix: WATCHDOG WARNING expr_us  */
#line 109 "sysdep/unix/config.Y"
                            { new_config->watchdog_warning = (yyvsp[0].time); }
#line 13817 "obj/conf/cf-parse.tab.c"
    break;

  case 1408: /* debug_unix: WATCHDOG TIMEOUT expr_us  */
#line 110 "sysdep/unix/config.Y"
                            { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 13823 "obj/conf/cf-parse.tab.c"
    break;

  case 1410: /* cmd_CONFIGURE: CONFIGURE cfg_name cfg_timeout END  */
#line 119 "sysdep/unix/config.Y"
{ cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 13829 "obj/conf/cf-parse.tab.c"
    break;

  case 1412: /* cmd_CONFIGURE_SOFT: CONFIGURE SOFT cfg_name cfg_timeout END  */
#line 122 "sysdep/unix/config.Y"
{ cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 13835 "obj/conf/cf-parse.tab.c"
    break;

  case 1414: /* cmd_CONFIGURE_CONFIRM: CONFIGURE CONFIRM END  */
#line 129 "sysdep/unix/config.Y"
{ cmd_reconfig_confirm(); }
#line 13841 "obj/conf/cf-parse.tab.c"
    break;

  case 1416: /* cmd_CONFIGURE_UNDO: CONFIGURE UNDO END  */
#line 132 "sysdep/unix/config.Y"
{ cmd_reconfig_undo(); }
#line 13847 "obj/conf/cf-parse.tab.c"
    break;

  case 1418: /* cmd_CONFIGURE_STATUS: CONFIGURE STATUS END  */
#line 135 "sysdep/unix/config.Y"
{ cmd_reconfig_status(); }
#line 13853 "obj/conf/cf-parse.tab.c"
    break;

  case 1420: /* cmd_CONFIGURE_CHECK: CONFIGURE CHECK cfg_name END  */
#line 138 "sysdep/unix/config.Y"
{ cmd_check_config((yyvsp[-1].t)); }
#line 13859 "obj/conf/cf-parse.tab.c"
    break;

  case 1422: /* cmd_DOWN: DOWN END  */
#line 141 "sysdep/unix/config.Y"
{ cmd_shutdown(); }
#line 13865 "obj/conf/cf-parse.tab.c"
    break;

  case 1424: /* cmd_GRACEFUL_RESTART: GRACEFUL RESTART END  */
#line 146 "sysdep/unix/config.Y"
{ cmd_graceful_restart(); }
#line 13871 "obj/conf/cf-parse.tab.c"
    break;

  case 1425: /* cfg_name: %empty  */
#line 150 "sysdep/unix/config.Y"
               { (yyval.t) = NULL; }
#line 13877 "obj/conf/cf-parse.tab.c"
    break;

  case 1427: /* cfg_timeout: %empty  */
#line 155 "sysdep/unix/config.Y"
               { (yyval.i) = 0; }
#line 13883 "obj/conf/cf-parse.tab.c"
    break;

  case 1428: /* cfg_timeout: TIMEOUT  */
#line 156 "sysdep/unix/config.Y"
           { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 13889 "obj/conf/cf-parse.tab.c"
    break;

  case 1429: /* cfg_timeout: TIMEOUT expr  */
#line 157 "sysdep/unix/config.Y"
                { (yyval.i) = (yyvsp[0].i); }
#line 13895 "obj/conf/cf-parse.tab.c"
    break;

  case 1431: /* kern_proto_start: proto_start KERNEL  */
#line 43 "sysdep/unix/krt.Y"
                                     {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 13903 "obj/conf/cf-parse.tab.c"
    break;

  case 1434: /* kern_mp_limit: %empty  */
#line 52 "sysdep/unix/krt.Y"
               { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 13909 "obj/conf/cf-parse.tab.c"
    break;

  case 1435: /* kern_mp_limit: LIMIT expr  */
#line 53 "sysdep/unix/krt.Y"
               { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 13915 "obj/conf/cf-parse.tab.c"
    break;

  case 1437: /* kern_item: proto_channel  */
#line 58 "sysdep/unix/krt.Y"
                 { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 13921 "obj/conf/cf-parse.tab.c"
    break;

  case 1438: /* kern_item: PERSIST bool  */
#line 59 "sysdep/unix/krt.Y"
                { THIS_KRT->persist = (yyvsp[0].i); }
#line 13927 "obj/conf/cf-parse.tab.c"
    break;

  case 1439: /* kern_item: SCAN TIME expr  */
#line 60 "sysdep/unix/krt.Y"
                  {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 13936 "obj/conf/cf-parse.tab.c"
    break;

  case 1440: /* kern_item: LEARN bool  */
#line 64 "sysdep/unix/krt.Y"
              {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 13948 "obj/conf/cf-parse.tab.c"
    break;

  case 1441: /* kern_item: GRACEFUL RESTART bool  */
#line 71 "sysdep/unix/krt.Y"
                         { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 13954 "obj/conf/cf-parse.tab.c"
    break;

  case 1442: /* kern_item: MERGE PATHS bool kern_mp_limit  */
#line 72 "sysdep/unix/krt.Y"
                                  {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 13966 "obj/conf/cf-parse.tab.c"
    break;

  case 1444: /* kif_proto_start: proto_start DEVICE  */
#line 85 "sysdep/unix/krt.Y"
                                    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 13972 "obj/conf/cf-parse.tab.c"
    break;

  case 1449: /* kif_item: SCAN TIME expr  */
#line 94 "sysdep/unix/krt.Y"
                  {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 13981 "obj/conf/cf-parse.tab.c"
    break;

  case 1450: /* kif_iface_start: %empty  */
#line 101 "sysdep/unix/krt.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 13991 "obj/conf/cf-parse.tab.c"
    break;

  case 1451: /* kif_iface_item: PREFERRED ipa  */
#line 108 "sysdep/unix/krt.Y"
                 { kif_set_preferred((yyvsp[0].a)); }
#line 13997 "obj/conf/cf-parse.tab.c"
    break;

  case 1457: /* dynamic_attr: KRT_SOURCE  */
#line 125 "sysdep/unix/krt.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SOURCE); }
#line 14003 "obj/conf/cf-parse.tab.c"
    break;

  case 1458: /* dynamic_attr: KRT_METRIC  */
#line 126 "sysdep/unix/krt.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_METRIC); }
#line 14009 "obj/conf/cf-parse.tab.c"
    break;


#line 14013 "obj/conf/cf-parse.tab.c"

        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yyesa, &yyes, &yyes_capacity, yytoken};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          YYNOMEM;
      }
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

#line 50 "conf/gen_parser.m4"

#line 396 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 206 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 929 "nest/config.Y"
/* C Code from nest/config.Y */

#line 189 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 182 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 351 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 66 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 562 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 59 "proto/perf/config.Y"
/* C Code from proto/perf/config.Y */

#line 46 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 342 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 205 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 147 "proto/rpki/config.Y"
/* C Code from proto/rpki/config.Y */

#line 163 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 66 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 160 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 128 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

